package androidx.camera.core;

import androidx.annotation.GuardedBy;

public final class SingleCloseImageProxy extends ForwardingImageProxy {
    @GuardedBy("this")
    private boolean mClosed = false;

    public SingleCloseImageProxy(ImageProxy imageProxy) {
        super(imageProxy);
    }

    @Override // androidx.camera.core.ImageProxy, androidx.camera.core.ForwardingImageProxy, java.lang.AutoCloseable
    public synchronized void close() {
        if (!this.mClosed) {
            this.mClosed = true;
            super.close();
        }
    }
}
