package androidx.camera.core.impl;

import android.content.Context;
import android.util.Rational;
import android.util.Size;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import java.util.List;
import java.util.Map;

public interface CameraDeviceSurfaceManager {

    public interface Provider {
        @NonNull
        CameraDeviceSurfaceManager newInstance(@NonNull Context context);
    }

    boolean checkSupported(String str, List<SurfaceConfig> list);

    @Nullable
    Rational getCorrectedAspectRatio(@NonNull String str, int i2);

    @Nullable
    Size getMaxOutputSize(String str, int i2);

    Size getPreviewSize();

    @NonNull
    Map<UseCaseConfig<?>, Size> getSuggestedResolutions(@NonNull String str, @NonNull List<SurfaceConfig> list, @NonNull List<UseCaseConfig<?>> list2);

    boolean requiresCorrectedAspectRatio(@NonNull String str);

    SurfaceConfig transformSurfaceConfig(String str, int i2, Size size);
}
