package androidx.camera.core.impl;

import android.view.Surface;
import androidx.annotation.NonNull;
import androidx.camera.core.impl.DeferrableSurface;
import androidx.concurrent.futures.CallbackToFutureAdapter;
import b.a.a.w0.g;
import d.g.b.a.a.a;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import java.util.concurrent.Executor;
import java.util.concurrent.ScheduledExecutorService;

public final class DeferrableSurfaces {
    private DeferrableSurfaces() {
    }

    public static void decrementAll(@NonNull List<DeferrableSurface> list) {
        for (DeferrableSurface deferrableSurface : list) {
            deferrableSurface.decrementUseCount();
        }
    }

    public static void incrementAll(@NonNull List<DeferrableSurface> list) {
        if (!list.isEmpty()) {
            int i2 = 0;
            do {
                try {
                    list.get(i2).incrementUseCount();
                    i2++;
                } catch (DeferrableSurface.SurfaceClosedException e2) {
                    for (int i3 = i2 - 1; i3 >= 0; i3--) {
                        list.get(i3).decrementUseCount();
                    }
                    throw e2;
                }
            } while (i2 < list.size());
        }
    }

    @NonNull
    public static a<List<Surface>> surfaceListWithTimeout(@NonNull Collection<DeferrableSurface> collection, boolean z, long j2, @NonNull Executor executor, @NonNull ScheduledExecutorService scheduledExecutorService) {
        ArrayList arrayList = new ArrayList();
        for (DeferrableSurface deferrableSurface : collection) {
            arrayList.add(deferrableSurface.getSurface());
        }
        return CallbackToFutureAdapter.getFuture(new g(arrayList, scheduledExecutorService, executor, j2, z));
    }

    public static boolean tryIncrementAll(@NonNull List<DeferrableSurface> list) {
        try {
            incrementAll(list);
            return true;
        } catch (DeferrableSurface.SurfaceClosedException unused) {
            return false;
        }
    }
}
