package androidx.camera.core.impl.utils;

import android.util.Log;
import com.luck.picture.lib.widget.longimage.SubsamplingScaleImageView;
import d.b.a.a.a;

public final class CameraOrientationUtil {
    private static final boolean DEBUG = Log.isLoggable(TAG, 3);
    private static final String TAG = "CameraOrientationUtil";

    private CameraOrientationUtil() {
    }

    public static int getRelativeImageRotation(int i2, int i3, boolean z) {
        int i4;
        if (z) {
            i4 = ((i3 - i2) + 360) % 360;
        } else {
            i4 = (i3 + i2) % 360;
        }
        if (DEBUG) {
            Log.d(TAG, String.format("getRelativeImageRotation: destRotationDegrees=%s, sourceRotationDegrees=%s, isOppositeFacing=%s, result=%s", Integer.valueOf(i2), Integer.valueOf(i3), Boolean.valueOf(z), Integer.valueOf(i4)));
        }
        return i4;
    }

    public static int surfaceRotationToDegrees(int i2) {
        if (i2 == 0) {
            return 0;
        }
        if (i2 == 1) {
            return 90;
        }
        if (i2 == 2) {
            return 180;
        }
        if (i2 == 3) {
            return SubsamplingScaleImageView.ORIENTATION_270;
        }
        throw new IllegalArgumentException(a.x("Unsupported surface rotation: ", i2));
    }
}
