package androidx.camera.core.internal;

import android.util.Log;
import androidx.annotation.NonNull;
import androidx.camera.core.ImageCapture;
import androidx.camera.core.UseCase;
import androidx.camera.core.VideoCapture;
import java.util.List;

public final class UseCaseOccupancy {
    private static final String TAG = "UseCaseOccupancy";

    private UseCaseOccupancy() {
    }

    public static boolean checkUseCaseLimitNotExceeded(@NonNull List<UseCase> list, @NonNull List<UseCase> list2) {
        int i2 = 0;
        int i3 = 0;
        for (UseCase useCase : list) {
            if (useCase instanceof ImageCapture) {
                i2++;
            } else if (useCase instanceof VideoCapture) {
                i3++;
            }
        }
        for (UseCase useCase2 : list2) {
            if (useCase2 instanceof ImageCapture) {
                i2++;
            } else if (useCase2 instanceof VideoCapture) {
                i3++;
            }
        }
        if (i2 > 1) {
            Log.e(TAG, "Exceeded max simultaneously bound image capture use cases.");
            return false;
        } else if (i3 <= 1) {
            return true;
        } else {
            Log.e(TAG, "Exceeded max simultaneously bound video capture use cases.");
            return false;
        }
    }
}
