package androidx.camera.view.preview.transform;

import android.view.Display;
import android.view.View;
import androidx.annotation.NonNull;

public final class RotationTransform {
    private RotationTransform() {
    }

    public static float getRotationDegrees(@NonNull View view) {
        Display display = view.getDisplay();
        if (display == null) {
            return 0.0f;
        }
        return (float) SurfaceRotation.rotationDegreesFromSurfaceRotation(display.getRotation());
    }
}
