package androidx.camera.view.preview.transform;

import android.view.View;
import androidx.annotation.NonNull;
import androidx.camera.view.preview.transform.transformation.ScaleTransformation;
import b.a.c.i.a.a;
import b.a.c.i.a.b;

public final class ScaleTransform {

    public interface FloatBiFunction {
        float apply(float f2, float f3);
    }

    private ScaleTransform() {
    }

    private static ScaleTransformation computeScale(@NonNull View view, @NonNull View view2, @NonNull FloatBiFunction floatBiFunction) {
        float f2;
        float f3;
        float f4;
        if (view.getWidth() == 0 || view.getHeight() == 0 || view2.getWidth() == 0 || view2.getHeight() == 0) {
            return new ScaleTransformation(1.0f);
        }
        int rotationDegrees = (int) RotationTransform.getRotationDegrees(view2);
        if (rotationDegrees == 0 || rotationDegrees == 180) {
            f3 = view2.getScaleX() * ((float) view2.getWidth());
            f4 = (float) view2.getHeight();
            f2 = view2.getScaleY();
        } else {
            f3 = view2.getScaleY() * ((float) view2.getHeight());
            f4 = (float) view2.getWidth();
            f2 = view2.getScaleX();
        }
        return new ScaleTransformation(floatBiFunction.apply(((float) view.getWidth()) / f3, ((float) view.getHeight()) / (f2 * f4)));
    }

    public static ScaleTransformation fill(@NonNull View view, @NonNull View view2) {
        return computeScale(view, view2, b.f162a);
    }

    public static ScaleTransformation fit(@NonNull View view, @NonNull View view2) {
        return computeScale(view, view2, a.f161a);
    }
}
