package androidx.core.util;

import androidx.annotation.NonNull;
import d.b.a.a.a;

public class Pair<F, S> {
    public final F first;
    public final S second;

    public Pair(F f2, S s) {
        this.first = f2;
        this.second = s;
    }

    @NonNull
    public static <A, B> Pair<A, B> create(A a2, B b2) {
        return new Pair<>(a2, b2);
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof Pair)) {
            return false;
        }
        Pair pair = (Pair) obj;
        if (!ObjectsCompat.equals(pair.first, this.first) || !ObjectsCompat.equals(pair.second, this.second)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        F f2 = this.first;
        int i2 = 0;
        int hashCode = f2 == null ? 0 : f2.hashCode();
        S s = this.second;
        if (s != null) {
            i2 = s.hashCode();
        }
        return hashCode ^ i2;
    }

    @NonNull
    public String toString() {
        StringBuilder n = a.n("Pair{");
        n.append((Object) this.first);
        n.append(" ");
        n.append((Object) this.second);
        n.append("}");
        return n.toString();
    }
}
