package com.androidx.lv.base.bean;

import java.util.Arrays;
import java.util.List;

public class VideoHistory {
    private boolean attention;
    private int commentNum;
    private String coverImg;
    private int editState;
    private int fakeFavorites;
    private int fakeLikes;
    private int fakeScoreNum;
    private int fakeShareNum;
    private int fakeWatchNum;
    private Long id;
    private boolean isFavorite;
    private boolean isLike;
    private String logo;
    private String nickName;
    private String playPath;
    private long playTime;
    private double price;
    private int progress;
    private List<String> tagTitles;
    private String title;
    private int userId;
    private String verImg;
    private int videoId;
    private int videoMark;
    private int videoType;

    public static class StringConverter {
        public String convertToDatabaseValue(List<String> list) {
            if (list == null) {
                return null;
            }
            StringBuilder sb = new StringBuilder();
            for (String str : list) {
                sb.append(str);
                sb.append(",");
            }
            return sb.toString();
        }

        public List<String> convertToEntityProperty(String str) {
            if (str == null) {
                return null;
            }
            return Arrays.asList(str.split(","));
        }
    }

    public VideoHistory(Long l, int i2, String str, long j2, String str2, String str3, int i3, int i4, String str4, double d2, int i5, int i6, boolean z, int i7, int i8, boolean z2, int i9, String str5, String str6, int i10, int i11, boolean z3, int i12, List<String> list, int i13) {
        this.id = l;
        this.videoId = i2;
        this.title = str;
        this.playTime = j2;
        this.coverImg = str2;
        this.verImg = str3;
        this.progress = i3;
        this.videoType = i4;
        this.playPath = str4;
        this.price = d2;
        this.fakeLikes = i5;
        this.fakeScoreNum = i6;
        this.isLike = z;
        this.userId = i7;
        this.fakeFavorites = i8;
        this.attention = z2;
        this.fakeWatchNum = i9;
        this.nickName = str5;
        this.logo = str6;
        this.videoMark = i10;
        this.commentNum = i11;
        this.isFavorite = z3;
        this.editState = i12;
        this.tagTitles = list;
        this.fakeShareNum = i13;
    }

    public boolean getAttention() {
        return this.attention;
    }

    public int getCommentNum() {
        return this.commentNum;
    }

    public String getCoverImg() {
        return this.coverImg;
    }

    public int getEditState() {
        return this.editState;
    }

    public int getFakeFavorites() {
        return this.fakeFavorites;
    }

    public int getFakeLikes() {
        return this.fakeLikes;
    }

    public int getFakeScoreNum() {
        return this.fakeScoreNum;
    }

    public int getFakeShareNum() {
        return this.fakeShareNum;
    }

    public int getFakeWatchNum() {
        return this.fakeWatchNum;
    }

    public Long getId() {
        return this.id;
    }

    public boolean getIsFavorite() {
        return this.isFavorite;
    }

    public boolean getIsLike() {
        return this.isLike;
    }

    public String getLogo() {
        return this.logo;
    }

    public String getNickName() {
        return this.nickName;
    }

    public String getPlayPath() {
        return this.playPath;
    }

    public long getPlayTime() {
        return this.playTime;
    }

    public double getPrice() {
        return this.price;
    }

    public int getProgress() {
        return this.progress;
    }

    public List<String> getTagTitles() {
        return this.tagTitles;
    }

    public String getTitle() {
        return this.title;
    }

    public int getUserId() {
        return this.userId;
    }

    public String getVerImg() {
        return this.verImg;
    }

    public int getVideoId() {
        return this.videoId;
    }

    public int getVideoMark() {
        return this.videoMark;
    }

    public int getVideoType() {
        return this.videoType;
    }

    public boolean isAttention() {
        return this.attention;
    }

    public boolean isFavorite() {
        return this.isFavorite;
    }

    public boolean isLike() {
        return this.isLike;
    }

    public void setAttention(boolean z) {
        this.attention = z;
    }

    public void setCommentNum(int i2) {
        this.commentNum = i2;
    }

    public void setCoverImg(String str) {
        this.coverImg = str;
    }

    public void setEditState(int i2) {
        this.editState = i2;
    }

    public void setFakeFavorites(int i2) {
        this.fakeFavorites = i2;
    }

    public void setFakeLikes(int i2) {
        this.fakeLikes = i2;
    }

    public void setFakeScoreNum(int i2) {
        this.fakeScoreNum = i2;
    }

    public void setFakeShareNum(int i2) {
        this.fakeShareNum = i2;
    }

    public void setFakeWatchNum(int i2) {
        this.fakeWatchNum = i2;
    }

    public void setFavorite(boolean z) {
        this.isFavorite = z;
    }

    public void setId(Long l) {
        this.id = l;
    }

    public void setIsFavorite(boolean z) {
        this.isFavorite = z;
    }

    public void setIsLike(boolean z) {
        this.isLike = z;
    }

    public void setLike(boolean z) {
        this.isLike = z;
    }

    public void setLogo(String str) {
        this.logo = str;
    }

    public void setNickName(String str) {
        this.nickName = str;
    }

    public void setPlayPath(String str) {
        this.playPath = str;
    }

    public void setPlayTime(long j2) {
        this.playTime = j2;
    }

    public void setPrice(double d2) {
        this.price = d2;
    }

    public void setProgress(int i2) {
        this.progress = i2;
    }

    public void setTagTitles(List<String> list) {
        this.tagTitles = list;
    }

    public void setTitle(String str) {
        this.title = str;
    }

    public void setUserId(int i2) {
        this.userId = i2;
    }

    public void setVerImg(String str) {
        this.verImg = str;
    }

    public void setVideoId(int i2) {
        this.videoId = i2;
    }

    public void setVideoMark(int i2) {
        this.videoMark = i2;
    }

    public void setVideoType(int i2) {
        this.videoType = i2;
    }

    public VideoHistory(int i2, String str, long j2, String str2, String str3, int i3, int i4, int i5, int i6, String str4, String str5, int i7, int i8, boolean z, String str6, int i9, int i10, int i11, boolean z2, int i12, int i13, boolean z3, List<String> list, int i14) {
        this.videoId = i2;
        this.title = str;
        this.playTime = j2;
        this.verImg = str3;
        this.coverImg = str2;
        this.progress = i3;
        this.editState = i4;
        this.videoType = i5;
        this.fakeWatchNum = i6;
        this.nickName = str4;
        this.logo = str5;
        this.videoMark = i7;
        this.commentNum = i8;
        this.isFavorite = z;
        this.playPath = str6;
        this.price = (double) i9;
        this.fakeLikes = i10;
        this.fakeScoreNum = i11;
        this.isLike = z2;
        this.userId = i12;
        this.fakeFavorites = i13;
        this.attention = z3;
        this.tagTitles = list;
        this.fakeShareNum = i14;
    }

    public VideoHistory() {
    }
}
