package com.grass.cstore.dialog;

import android.app.Dialog;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import android.widget.ImageView;
import androidx.annotation.NonNull;
import com.android.tiktok.d1681786505291105505.R;
import com.androidx.lv.base.bean.AdInfoBean;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.request.ReqAd;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.cookie.SerializableCookie;
import com.lzy.okgo.request.PostRequest;
import d.b.a.a.a;
import d.c.a.a.b;
import d.c.a.a.f.c;
import d.g.c.i;

public class DialogActivity extends Dialog {
    public b appLink;
    private boolean clickLimit = true;
    public ImageView iv_activity;
    public ImageView iv_dismiss;
    private long lastClickTime;

    public DialogActivity(@NonNull Context context, final AdInfoBean adInfoBean) {
        super(context, R.style.ForceUpdateAppDialog);
        setContentView(R.layout.dialog_activity);
        Window window = getWindow();
        WindowManager.LayoutParams attributes = window.getAttributes();
        attributes.width = -1;
        attributes.height = -1;
        window.setAttributes(attributes);
        setCancelable(false);
        setCanceledOnTouchOutside(false);
        ImageView imageView = (ImageView) findViewById(R.id.iv_activity);
        this.iv_activity = imageView;
        imageView.setOnClickListener(new View.OnClickListener() {
            /* class com.grass.cstore.dialog.DialogActivity.AnonymousClass1 */

            public void onClick(View view) {
                if (!DialogActivity.this.isOnClick()) {
                    if (adInfoBean.getJumpType() == 2) {
                        try {
                            Intent intent = new Intent();
                            intent.setAction("android.intent.action.VIEW");
                            intent.setData(Uri.parse(adInfoBean.getAdJump()));
                            DialogActivity.this.getContext().startActivity(intent);
                        } catch (Exception e2) {
                            e2.printStackTrace();
                        }
                    } else {
                        DialogActivity dialogActivity = DialogActivity.this;
                        if (dialogActivity.appLink == null) {
                            dialogActivity.appLink = new b(dialogActivity.getContext());
                        }
                        DialogActivity.this.appLink.a(adInfoBean.getAdJump());
                    }
                    if (adInfoBean.getAdId() != 0) {
                        String v = a.v(c.b.f1302a, new StringBuilder(), "/api/sys/click/upload");
                        ReqAd reqAd = new ReqAd();
                        reqAd.setAdId(adInfoBean.getAdId());
                        String f2 = new i().f(reqAd);
                        AnonymousClass1 r1 = new d.c.a.a.f.d.a<BaseRes>("AdClick") {
                            /* class com.grass.cstore.dialog.DialogActivity.AnonymousClass1.AnonymousClass1 */

                            public void onLvSuccess(BaseRes baseRes) {
                            }
                        };
                        ((PostRequest) ((PostRequest) ((PostRequest) ((PostRequest) new PostRequest(v).tag(r1.getTag())).cacheKey(v + "_" + f2)).upJson(f2)).cacheMode(CacheMode.NO_CACHE)).execute(r1);
                    }
                }
            }
        });
        c.a.a.a.k0(d.c.a.a.i.i.a().f1320b.getString(SerializableCookie.DOMAIN, "") + adInfoBean.getAdImage(), this.iv_activity);
        ImageView imageView2 = (ImageView) findViewById(R.id.iv_dismiss);
        this.iv_dismiss = imageView2;
        imageView2.setOnClickListener(new View.OnClickListener() {
            /* class com.grass.cstore.dialog.DialogActivity.AnonymousClass2 */

            public void onClick(View view) {
                DialogActivity.this.dismiss();
            }
        });
        findViewById(R.id.dialog_loading_view).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.cstore.dialog.DialogActivity.AnonymousClass3 */

            public void onClick(View view) {
                DialogActivity.this.dismiss();
            }
        });
    }

    public boolean isOnClick() {
        long currentTimeMillis = System.currentTimeMillis();
        long j2 = currentTimeMillis - this.lastClickTime;
        int i2 = (j2 > 1000 ? 1 : (j2 == 1000 ? 0 : -1));
        if (i2 > 0) {
            this.lastClickTime = currentTimeMillis;
        }
        return !this.clickLimit ? j2 < 0 : i2 <= 0;
    }
}
