package com.grass.cstore.dialog;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.net.Uri;
import android.os.Build;
import android.os.Environment;
import android.provider.MediaStore;
import android.text.TextUtils;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.fragment.app.FragmentActivity;
import com.android.tiktok.d1681786505291105505.R;
import com.androidx.lv.base.http.BaseRes;
import com.grass.cstore.bean.ShareLinkBean;
import com.lxj.xpopup.core.CenterPopupView;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import com.tbruyelle.rxpermissions2.RxPermissions;
import d.c.a.a.f.c;
import d.c.a.a.f.d.a;
import d.c.a.a.i.j;
import f.a.a0.g;
import io.reactivex.internal.functions.Functions;
import java.io.File;
import java.io.FileOutputStream;

public class IdentifyCardDialog extends CenterPopupView {
    private boolean clickLimit = true;
    private ImageView ivQrCode;
    private long lastClickTime;
    private String link;
    private Context mContext;
    private LinearLayout rootView;
    private TextView tvSaveImg;
    private TextView tvSaveLink;
    private TextView tvUrl;
    private int videoId;

    public IdentifyCardDialog(@NonNull Context context, int i2) {
        super(context);
        this.mContext = context;
        this.videoId = i2;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @SuppressLint({"CheckResult"})
    private void requestPermission(final Bitmap bitmap) {
        if (Build.VERSION.SDK_INT >= 23) {
            new RxPermissions((FragmentActivity) this.mContext).request("android.permission.WRITE_EXTERNAL_STORAGE").i(new g<Boolean>() {
                /* class com.grass.cstore.dialog.IdentifyCardDialog.AnonymousClass4 */

                public void accept(Boolean bool) {
                    if (bool.booleanValue()) {
                        IdentifyCardDialog identifyCardDialog = IdentifyCardDialog.this;
                        identifyCardDialog.saveImageToGallery(identifyCardDialog.mContext, bitmap);
                        return;
                    }
                    j.a().c("未授權權限，請在設置中允許權限");
                }
            }, Functions.f5374e, Functions.f5372c, Functions.f5373d);
        } else {
            saveImageToGallery(this.mContext, bitmap);
        }
    }

    @Override // com.lxj.xpopup.core.BasePopupView, com.lxj.xpopup.core.CenterPopupView
    public int getImplLayoutId() {
        return R.layout.dialog_idcard_layout;
    }

    public void getShareLink(int i2) {
        String k = c.b.f1302a.k(i2);
        AnonymousClass3 r0 = new a<BaseRes<ShareLinkBean>>("ShareLink") {
            /* class com.grass.cstore.dialog.IdentifyCardDialog.AnonymousClass3 */

            @Override // d.c.a.a.f.d.a, d.m.a.d.b, d.m.a.d.a
            public void onError(d.m.a.h.a<BaseRes<ShareLinkBean>> aVar) {
                super.onError(aVar);
            }

            public void onLvSuccess(BaseRes<ShareLinkBean> baseRes) {
                if (200 == baseRes.getCode() && !TextUtils.isEmpty(baseRes.getData().getUrl())) {
                    IdentifyCardDialog.this.link = baseRes.getData().getUrl();
                    TextView textView = IdentifyCardDialog.this.tvUrl;
                    textView.setText(baseRes.getData().getUrl() + "");
                    IdentifyCardDialog.this.ivQrCode.setImageBitmap(c.a.a.a.w(IdentifyCardDialog.this.link, 400));
                }
            }
        };
        ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(k).tag(r0.getTag())).cacheKey(k)).cacheMode(CacheMode.NO_CACHE)).execute(r0);
    }

    public boolean isOnClick() {
        long currentTimeMillis = System.currentTimeMillis();
        long j2 = currentTimeMillis - this.lastClickTime;
        int i2 = (j2 > 1000 ? 1 : (j2 == 1000 ? 0 : -1));
        if (i2 > 0) {
            this.lastClickTime = currentTimeMillis;
        }
        return !this.clickLimit ? j2 < 0 : i2 <= 0;
    }

    @Override // com.lxj.xpopup.core.BasePopupView
    public void onCreate() {
        super.onCreate();
        this.ivQrCode = (ImageView) findViewById(R.id.iv_qr_code);
        this.tvUrl = (TextView) findViewById(R.id.tv_url);
        this.tvSaveImg = (TextView) findViewById(R.id.tv_saveImg);
        this.tvSaveLink = (TextView) findViewById(R.id.tv_saveLink);
        this.rootView = (LinearLayout) findViewById(R.id.root_view);
        getShareLink(this.videoId);
        this.tvSaveImg.setOnClickListener(new View.OnClickListener() {
            /* class com.grass.cstore.dialog.IdentifyCardDialog.AnonymousClass1 */

            public void onClick(View view) {
                if (!IdentifyCardDialog.this.isOnClick()) {
                    IdentifyCardDialog identifyCardDialog = IdentifyCardDialog.this;
                    LinearLayout linearLayout = identifyCardDialog.rootView;
                    Bitmap createBitmap = Bitmap.createBitmap(linearLayout.getWidth(), IdentifyCardDialog.this.rootView.getHeight(), Bitmap.Config.RGB_565);
                    Canvas canvas = new Canvas(createBitmap);
                    canvas.drawColor(-1);
                    linearLayout.draw(canvas);
                    identifyCardDialog.requestPermission(createBitmap);
                }
            }
        });
        this.tvSaveLink.setOnClickListener(new View.OnClickListener() {
            /* class com.grass.cstore.dialog.IdentifyCardDialog.AnonymousClass2 */

            public void onClick(View view) {
                if (!IdentifyCardDialog.this.isOnClick()) {
                    if (TextUtils.isEmpty(IdentifyCardDialog.this.link)) {
                        j.a().e("鏈接錯誤");
                    } else if (!c.a.a.a.v(IdentifyCardDialog.this.link)) {
                        j.a().e("復制失敗");
                    } else {
                        j.a().b("復制成功");
                    }
                }
            }
        });
    }

    public void saveImageToGallery(Context context, Bitmap bitmap) {
        String str;
        this.tvSaveImg.setVisibility(0);
        this.tvSaveLink.setVisibility(0);
        if (Build.VERSION.SDK_INT >= 29) {
            str = Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_DOCUMENTS).getPath() + "/pic_file";
        } else {
            str = Environment.getExternalStorageDirectory().getPath() + "/pic_file";
        }
        File file = new File(str);
        if (!file.exists()) {
            file.mkdir();
        }
        String str2 = System.currentTimeMillis() + ".jpg";
        File file2 = new File(file, str2);
        try {
            FileOutputStream fileOutputStream = new FileOutputStream(file2);
            bitmap.compress(Bitmap.CompressFormat.JPEG, 100, fileOutputStream);
            fileOutputStream.flush();
            fileOutputStream.close();
            MediaStore.Images.Media.insertImage(context.getContentResolver(), file2.getAbsolutePath(), str2, (String) null);
            context.sendBroadcast(new Intent("android.intent.action.MEDIA_SCANNER_SCAN_FILE", Uri.fromFile(file2)));
            j.a().b("保存成功");
        } catch (Exception e2) {
            e2.printStackTrace();
            j.a().e("保存失败");
        }
    }
}
