package com.grass.cstore.ui.video;

import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.os.CountDownTimer;
import android.util.Log;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import android.widget.TextView;
import com.android.tiktok.d1681786505291105505.R;
import com.androidx.lv.base.bean.AdInfoBean;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.service.AdClickService;
import com.androidx.lv.base.ui.BaseActivity;
import com.grass.cstore.bean.VideoBean;
import com.grass.cstore.bean.VideoListBean;
import com.grass.cstore.databinding.ActivityVideoListBinding;
import com.grass.cstore.model.ShareModel;
import com.grass.cstore.player.tiktok.TikTokPlayer;
import com.grass.cstore.player.tiktok.ViewPagerLayoutManager;
import com.grass.cstore.ui.comment.CommentFragment;
import com.grass.cstore.ui.video.adapter.TikTokAdapter;
import com.grass.cstore.view.CustomDialog;
import com.gyf.immersionbar.ImmersionBar;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import com.shuyu.gsyvideoplayer.utils.GSYVideoType;
import d.c.a.a.f.c;
import d.c.a.a.i.c;
import d.g.c.i;
import d.h.a.g.u.e;
import d.h.a.h.d;
import d.h.a.h.k;
import d.h.a.h.l;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import me.jessyan.autosize.internal.CancelAdapt;
import org.greenrobot.eventbus.ThreadMode;

public class VideoListActivity extends BaseActivity<ActivityVideoListBinding> implements d.h.a.f.b.a, d.c.a.a.g.a, TikTokPlayer.h, CommentFragment.b, CancelAdapt {
    public TikTokAdapter l;
    public int m = 1;
    public int n = 1;
    public TikTokPlayer o;
    public List<VideoBean> p;
    public ViewPagerLayoutManager q;
    public CommentFragment r;
    public d.c.a.a.b s;
    public boolean t = true;
    public boolean u;
    public int v;
    public CountDownTimer w;

    public class a extends ViewPagerLayoutManager {
        public a(Context context, int i2) {
            super(context, i2);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
        public boolean canScrollVertically() {
            return VideoListActivity.this.t;
        }
    }

    public class b extends d.c.a.a.f.d.a<BaseRes<VideoListBean>> {
        public b(String str) {
            super(str);
        }

        @Override // d.c.a.a.f.d.b
        public void onLvSuccess(Object obj) {
            BaseRes baseRes = (BaseRes) obj;
            if (baseRes.getCode() == 200 && baseRes.getData() != null && ((VideoListBean) baseRes.getData()).getData() != null && ((VideoListBean) baseRes.getData()).getData().size() > 0) {
                VideoListActivity.this.n++;
                List<VideoBean> data = ((VideoListBean) baseRes.getData()).getData();
                int c2 = c.e().c("FEED_PAGE");
                if (c.e().b("FEED_PAGE", 0, 0) != null) {
                    int i2 = 0;
                    for (int i3 = 0; i3 < data.size(); i3++) {
                        if (i2 == c2) {
                            AdInfoBean b2 = c.e().b("FEED_PAGE", 0, 0);
                            VideoBean videoBean = new VideoBean();
                            videoBean.setAd(true);
                            ArrayList arrayList = new ArrayList();
                            arrayList.add(b2.getAdImage());
                            videoBean.setCoverImg(arrayList);
                            videoBean.setAdInfoBean(b2);
                            data.add(i3, videoBean);
                            i2 = 0;
                        } else {
                            i2++;
                        }
                    }
                }
                VideoListActivity.this.l.e(data);
            }
        }
    }

    public VideoListActivity() {
        new i();
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public void C() {
        this.l.setData(this.p);
        ((ActivityVideoListBinding) this.f222h).f786j.scrollToPosition(this.m);
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public void D() {
        ImmersionBar.with(this).statusBarDarkFont(false).autoDarkModeEnable(false).keyboardEnable(false).titleBar(((ActivityVideoListBinding) this.f222h).l).init();
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public int G() {
        return R.layout.activity_video_list;
    }

    public void H() {
        if (this.v != 0) {
            String d2 = c.b.f1302a.d(this.n);
            b bVar = new b("loadMoreVideo");
            ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(d2).tag(bVar.getTag())).cacheKey(d2)).cacheMode(CacheMode.NO_CACHE)).execute(bVar);
        }
    }

    public final void I(VideoBean videoBean) {
        if (d.c.a.a.i.i.a().b().getInviteUserNum() <= 0) {
            d a2 = d.a();
            int videoId = videoBean.getVideoId();
            Objects.requireNonNull(a2);
            CustomDialog customDialog = new CustomDialog(this, R.style.custom_dialog_style, R.layout.dialog_video_hint, false);
            customDialog.setCanceledOnTouchOutside(true);
            customDialog.setCancelable(true);
            if (!isFinishing()) {
                customDialog.show();
                Window window = customDialog.getWindow();
                window.getDecorView().setPadding(0, 0, 0, 0);
                WindowManager.LayoutParams attributes = window.getAttributes();
                attributes.width = -1;
                attributes.height = -2;
                window.setAttributes(attributes);
            }
            TextView textView = (TextView) customDialog.findViewById(R.id.tv_content);
            customDialog.findViewById(R.id.tv_submit).setOnClickListener(new k(a2, videoId, this, customDialog));
            customDialog.findViewById(R.id.tv_cancel).setOnClickListener(new l(a2, customDialog));
            return;
        }
        videoBean.setCanWatch(true);
        TikTokAdapter.Holder holder = (TikTokAdapter.Holder) ((ActivityVideoListBinding) this.f222h).f786j.findViewHolderForLayoutPosition(this.m);
        if (holder != null) {
            this.o = holder.k;
            if (videoBean.isAd()) {
                this.t = false;
                long minStaySecond = (long) (videoBean.getAdInfoBean().getMinStaySecond() * 1000);
                CountDownTimer countDownTimer = this.w;
                if (countDownTimer != null) {
                    countDownTimer.cancel();
                    this.w = null;
                }
                e eVar = new e(this, minStaySecond, 1000);
                this.w = eVar;
                eVar.start();
                if ("VIDEO".equals(videoBean.getAdInfoBean().getAdType())) {
                    GSYVideoType.setShowType(0);
                    StringBuilder n2 = d.b.a.a.a.n(d.b.a.a.a.j(new StringBuilder(), c.b.f1302a.f1301a, "/api/m3u8/decode/byPath?path="));
                    n2.append(videoBean.getAdInfoBean().getAdPlay());
                    this.o.setUp(n2.toString(), true, "");
                    this.o.setCurrentVideoBean(videoBean);
                    this.o.startPlayLogic();
                    return;
                }
                return;
            }
            this.t = true;
            int height = ((ActivityVideoListBinding) this.f222h).f784d.getHeight();
            videoBean.getVideoScale(height);
            TikTokAdapter tikTokAdapter = this.l;
            if (tikTokAdapter.f966c != height) {
                tikTokAdapter.f966c = height;
            }
            this.o.setCurrentVideoBean(videoBean);
            this.o.setVideoStopInterFace(this);
            this.o.e();
        }
    }

    @Override // d.h.a.f.b.a
    public void c(int i2, boolean z) {
        List<D> list;
        if (this.m != i2 && (list = this.l.f216a) != null && list.size() >= this.m - 1) {
            this.m = i2;
            I((VideoBean) this.l.b(i2));
            if (z && this.u) {
                H();
            }
        }
    }

    @Override // com.grass.cstore.ui.comment.CommentFragment.b
    public void f(int i2, int i3) {
        this.l.f216a.get(i2).setCommentNum(i3);
        this.l.notifyItemChanged(i2, Integer.valueOf((int) R.id.tv_comment));
        i.a.a.c.b().f(new d.h.a.c.c(this.l.f216a.get(i2).getVideoId(), i3, 0));
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public void initView() {
        i.a.a.c.b().j(this);
        this.n = 2;
        getWindow().setBackgroundDrawableResource(R.color.bgColor);
        this.m = getIntent().getIntExtra("position", 0);
        this.p = (List) getIntent().getSerializableExtra("parcelable_entity");
        this.u = getIntent().getBooleanExtra("loadMore", false);
        this.v = getIntent().getIntExtra("id", 0);
        c.a.a.a.M();
        ((ActivityVideoListBinding) this.f222h).f785h.setOnClickListener(new d.h.a.g.u.a(this));
        a aVar = new a(this, 1);
        this.q = aVar;
        ((ActivityVideoListBinding) this.f222h).f786j.setLayoutManager(aVar);
        TikTokAdapter tikTokAdapter = new TikTokAdapter();
        this.l = tikTokAdapter;
        ((ActivityVideoListBinding) this.f222h).f786j.setAdapter(tikTokAdapter);
        this.l.f217b = this;
        this.q.f860b = this;
        int i2 = CommentFragment.f872d;
        Bundle bundle = new Bundle();
        CommentFragment commentFragment = new CommentFragment();
        commentFragment.setArguments(bundle);
        this.r = commentFragment;
        commentFragment.x = this;
        if (this.m == this.p.size() - 1 && this.u) {
            H();
        }
    }

    @i.a.a.l(threadMode = ThreadMode.MAIN)
    public void onCollectEvent(d.h.a.c.b bVar) {
        List<D> list = this.l.f216a;
        if (list != null && list.size() > 0) {
            for (int i2 = 0; i2 < list.size(); i2++) {
                if (list.get(i2).getVideoId() == bVar.f4034a) {
                    list.get(i2).setLike(bVar.f4036c);
                    list.get(i2).setFakeLikes(bVar.f4035b);
                    this.l.notifyItemChanged(i2, "payload");
                }
            }
        }
    }

    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, com.androidx.lv.base.ui.BaseActivity
    public void onDestroy() {
        super.onDestroy();
        i.a.a.c.b().l(this);
        try {
            this.o.release();
            this.o = null;
        } catch (Exception unused) {
            Log.e("", "");
        }
    }

    @Override // d.h.a.f.b.a
    public void onInitComplete(View view) {
        I((VideoBean) this.l.b(this.m));
    }

    @Override // d.c.a.a.g.a
    public void onItemClick(View view, int i2) {
        VideoBean videoBean;
        if (E() || (videoBean = (VideoBean) this.l.b(i2)) == null) {
            return;
        }
        if (view.getId() == R.id.tv_comment) {
            if (!d.c.a.a.i.d.a(1000)) {
                int videoId = ((VideoBean) this.l.b(i2)).getVideoId();
                int commentNum = ((VideoBean) this.l.b(i2)).getCommentNum();
                CommentFragment commentFragment = this.r;
                commentFragment.l = videoId;
                commentFragment.s = commentNum;
                commentFragment.t = i2;
                commentFragment.show(getSupportFragmentManager(), "VideoListActivity");
            }
        } else if (view.getId() == R.id.tv_share1) {
            new ShareModel().b(videoBean.getVideoId(), this);
        } else if (view.getId() != R.id.img_user_head && view.getId() != R.id.iv_ad_cover) {
            if (view.getId() == R.id.ll_go_download || view.getId() == R.id.img_user_head1) {
                AdInfoBean adInfoBean = videoBean.getAdInfoBean();
                if (adInfoBean.getJumpType() == 2) {
                    try {
                        Intent intent = new Intent();
                        intent.setAction("android.intent.action.VIEW");
                        intent.setData(Uri.parse(adInfoBean.getAdJump()));
                        startActivity(intent);
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                } else {
                    if (this.s == null) {
                        this.s = new d.c.a.a.b(this);
                    }
                    this.s.a(adInfoBean.getAdJump());
                }
                Intent intent2 = new Intent(this, AdClickService.class);
                intent2.putExtra("adId", adInfoBean.getAdId());
                startService(intent2);
            }
        }
    }

    @Override // androidx.fragment.app.FragmentActivity
    public void onNewIntent(Intent intent) {
        super.onNewIntent(intent);
        this.l.clear();
        this.n = 1;
        this.m = intent.getIntExtra("position", 0);
        this.p = (List) intent.getSerializableExtra("parcelable_entity");
        this.u = intent.getBooleanExtra("loadMore", false);
        this.v = intent.getIntExtra("stationId", 0);
        this.l.setData(this.p);
        ((ActivityVideoListBinding) this.f222h).f786j.scrollToPosition(this.m);
        if (this.m == this.p.size() - 1 && this.u) {
            H();
        }
    }

    @Override // androidx.fragment.app.FragmentActivity
    public void onPause() {
        super.onPause();
        TikTokPlayer tikTokPlayer = this.o;
        if (tikTokPlayer != null) {
            tikTokPlayer.onVideoPause();
        }
    }

    @Override // androidx.fragment.app.FragmentActivity
    public void onResume() {
        super.onResume();
        TikTokPlayer tikTokPlayer = this.o;
        if (tikTokPlayer != null) {
            tikTokPlayer.d();
        }
        TikTokPlayer tikTokPlayer2 = this.o;
        if (tikTokPlayer2 == null || tikTokPlayer2.getCurrentState() != 5) {
            TikTokPlayer tikTokPlayer3 = this.o;
            if (tikTokPlayer3 != null && tikTokPlayer3.getCurrentVideoBean() != null) {
                I(this.o.getCurrentVideoBean());
                return;
            }
            return;
        }
        this.o.onVideoResume();
    }

    @Override // com.grass.cstore.player.tiktok.TikTokPlayer.h
    public void r(VideoBean videoBean) {
        ((VideoBean) this.l.b(this.m)).setReasonType(videoBean.getReasonType());
        this.l.notifyItemChanged(this.m, "payload");
    }

    @Override // d.h.a.f.b.a
    public void w(boolean z, int i2) {
        TikTokPlayer tikTokPlayer;
        if (this.m == i2 && (tikTokPlayer = this.o) != null) {
            tikTokPlayer.release();
        }
    }
}
