package com.gyf.immersionbar;

import android.view.View;
import androidx.annotation.ColorInt;
import androidx.annotation.FloatRange;
import androidx.core.view.ViewCompat;
import com.google.android.material.shadow.ShadowDrawableWrapper;
import java.util.HashMap;
import java.util.Map;

public class BarParams implements Cloneable {
    @FloatRange(from = ShadowDrawableWrapper.COS_45, to = 1.0d)
    public float autoNavigationBarDarkModeAlpha = 0.0f;
    public boolean autoNavigationBarDarkModeEnable = false;
    @FloatRange(from = ShadowDrawableWrapper.COS_45, to = 1.0d)
    public float autoStatusBarDarkModeAlpha = 0.0f;
    public boolean autoStatusBarDarkModeEnable = false;
    public boolean barEnable = true;
    public BarHide barHide = BarHide.FLAG_SHOW_BAR;
    @FloatRange(from = ShadowDrawableWrapper.COS_45, to = 1.0d)
    public float contentAlpha = 0.0f;
    @ColorInt
    public int contentColor = 0;
    @ColorInt
    public int contentColorTransform = ViewCompat.MEASURED_STATE_MASK;
    public int defaultNavigationBarColor = ViewCompat.MEASURED_STATE_MASK;
    public boolean fits = false;
    public boolean fitsLayoutOverlapEnable = true;
    @ColorInt
    public int flymeOSStatusBarFontColor;
    @ColorInt
    public int flymeOSStatusBarFontTempColor;
    public boolean fullScreen = false;
    public boolean hideNavigationBar = false;
    public boolean isSupportActionBar = false;
    public boolean keyboardEnable = false;
    public int keyboardMode = 18;
    @FloatRange(from = ShadowDrawableWrapper.COS_45, to = 1.0d)
    public float navigationBarAlpha = 0.0f;
    @ColorInt
    public int navigationBarColor = ViewCompat.MEASURED_STATE_MASK;
    @ColorInt
    public int navigationBarColorTransform = ViewCompat.MEASURED_STATE_MASK;
    public boolean navigationBarDarkIcon = false;
    public boolean navigationBarEnable = true;
    @FloatRange(from = ShadowDrawableWrapper.COS_45, to = 1.0d)
    public float navigationBarTempAlpha = 0.0f;
    public boolean navigationBarWithEMUI3Enable = true;
    public boolean navigationBarWithKitkatEnable = true;
    public OnBarListener onBarListener;
    public OnKeyboardListener onKeyboardListener;
    public OnNavigationBarListener onNavigationBarListener;
    @FloatRange(from = ShadowDrawableWrapper.COS_45, to = 1.0d)
    public float statusBarAlpha = 0.0f;
    @ColorInt
    public int statusBarColor = 0;
    public boolean statusBarColorEnabled = true;
    @ColorInt
    public int statusBarColorTransform = ViewCompat.MEASURED_STATE_MASK;
    public boolean statusBarDarkFont = false;
    @FloatRange(from = ShadowDrawableWrapper.COS_45, to = 1.0d)
    public float statusBarTempAlpha = 0.0f;
    public View statusBarView;
    public View titleBarView;
    @FloatRange(from = ShadowDrawableWrapper.COS_45, to = 1.0d)
    public float viewAlpha = 0.0f;
    public Map<View, Map<Integer, Integer>> viewMap = new HashMap();

    @Override // java.lang.Object
    public BarParams clone() {
        try {
            return (BarParams) super.clone();
        } catch (CloneNotSupportedException unused) {
            return null;
        }
    }
}
