package com.luck.picture.lib;

import android.content.Context;
import android.text.TextUtils;
import android.view.View;
import android.view.animation.AccelerateInterpolator;
import android.widget.TextView;
import androidx.appcompat.widget.ActivityChooserView;
import androidx.core.content.ContextCompat;
import androidx.recyclerview.widget.RecyclerView;
import com.luck.picture.lib.adapter.PictureWeChatPreviewGalleryAdapter;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.config.PictureSelectionConfig;
import com.luck.picture.lib.decoration.GridSpacingItemDecoration;
import com.luck.picture.lib.decoration.WrapContentLinearLayoutManager;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.style.PictureParameterStyle;
import com.luck.picture.lib.tools.ScreenUtils;
import d.k.a.a.f0;
import java.util.List;

public class PictureSelectorPreviewWeChatStyleActivity extends PicturePreviewActivity {
    private static final int ALPHA_DURATION = 300;
    private View bottomLine;
    private PictureWeChatPreviewGalleryAdapter mGalleryAdapter;
    private TextView mPictureSendView;
    private RecyclerView mRvGallery;
    private TextView tvSelected;

    private void goneParent() {
        if (this.tvMediaNum.getVisibility() == 0) {
            this.tvMediaNum.setVisibility(8);
        }
        if (this.mTvPictureOk.getVisibility() == 0) {
            this.mTvPictureOk.setVisibility(8);
        }
        if (!TextUtils.isEmpty(this.check.getText())) {
            this.check.setText("");
        }
    }

    private boolean isEqualsDirectory(String str, String str2) {
        return this.isBottomPreview || TextUtils.isEmpty(str) || TextUtils.isEmpty(str2) || str2.equals(getString(R.string.picture_camera_roll)) || str.equals(str2);
    }

    private void onChangeMediaStatus(LocalMedia localMedia) {
        int itemCount;
        PictureWeChatPreviewGalleryAdapter pictureWeChatPreviewGalleryAdapter = this.mGalleryAdapter;
        if (pictureWeChatPreviewGalleryAdapter != null && (itemCount = pictureWeChatPreviewGalleryAdapter.getItemCount()) > 0) {
            boolean z = false;
            for (int i2 = 0; i2 < itemCount; i2++) {
                LocalMedia item = this.mGalleryAdapter.getItem(i2);
                if (item != null && !TextUtils.isEmpty(item.getPath())) {
                    boolean isChecked = item.isChecked();
                    boolean z2 = true;
                    boolean z3 = item.getPath().equals(localMedia.getPath()) || item.getId() == localMedia.getId();
                    if (!z) {
                        if ((!isChecked || z3) && (isChecked || !z3)) {
                            z2 = false;
                        }
                        z = z2;
                    }
                    item.setChecked(z3);
                }
            }
            if (z) {
                this.mGalleryAdapter.notifyDataSetChanged();
            }
        }
    }

    public /* synthetic */ void E(int i2, LocalMedia localMedia, View view) {
        if (this.viewPager != null && localMedia != null && isEqualsDirectory(localMedia.getParentFolderName(), this.currentDirectory)) {
            if (!this.isBottomPreview) {
                i2 = this.isShowCamera ? localMedia.position - 1 : localMedia.position;
            }
            this.viewPager.setCurrentItem(i2);
        }
    }

    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PicturePreviewActivity
    public int getResourceId() {
        return R.layout.picture_wechat_style_preview;
    }

    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PicturePreviewActivity
    public void initCompleteText(int i2) {
        int i3;
        String str;
        String str2;
        String str3;
        String str4;
        String str5;
        String str6;
        PictureSelectionConfig pictureSelectionConfig = this.config;
        PictureParameterStyle pictureParameterStyle = pictureSelectionConfig.style;
        boolean z = pictureParameterStyle != null;
        if (!pictureSelectionConfig.isWithVideoImage) {
            if (!PictureMimeType.isHasVideo(this.selectData.get(0).getMimeType()) || (i3 = this.config.maxVideoSelectNum) <= 0) {
                i3 = this.config.maxSelectNum;
            }
            PictureSelectionConfig pictureSelectionConfig2 = this.config;
            if (pictureSelectionConfig2.selectionMode != 1) {
                if (!(z && pictureSelectionConfig2.style.isCompleteReplaceNum) || TextUtils.isEmpty(pictureSelectionConfig2.style.pictureCompleteText)) {
                    TextView textView = this.mPictureSendView;
                    if (!z || TextUtils.isEmpty(this.config.style.pictureUnCompleteText)) {
                        str = getString(R.string.picture_send_num, new Object[]{Integer.valueOf(this.selectData.size()), Integer.valueOf(i3)});
                    } else {
                        str = this.config.style.pictureUnCompleteText;
                    }
                    textView.setText(str);
                    return;
                }
                this.mPictureSendView.setText(String.format(this.config.style.pictureCompleteText, Integer.valueOf(this.selectData.size()), Integer.valueOf(i3)));
            } else if (i2 <= 0) {
                TextView textView2 = this.mPictureSendView;
                if (!z || TextUtils.isEmpty(pictureSelectionConfig2.style.pictureUnCompleteText)) {
                    str3 = getString(R.string.picture_send);
                } else {
                    str3 = this.config.style.pictureUnCompleteText;
                }
                textView2.setText(str3);
            } else {
                if (!(z && pictureSelectionConfig2.style.isCompleteReplaceNum) || TextUtils.isEmpty(pictureSelectionConfig2.style.pictureCompleteText)) {
                    TextView textView3 = this.mPictureSendView;
                    if (!z || TextUtils.isEmpty(this.config.style.pictureCompleteText)) {
                        str2 = getString(R.string.picture_send);
                    } else {
                        str2 = this.config.style.pictureCompleteText;
                    }
                    textView3.setText(str2);
                    return;
                }
                this.mPictureSendView.setText(String.format(this.config.style.pictureCompleteText, Integer.valueOf(this.selectData.size()), 1));
            }
        } else if (pictureSelectionConfig.selectionMode != 1) {
            if (!(z && pictureParameterStyle.isCompleteReplaceNum) || TextUtils.isEmpty(pictureParameterStyle.pictureCompleteText)) {
                TextView textView4 = this.mPictureSendView;
                if (!z || TextUtils.isEmpty(this.config.style.pictureUnCompleteText)) {
                    str4 = getString(R.string.picture_send_num, new Object[]{Integer.valueOf(this.selectData.size()), Integer.valueOf(this.config.maxSelectNum)});
                } else {
                    str4 = this.config.style.pictureUnCompleteText;
                }
                textView4.setText(str4);
                return;
            }
            this.mPictureSendView.setText(String.format(this.config.style.pictureCompleteText, Integer.valueOf(this.selectData.size()), Integer.valueOf(this.config.maxSelectNum)));
        } else if (i2 <= 0) {
            TextView textView5 = this.mPictureSendView;
            if (!z || TextUtils.isEmpty(pictureParameterStyle.pictureUnCompleteText)) {
                str6 = getString(R.string.picture_send);
            } else {
                str6 = this.config.style.pictureUnCompleteText;
            }
            textView5.setText(str6);
        } else {
            if (!(z && pictureParameterStyle.isCompleteReplaceNum) || TextUtils.isEmpty(pictureParameterStyle.pictureCompleteText)) {
                TextView textView6 = this.mPictureSendView;
                if (!z || TextUtils.isEmpty(this.config.style.pictureCompleteText)) {
                    str5 = getString(R.string.picture_send);
                } else {
                    str5 = this.config.style.pictureCompleteText;
                }
                textView6.setText(str5);
                return;
            }
            this.mPictureSendView.setText(String.format(this.config.style.pictureCompleteText, Integer.valueOf(this.selectData.size()), 1));
        }
    }

    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PicturePreviewActivity
    public void initPictureSelectorStyle() {
        super.initPictureSelectorStyle();
        PictureParameterStyle pictureParameterStyle = this.config.style;
        if (pictureParameterStyle != null) {
            int i2 = pictureParameterStyle.pictureCompleteBackgroundStyle;
            if (i2 != 0) {
                this.mPictureSendView.setBackgroundResource(i2);
            } else {
                this.mPictureSendView.setBackgroundResource(R.drawable.picture_send_button_bg);
            }
            int i3 = this.config.style.pictureRightTextSize;
            if (i3 != 0) {
                this.mPictureSendView.setTextSize((float) i3);
            }
            if (!TextUtils.isEmpty(this.config.style.pictureWeChatPreviewSelectedText)) {
                this.tvSelected.setText(this.config.style.pictureWeChatPreviewSelectedText);
            }
            int i4 = this.config.style.pictureWeChatPreviewSelectedTextSize;
            if (i4 != 0) {
                this.tvSelected.setTextSize((float) i4);
            }
            int i5 = this.config.style.picturePreviewBottomBgColor;
            if (i5 != 0) {
                this.selectBarLayout.setBackgroundColor(i5);
            } else {
                this.selectBarLayout.setBackgroundColor(ContextCompat.getColor(getContext(), R.color.picture_color_half_grey));
            }
            PictureParameterStyle pictureParameterStyle2 = this.config.style;
            int i6 = pictureParameterStyle2.pictureCompleteTextColor;
            if (i6 != 0) {
                this.mPictureSendView.setTextColor(i6);
            } else {
                int i7 = pictureParameterStyle2.pictureCancelTextColor;
                if (i7 != 0) {
                    this.mPictureSendView.setTextColor(i7);
                } else {
                    this.mPictureSendView.setTextColor(ContextCompat.getColor(getContext(), R.color.picture_color_white));
                }
            }
            if (this.config.style.pictureOriginalFontColor == 0) {
                this.mCbOriginal.setTextColor(ContextCompat.getColor(this, R.color.picture_color_white));
            }
            int i8 = this.config.style.pictureWeChatChooseStyle;
            if (i8 != 0) {
                this.check.setBackgroundResource(i8);
            } else {
                this.check.setBackgroundResource(R.drawable.picture_wechat_select_cb);
            }
            PictureSelectionConfig pictureSelectionConfig = this.config;
            if (pictureSelectionConfig.isOriginalControl && pictureSelectionConfig.style.pictureOriginalControlStyle == 0) {
                this.mCbOriginal.setButtonDrawable(ContextCompat.getDrawable(this, R.drawable.picture_original_wechat_checkbox));
            }
            int i9 = this.config.style.pictureWeChatLeftBackStyle;
            if (i9 != 0) {
                this.pictureLeftBack.setImageResource(i9);
            } else {
                this.pictureLeftBack.setImageResource(R.drawable.picture_icon_back);
            }
            if (!TextUtils.isEmpty(this.config.style.pictureUnCompleteText)) {
                this.mPictureSendView.setText(this.config.style.pictureUnCompleteText);
            }
        } else {
            this.mPictureSendView.setBackgroundResource(R.drawable.picture_send_button_bg);
            TextView textView = this.mPictureSendView;
            Context context = getContext();
            int i10 = R.color.picture_color_white;
            textView.setTextColor(ContextCompat.getColor(context, i10));
            this.selectBarLayout.setBackgroundColor(ContextCompat.getColor(getContext(), R.color.picture_color_half_grey));
            this.check.setBackgroundResource(R.drawable.picture_wechat_select_cb);
            this.pictureLeftBack.setImageResource(R.drawable.picture_icon_back);
            this.mCbOriginal.setTextColor(ContextCompat.getColor(this, i10));
            if (this.config.isOriginalControl) {
                this.mCbOriginal.setButtonDrawable(ContextCompat.getDrawable(this, R.drawable.picture_original_wechat_checkbox));
            }
        }
        onSelectNumChange(false);
    }

    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PicturePreviewActivity
    public void initWidgets() {
        boolean z;
        super.initWidgets();
        goneParent();
        this.mRvGallery = (RecyclerView) findViewById(R.id.rv_gallery);
        this.bottomLine = findViewById(R.id.bottomLine);
        this.tvSelected = (TextView) findViewById(R.id.tv_selected);
        TextView textView = (TextView) findViewById(R.id.picture_send);
        this.mPictureSendView = textView;
        textView.setOnClickListener(this);
        this.mPictureSendView.setText(getString(R.string.picture_send));
        this.mCbOriginal.setTextSize(16.0f);
        this.mGalleryAdapter = new PictureWeChatPreviewGalleryAdapter(this.config);
        WrapContentLinearLayoutManager wrapContentLinearLayoutManager = new WrapContentLinearLayoutManager(getContext());
        wrapContentLinearLayoutManager.setOrientation(0);
        this.mRvGallery.setLayoutManager(wrapContentLinearLayoutManager);
        this.mRvGallery.addItemDecoration(new GridSpacingItemDecoration(ActivityChooserView.ActivityChooserViewAdapter.MAX_ACTIVITY_COUNT_UNLIMITED, ScreenUtils.dip2px(this, 8.0f), false));
        this.mRvGallery.setAdapter(this.mGalleryAdapter);
        this.mGalleryAdapter.setItemClickListener(new f0(this));
        if (this.isBottomPreview) {
            List<LocalMedia> list = this.selectData;
            if (list != null && list.size() > this.position) {
                int size = this.selectData.size();
                for (int i2 = 0; i2 < size; i2++) {
                    this.selectData.get(i2).setChecked(false);
                }
                this.selectData.get(this.position).setChecked(true);
                return;
            }
            return;
        }
        List<LocalMedia> list2 = this.selectData;
        int size2 = list2 != null ? list2.size() : 0;
        for (int i3 = 0; i3 < size2; i3++) {
            LocalMedia localMedia = this.selectData.get(i3);
            if (isEqualsDirectory(localMedia.getParentFolderName(), this.currentDirectory)) {
                if (this.isShowCamera) {
                    z = false;
                    localMedia.setChecked(z);
                } else {
                    z = false;
                    localMedia.setChecked(z);
                }
                z = true;
                localMedia.setChecked(z);
            }
        }
    }

    @Override // com.luck.picture.lib.PicturePreviewActivity
    public void onClick(View view) {
        super.onClick(view);
        if (view.getId() == R.id.picture_send) {
            boolean z = true;
            if (this.selectData.size() != 0) {
                this.mTvPictureOk.performClick();
                return;
            }
            this.btnCheck.performClick();
            if (this.selectData.size() == 0) {
                z = false;
            }
            if (z) {
                this.mTvPictureOk.performClick();
            }
        }
    }

    @Override // com.luck.picture.lib.PicturePreviewActivity
    public void onPageSelectedChange(LocalMedia localMedia) {
        super.onPageSelectedChange(localMedia);
        goneParent();
        if (!this.config.previewEggs) {
            onChangeMediaStatus(localMedia);
        }
    }

    @Override // com.luck.picture.lib.PicturePreviewActivity
    public void onSelectNumChange(boolean z) {
        if (this.mPictureSendView != null) {
            goneParent();
            if (this.selectData.size() != 0) {
                initCompleteText(this.selectData.size());
                if (this.mRvGallery.getVisibility() == 8) {
                    this.mRvGallery.animate().alpha(1.0f).setDuration(300).setInterpolator(new AccelerateInterpolator());
                    this.mRvGallery.setVisibility(0);
                    this.bottomLine.animate().alpha(1.0f).setDuration(300).setInterpolator(new AccelerateInterpolator());
                    this.bottomLine.setVisibility(0);
                    this.mGalleryAdapter.setNewData(this.selectData);
                }
                PictureParameterStyle pictureParameterStyle = this.config.style;
                if (pictureParameterStyle != null) {
                    int i2 = pictureParameterStyle.pictureCompleteTextColor;
                    if (i2 != 0) {
                        this.mPictureSendView.setTextColor(i2);
                    }
                    int i3 = this.config.style.pictureCompleteBackgroundStyle;
                    if (i3 != 0) {
                        this.mPictureSendView.setBackgroundResource(i3);
                        return;
                    }
                    return;
                }
                this.mPictureSendView.setTextColor(ContextCompat.getColor(getContext(), R.color.picture_color_white));
                this.mPictureSendView.setBackgroundResource(R.drawable.picture_send_button_bg);
                return;
            }
            PictureParameterStyle pictureParameterStyle2 = this.config.style;
            if (pictureParameterStyle2 == null || TextUtils.isEmpty(pictureParameterStyle2.pictureUnCompleteText)) {
                this.mPictureSendView.setText(getString(R.string.picture_send));
            } else {
                this.mPictureSendView.setText(this.config.style.pictureUnCompleteText);
            }
            this.mRvGallery.animate().alpha(0.0f).setDuration(300).setInterpolator(new AccelerateInterpolator());
            this.mRvGallery.setVisibility(8);
            this.bottomLine.animate().alpha(0.0f).setDuration(300).setInterpolator(new AccelerateInterpolator());
            this.bottomLine.setVisibility(8);
        }
    }

    @Override // com.luck.picture.lib.PicturePreviewActivity
    public void onSelectedChange(boolean z, LocalMedia localMedia) {
        int i2;
        if (z) {
            localMedia.setChecked(true);
            if (this.config.selectionMode == 1) {
                this.mGalleryAdapter.addSingleMediaToData(localMedia);
            }
        } else {
            localMedia.setChecked(false);
            this.mGalleryAdapter.removeMediaToData(localMedia);
            if (this.isBottomPreview) {
                List<LocalMedia> list = this.selectData;
                if (list != null && list.size() > (i2 = this.position)) {
                    this.selectData.get(i2).setChecked(true);
                }
                if (this.mGalleryAdapter.isDataEmpty()) {
                    onActivityBackPressed();
                } else {
                    int currentItem = this.viewPager.getCurrentItem();
                    this.adapter.remove(currentItem);
                    this.adapter.removeCacheView(currentItem);
                    this.position = currentItem;
                    this.tvTitle.setText(getString(R.string.picture_preview_image_num, new Object[]{Integer.valueOf(currentItem + 1), Integer.valueOf(this.adapter.getSize())}));
                    this.check.setSelected(true);
                    this.adapter.notifyDataSetChanged();
                }
            }
        }
        int itemCount = this.mGalleryAdapter.getItemCount();
        if (itemCount > 5) {
            this.mRvGallery.smoothScrollToPosition(itemCount - 1);
        }
    }

    @Override // com.luck.picture.lib.PicturePreviewActivity
    public void onUpdateSelectedChange(LocalMedia localMedia) {
        onChangeMediaStatus(localMedia);
    }
}
