package com.luck.picture.lib.tools;

import android.annotation.SuppressLint;
import android.content.Context;
import android.text.SpannableString;
import android.text.style.RelativeSizeSpan;
import android.widget.TextView;
import com.luck.picture.lib.R;
import com.luck.picture.lib.config.PictureMimeType;
import d.b.a.a.a;
import java.util.regex.Pattern;

public class StringUtils {
    public static String getEncryptionValue(String str, int i2, int i3) {
        StringBuilder sb = new StringBuilder();
        sb.append(str);
        sb.append("_");
        sb.append(i2);
        sb.append("x");
        sb.append(i3);
        return ValueOf.toString(Integer.valueOf(Math.abs(hash(Integer.valueOf(sb.hashCode())))));
    }

    @SuppressLint({"StringFormatMatches"})
    public static String getMsg(Context context, String str, int i2) {
        if (PictureMimeType.isHasVideo(str)) {
            return context.getString(R.string.picture_message_video_max_num, Integer.valueOf(i2));
        } else if (PictureMimeType.isHasAudio(str)) {
            return context.getString(R.string.picture_message_audio_max_num, Integer.valueOf(i2));
        } else {
            return context.getString(R.string.picture_message_max_num, Integer.valueOf(i2));
        }
    }

    public static final int hash(Object obj) {
        if (obj == null) {
            return 0;
        }
        int hashCode = obj.hashCode();
        return hashCode ^ (hashCode >>> 16);
    }

    public static String rename(String str) {
        String substring = str.substring(0, str.lastIndexOf("."));
        String substring2 = str.substring(str.lastIndexOf("."));
        StringBuilder q = a.q(substring, "_");
        q.append(DateUtils.getCreateFileName());
        q.append(substring2);
        return q.toString();
    }

    public static String renameSuffix(String str, String str2) {
        return a.g(str.substring(0, str.lastIndexOf(".")), str2);
    }

    public static int stringToInt(String str) {
        if (Pattern.compile("^[-\\+]?[\\d]+$").matcher(str).matches()) {
            return Integer.valueOf(str).intValue();
        }
        return 0;
    }

    public static void tempTextFont(TextView textView, int i2) {
        String str;
        String trim = textView.getText().toString().trim();
        if (i2 == PictureMimeType.ofAudio()) {
            str = textView.getContext().getString(R.string.picture_empty_audio_title);
        } else {
            str = textView.getContext().getString(R.string.picture_empty_title);
        }
        String g2 = a.g(str, trim);
        SpannableString spannableString = new SpannableString(g2);
        spannableString.setSpan(new RelativeSizeSpan(0.8f), str.length(), g2.length(), 33);
        textView.setText(spannableString);
    }
}
