package com.lzy.okgo.model;

import android.content.ContentValues;
import android.database.Cursor;
import android.os.SystemClock;
import com.lzy.okgo.request.base.Request;
import d.f.b.g2;
import d.m.a.a;
import d.m.a.i.a.b;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class Progress implements Serializable {
    public static final String CURRENT_SIZE = "currentSize";
    public static final String DATE = "date";
    public static final int ERROR = 4;
    public static final String EXTRA1 = "extra1";
    public static final String EXTRA2 = "extra2";
    public static final String EXTRA3 = "extra3";
    public static final String FILE_NAME = "fileName";
    public static final String FILE_PATH = "filePath";
    public static final int FINISH = 5;
    public static final String FOLDER = "folder";
    public static final String FRACTION = "fraction";
    public static final int LOADING = 2;
    public static final int NONE = 0;
    public static final int PAUSE = 3;
    public static final String PRIORITY = "priority";
    public static final String REQUEST = "request";
    public static final String STATUS = "status";
    public static final String TAG = "tag";
    public static final String TOTAL_SIZE = "totalSize";
    public static final String URL = "url";
    public static final int WAITING = 1;
    private static final long serialVersionUID = 6353658567594109891L;
    public long currentSize;
    public long date = System.currentTimeMillis();
    public Throwable exception;
    public Serializable extra1;
    public Serializable extra2;
    public Serializable extra3;
    public String fileName;
    public String filePath;
    public String folder;
    public float fraction;
    private transient long lastRefreshTime = SystemClock.elapsedRealtime();
    public int priority = 0;
    public Request<?, ? extends Request> request;
    public transient long speed;
    private transient List<Long> speedBuffer = new ArrayList();
    public int status;
    public String tag;
    private transient long tempSize;
    public long totalSize = -1;
    public String url;

    public interface a {
    }

    private long bufferSpeed(long j2) {
        this.speedBuffer.add(Long.valueOf(j2));
        if (this.speedBuffer.size() > 10) {
            this.speedBuffer.remove(0);
        }
        long j3 = 0;
        for (Long l : this.speedBuffer) {
            j3 = (long) (((float) j3) + ((float) l.longValue()));
        }
        return j3 / ((long) this.speedBuffer.size());
    }

    public static ContentValues buildContentValues(Progress progress) {
        ContentValues contentValues = new ContentValues();
        contentValues.put(TAG, progress.tag);
        contentValues.put("url", progress.url);
        contentValues.put(FOLDER, progress.folder);
        contentValues.put(FILE_PATH, progress.filePath);
        contentValues.put(FILE_NAME, progress.fileName);
        contentValues.put(FRACTION, Float.valueOf(progress.fraction));
        contentValues.put(TOTAL_SIZE, Long.valueOf(progress.totalSize));
        contentValues.put(CURRENT_SIZE, Long.valueOf(progress.currentSize));
        contentValues.put("status", Integer.valueOf(progress.status));
        contentValues.put(PRIORITY, Integer.valueOf(progress.priority));
        contentValues.put(DATE, Long.valueOf(progress.date));
        contentValues.put(REQUEST, g2.D1(progress.request));
        contentValues.put(EXTRA1, g2.D1(progress.extra1));
        contentValues.put(EXTRA2, g2.D1(progress.extra2));
        contentValues.put(EXTRA3, g2.D1(progress.extra3));
        return contentValues;
    }

    public static ContentValues buildUpdateContentValues(Progress progress) {
        ContentValues contentValues = new ContentValues();
        contentValues.put(FRACTION, Float.valueOf(progress.fraction));
        contentValues.put(TOTAL_SIZE, Long.valueOf(progress.totalSize));
        contentValues.put(CURRENT_SIZE, Long.valueOf(progress.currentSize));
        contentValues.put("status", Integer.valueOf(progress.status));
        contentValues.put(PRIORITY, Integer.valueOf(progress.priority));
        contentValues.put(DATE, Long.valueOf(progress.date));
        return contentValues;
    }

    public static Progress changeProgress(Progress progress, long j2, a aVar) {
        return changeProgress(progress, j2, progress.totalSize, aVar);
    }

    public static Progress parseCursorToBean(Cursor cursor) {
        Progress progress = new Progress();
        progress.tag = cursor.getString(cursor.getColumnIndex(TAG));
        progress.url = cursor.getString(cursor.getColumnIndex("url"));
        progress.folder = cursor.getString(cursor.getColumnIndex(FOLDER));
        progress.filePath = cursor.getString(cursor.getColumnIndex(FILE_PATH));
        progress.fileName = cursor.getString(cursor.getColumnIndex(FILE_NAME));
        progress.fraction = cursor.getFloat(cursor.getColumnIndex(FRACTION));
        progress.totalSize = cursor.getLong(cursor.getColumnIndex(TOTAL_SIZE));
        progress.currentSize = cursor.getLong(cursor.getColumnIndex(CURRENT_SIZE));
        progress.status = cursor.getInt(cursor.getColumnIndex("status"));
        progress.priority = cursor.getInt(cursor.getColumnIndex(PRIORITY));
        progress.date = cursor.getLong(cursor.getColumnIndex(DATE));
        progress.request = (Request) g2.F1(cursor.getBlob(cursor.getColumnIndex(REQUEST)));
        progress.extra1 = (Serializable) g2.F1(cursor.getBlob(cursor.getColumnIndex(EXTRA1)));
        progress.extra2 = (Serializable) g2.F1(cursor.getBlob(cursor.getColumnIndex(EXTRA2)));
        progress.extra3 = (Serializable) g2.F1(cursor.getBlob(cursor.getColumnIndex(EXTRA3)));
        return progress;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        String str = this.tag;
        String str2 = ((Progress) obj).tag;
        if (str != null) {
            return str.equals(str2);
        }
        if (str2 == null) {
            return true;
        }
        return false;
    }

    public void from(Progress progress) {
        this.totalSize = progress.totalSize;
        this.currentSize = progress.currentSize;
        this.fraction = progress.fraction;
        this.speed = progress.speed;
        this.lastRefreshTime = progress.lastRefreshTime;
        this.tempSize = progress.tempSize;
    }

    public int hashCode() {
        String str = this.tag;
        if (str != null) {
            return str.hashCode();
        }
        return 0;
    }

    public String toString() {
        StringBuilder n = d.b.a.a.a.n("Progress{fraction=");
        n.append(this.fraction);
        n.append(", totalSize=");
        n.append(this.totalSize);
        n.append(", currentSize=");
        n.append(this.currentSize);
        n.append(", speed=");
        n.append(this.speed);
        n.append(", status=");
        n.append(this.status);
        n.append(", priority=");
        n.append(this.priority);
        n.append(", folder=");
        n.append(this.folder);
        n.append(", filePath=");
        n.append(this.filePath);
        n.append(", fileName=");
        n.append(this.fileName);
        n.append(", tag=");
        n.append(this.tag);
        n.append(", url=");
        n.append(this.url);
        n.append('}');
        return n.toString();
    }

    public static Progress changeProgress(Progress progress, long j2, long j3, a aVar) {
        progress.totalSize = j3;
        progress.currentSize += j2;
        progress.tempSize += j2;
        long elapsedRealtime = SystemClock.elapsedRealtime();
        long j4 = progress.lastRefreshTime;
        if ((elapsedRealtime - j4 >= 300) || progress.currentSize == j3) {
            long j5 = elapsedRealtime - j4;
            if (j5 == 0) {
                j5 = 1;
            }
            progress.fraction = (((float) progress.currentSize) * 1.0f) / ((float) j3);
            progress.speed = progress.bufferSpeed((progress.tempSize * 1000) / j5);
            progress.lastRefreshTime = elapsedRealtime;
            progress.tempSize = 0;
            if (aVar != null) {
                b bVar = b.this;
                b.AbstractC0058b bVar2 = bVar.f4472c;
                if (bVar2 != null) {
                    bVar2.uploadProgress(progress);
                } else {
                    a.b.f4403a.f4397b.post(new d.m.a.i.a.a(bVar, progress));
                }
            }
        }
        return progress;
    }
}
