package com.scwang.smartrefresh.layout.internal;

import android.content.Context;
import android.graphics.drawable.Animatable;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.annotation.ColorInt;
import androidx.annotation.NonNull;
import com.scwang.smartrefresh.layout.SmartRefreshLayout;
import com.scwang.smartrefresh.layout.internal.InternalClassics;
import com.yalantis.ucrop.view.CropImageView;
import d.o.a.b.b.g;
import d.o.a.b.b.h;
import d.o.a.b.b.i;
import d.o.a.b.e.b;

public abstract class InternalClassics<T extends InternalClassics> extends InternalAbstract implements g {
    public TextView k;
    public ImageView l;
    public ImageView m;
    public h n;
    public b o;
    public b p;
    public boolean q;
    public boolean r;
    public int s;
    public int t = CropImageView.DEFAULT_IMAGE_TO_CROP_BOUNDS_ANIM_DURATION;
    public int u = 20;
    public int v = 20;
    public int w = 0;

    public InternalClassics(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f1179h = d.o.a.b.c.b.f4532a;
    }

    @Override // d.o.a.b.b.g, com.scwang.smartrefresh.layout.internal.InternalAbstract
    public void b(@NonNull i iVar, int i2, int i3) {
        ImageView imageView = this.m;
        if (imageView.getVisibility() != 0) {
            imageView.setVisibility(0);
            Drawable drawable = this.m.getDrawable();
            if (drawable instanceof Animatable) {
                ((Animatable) drawable).start();
            } else {
                imageView.animate().rotation(36000.0f).setDuration(100000);
            }
        }
    }

    @Override // d.o.a.b.b.g, com.scwang.smartrefresh.layout.internal.InternalAbstract
    public void d(@NonNull h hVar, int i2, int i3) {
        this.n = hVar;
        ((SmartRefreshLayout.k) hVar).c(this, this.s);
    }

    @Override // d.o.a.b.b.g, com.scwang.smartrefresh.layout.internal.InternalAbstract
    public int g(@NonNull i iVar, boolean z) {
        ImageView imageView = this.m;
        Drawable drawable = imageView.getDrawable();
        if (drawable instanceof Animatable) {
            Animatable animatable = (Animatable) drawable;
            if (animatable.isRunning()) {
                animatable.stop();
            }
        } else {
            imageView.animate().rotation(0.0f).setDuration(0);
        }
        imageView.setVisibility(8);
        return this.t;
    }

    @Override // d.o.a.b.b.g, com.scwang.smartrefresh.layout.internal.InternalAbstract
    public void i(@NonNull i iVar, int i2, int i3) {
        b(iVar, i2, i3);
    }

    public T j(@ColorInt int i2) {
        this.q = true;
        this.k.setTextColor(i2);
        b bVar = this.o;
        if (bVar != null) {
            bVar.f4549d.setColor(i2);
            this.l.invalidateDrawable(this.o);
        }
        b bVar2 = this.p;
        if (bVar2 != null) {
            bVar2.f4549d.setColor(i2);
            this.m.invalidateDrawable(this.p);
        }
        return this;
    }

    public T k(@ColorInt int i2) {
        this.r = true;
        this.s = i2;
        h hVar = this.n;
        if (hVar != null) {
            ((SmartRefreshLayout.k) hVar).c(this, i2);
        }
        return this;
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        ImageView imageView = this.l;
        ImageView imageView2 = this.m;
        imageView.animate().cancel();
        imageView2.animate().cancel();
        Drawable drawable = this.m.getDrawable();
        if (drawable instanceof Animatable) {
            Animatable animatable = (Animatable) drawable;
            if (animatable.isRunning()) {
                animatable.stop();
            }
        }
    }

    public void onMeasure(int i2, int i3) {
        if (this.w == 0) {
            this.u = getPaddingTop();
            int paddingBottom = getPaddingBottom();
            this.v = paddingBottom;
            if (this.u == 0 || paddingBottom == 0) {
                int paddingLeft = getPaddingLeft();
                int paddingRight = getPaddingRight();
                int i4 = this.u;
                if (i4 == 0) {
                    i4 = d.o.a.b.g.b.c(20.0f);
                }
                this.u = i4;
                int i5 = this.v;
                if (i5 == 0) {
                    i5 = d.o.a.b.g.b.c(20.0f);
                }
                this.v = i5;
                setPadding(paddingLeft, this.u, paddingRight, i5);
            }
            setClipToPadding(false);
        }
        if (View.MeasureSpec.getMode(i3) == 1073741824) {
            int size = View.MeasureSpec.getSize(i3);
            int i6 = this.w;
            if (size < i6) {
                int i7 = (size - i6) / 2;
                setPadding(getPaddingLeft(), i7, getPaddingRight(), i7);
            } else {
                setPadding(getPaddingLeft(), 0, getPaddingRight(), 0);
            }
        } else {
            setPadding(getPaddingLeft(), this.u, getPaddingRight(), this.v);
        }
        super.onMeasure(i2, i3);
        if (this.w == 0) {
            for (int i8 = 0; i8 < getChildCount(); i8++) {
                int measuredHeight = getChildAt(i8).getMeasuredHeight();
                if (this.w < measuredHeight) {
                    this.w = measuredHeight;
                }
            }
        }
    }

    @Override // d.o.a.b.b.g, com.scwang.smartrefresh.layout.internal.InternalAbstract
    public void setPrimaryColors(@ColorInt int... iArr) {
        if (iArr.length > 0) {
            if (!(getBackground() instanceof BitmapDrawable) && !this.r) {
                k(iArr[0]);
                this.r = false;
            }
            if (!this.q) {
                if (iArr.length > 1) {
                    j(iArr[1]);
                } else {
                    int i2 = -1;
                    if (iArr[0] == -1) {
                        i2 = -10066330;
                    }
                    j(i2);
                }
                this.q = false;
            }
        }
    }
}
