package kotlin.collections;

import java.util.AbstractList;
import java.util.List;
import kotlin.jvm.internal.markers.KMutableList;

public abstract class AbstractMutableList<E> extends AbstractList<E> implements List<E>, KMutableList {
    @Override // java.util.List, java.util.AbstractList
    public abstract void add(int i, E e);

    public abstract int getSize();

    public abstract E removeAt(int i);

    @Override // java.util.List, java.util.AbstractList
    public abstract E set(int i, E e);

    protected AbstractMutableList() {
    }

    @Override // java.util.List, java.util.AbstractList
    public final E remove(int i) {
        return removeAt(i);
    }

    public final int size() {
        return getSize();
    }
}
