package kotlin.collections;

import java.util.List;
import kotlin.jvm.internal.Intrinsics;

final class ReversedList<T> extends AbstractMutableList<T> {
    private final List<T> delegate;

    public ReversedList(List<T> list) {
        Intrinsics.checkParameterIsNotNull(list, "delegate");
        this.delegate = list;
    }

    @Override // kotlin.collections.AbstractMutableList
    public int getSize() {
        return this.delegate.size();
    }

    @Override // java.util.List, java.util.AbstractList
    public T get(int i) {
        return this.delegate.get(CollectionsKt__ReversedViewsKt.access$reverseElementIndex(this, i));
    }

    public void clear() {
        this.delegate.clear();
    }

    @Override // kotlin.collections.AbstractMutableList
    public T removeAt(int i) {
        return this.delegate.remove(CollectionsKt__ReversedViewsKt.access$reverseElementIndex(this, i));
    }

    @Override // java.util.List, kotlin.collections.AbstractMutableList, java.util.AbstractList
    public T set(int i, T t) {
        return this.delegate.set(CollectionsKt__ReversedViewsKt.access$reverseElementIndex(this, i), t);
    }

    @Override // java.util.List, kotlin.collections.AbstractMutableList, java.util.AbstractList
    public void add(int i, T t) {
        this.delegate.add(CollectionsKt__ReversedViewsKt.access$reversePositionIndex(this, i), t);
    }
}
