package kotlin.jvm.internal;

public final class BooleanSpreadBuilder extends PrimitiveSpreadBuilder<boolean[]> {
    private final boolean[] values;

    public BooleanSpreadBuilder(int i) {
        super(i);
        this.values = new boolean[i];
    }

    /* access modifiers changed from: protected */
    public int getSize(boolean[] zArr) {
        Intrinsics.checkParameterIsNotNull(zArr, "$this$getSize");
        return zArr.length;
    }

    public final void add(boolean z) {
        boolean[] zArr = this.values;
        int position = getPosition();
        setPosition(position + 1);
        zArr[position] = z;
    }

    public final boolean[] toArray() {
        return (boolean[]) toArray(this.values, new boolean[size()]);
    }
}
