package kotlin.jvm.internal;

public final class ByteSpreadBuilder extends PrimitiveSpreadBuilder<byte[]> {
    private final byte[] values;

    public ByteSpreadBuilder(int i) {
        super(i);
        this.values = new byte[i];
    }

    /* access modifiers changed from: protected */
    public int getSize(byte[] bArr) {
        Intrinsics.checkParameterIsNotNull(bArr, "$this$getSize");
        return bArr.length;
    }

    public final void add(byte b) {
        byte[] bArr = this.values;
        int position = getPosition();
        setPosition(position + 1);
        bArr[position] = b;
    }

    public final byte[] toArray() {
        return (byte[]) toArray(this.values, new byte[size()]);
    }
}
