package kotlin.jvm.internal;

public final class CharSpreadBuilder extends PrimitiveSpreadBuilder<char[]> {
    private final char[] values;

    public CharSpreadBuilder(int i) {
        super(i);
        this.values = new char[i];
    }

    /* access modifiers changed from: protected */
    public int getSize(char[] cArr) {
        Intrinsics.checkParameterIsNotNull(cArr, "$this$getSize");
        return cArr.length;
    }

    public final void add(char c) {
        char[] cArr = this.values;
        int position = getPosition();
        setPosition(position + 1);
        cArr[position] = c;
    }

    public final char[] toArray() {
        return (char[]) toArray(this.values, new char[size()]);
    }
}
