package kotlin.jvm.internal;

public final class DoubleSpreadBuilder extends PrimitiveSpreadBuilder<double[]> {
    private final double[] values;

    public DoubleSpreadBuilder(int i) {
        super(i);
        this.values = new double[i];
    }

    /* access modifiers changed from: protected */
    public int getSize(double[] dArr) {
        Intrinsics.checkParameterIsNotNull(dArr, "$this$getSize");
        return dArr.length;
    }

    public final void add(double d) {
        double[] dArr = this.values;
        int position = getPosition();
        setPosition(position + 1);
        dArr[position] = d;
    }

    public final double[] toArray() {
        return (double[]) toArray(this.values, new double[size()]);
    }
}
