package kotlin.jvm.internal;

public final class FloatSpreadBuilder extends PrimitiveSpreadBuilder<float[]> {
    private final float[] values;

    public FloatSpreadBuilder(int i) {
        super(i);
        this.values = new float[i];
    }

    /* access modifiers changed from: protected */
    public int getSize(float[] fArr) {
        Intrinsics.checkParameterIsNotNull(fArr, "$this$getSize");
        return fArr.length;
    }

    public final void add(float f) {
        float[] fArr = this.values;
        int position = getPosition();
        setPosition(position + 1);
        fArr[position] = f;
    }

    public final float[] toArray() {
        return (float[]) toArray(this.values, new float[size()]);
    }
}
