package kotlin.jvm.internal;

public final class IntSpreadBuilder extends PrimitiveSpreadBuilder<int[]> {
    private final int[] values;

    public IntSpreadBuilder(int i) {
        super(i);
        this.values = new int[i];
    }

    /* access modifiers changed from: protected */
    public int getSize(int[] iArr) {
        Intrinsics.checkParameterIsNotNull(iArr, "$this$getSize");
        return iArr.length;
    }

    public final void add(int i) {
        int[] iArr = this.values;
        int position = getPosition();
        setPosition(position + 1);
        iArr[position] = i;
    }

    public final int[] toArray() {
        return (int[]) toArray(this.values, new int[size()]);
    }
}
