package kotlin.jvm.internal;

public final class ShortSpreadBuilder extends PrimitiveSpreadBuilder<short[]> {
    private final short[] values;

    public ShortSpreadBuilder(int i) {
        super(i);
        this.values = new short[i];
    }

    /* access modifiers changed from: protected */
    public int getSize(short[] sArr) {
        Intrinsics.checkParameterIsNotNull(sArr, "$this$getSize");
        return sArr.length;
    }

    public final void add(short s) {
        short[] sArr = this.values;
        int position = getPosition();
        setPosition(position + 1);
        sArr[position] = s;
    }

    public final short[] toArray() {
        return (short[]) toArray(this.values, new short[size()]);
    }
}
