package kotlin.ranges;

import kotlin.jvm.internal.Intrinsics;

class RangesKt__RangesKt extends RangesKt__RangesJVMKt {
    public static final <T extends Comparable<? super T>> ClosedRange<T> rangeTo(T t, T t2) {
        Intrinsics.checkParameterIsNotNull(t, "$this$rangeTo");
        Intrinsics.checkParameterIsNotNull(t2, "that");
        return new ComparableRange(t, t2);
    }

    public static final ClosedFloatingPointRange<Double> rangeTo(double d, double d2) {
        return new ClosedDoubleRange(d, d2);
    }

    private static final <T, R extends Iterable<? extends T> & ClosedRange<T>> boolean contains(R r, T t) {
        Intrinsics.checkParameterIsNotNull(r, "$this$contains");
        return t != null && ((ClosedRange) r).contains(t);
    }

    public static final void checkStepIsPositive(boolean z, Number number) {
        Intrinsics.checkParameterIsNotNull(number, "step");
        if (!z) {
            throw new IllegalArgumentException("Step must be positive, was: " + number + '.');
        }
    }
}
