package cn.bingoogolapple.swipebacklayout;

import android.app.Activity;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.Display;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import android.widget.FrameLayout;
import androidx.annotation.ColorInt;
import androidx.annotation.DrawableRes;
import androidx.annotation.FloatRange;
import androidx.constraintlayout.solver.widgets.analyzer.BasicMeasure;
import androidx.core.content.ContextCompat;
import androidx.core.os.ParcelableCompat;
import androidx.core.os.ParcelableCompatCreatorCallbacks;
import androidx.core.view.AccessibilityDelegateCompat;
import androidx.core.view.MotionEventCompat;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityNodeInfoCompat;
import androidx.customview.view.AbsSavedState;
import androidx.customview.widget.ViewDragHelper;
import com.androidx.lv.base.ui.BaseActivity;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Objects;
import tv.danmaku.ijk.media.player.IjkMediaCodecInfo;

public class BGASwipeBackLayout extends ViewGroup {

    /* renamed from: d  reason: collision with root package name */
    public static final f f184d = new h();
    public final ArrayList<b> A;
    public boolean B;
    public boolean C;
    public c.a.a.e D;
    public View E;
    public Activity F;
    public float G;
    public boolean H;
    public boolean I;

    /* renamed from: h  reason: collision with root package name */
    public int f185h;

    /* renamed from: j  reason: collision with root package name */
    public int f186j;
    public Drawable k;
    public Drawable l;
    public boolean m;
    public View n;
    public float o;
    public float p;
    public int q;
    public boolean r;
    public int s;
    public float t;
    public float u;
    public e v;
    public final ViewDragHelper w;
    public boolean x;
    public boolean y;
    public final Rect z;

    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = ParcelableCompat.newCreator(new a());
        public boolean isOpen;

        public static class a implements ParcelableCompatCreatorCallbacks<SavedState> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // androidx.core.os.ParcelableCompatCreatorCallbacks
            public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            /* Return type fixed from 'java.lang.Object[]' to match base method */
            @Override // androidx.core.os.ParcelableCompatCreatorCallbacks
            public SavedState[] newArray(int i2) {
                return new SavedState[i2];
            }
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(Parcel parcel, int i2) {
            super.writeToParcel(parcel, i2);
            parcel.writeInt(this.isOpen ? 1 : 0);
        }

        public SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.isOpen = parcel.readInt() != 0;
        }
    }

    public class a extends AccessibilityDelegateCompat {

        /* renamed from: a  reason: collision with root package name */
        public final Rect f187a = new Rect();

        public a() {
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            super.onInitializeAccessibilityEvent(view, accessibilityEvent);
            accessibilityEvent.setClassName(BGASwipeBackLayout.class.getName());
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public void onInitializeAccessibilityNodeInfo(View view, AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            AccessibilityNodeInfoCompat obtain = AccessibilityNodeInfoCompat.obtain(accessibilityNodeInfoCompat);
            super.onInitializeAccessibilityNodeInfo(view, obtain);
            Rect rect = this.f187a;
            obtain.getBoundsInParent(rect);
            accessibilityNodeInfoCompat.setBoundsInParent(rect);
            obtain.getBoundsInScreen(rect);
            accessibilityNodeInfoCompat.setBoundsInScreen(rect);
            accessibilityNodeInfoCompat.setVisibleToUser(obtain.isVisibleToUser());
            accessibilityNodeInfoCompat.setPackageName(obtain.getPackageName());
            accessibilityNodeInfoCompat.setClassName(obtain.getClassName());
            accessibilityNodeInfoCompat.setContentDescription(obtain.getContentDescription());
            accessibilityNodeInfoCompat.setEnabled(obtain.isEnabled());
            accessibilityNodeInfoCompat.setClickable(obtain.isClickable());
            accessibilityNodeInfoCompat.setFocusable(obtain.isFocusable());
            accessibilityNodeInfoCompat.setFocused(obtain.isFocused());
            accessibilityNodeInfoCompat.setAccessibilityFocused(obtain.isAccessibilityFocused());
            accessibilityNodeInfoCompat.setSelected(obtain.isSelected());
            accessibilityNodeInfoCompat.setLongClickable(obtain.isLongClickable());
            accessibilityNodeInfoCompat.addAction(obtain.getActions());
            accessibilityNodeInfoCompat.setMovementGranularities(obtain.getMovementGranularities());
            obtain.recycle();
            accessibilityNodeInfoCompat.setClassName(BGASwipeBackLayout.class.getName());
            accessibilityNodeInfoCompat.setSource(view);
            ViewParent parentForAccessibility = ViewCompat.getParentForAccessibility(view);
            if (parentForAccessibility instanceof View) {
                accessibilityNodeInfoCompat.setParent((View) parentForAccessibility);
            }
            int childCount = BGASwipeBackLayout.this.getChildCount();
            for (int i2 = 0; i2 < childCount; i2++) {
                View childAt = BGASwipeBackLayout.this.getChildAt(i2);
                if (!BGASwipeBackLayout.this.c(childAt) && childAt.getVisibility() == 0) {
                    ViewCompat.setImportantForAccessibility(childAt, 1);
                    accessibilityNodeInfoCompat.addChild(childAt);
                }
            }
        }

        @Override // androidx.core.view.AccessibilityDelegateCompat
        public boolean onRequestSendAccessibilityEvent(ViewGroup viewGroup, View view, AccessibilityEvent accessibilityEvent) {
            if (!BGASwipeBackLayout.this.c(view)) {
                return super.onRequestSendAccessibilityEvent(viewGroup, view, accessibilityEvent);
            }
            return false;
        }
    }

    public class b implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public final View f189d;

        public b(View view) {
            this.f189d = view;
        }

        public void run() {
            if (this.f189d.getParent() == this) {
                ViewCompat.setLayerType(this.f189d, 0, null);
                BGASwipeBackLayout bGASwipeBackLayout = BGASwipeBackLayout.this;
                View view = this.f189d;
                Objects.requireNonNull(bGASwipeBackLayout);
                ViewCompat.setLayerPaint(view, ((d) view.getLayoutParams()).f196e);
            }
            BGASwipeBackLayout.this.A.remove(this);
        }
    }

    public class c extends ViewDragHelper.Callback {
        public c() {
        }

        @Override // androidx.customview.widget.ViewDragHelper.Callback
        public int clampViewPositionHorizontal(View view, int i2, int i3) {
            d dVar = (d) BGASwipeBackLayout.this.n.getLayoutParams();
            if (BGASwipeBackLayout.this.d()) {
                int width = BGASwipeBackLayout.this.getWidth() - (BGASwipeBackLayout.this.n.getWidth() + (BGASwipeBackLayout.this.getPaddingRight() + ((ViewGroup.MarginLayoutParams) dVar).rightMargin));
                return Math.max(Math.min(i2, width), width - BGASwipeBackLayout.this.q);
            }
            int paddingLeft = BGASwipeBackLayout.this.getPaddingLeft() + ((ViewGroup.MarginLayoutParams) dVar).leftMargin;
            return Math.min(Math.max(i2, paddingLeft), BGASwipeBackLayout.this.q + paddingLeft);
        }

        @Override // androidx.customview.widget.ViewDragHelper.Callback
        public int clampViewPositionVertical(View view, int i2, int i3) {
            return view.getTop();
        }

        @Override // androidx.customview.widget.ViewDragHelper.Callback
        public int getViewHorizontalDragRange(View view) {
            return BGASwipeBackLayout.this.q;
        }

        @Override // androidx.customview.widget.ViewDragHelper.Callback
        public void onEdgeDragStarted(int i2, int i3) {
            BGASwipeBackLayout bGASwipeBackLayout = BGASwipeBackLayout.this;
            f fVar = BGASwipeBackLayout.f184d;
            if (bGASwipeBackLayout.e()) {
                BGASwipeBackLayout bGASwipeBackLayout2 = BGASwipeBackLayout.this;
                bGASwipeBackLayout2.w.captureChildView(bGASwipeBackLayout2.n, i3);
            }
        }

        @Override // androidx.customview.widget.ViewDragHelper.Callback
        public void onViewCaptured(View view, int i2) {
            Activity a2;
            BGASwipeBackLayout bGASwipeBackLayout = BGASwipeBackLayout.this;
            f fVar = BGASwipeBackLayout.f184d;
            if (bGASwipeBackLayout.e()) {
                c.a.a.e eVar = BGASwipeBackLayout.this.D;
                if (!eVar.r && eVar.f182h == null && (a2 = c.a.a.d.f178d.a(eVar.f181d)) != null) {
                    eVar.f182h = new WeakReference<>(a2);
                    ViewGroup viewGroup = (ViewGroup) a2.getWindow().getDecorView();
                    eVar.f183j = viewGroup;
                    View childAt = viewGroup.getChildAt(0);
                    eVar.k = childAt;
                    eVar.f183j.removeView(childAt);
                    eVar.addView(eVar.k, 0, new FrameLayout.LayoutParams(-1, -1));
                }
            }
            BGASwipeBackLayout.this.h();
        }

        @Override // androidx.customview.widget.ViewDragHelper.Callback
        public void onViewDragStateChanged(int i2) {
            View view;
            if (BGASwipeBackLayout.this.w.getViewDragState() == 0) {
                BGASwipeBackLayout bGASwipeBackLayout = BGASwipeBackLayout.this;
                if (bGASwipeBackLayout.o == 0.0f) {
                    bGASwipeBackLayout.j(bGASwipeBackLayout.n);
                    BGASwipeBackLayout bGASwipeBackLayout2 = BGASwipeBackLayout.this;
                    View view2 = bGASwipeBackLayout2.n;
                    c.a.a.e eVar = bGASwipeBackLayout2.D;
                    if (eVar.q) {
                        if (eVar.r) {
                            try {
                                Activity a2 = c.a.a.d.f178d.a(eVar.f181d);
                                if (a2 != null) {
                                    ViewCompat.setTranslationX(a2.getWindow().getDecorView(), 0.0f);
                                }
                            } catch (Exception unused) {
                            }
                        } else {
                            View view3 = eVar.k;
                            if (view3 != null) {
                                ViewCompat.setTranslationX(view3, 0.0f);
                            }
                        }
                    } else if (!eVar.r && (view = eVar.k) != null) {
                        ViewCompat.setTranslationX(view, 0.0f);
                    }
                    eVar.b(false);
                    e eVar2 = bGASwipeBackLayout2.v;
                    if (eVar2 != null) {
                        Objects.requireNonNull((BaseActivity) ((c.a.a.b) eVar2).f174a.f176b);
                    }
                    bGASwipeBackLayout2.sendAccessibilityEvent(32);
                    BGASwipeBackLayout.this.x = false;
                } else {
                    e eVar3 = bGASwipeBackLayout.v;
                    if (eVar3 != null) {
                        c.a.a.c cVar = ((BaseActivity) ((c.a.a.b) eVar3).f174a.f176b).f221d;
                        c.a.a.a.t(cVar.f175a);
                        cVar.f175a.finish();
                        cVar.f175a.overridePendingTransition(R$anim.bga_sbl_activity_swipeback_enter, R$anim.bga_sbl_activity_swipeback_exit);
                    }
                    bGASwipeBackLayout.sendAccessibilityEvent(32);
                    bGASwipeBackLayout.D.b(true);
                    BGASwipeBackLayout.this.x = true;
                }
                BGASwipeBackLayout.this.I = false;
                return;
            }
            BGASwipeBackLayout.this.I = true;
        }

        @Override // androidx.customview.widget.ViewDragHelper.Callback
        public void onViewPositionChanged(View view, int i2, int i3, int i4, int i5) {
            View view2;
            BGASwipeBackLayout bGASwipeBackLayout = BGASwipeBackLayout.this;
            if (bGASwipeBackLayout.n == null) {
                bGASwipeBackLayout.o = 0.0f;
            } else {
                boolean d2 = bGASwipeBackLayout.d();
                d dVar = (d) bGASwipeBackLayout.n.getLayoutParams();
                float width = ((float) ((d2 ? (bGASwipeBackLayout.getWidth() - i2) - bGASwipeBackLayout.n.getWidth() : i2) - ((d2 ? bGASwipeBackLayout.getPaddingRight() : bGASwipeBackLayout.getPaddingLeft()) + (d2 ? ((ViewGroup.MarginLayoutParams) dVar).rightMargin : ((ViewGroup.MarginLayoutParams) dVar).leftMargin)))) / ((float) bGASwipeBackLayout.q);
                bGASwipeBackLayout.o = width;
                if (bGASwipeBackLayout.s != 0) {
                    bGASwipeBackLayout.g(width);
                }
                if (dVar.f195d) {
                    bGASwipeBackLayout.b(bGASwipeBackLayout.n, bGASwipeBackLayout.o, bGASwipeBackLayout.f185h);
                }
                c.a.a.e eVar = bGASwipeBackLayout.D;
                ViewCompat.setTranslationX(eVar, (float) ((-eVar.getMeasuredWidth()) + i2));
                c.a.a.e eVar2 = bGASwipeBackLayout.D;
                float f2 = 1.0f - bGASwipeBackLayout.o;
                if (eVar2.n && eVar2.p) {
                    if (eVar2.r) {
                        ViewCompat.setAlpha(eVar2, f2);
                    } else {
                        View view3 = eVar2.m;
                        if (view3 != null) {
                            ViewCompat.setAlpha(view3, f2);
                        }
                    }
                }
                c.a.a.e eVar3 = bGASwipeBackLayout.D;
                float f3 = bGASwipeBackLayout.o;
                if (eVar3.q) {
                    if (eVar3.r) {
                        try {
                            Activity a2 = c.a.a.d.f178d.a(eVar3.f181d);
                            if (a2 != null) {
                                View decorView = a2.getWindow().getDecorView();
                                ViewCompat.setTranslationX(decorView, (1.0f - f3) * ((float) (-decorView.getMeasuredWidth())) * 0.25f);
                            }
                        } catch (Exception unused) {
                        }
                    } else {
                        View view4 = eVar3.k;
                        if (view4 != null) {
                            ViewCompat.setTranslationX(view4, (1.0f - f3) * ((float) view4.getMeasuredWidth()) * 0.75f);
                        }
                    }
                } else if (!eVar3.r && (view2 = eVar3.k) != null) {
                    ViewCompat.setTranslationX(view2, (1.0f - f3) * ((float) view2.getMeasuredWidth()));
                }
                e eVar4 = bGASwipeBackLayout.v;
                if (eVar4 != null) {
                    c.a.a.b bVar = (c.a.a.b) eVar4;
                    if (((double) bGASwipeBackLayout.o) < 0.03d) {
                        c.a.a.a.t(bVar.f174a.f175a);
                    }
                    Objects.requireNonNull((BaseActivity) bVar.f174a.f176b);
                }
            }
            BGASwipeBackLayout.this.invalidate();
        }

        /* JADX WARNING: Code restructure failed: missing block: B:14:0x0057, code lost:
            if (r4.o > r4.G) goto L_0x0059;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:7:0x0028, code lost:
            if (r4.o > r4.G) goto L_0x002a;
         */
        @Override // androidx.customview.widget.ViewDragHelper.Callback
        public void onViewReleased(View view, float f2, float f3) {
            int i2;
            d dVar = (d) view.getLayoutParams();
            if (BGASwipeBackLayout.this.d()) {
                int paddingRight = BGASwipeBackLayout.this.getPaddingRight() + ((ViewGroup.MarginLayoutParams) dVar).rightMargin;
                if (f2 >= 0.0f) {
                    if (f2 == 0.0f) {
                        BGASwipeBackLayout bGASwipeBackLayout = BGASwipeBackLayout.this;
                    }
                    i2 = (BGASwipeBackLayout.this.getWidth() - paddingRight) - BGASwipeBackLayout.this.n.getWidth();
                }
                paddingRight += BGASwipeBackLayout.this.q;
                i2 = (BGASwipeBackLayout.this.getWidth() - paddingRight) - BGASwipeBackLayout.this.n.getWidth();
            } else {
                i2 = ((ViewGroup.MarginLayoutParams) dVar).leftMargin + BGASwipeBackLayout.this.getPaddingLeft();
                int i3 = (f2 > 0.0f ? 1 : (f2 == 0.0f ? 0 : -1));
                if (i3 <= 0) {
                    if (i3 == 0) {
                        BGASwipeBackLayout bGASwipeBackLayout2 = BGASwipeBackLayout.this;
                    }
                }
                i2 += BGASwipeBackLayout.this.q;
            }
            BGASwipeBackLayout.this.w.settleCapturedViewAt(i2, view.getTop());
            BGASwipeBackLayout.this.invalidate();
        }

        @Override // androidx.customview.widget.ViewDragHelper.Callback
        public boolean tryCaptureView(View view, int i2) {
            BGASwipeBackLayout bGASwipeBackLayout = BGASwipeBackLayout.this;
            if (!bGASwipeBackLayout.r && !bGASwipeBackLayout.C && bGASwipeBackLayout.e() && ((d) view.getLayoutParams()).f194c) {
                return true;
            }
            return false;
        }
    }

    public interface e {
    }

    public interface f {
    }

    public static class g implements f {
    }

    public static class h extends g {
    }

    public BGASwipeBackLayout(Context context) {
        this(context, null);
    }

    public final boolean a(int i2) {
        if (!this.y && !i(0.0f)) {
            return false;
        }
        this.x = false;
        return true;
    }

    public final void b(View view, float f2, int i2) {
        d dVar = (d) view.getLayoutParams();
        if (f2 > 0.0f && i2 != 0) {
            int i3 = (((int) (((float) ((-16777216 & i2) >>> 24)) * f2)) << 24) | (i2 & ViewCompat.MEASURED_SIZE_MASK);
            if (dVar.f196e == null) {
                dVar.f196e = new Paint();
            }
            dVar.f196e.setColorFilter(new PorterDuffColorFilter(i3, PorterDuff.Mode.SRC_OVER));
            if (ViewCompat.getLayerType(view) != 2) {
                ViewCompat.setLayerType(view, 2, dVar.f196e);
            }
            ViewCompat.setLayerPaint(view, ((d) view.getLayoutParams()).f196e);
        } else if (ViewCompat.getLayerType(view) != 0) {
            Paint paint = dVar.f196e;
            if (paint != null) {
                paint.setColorFilter(null);
            }
            b bVar = new b(view);
            this.A.add(bVar);
            ViewCompat.postOnAnimation(this, bVar);
        }
    }

    public boolean c(View view) {
        if (view == null) {
            return false;
        }
        d dVar = (d) view.getLayoutParams();
        if (!this.m || !dVar.f195d || this.o <= 0.0f) {
            return false;
        }
        return true;
    }

    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return (layoutParams instanceof d) && super.checkLayoutParams(layoutParams);
    }

    public void computeScroll() {
        if (!this.w.continueSettling(true)) {
            return;
        }
        if (!this.m) {
            this.w.abort();
        } else {
            ViewCompat.postInvalidateOnAnimation(this);
        }
    }

    public boolean d() {
        return ViewCompat.getLayoutDirection(this) == 1;
    }

    public void draw(Canvas canvas) {
        Drawable drawable;
        int i2;
        int i3;
        super.draw(canvas);
        if (d()) {
            drawable = this.l;
        } else {
            drawable = this.k;
        }
        View childAt = getChildCount() > 1 ? getChildAt(1) : null;
        if (childAt != null && drawable != null) {
            int top = childAt.getTop();
            int bottom = childAt.getBottom();
            int intrinsicWidth = drawable.getIntrinsicWidth();
            if (d()) {
                i3 = childAt.getRight();
                i2 = intrinsicWidth + i3;
            } else {
                int left = childAt.getLeft();
                int i4 = left - intrinsicWidth;
                i2 = left;
                i3 = i4;
            }
            drawable.setBounds(i3, top, i2, bottom);
            drawable.draw(canvas);
        }
    }

    public boolean drawChild(Canvas canvas, View view, long j2) {
        d dVar = (d) view.getLayoutParams();
        int save = canvas.save();
        if (this.m && !dVar.f194c && this.n != null) {
            canvas.getClipBounds(this.z);
            if (d()) {
                Rect rect = this.z;
                rect.left = Math.max(rect.left, this.n.getRight());
            } else {
                Rect rect2 = this.z;
                rect2.right = Math.min(rect2.right, this.n.getLeft());
            }
            canvas.clipRect(this.z);
        }
        boolean drawChild = super.drawChild(canvas, view, j2);
        canvas.restoreToCount(save);
        return drawChild;
    }

    public final boolean e() {
        if (this.B) {
            if (c.a.a.d.f178d.f179h.size() > 1) {
                return true;
            }
        }
        return false;
    }

    public final boolean f(int i2) {
        if (!this.y && !i(1.0f)) {
            return false;
        }
        this.x = true;
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x0023  */
    public final void g(float f2) {
        boolean z2;
        int childCount;
        boolean d2 = d();
        d dVar = (d) this.n.getLayoutParams();
        if (dVar.f195d) {
            if ((d2 ? ((ViewGroup.MarginLayoutParams) dVar).rightMargin : ((ViewGroup.MarginLayoutParams) dVar).leftMargin) <= 0) {
                z2 = true;
                childCount = getChildCount();
                for (int i2 = 0; i2 < childCount; i2++) {
                    View childAt = getChildAt(i2);
                    if (childAt != this.n) {
                        int i3 = this.s;
                        this.p = f2;
                        int i4 = ((int) ((1.0f - this.p) * ((float) i3))) - ((int) ((1.0f - f2) * ((float) i3)));
                        if (d2) {
                            i4 = -i4;
                        }
                        childAt.offsetLeftAndRight(i4);
                        if (z2) {
                            float f3 = this.p;
                            b(childAt, d2 ? f3 - 1.0f : 1.0f - f3, this.f186j);
                        }
                    }
                }
            }
        }
        z2 = false;
        childCount = getChildCount();
        while (i2 < childCount) {
        }
    }

    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new d();
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams instanceof ViewGroup.MarginLayoutParams ? new d((ViewGroup.MarginLayoutParams) layoutParams) : new d(layoutParams);
    }

    @ColorInt
    public int getCoveredFadeColor() {
        return this.f186j;
    }

    public int getParallaxDistance() {
        return this.s;
    }

    @ColorInt
    public int getSliderFadeColor() {
        return this.f185h;
    }

    public void h() {
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            if (childAt.getVisibility() == 4) {
                childAt.setVisibility(0);
            }
        }
    }

    public boolean i(float f2) {
        int i2;
        if (!this.m) {
            return false;
        }
        boolean d2 = d();
        d dVar = (d) this.n.getLayoutParams();
        if (d2) {
            int paddingRight = getPaddingRight() + ((ViewGroup.MarginLayoutParams) dVar).rightMargin;
            int width = this.n.getWidth();
            i2 = (int) (((float) getWidth()) - (((f2 * ((float) this.q)) + ((float) paddingRight)) + ((float) width)));
        } else {
            i2 = (int) ((f2 * ((float) this.q)) + ((float) (getPaddingLeft() + ((ViewGroup.MarginLayoutParams) dVar).leftMargin)));
        }
        ViewDragHelper viewDragHelper = this.w;
        View view = this.n;
        if (!viewDragHelper.smoothSlideViewTo(view, i2, view.getTop())) {
            return false;
        }
        h();
        ViewCompat.postInvalidateOnAnimation(this);
        return true;
    }

    public void j(View view) {
        int i2;
        int i3;
        int i4;
        int i5;
        View childAt;
        boolean z2;
        View view2 = view;
        boolean d2 = d();
        int width = d2 ? getWidth() - getPaddingRight() : getPaddingLeft();
        int paddingLeft = d2 ? getPaddingLeft() : getWidth() - getPaddingRight();
        int paddingTop = getPaddingTop();
        int height = getHeight() - getPaddingBottom();
        if (view2 == null || !view.isOpaque()) {
            i5 = 0;
            i4 = 0;
            i3 = 0;
            i2 = 0;
        } else {
            i5 = view.getLeft();
            i4 = view.getRight();
            i3 = view.getTop();
            i2 = view.getBottom();
        }
        int childCount = getChildCount();
        int i6 = 0;
        while (i6 < childCount && (childAt = getChildAt(i6)) != view2) {
            if (childAt.getVisibility() == 8) {
                z2 = d2;
            } else {
                z2 = d2;
                childAt.setVisibility((Math.max(d2 ? paddingLeft : width, childAt.getLeft()) < i5 || Math.max(paddingTop, childAt.getTop()) < i3 || Math.min(d2 ? width : paddingLeft, childAt.getRight()) > i4 || Math.min(height, childAt.getBottom()) > i2) ? 0 : 4);
            }
            i6++;
            view2 = view;
            d2 = z2;
        }
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.y = true;
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        this.y = true;
        int size = this.A.size();
        for (int i2 = 0; i2 < size; i2++) {
            this.A.get(i2).run();
        }
        this.A.clear();
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        boolean z2;
        View childAt;
        int actionMasked = MotionEventCompat.getActionMasked(motionEvent);
        if (!this.m && actionMasked == 0 && getChildCount() > 1 && (childAt = getChildAt(1)) != null) {
            this.x = !this.w.isViewUnder(childAt, (int) motionEvent.getX(), (int) motionEvent.getY());
        }
        if (!e()) {
            this.w.cancel();
            return super.onInterceptTouchEvent(motionEvent);
        } else if (!this.m || (this.r && actionMasked != 0)) {
            this.w.cancel();
            return super.onInterceptTouchEvent(motionEvent);
        } else if (actionMasked == 3 || actionMasked == 1) {
            this.w.cancel();
            return false;
        } else {
            if (actionMasked == 0) {
                this.r = false;
                float x2 = motionEvent.getX();
                float y2 = motionEvent.getY();
                this.t = x2;
                this.u = y2;
                if (this.w.isViewUnder(this.n, (int) x2, (int) y2) && c(this.n)) {
                    z2 = true;
                    if (this.w.shouldInterceptTouchEvent(motionEvent) && !z2) {
                        return false;
                    }
                }
            } else if (actionMasked == 2) {
                float x3 = motionEvent.getX();
                float y3 = motionEvent.getY();
                float abs = Math.abs(x3 - this.t);
                float abs2 = Math.abs(y3 - this.u);
                if (abs > ((float) this.w.getTouchSlop()) && abs2 > abs) {
                    this.w.cancel();
                    this.r = true;
                    return false;
                }
            }
            z2 = false;
            return this.w.shouldInterceptTouchEvent(motionEvent) ? true : true;
        }
    }

    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        boolean d2 = d();
        if (d2) {
            this.w.setEdgeTrackingEnabled(2);
        } else {
            this.w.setEdgeTrackingEnabled(1);
        }
        int i11 = i4 - i2;
        int paddingRight = d2 ? getPaddingRight() : getPaddingLeft();
        int paddingLeft = d2 ? getPaddingLeft() : getPaddingRight();
        int paddingTop = getPaddingTop();
        int childCount = getChildCount();
        if (this.y) {
            this.o = (!this.m || !this.x) ? 0.0f : 1.0f;
        }
        int i12 = paddingRight;
        for (int i13 = 0; i13 < childCount; i13++) {
            View childAt = getChildAt(i13);
            if (childAt.getVisibility() != 8) {
                d dVar = (d) childAt.getLayoutParams();
                int measuredWidth = childAt.getMeasuredWidth();
                if (dVar.f194c) {
                    int i14 = i11 - paddingLeft;
                    int min = (Math.min(paddingRight, i14 + 0) - i12) - (((ViewGroup.MarginLayoutParams) dVar).leftMargin + ((ViewGroup.MarginLayoutParams) dVar).rightMargin);
                    this.q = min;
                    int i15 = d2 ? ((ViewGroup.MarginLayoutParams) dVar).rightMargin : ((ViewGroup.MarginLayoutParams) dVar).leftMargin;
                    dVar.f195d = (measuredWidth / 2) + ((i12 + i15) + min) > i14;
                    int i16 = (int) (((float) min) * this.o);
                    i7 = i15 + i16 + i12;
                    this.o = ((float) i16) / ((float) min);
                    i6 = 0;
                } else if (!this.m || (i10 = this.s) == 0) {
                    i7 = paddingRight;
                    i6 = 0;
                } else {
                    i6 = (int) ((1.0f - this.o) * ((float) i10));
                    i7 = paddingRight;
                }
                if (d2) {
                    i8 = (i11 - i7) + i6;
                    i9 = i8 - measuredWidth;
                } else {
                    i9 = i7 - i6;
                    i8 = i9 + measuredWidth;
                }
                childAt.layout(i9, paddingTop, i8, childAt.getMeasuredHeight() + paddingTop);
                i12 = i7;
                paddingRight = childAt.getWidth() + paddingRight;
            }
        }
        if (this.y) {
            if (this.m) {
                if (this.s != 0) {
                    g(this.o);
                }
                if (((d) this.n.getLayoutParams()).f195d) {
                    b(this.n, this.o, this.f185h);
                }
            } else {
                for (int i17 = 0; i17 < childCount; i17++) {
                    b(getChildAt(i17), 0.0f, this.f185h);
                }
            }
            j(this.n);
        }
        this.y = false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:134:0x0169 A[EDGE_INSN: B:134:0x0169->B:74:0x0169 ?: BREAK  , SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x00bd  */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x00d1  */
    /* JADX WARNING: Removed duplicated region for block: B:79:0x0175  */
    public void onMeasure(int i2, int i3) {
        int i4;
        int i5;
        int paddingLeft;
        int childCount;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        int i13;
        float f2;
        int i14;
        int i15;
        int i16;
        int i17;
        int mode = View.MeasureSpec.getMode(i2);
        int mode2 = View.MeasureSpec.getMode(i3);
        Display defaultDisplay = this.F.getWindowManager().getDefaultDisplay();
        DisplayMetrics displayMetrics = new DisplayMetrics();
        defaultDisplay.getRealMetrics(displayMetrics);
        int i18 = displayMetrics.widthPixels;
        Display defaultDisplay2 = this.F.getWindowManager().getDefaultDisplay();
        DisplayMetrics displayMetrics2 = new DisplayMetrics();
        defaultDisplay2.getRealMetrics(displayMetrics2);
        int i19 = displayMetrics2.heightPixels;
        if (mode != 1073741824) {
            if (!isInEditMode()) {
                throw new IllegalStateException("Width must have an exact value or MATCH_PARENT");
            } else if (mode != Integer.MIN_VALUE && mode == 0) {
                i18 = IjkMediaCodecInfo.RANK_SECURE;
            }
        } else if (mode2 == 0) {
            if (!isInEditMode()) {
                throw new IllegalStateException("Height must not be UNSPECIFIED");
            } else if (mode2 == 0) {
                mode2 = Integer.MIN_VALUE;
                i19 = IjkMediaCodecInfo.RANK_SECURE;
            }
        }
        boolean z2 = false;
        if (mode2 == Integer.MIN_VALUE) {
            i5 = (i19 - getPaddingTop()) - getPaddingBottom();
        } else if (mode2 != 1073741824) {
            i5 = -1;
        } else {
            i5 = (i19 - getPaddingTop()) - getPaddingBottom();
            i4 = i5;
            if (!this.H && c.a.a.a.d0(this.F)) {
                i5 -= c.a.a.a.G(this.F);
            }
            if (this.H && !c.a.a.a.d0(this.F)) {
                i18 += c.a.a.a.G(this.F);
            }
            paddingLeft = (i18 - getPaddingLeft()) - getPaddingRight();
            childCount = getChildCount();
            if (childCount > 2) {
                Log.e("SlidingPaneLayout", "onMeasure: More than two child views are not supported.");
            }
            this.n = null;
            int i20 = paddingLeft;
            i6 = 0;
            boolean z3 = false;
            float f3 = 0.0f;
            while (true) {
                i7 = 8;
                if (i6 < childCount) {
                    break;
                }
                View childAt = getChildAt(i6);
                d dVar = (d) childAt.getLayoutParams();
                if (childAt.getVisibility() == 8) {
                    dVar.f195d = z2;
                } else {
                    float f4 = dVar.f193b;
                    if (f4 > 0.0f) {
                        f3 += f4;
                        if (((ViewGroup.MarginLayoutParams) dVar).width == 0) {
                        }
                    }
                    int i21 = ((ViewGroup.MarginLayoutParams) dVar).leftMargin + ((ViewGroup.MarginLayoutParams) dVar).rightMargin;
                    int i22 = ((ViewGroup.MarginLayoutParams) dVar).width;
                    if (i22 == -2) {
                        i15 = View.MeasureSpec.makeMeasureSpec(paddingLeft - i21, Integer.MIN_VALUE);
                        f2 = f3;
                        i14 = Integer.MIN_VALUE;
                    } else {
                        f2 = f3;
                        i14 = Integer.MIN_VALUE;
                        if (i22 == -1) {
                            i15 = View.MeasureSpec.makeMeasureSpec(paddingLeft - i21, BasicMeasure.EXACTLY);
                        } else {
                            i15 = View.MeasureSpec.makeMeasureSpec(i22, BasicMeasure.EXACTLY);
                        }
                    }
                    int i23 = ((ViewGroup.MarginLayoutParams) dVar).height;
                    if (i23 == -2) {
                        i16 = View.MeasureSpec.makeMeasureSpec(i5, i14);
                    } else {
                        if (i23 == -1) {
                            i17 = View.MeasureSpec.makeMeasureSpec(i5, BasicMeasure.EXACTLY);
                        } else {
                            i17 = View.MeasureSpec.makeMeasureSpec(i23, BasicMeasure.EXACTLY);
                        }
                        i16 = i17;
                    }
                    childAt.measure(i15, i16);
                    int measuredWidth = childAt.getMeasuredWidth();
                    int measuredHeight = childAt.getMeasuredHeight();
                    if (mode2 == i14 && measuredHeight > i4) {
                        i4 = Math.min(measuredHeight, i5);
                    }
                    i20 -= measuredWidth;
                    boolean z4 = i20 < 0;
                    dVar.f194c = z4;
                    z3 |= z4;
                    if (z4) {
                        this.n = childAt;
                    }
                    f3 = f2;
                }
                i6++;
                z2 = false;
            }
            if (z3 || f3 > 0.0f) {
                int i24 = paddingLeft + 0;
                i8 = 0;
                while (i8 < childCount) {
                    View childAt2 = getChildAt(i8);
                    if (childAt2.getVisibility() != i7) {
                        d dVar2 = (d) childAt2.getLayoutParams();
                        if (childAt2.getVisibility() != i7) {
                            boolean z5 = ((ViewGroup.MarginLayoutParams) dVar2).width == 0 && dVar2.f193b > 0.0f;
                            if (z5) {
                                i10 = 0;
                            } else {
                                i10 = childAt2.getMeasuredWidth();
                            }
                            if (!z3 || childAt2 == this.n) {
                                if (dVar2.f193b > 0.0f) {
                                    if (((ViewGroup.MarginLayoutParams) dVar2).width == 0) {
                                        int i25 = ((ViewGroup.MarginLayoutParams) dVar2).height;
                                        if (i25 == -2) {
                                            i11 = View.MeasureSpec.makeMeasureSpec(i5, Integer.MIN_VALUE);
                                        } else if (i25 == -1) {
                                            i11 = View.MeasureSpec.makeMeasureSpec(i5, BasicMeasure.EXACTLY);
                                        } else {
                                            i11 = View.MeasureSpec.makeMeasureSpec(i25, BasicMeasure.EXACTLY);
                                        }
                                    } else {
                                        i11 = View.MeasureSpec.makeMeasureSpec(childAt2.getMeasuredHeight(), BasicMeasure.EXACTLY);
                                    }
                                    if (z3) {
                                        int i26 = paddingLeft - (((ViewGroup.MarginLayoutParams) dVar2).leftMargin + ((ViewGroup.MarginLayoutParams) dVar2).rightMargin);
                                        i9 = i24;
                                        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(i26, BasicMeasure.EXACTLY);
                                        if (i10 != i26) {
                                            childAt2.measure(makeMeasureSpec, i11);
                                        }
                                        i8++;
                                        i24 = i9;
                                        i7 = 8;
                                    } else {
                                        i9 = i24;
                                        childAt2.measure(View.MeasureSpec.makeMeasureSpec(i10 + ((int) ((dVar2.f193b * ((float) Math.max(0, i20))) / f3)), BasicMeasure.EXACTLY), i11);
                                        i8++;
                                        i24 = i9;
                                        i7 = 8;
                                    }
                                }
                            } else if (((ViewGroup.MarginLayoutParams) dVar2).width < 0 && (i10 > i24 || dVar2.f193b > 0.0f)) {
                                if (z5) {
                                    int i27 = ((ViewGroup.MarginLayoutParams) dVar2).height;
                                    if (i27 == -2) {
                                        i13 = View.MeasureSpec.makeMeasureSpec(i5, Integer.MIN_VALUE);
                                        i12 = BasicMeasure.EXACTLY;
                                    } else if (i27 == -1) {
                                        i12 = BasicMeasure.EXACTLY;
                                        i13 = View.MeasureSpec.makeMeasureSpec(i5, BasicMeasure.EXACTLY);
                                    } else {
                                        i12 = BasicMeasure.EXACTLY;
                                        i13 = View.MeasureSpec.makeMeasureSpec(i27, BasicMeasure.EXACTLY);
                                    }
                                } else {
                                    i12 = BasicMeasure.EXACTLY;
                                    i13 = View.MeasureSpec.makeMeasureSpec(childAt2.getMeasuredHeight(), BasicMeasure.EXACTLY);
                                }
                                childAt2.measure(View.MeasureSpec.makeMeasureSpec(i24, i12), i13);
                            }
                        }
                    }
                    i9 = i24;
                    i8++;
                    i24 = i9;
                    i7 = 8;
                }
            }
            setMeasuredDimension(i18, getPaddingBottom() + getPaddingTop() + i4);
            this.m = z3;
            if (this.w.getViewDragState() != 0 && !z3) {
                this.w.abort();
                return;
            }
        }
        i4 = 0;
        i5 -= c.a.a.a.G(this.F);
        i18 += c.a.a.a.G(this.F);
        paddingLeft = (i18 - getPaddingLeft()) - getPaddingRight();
        childCount = getChildCount();
        if (childCount > 2) {
        }
        this.n = null;
        int i202 = paddingLeft;
        i6 = 0;
        boolean z32 = false;
        float f32 = 0.0f;
        while (true) {
            i7 = 8;
            if (i6 < childCount) {
            }
            i6++;
            z2 = false;
        }
        int i242 = paddingLeft + 0;
        i8 = 0;
        while (i8 < childCount) {
        }
        setMeasuredDimension(i18, getPaddingBottom() + getPaddingTop() + i4);
        this.m = z32;
        if (this.w.getViewDragState() != 0) {
        }
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        if (savedState.isOpen) {
            f(0);
        } else {
            a(0);
        }
        this.x = savedState.isOpen;
    }

    public Parcelable onSaveInstanceState() {
        boolean z2;
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        boolean z3 = this.m;
        if (z3) {
            z2 = !z3 || this.o == 1.0f;
        } else {
            z2 = this.x;
        }
        savedState.isOpen = z2;
        return savedState;
    }

    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        if (i2 != i4) {
            this.y = true;
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (!e()) {
            return super.onTouchEvent(motionEvent);
        }
        if (!this.m) {
            return super.onTouchEvent(motionEvent);
        }
        this.w.processTouchEvent(motionEvent);
        int action = motionEvent.getAction() & 255;
        if (action == 0) {
            float x2 = motionEvent.getX();
            float y2 = motionEvent.getY();
            this.t = x2;
            this.u = y2;
        } else if (action == 1 && c(this.n)) {
            float x3 = motionEvent.getX();
            float y3 = motionEvent.getY();
            float f2 = x3 - this.t;
            float f3 = y3 - this.u;
            int touchSlop = this.w.getTouchSlop();
            if ((f3 * f3) + (f2 * f2) < ((float) (touchSlop * touchSlop)) && this.w.isViewUnder(this.n, (int) x3, (int) y3)) {
                a(0);
            }
        }
        return true;
    }

    public void requestChildFocus(View view, View view2) {
        super.requestChildFocus(view, view2);
        if (!isInTouchMode() && !this.m) {
            this.x = view == this.n;
        }
    }

    public void setCoveredFadeColor(@ColorInt int i2) {
        this.f186j = i2;
    }

    public void setIsNavigationBarOverlap(boolean z2) {
        this.H = z2;
    }

    public void setIsNeedShowShadow(boolean z2) {
        c.a.a.e eVar = this.D;
        eVar.n = z2;
        eVar.c();
    }

    public void setIsOnlyTrackingLeftEdge(boolean z2) {
        this.C = z2;
    }

    public void setIsShadowAlphaGradient(boolean z2) {
        this.D.p = z2;
    }

    public void setIsWeChatStyle(boolean z2) {
        this.D.q = z2;
    }

    public void setPanelSlideListener(e eVar) {
        this.v = eVar;
    }

    public void setParallaxDistance(int i2) {
        this.s = i2;
        requestLayout();
    }

    @Deprecated
    public void setShadowDrawable(Drawable drawable) {
        setShadowDrawableLeft(drawable);
    }

    public void setShadowDrawableLeft(Drawable drawable) {
        this.k = drawable;
    }

    public void setShadowDrawableRight(Drawable drawable) {
        this.l = drawable;
    }

    public void setShadowResId(@DrawableRes int i2) {
        c.a.a.e eVar = this.D;
        eVar.o = i2;
        eVar.c();
    }

    @Deprecated
    public void setShadowResource(@DrawableRes int i2) {
        setShadowDrawable(getResources().getDrawable(i2));
    }

    public void setShadowResourceLeft(int i2) {
        setShadowDrawableLeft(ContextCompat.getDrawable(getContext(), i2));
    }

    public void setShadowResourceRight(int i2) {
        setShadowDrawableRight(ContextCompat.getDrawable(getContext(), i2));
    }

    public void setSliderFadeColor(@ColorInt int i2) {
        this.f185h = i2;
    }

    public void setSwipeBackEnable(boolean z2) {
        this.B = z2;
    }

    public void setSwipeBackThreshold(@FloatRange(from = 0.0d, to = 1.0d) float f2) {
        this.G = f2;
    }

    public static class d extends ViewGroup.MarginLayoutParams {

        /* renamed from: a  reason: collision with root package name */
        public static final int[] f192a = {16843137};

        /* renamed from: b  reason: collision with root package name */
        public float f193b = 0.0f;

        /* renamed from: c  reason: collision with root package name */
        public boolean f194c;

        /* renamed from: d  reason: collision with root package name */
        public boolean f195d;

        /* renamed from: e  reason: collision with root package name */
        public Paint f196e;

        public d() {
            super(-1, -1);
        }

        public d(int i2, int i3) {
            super(i2, i3);
        }

        public d(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }

        public d(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
        }

        public d(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f192a);
            this.f193b = obtainStyledAttributes.getFloat(0, 0.0f);
            obtainStyledAttributes.recycle();
        }
    }

    public BGASwipeBackLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new d(getContext(), attributeSet);
    }

    public BGASwipeBackLayout(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f185h = -858993460;
        this.y = true;
        this.z = new Rect();
        this.A = new ArrayList<>();
        this.B = true;
        this.C = true;
        this.G = 0.3f;
        this.H = false;
        float f2 = context.getResources().getDisplayMetrics().density;
        ViewConfiguration.get(context);
        setWillNotDraw(false);
        ViewCompat.setAccessibilityDelegate(this, new a());
        ViewCompat.setImportantForAccessibility(this, 1);
        ViewDragHelper create = ViewDragHelper.create(this, 0.5f, new c());
        this.w = create;
        create.setMinVelocity(f2 * 400.0f);
    }
}
