package com.androidx.lv.base.db;

import android.database.Cursor;
import android.database.sqlite.SQLiteStatement;
import com.androidx.lv.base.bean.VideoHistory;
import d.c.a.a.c.c;
import i.a.b.a;
import i.a.b.d;
import java.util.List;

public class VideoHistoryDao extends a<VideoHistory, Long> {
    public static final String TABLENAME = "VIDEO_HISTORY";

    /* renamed from: h  reason: collision with root package name */
    public final VideoHistory.StringConverter f205h = new VideoHistory.StringConverter();

    public static class Properties {
        public static final d Attention;
        public static final d CommentNum;
        public static final d CoverImg = new d(4, String.class, "coverImg", false, "COVER_IMG");
        public static final d EditState;
        public static final d FakeFavorites;
        public static final d FakeLikes;
        public static final d FakeScoreNum;
        public static final d FakeShareNum;
        public static final d FakeWatchNum;
        public static final d Id = new d(0, Long.class, "id", true, "_id");
        public static final d IsFavorite;
        public static final d IsLike;
        public static final d Logo = new d(18, String.class, "logo", false, "LOGO");
        public static final d NickName = new d(17, String.class, "nickName", false, "NICK_NAME");
        public static final d PlayPath = new d(8, String.class, "playPath", false, "PLAY_PATH");
        public static final d PlayTime = new d(3, Long.TYPE, "playTime", false, "PLAY_TIME");
        public static final d Price = new d(9, Double.TYPE, "price", false, "PRICE");
        public static final d Progress;
        public static final d TagTitles = new d(23, String.class, "tagTitles", false, "TAG_TITLES");
        public static final d Title = new d(2, String.class, "title", false, "TITLE");
        public static final d UserId;
        public static final d VerImg = new d(5, String.class, "verImg", false, "VER_IMG");
        public static final d VideoId;
        public static final d VideoMark;
        public static final d VideoType;

        static {
            Class cls = Integer.TYPE;
            VideoId = new d(1, cls, "videoId", false, "VIDEO_ID");
            Progress = new d(6, cls, "progress", false, "PROGRESS");
            VideoType = new d(7, cls, "videoType", false, "VIDEO_TYPE");
            FakeLikes = new d(10, cls, "fakeLikes", false, "FAKE_LIKES");
            FakeScoreNum = new d(11, cls, "fakeScoreNum", false, "FAKE_SCORE_NUM");
            Class cls2 = Boolean.TYPE;
            IsLike = new d(12, cls2, "isLike", false, "IS_LIKE");
            UserId = new d(13, cls, "userId", false, "USER_ID");
            FakeFavorites = new d(14, cls, "fakeFavorites", false, "FAKE_FAVORITES");
            Attention = new d(15, cls2, "attention", false, "ATTENTION");
            FakeWatchNum = new d(16, cls, "fakeWatchNum", false, "FAKE_WATCH_NUM");
            VideoMark = new d(19, cls, "videoMark", false, "VIDEO_MARK");
            CommentNum = new d(20, cls, "commentNum", false, "COMMENT_NUM");
            IsFavorite = new d(21, cls2, "isFavorite", false, "IS_FAVORITE");
            EditState = new d(22, cls, "editState", false, "EDIT_STATE");
            FakeShareNum = new d(24, cls, "fakeShareNum", false, "FAKE_SHARE_NUM");
        }
    }

    public VideoHistoryDao(i.a.b.g.a aVar, c cVar) {
        super(aVar, cVar);
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [android.database.sqlite.SQLiteStatement, java.lang.Object] */
    @Override // i.a.b.a
    public void b(SQLiteStatement sQLiteStatement, VideoHistory videoHistory) {
        VideoHistory videoHistory2 = videoHistory;
        sQLiteStatement.clearBindings();
        Long id = videoHistory2.getId();
        if (id != null) {
            sQLiteStatement.bindLong(1, id.longValue());
        }
        sQLiteStatement.bindLong(2, (long) videoHistory2.getVideoId());
        String title = videoHistory2.getTitle();
        if (title != null) {
            sQLiteStatement.bindString(3, title);
        }
        sQLiteStatement.bindLong(4, videoHistory2.getPlayTime());
        String coverImg = videoHistory2.getCoverImg();
        if (coverImg != null) {
            sQLiteStatement.bindString(5, coverImg);
        }
        String verImg = videoHistory2.getVerImg();
        if (verImg != null) {
            sQLiteStatement.bindString(6, verImg);
        }
        sQLiteStatement.bindLong(7, (long) videoHistory2.getProgress());
        sQLiteStatement.bindLong(8, (long) videoHistory2.getVideoType());
        String playPath = videoHistory2.getPlayPath();
        if (playPath != null) {
            sQLiteStatement.bindString(9, playPath);
        }
        sQLiteStatement.bindDouble(10, videoHistory2.getPrice());
        sQLiteStatement.bindLong(11, (long) videoHistory2.getFakeLikes());
        sQLiteStatement.bindLong(12, (long) videoHistory2.getFakeScoreNum());
        long j2 = 1;
        sQLiteStatement.bindLong(13, videoHistory2.getIsLike() ? 1 : 0);
        sQLiteStatement.bindLong(14, (long) videoHistory2.getUserId());
        sQLiteStatement.bindLong(15, (long) videoHistory2.getFakeFavorites());
        sQLiteStatement.bindLong(16, videoHistory2.getAttention() ? 1 : 0);
        sQLiteStatement.bindLong(17, (long) videoHistory2.getFakeWatchNum());
        String nickName = videoHistory2.getNickName();
        if (nickName != null) {
            sQLiteStatement.bindString(18, nickName);
        }
        String logo = videoHistory2.getLogo();
        if (logo != null) {
            sQLiteStatement.bindString(19, logo);
        }
        sQLiteStatement.bindLong(20, (long) videoHistory2.getVideoMark());
        sQLiteStatement.bindLong(21, (long) videoHistory2.getCommentNum());
        if (!videoHistory2.getIsFavorite()) {
            j2 = 0;
        }
        sQLiteStatement.bindLong(22, j2);
        sQLiteStatement.bindLong(23, (long) videoHistory2.getEditState());
        List<String> tagTitles = videoHistory2.getTagTitles();
        if (tagTitles != null) {
            sQLiteStatement.bindString(24, this.f205h.convertToDatabaseValue(tagTitles));
        }
        sQLiteStatement.bindLong(25, (long) videoHistory2.getFakeShareNum());
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [i.a.b.e.c, java.lang.Object] */
    @Override // i.a.b.a
    public void c(i.a.b.e.c cVar, VideoHistory videoHistory) {
        VideoHistory videoHistory2 = videoHistory;
        cVar.d();
        Long id = videoHistory2.getId();
        if (id != null) {
            cVar.c(1, id.longValue());
        }
        cVar.c(2, (long) videoHistory2.getVideoId());
        String title = videoHistory2.getTitle();
        if (title != null) {
            cVar.a(3, title);
        }
        cVar.c(4, videoHistory2.getPlayTime());
        String coverImg = videoHistory2.getCoverImg();
        if (coverImg != null) {
            cVar.a(5, coverImg);
        }
        String verImg = videoHistory2.getVerImg();
        if (verImg != null) {
            cVar.a(6, verImg);
        }
        cVar.c(7, (long) videoHistory2.getProgress());
        cVar.c(8, (long) videoHistory2.getVideoType());
        String playPath = videoHistory2.getPlayPath();
        if (playPath != null) {
            cVar.a(9, playPath);
        }
        cVar.b(10, videoHistory2.getPrice());
        cVar.c(11, (long) videoHistory2.getFakeLikes());
        cVar.c(12, (long) videoHistory2.getFakeScoreNum());
        long j2 = 1;
        cVar.c(13, videoHistory2.getIsLike() ? 1 : 0);
        cVar.c(14, (long) videoHistory2.getUserId());
        cVar.c(15, (long) videoHistory2.getFakeFavorites());
        cVar.c(16, videoHistory2.getAttention() ? 1 : 0);
        cVar.c(17, (long) videoHistory2.getFakeWatchNum());
        String nickName = videoHistory2.getNickName();
        if (nickName != null) {
            cVar.a(18, nickName);
        }
        String logo = videoHistory2.getLogo();
        if (logo != null) {
            cVar.a(19, logo);
        }
        cVar.c(20, (long) videoHistory2.getVideoMark());
        cVar.c(21, (long) videoHistory2.getCommentNum());
        if (!videoHistory2.getIsFavorite()) {
            j2 = 0;
        }
        cVar.c(22, j2);
        cVar.c(23, (long) videoHistory2.getEditState());
        List<String> tagTitles = videoHistory2.getTagTitles();
        if (tagTitles != null) {
            cVar.a(24, this.f205h.convertToDatabaseValue(tagTitles));
        }
        cVar.c(25, (long) videoHistory2.getFakeShareNum());
    }

    @Override // i.a.b.a
    public final boolean i() {
        return true;
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    @Override // i.a.b.a
    public VideoHistory m(Cursor cursor, int i2) {
        List<String> list;
        int i3;
        int i4 = i2 + 0;
        Long valueOf = cursor.isNull(i4) ? null : Long.valueOf(cursor.getLong(i4));
        int i5 = cursor.getInt(i2 + 1);
        int i6 = i2 + 2;
        String string = cursor.isNull(i6) ? null : cursor.getString(i6);
        long j2 = cursor.getLong(i2 + 3);
        int i7 = i2 + 4;
        String string2 = cursor.isNull(i7) ? null : cursor.getString(i7);
        int i8 = i2 + 5;
        String string3 = cursor.isNull(i8) ? null : cursor.getString(i8);
        int i9 = cursor.getInt(i2 + 6);
        int i10 = cursor.getInt(i2 + 7);
        int i11 = i2 + 8;
        String string4 = cursor.isNull(i11) ? null : cursor.getString(i11);
        double d2 = cursor.getDouble(i2 + 9);
        int i12 = cursor.getInt(i2 + 10);
        int i13 = cursor.getInt(i2 + 11);
        boolean z = cursor.getShort(i2 + 12) != 0;
        int i14 = cursor.getInt(i2 + 13);
        int i15 = cursor.getInt(i2 + 14);
        boolean z2 = cursor.getShort(i2 + 15) != 0;
        int i16 = cursor.getInt(i2 + 16);
        int i17 = i2 + 17;
        String string5 = cursor.isNull(i17) ? null : cursor.getString(i17);
        int i18 = i2 + 18;
        String string6 = cursor.isNull(i18) ? null : cursor.getString(i18);
        int i19 = cursor.getInt(i2 + 19);
        int i20 = cursor.getInt(i2 + 20);
        boolean z3 = cursor.getShort(i2 + 21) != 0;
        int i21 = cursor.getInt(i2 + 22);
        int i22 = i2 + 23;
        if (cursor.isNull(i22)) {
            i3 = i13;
            list = null;
        } else {
            i3 = i13;
            list = this.f205h.convertToEntityProperty(cursor.getString(i22));
        }
        return new VideoHistory(valueOf, i5, string, j2, string2, string3, i9, i10, string4, d2, i12, i3, z, i14, i15, z2, i16, string5, string6, i19, i20, z3, i21, list, cursor.getInt(i2 + 24));
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    @Override // i.a.b.a
    public Long n(Cursor cursor, int i2) {
        int i3 = i2 + 0;
        if (cursor.isNull(i3)) {
            return null;
        }
        return Long.valueOf(cursor.getLong(i3));
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, long] */
    @Override // i.a.b.a
    public Long o(VideoHistory videoHistory, long j2) {
        videoHistory.setId(Long.valueOf(j2));
        return Long.valueOf(j2);
    }

    public Object q(Object obj) {
        VideoHistory videoHistory = (VideoHistory) obj;
        if (videoHistory != null) {
            return videoHistory.getId();
        }
        return null;
    }
}
