package com.androidx.lv.base.view;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Bitmap;
import android.graphics.BitmapShader;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.RectF;
import android.graphics.Shader;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.util.AttributeSet;
import android.widget.ImageView;
import androidx.annotation.ColorInt;
import androidx.annotation.ColorRes;
import androidx.annotation.DrawableRes;
import androidx.appcompat.widget.AppCompatImageView;
import androidx.core.view.ViewCompat;
import com.androidx.lv.base.R$styleable;

public class CircleImageView extends AppCompatImageView {

    /* renamed from: d  reason: collision with root package name */
    public static final ImageView.ScaleType f226d = ImageView.ScaleType.CENTER_CROP;

    /* renamed from: h  reason: collision with root package name */
    public static final Bitmap.Config f227h = Bitmap.Config.ARGB_8888;
    public boolean A;
    public boolean B;
    public boolean C;

    /* renamed from: j  reason: collision with root package name */
    public final RectF f228j;
    public final RectF k;
    public final Matrix l;
    public final Paint m;
    public final Paint n;
    public final Paint o;
    public int p;
    public int q;
    public int r;
    public Bitmap s;
    public BitmapShader t;
    public int u;
    public int v;
    public float w;
    public float x;
    public ColorFilter y;
    public boolean z;

    public CircleImageView(Context context) {
        super(context);
        this.f228j = new RectF();
        this.k = new RectF();
        this.l = new Matrix();
        this.m = new Paint();
        this.n = new Paint();
        this.o = new Paint();
        this.p = ViewCompat.MEASURED_STATE_MASK;
        this.q = 0;
        this.r = 0;
        super.setScaleType(f226d);
        this.z = true;
        if (this.A) {
            b();
            this.A = false;
        }
    }

    public final void a() {
        Bitmap bitmap;
        Bitmap bitmap2 = null;
        if (this.C) {
            this.s = null;
        } else {
            Drawable drawable = getDrawable();
            if (drawable != null) {
                if (drawable instanceof BitmapDrawable) {
                    bitmap2 = ((BitmapDrawable) drawable).getBitmap();
                } else {
                    try {
                        if (drawable instanceof ColorDrawable) {
                            bitmap = Bitmap.createBitmap(2, 2, f227h);
                        } else {
                            bitmap = Bitmap.createBitmap(drawable.getIntrinsicWidth(), drawable.getIntrinsicHeight(), f227h);
                        }
                        Canvas canvas = new Canvas(bitmap);
                        drawable.setBounds(0, 0, canvas.getWidth(), canvas.getHeight());
                        drawable.draw(canvas);
                        bitmap2 = bitmap;
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                }
            }
            this.s = bitmap2;
        }
        b();
    }

    public final void b() {
        float f2;
        float f3;
        int i2;
        if (!this.z) {
            this.A = true;
        } else if (getWidth() != 0 || getHeight() != 0) {
            if (this.s == null) {
                invalidate();
                return;
            }
            Bitmap bitmap = this.s;
            Shader.TileMode tileMode = Shader.TileMode.CLAMP;
            this.t = new BitmapShader(bitmap, tileMode, tileMode);
            this.m.setAntiAlias(true);
            this.m.setShader(this.t);
            this.n.setStyle(Paint.Style.STROKE);
            this.n.setAntiAlias(true);
            this.n.setColor(this.p);
            this.n.setStrokeWidth((float) this.q);
            this.o.setStyle(Paint.Style.FILL);
            this.o.setAntiAlias(true);
            this.o.setColor(this.r);
            this.v = this.s.getHeight();
            this.u = this.s.getWidth();
            RectF rectF = this.k;
            int width = (getWidth() - getPaddingLeft()) - getPaddingRight();
            int height = (getHeight() - getPaddingTop()) - getPaddingBottom();
            int min = Math.min(width, height);
            float paddingLeft = (((float) (width - min)) / 2.0f) + ((float) getPaddingLeft());
            float paddingTop = (((float) (height - min)) / 2.0f) + ((float) getPaddingTop());
            float f4 = (float) min;
            rectF.set(new RectF(paddingLeft, paddingTop, paddingLeft + f4, f4 + paddingTop));
            this.x = Math.min((this.k.height() - ((float) this.q)) / 2.0f, (this.k.width() - ((float) this.q)) / 2.0f);
            this.f228j.set(this.k);
            if (!this.B && (i2 = this.q) > 0) {
                float f5 = ((float) i2) - 1.0f;
                this.f228j.inset(f5, f5);
            }
            this.w = Math.min(this.f228j.height() / 2.0f, this.f228j.width() / 2.0f);
            Paint paint = this.m;
            if (paint != null) {
                paint.setColorFilter(this.y);
            }
            this.l.set(null);
            float f6 = 0.0f;
            if (this.f228j.height() * ((float) this.u) > this.f228j.width() * ((float) this.v)) {
                f3 = this.f228j.height() / ((float) this.v);
                f6 = (this.f228j.width() - (((float) this.u) * f3)) * 0.5f;
                f2 = 0.0f;
            } else {
                f3 = this.f228j.width() / ((float) this.u);
                f2 = (this.f228j.height() - (((float) this.v) * f3)) * 0.5f;
            }
            this.l.setScale(f3, f3);
            Matrix matrix = this.l;
            RectF rectF2 = this.f228j;
            matrix.postTranslate(((float) ((int) (f6 + 0.5f))) + rectF2.left, ((float) ((int) (f2 + 0.5f))) + rectF2.top);
            this.t.setLocalMatrix(this.l);
            invalidate();
        }
    }

    public int getBorderColor() {
        return this.p;
    }

    public int getBorderWidth() {
        return this.q;
    }

    public ColorFilter getColorFilter() {
        return this.y;
    }

    @Deprecated
    public int getFillColor() {
        return this.r;
    }

    public ImageView.ScaleType getScaleType() {
        return f226d;
    }

    public void onDraw(Canvas canvas) {
        if (this.C) {
            super.onDraw(canvas);
        } else if (this.s != null) {
            if (this.r != 0) {
                canvas.drawCircle(this.f228j.centerX(), this.f228j.centerY(), this.w, this.o);
            }
            canvas.drawCircle(this.f228j.centerX(), this.f228j.centerY(), this.w, this.m);
            if (this.q > 0) {
                canvas.drawCircle(this.k.centerX(), this.k.centerY(), this.x, this.n);
            }
        }
    }

    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        b();
    }

    public void setAdjustViewBounds(boolean z2) {
        if (z2) {
            throw new IllegalArgumentException("adjustViewBounds not supported.");
        }
    }

    public void setBorderColor(@ColorInt int i2) {
        if (i2 != this.p) {
            this.p = i2;
            this.n.setColor(i2);
            invalidate();
        }
    }

    @Deprecated
    public void setBorderColorResource(@ColorRes int i2) {
        setBorderColor(getContext().getResources().getColor(i2));
    }

    public void setBorderOverlay(boolean z2) {
        if (z2 != this.B) {
            this.B = z2;
            b();
        }
    }

    public void setBorderWidth(int i2) {
        if (i2 != this.q) {
            this.q = i2;
            b();
        }
    }

    @Override // android.widget.ImageView
    public void setColorFilter(ColorFilter colorFilter) {
        if (colorFilter != this.y) {
            this.y = colorFilter;
            Paint paint = this.m;
            if (paint != null) {
                paint.setColorFilter(colorFilter);
            }
            invalidate();
        }
    }

    public void setDisableCircularTransformation(boolean z2) {
        if (this.C != z2) {
            this.C = z2;
            a();
        }
    }

    @Deprecated
    public void setFillColor(@ColorInt int i2) {
        if (i2 != this.r) {
            this.r = i2;
            this.o.setColor(i2);
            invalidate();
        }
    }

    @Deprecated
    public void setFillColorResource(@ColorRes int i2) {
        setFillColor(getContext().getResources().getColor(i2));
    }

    @Override // androidx.appcompat.widget.AppCompatImageView
    public void setImageBitmap(Bitmap bitmap) {
        super.setImageBitmap(bitmap);
        a();
    }

    @Override // androidx.appcompat.widget.AppCompatImageView
    public void setImageDrawable(Drawable drawable) {
        super.setImageDrawable(drawable);
        a();
    }

    @Override // androidx.appcompat.widget.AppCompatImageView
    public void setImageResource(@DrawableRes int i2) {
        super.setImageResource(i2);
        a();
    }

    @Override // androidx.appcompat.widget.AppCompatImageView
    public void setImageURI(Uri uri) {
        super.setImageURI(uri);
        a();
    }

    public void setPadding(int i2, int i3, int i4, int i5) {
        super.setPadding(i2, i3, i4, i5);
        b();
    }

    public void setPaddingRelative(int i2, int i3, int i4, int i5) {
        super.setPaddingRelative(i2, i3, i4, i5);
        b();
    }

    public void setScaleType(ImageView.ScaleType scaleType) {
        if (scaleType != f226d) {
            throw new IllegalArgumentException(String.format("ScaleType %s not supported.", scaleType));
        }
    }

    public CircleImageView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public CircleImageView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f228j = new RectF();
        this.k = new RectF();
        this.l = new Matrix();
        this.m = new Paint();
        this.n = new Paint();
        this.o = new Paint();
        this.p = ViewCompat.MEASURED_STATE_MASK;
        this.q = 0;
        this.r = 0;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.CircleImageView, i2, 0);
        this.q = obtainStyledAttributes.getDimensionPixelSize(R$styleable.CircleImageView_civ_border_width, 0);
        this.p = obtainStyledAttributes.getColor(R$styleable.CircleImageView_civ_border_color, ViewCompat.MEASURED_STATE_MASK);
        this.B = obtainStyledAttributes.getBoolean(R$styleable.CircleImageView_civ_border_overlay, false);
        this.r = obtainStyledAttributes.getColor(R$styleable.CircleImageView_civ_fill_color, 0);
        obtainStyledAttributes.recycle();
        super.setScaleType(f226d);
        this.z = true;
        if (this.A) {
            b();
            this.A = false;
        }
    }
}
