package com.bumptech.glide;

import androidx.annotation.NonNull;
import androidx.core.util.Pools;
import com.bumptech.glide.load.ImageHeaderParser;
import d.d.a.k.k;
import d.d.a.k.l;
import d.d.a.k.n.e;
import d.d.a.k.p.n;
import d.d.a.k.p.o;
import d.d.a.k.p.p;
import d.d.a.k.p.r;
import d.d.a.k.q.h.f;
import d.d.a.n.a;
import d.d.a.n.b;
import d.d.a.n.c;
import d.d.a.n.d;
import d.d.a.n.e;
import d.d.a.n.f;
import d.d.a.q.j.a;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import java.util.Objects;

public class Registry {

    /* renamed from: a  reason: collision with root package name */
    public final p f235a;

    /* renamed from: b  reason: collision with root package name */
    public final a f236b;

    /* renamed from: c  reason: collision with root package name */
    public final e f237c;

    /* renamed from: d  reason: collision with root package name */
    public final f f238d;

    /* renamed from: e  reason: collision with root package name */
    public final d.d.a.k.n.f f239e;

    /* renamed from: f  reason: collision with root package name */
    public final d.d.a.k.q.h.f f240f;

    /* renamed from: g  reason: collision with root package name */
    public final b f241g;

    /* renamed from: h  reason: collision with root package name */
    public final d f242h = new d();

    /* renamed from: i  reason: collision with root package name */
    public final c f243i = new c();

    /* renamed from: j  reason: collision with root package name */
    public final Pools.Pool<List<Throwable>> f244j;

    public static class MissingComponentException extends RuntimeException {
        public MissingComponentException(@NonNull String str) {
            super(str);
        }
    }

    public static final class NoImageHeaderParserException extends MissingComponentException {
        public NoImageHeaderParserException() {
            super("Failed to find image header parser.");
        }
    }

    public static class NoModelLoaderAvailableException extends MissingComponentException {
        /* JADX WARNING: Illegal instructions before constructor call */
        public NoModelLoaderAvailableException(@NonNull Object obj) {
            super(r0.toString());
            StringBuilder n = d.b.a.a.a.n("Failed to find any ModelLoaders registered for model class: ");
            n.append(obj.getClass());
        }

        public <M> NoModelLoaderAvailableException(@NonNull M m, @NonNull List<n<M, ?>> list) {
            super("Found ModelLoaders for model class: " + list + ", but none that handle this specific model instance: " + ((Object) m));
        }

        public NoModelLoaderAvailableException(@NonNull Class<?> cls, @NonNull Class<?> cls2) {
            super("Failed to find any ModelLoaders for model: " + cls + " and data: " + cls2);
        }
    }

    public static class NoResultEncoderAvailableException extends MissingComponentException {
        public NoResultEncoderAvailableException(@NonNull Class<?> cls) {
            super("Failed to find result encoder for resource class: " + cls + ", you may need to consider registering a new Encoder for the requested type or DiskCacheStrategy.DATA/DiskCacheStrategy.NONE if caching your transformed resource is unnecessary.");
        }
    }

    public static class NoSourceEncoderAvailableException extends MissingComponentException {
        public NoSourceEncoderAvailableException(@NonNull Class<?> cls) {
            super("Failed to find source encoder for data class: " + cls);
        }
    }

    public Registry() {
        a.c cVar = new a.c(new Pools.SynchronizedPool(20), new d.d.a.q.j.b(), new d.d.a.q.j.c());
        this.f244j = cVar;
        this.f235a = new p(cVar);
        this.f236b = new d.d.a.n.a();
        e eVar = new e();
        this.f237c = eVar;
        this.f238d = new f();
        this.f239e = new d.d.a.k.n.f();
        this.f240f = new d.d.a.k.q.h.f();
        this.f241g = new b();
        List asList = Arrays.asList("Gif", "Bitmap", "BitmapDrawable");
        ArrayList arrayList = new ArrayList(asList.size());
        arrayList.addAll(asList);
        arrayList.add(0, "legacy_prepend_all");
        arrayList.add("legacy_append");
        synchronized (eVar) {
            ArrayList arrayList2 = new ArrayList(eVar.f1901a);
            eVar.f1901a.clear();
            Iterator it = arrayList.iterator();
            while (it.hasNext()) {
                eVar.f1901a.add((String) it.next());
            }
            Iterator it2 = arrayList2.iterator();
            while (it2.hasNext()) {
                String str = (String) it2.next();
                if (!arrayList.contains(str)) {
                    eVar.f1901a.add(str);
                }
            }
        }
    }

    @NonNull
    public <Data> Registry a(@NonNull Class<Data> cls, @NonNull d.d.a.k.a<Data> aVar) {
        d.d.a.n.a aVar2 = this.f236b;
        synchronized (aVar2) {
            aVar2.f1892a.add(new a.C0027a<>(cls, aVar));
        }
        return this;
    }

    @NonNull
    public <TResource> Registry b(@NonNull Class<TResource> cls, @NonNull l<TResource> lVar) {
        f fVar = this.f238d;
        synchronized (fVar) {
            fVar.f1906a.add(new f.a<>(cls, lVar));
        }
        return this;
    }

    @NonNull
    public <Model, Data> Registry c(@NonNull Class<Model> cls, @NonNull Class<Data> cls2, @NonNull o<Model, Data> oVar) {
        p pVar = this.f235a;
        synchronized (pVar) {
            pVar.f1693a.a(cls, cls2, oVar);
            pVar.f1694b.f1695a.clear();
        }
        return this;
    }

    @NonNull
    public <Data, TResource> Registry d(@NonNull String str, @NonNull Class<Data> cls, @NonNull Class<TResource> cls2, @NonNull k<Data, TResource> kVar) {
        e eVar = this.f237c;
        synchronized (eVar) {
            eVar.a(str).add(new e.a<>(cls, cls2, kVar));
        }
        return this;
    }

    @NonNull
    public List<ImageHeaderParser> e() {
        List<ImageHeaderParser> list;
        b bVar = this.f241g;
        synchronized (bVar) {
            list = bVar.f1895a;
        }
        if (!list.isEmpty()) {
            return list;
        }
        throw new NoImageHeaderParserException();
    }

    @NonNull
    public <Model> List<n<Model, ?>> f(@NonNull Model model) {
        List<n<Model, ?>> list;
        p pVar = this.f235a;
        Objects.requireNonNull(pVar);
        Class<?> cls = model.getClass();
        synchronized (pVar) {
            p.a.C0021a<?> aVar = pVar.f1694b.f1695a.get(cls);
            if (aVar == null) {
                list = null;
            } else {
                list = aVar.f1696a;
            }
            if (list == null) {
                list = Collections.unmodifiableList(pVar.f1693a.d(cls));
                if (pVar.f1694b.f1695a.put(cls, new p.a.C0021a<>(list)) != null) {
                    throw new IllegalStateException("Already cached loaders for model: " + cls);
                }
            }
        }
        if (!list.isEmpty()) {
            int size = list.size();
            List<n<Model, ?>> emptyList = Collections.emptyList();
            boolean z = true;
            for (int i2 = 0; i2 < size; i2++) {
                n<Model, ?> nVar = list.get(i2);
                if (nVar.b(model)) {
                    if (z) {
                        emptyList = new ArrayList<>(size - i2);
                        z = false;
                    }
                    emptyList.add(nVar);
                }
            }
            if (!emptyList.isEmpty()) {
                return emptyList;
            }
            throw new NoModelLoaderAvailableException(model, list);
        }
        throw new NoModelLoaderAvailableException(model);
    }

    @NonNull
    public Registry g(@NonNull e.a<?> aVar) {
        d.d.a.k.n.f fVar = this.f239e;
        synchronized (fVar) {
            fVar.f1434b.put(aVar.a(), aVar);
        }
        return this;
    }

    @NonNull
    public <TResource, Transcode> Registry h(@NonNull Class<TResource> cls, @NonNull Class<Transcode> cls2, @NonNull d.d.a.k.q.h.e<TResource, Transcode> eVar) {
        d.d.a.k.q.h.f fVar = this.f240f;
        synchronized (fVar) {
            fVar.f1866a.add(new f.a<>(cls, cls2, eVar));
        }
        return this;
    }

    @NonNull
    public <Model, Data> Registry i(@NonNull Class<Model> cls, @NonNull Class<Data> cls2, @NonNull o<? extends Model, ? extends Data> oVar) {
        List<o<? extends Model, ? extends Data>> f2;
        p pVar = this.f235a;
        synchronized (pVar) {
            r rVar = pVar.f1693a;
            synchronized (rVar) {
                f2 = rVar.f(cls, cls2);
                rVar.a(cls, cls2, oVar);
            }
            Iterator it = ((ArrayList) f2).iterator();
            while (it.hasNext()) {
                ((o) it.next()).c();
            }
            pVar.f1694b.f1695a.clear();
        }
        return this;
    }
}
