package com.bumptech.glide.load.resource.bitmap;

import androidx.annotation.NonNull;
import androidx.exifinterface.media.ExifInterface;
import d.d.a.k.o.z.b;
import java.io.FilterInputStream;
import java.io.IOException;
import java.io.InputStream;

public class RecyclableBufferedInputStream extends FilterInputStream {

    /* renamed from: d  reason: collision with root package name */
    public volatile byte[] f272d;

    /* renamed from: h  reason: collision with root package name */
    public int f273h;

    /* renamed from: j  reason: collision with root package name */
    public int f274j;
    public int k = -1;
    public int l;
    public final b m;

    public static class InvalidMarkException extends IOException {
        private static final long serialVersionUID = -4338378848813561757L;

        public InvalidMarkException(String str) {
            super(str);
        }
    }

    public RecyclableBufferedInputStream(@NonNull InputStream inputStream, @NonNull b bVar) {
        super(inputStream);
        this.m = bVar;
        this.f272d = (byte[]) bVar.d(65536, byte[].class);
    }

    public static IOException c() {
        throw new IOException("BufferedInputStream is closed");
    }

    public final int a(InputStream inputStream, byte[] bArr) {
        int i2;
        int i3 = this.k;
        if (i3 == -1 || this.l - i3 >= (i2 = this.f274j)) {
            int read = inputStream.read(bArr);
            if (read > 0) {
                this.k = -1;
                this.l = 0;
                this.f273h = read;
            }
            return read;
        }
        if (i3 == 0 && i2 > bArr.length && this.f273h == bArr.length) {
            int length = bArr.length * 2;
            if (length <= i2) {
                i2 = length;
            }
            byte[] bArr2 = (byte[]) this.m.d(i2, byte[].class);
            System.arraycopy(bArr, 0, bArr2, 0, bArr.length);
            this.f272d = bArr2;
            this.m.put(bArr);
            bArr = bArr2;
        } else if (i3 > 0) {
            System.arraycopy(bArr, i3, bArr, 0, bArr.length - i3);
        }
        int i4 = this.l - this.k;
        this.l = i4;
        this.k = 0;
        this.f273h = 0;
        int read2 = inputStream.read(bArr, i4, bArr.length - i4);
        int i5 = this.l;
        if (read2 > 0) {
            i5 += read2;
        }
        this.f273h = i5;
        return read2;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized int available() {
        InputStream inputStream;
        inputStream = ((FilterInputStream) this).in;
        if (this.f272d == null || inputStream == null) {
            c();
            throw null;
        }
        return (this.f273h - this.l) + inputStream.available();
    }

    public synchronized void b() {
        if (this.f272d != null) {
            this.m.put(this.f272d);
            this.f272d = null;
        }
    }

    @Override // java.io.FilterInputStream, java.io.Closeable, java.lang.AutoCloseable, java.io.InputStream
    public void close() {
        if (this.f272d != null) {
            this.m.put(this.f272d);
            this.f272d = null;
        }
        InputStream inputStream = ((FilterInputStream) this).in;
        ((FilterInputStream) this).in = null;
        if (inputStream != null) {
            inputStream.close();
        }
    }

    public synchronized void mark(int i2) {
        this.f274j = Math.max(this.f274j, i2);
        this.k = this.l;
    }

    public boolean markSupported() {
        return true;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized int read() {
        byte[] bArr = this.f272d;
        InputStream inputStream = ((FilterInputStream) this).in;
        if (bArr == null || inputStream == null) {
            c();
            throw null;
        } else if (this.l >= this.f273h && a(inputStream, bArr) == -1) {
            return -1;
        } else {
            if (bArr == this.f272d || (bArr = this.f272d) != null) {
                int i2 = this.f273h;
                int i3 = this.l;
                if (i2 - i3 <= 0) {
                    return -1;
                }
                this.l = i3 + 1;
                return bArr[i3] & ExifInterface.MARKER;
            }
            c();
            throw null;
        }
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized void reset() {
        if (this.f272d != null) {
            int i2 = this.k;
            if (-1 != i2) {
                this.l = i2;
            } else {
                throw new InvalidMarkException("Mark has been invalidated, pos: " + this.l + " markLimit: " + this.f274j);
            }
        } else {
            throw new IOException("Stream is closed");
        }
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized long skip(long j2) {
        if (j2 < 1) {
            return 0;
        }
        byte[] bArr = this.f272d;
        if (bArr != null) {
            InputStream inputStream = ((FilterInputStream) this).in;
            if (inputStream != null) {
                int i2 = this.f273h;
                int i3 = this.l;
                if (((long) (i2 - i3)) >= j2) {
                    this.l = (int) (((long) i3) + j2);
                    return j2;
                }
                long j3 = ((long) i2) - ((long) i3);
                this.l = i2;
                if (this.k == -1 || j2 > ((long) this.f274j)) {
                    return j3 + inputStream.skip(j2 - j3);
                } else if (a(inputStream, bArr) == -1) {
                    return j3;
                } else {
                    int i4 = this.f273h;
                    int i5 = this.l;
                    if (((long) (i4 - i5)) >= j2 - j3) {
                        this.l = (int) ((((long) i5) + j2) - j3);
                        return j2;
                    }
                    long j4 = (j3 + ((long) i4)) - ((long) i5);
                    this.l = i4;
                    return j4;
                }
            } else {
                c();
                throw null;
            }
        } else {
            c();
            throw null;
        }
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized int read(@NonNull byte[] bArr, int i2, int i3) {
        int i4;
        int i5;
        byte[] bArr2 = this.f272d;
        if (bArr2 == null) {
            c();
            throw null;
        } else if (i3 == 0) {
            return 0;
        } else {
            InputStream inputStream = ((FilterInputStream) this).in;
            if (inputStream != null) {
                int i6 = this.l;
                int i7 = this.f273h;
                if (i6 < i7) {
                    int i8 = i7 - i6 >= i3 ? i3 : i7 - i6;
                    System.arraycopy(bArr2, i6, bArr, i2, i8);
                    this.l += i8;
                    if (i8 == i3 || inputStream.available() == 0) {
                        return i8;
                    }
                    i2 += i8;
                    i4 = i3 - i8;
                } else {
                    i4 = i3;
                }
                while (true) {
                    int i9 = -1;
                    if (this.k == -1 && i4 >= bArr2.length) {
                        i5 = inputStream.read(bArr, i2, i4);
                        if (i5 == -1) {
                            if (i4 != i3) {
                                i9 = i3 - i4;
                            }
                            return i9;
                        }
                    } else if (a(inputStream, bArr2) == -1) {
                        if (i4 != i3) {
                            i9 = i3 - i4;
                        }
                        return i9;
                    } else if (bArr2 == this.f272d || (bArr2 = this.f272d) != null) {
                        int i10 = this.f273h;
                        int i11 = this.l;
                        i5 = i10 - i11 >= i4 ? i4 : i10 - i11;
                        System.arraycopy(bArr2, i11, bArr, i2, i5);
                        this.l += i5;
                    } else {
                        c();
                        throw null;
                    }
                    i4 -= i5;
                    if (i4 == 0) {
                        return i3;
                    }
                    if (inputStream.available() == 0) {
                        return i3 - i4;
                    }
                    i2 += i5;
                }
            } else {
                c();
                throw null;
            }
        }
    }
}
