package com.bumptech.glide.load.resource.gif;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.drawable.Animatable;
import android.graphics.drawable.Drawable;
import android.view.Gravity;
import androidx.annotation.NonNull;
import androidx.annotation.VisibleForTesting;
import androidx.vectordrawable.graphics.drawable.Animatable2Compat;
import d.d.a.c;
import d.d.a.k.m;
import d.d.a.k.q.g.f;
import java.util.ArrayList;
import java.util.List;

public class GifDrawable extends Drawable implements f.b, Animatable, Animatable2Compat {

    /* renamed from: d  reason: collision with root package name */
    public final a f275d;

    /* renamed from: h  reason: collision with root package name */
    public boolean f276h;

    /* renamed from: j  reason: collision with root package name */
    public boolean f277j;
    public boolean k;
    public boolean l = true;
    public int m;
    public int n = -1;
    public boolean o;
    public Paint p;
    public Rect q;
    public List<Animatable2Compat.AnimationCallback> r;

    public static final class a extends Drawable.ConstantState {
        @VisibleForTesting

        /* renamed from: a  reason: collision with root package name */
        public final f f278a;

        public a(f fVar) {
            this.f278a = fVar;
        }

        public int getChangingConfigurations() {
            return 0;
        }

        @NonNull
        public Drawable newDrawable() {
            return new GifDrawable(this);
        }

        @NonNull
        public Drawable newDrawable(Resources resources) {
            return new GifDrawable(this);
        }
    }

    public GifDrawable(Context context, d.d.a.j.a aVar, m<Bitmap> mVar, int i2, int i3, Bitmap bitmap) {
        a aVar2 = new a(new f(c.b(context), aVar, i2, i3, mVar, bitmap));
        this.f275d = aVar2;
    }

    @Override // d.d.a.k.q.g.f.b
    public void a() {
        Drawable.Callback callback = getCallback();
        while (callback instanceof Drawable) {
            callback = ((Drawable) callback).getCallback();
        }
        if (callback == null) {
            stop();
            invalidateSelf();
            return;
        }
        invalidateSelf();
        f fVar = this.f275d.f278a;
        f.a aVar = fVar.f1851i;
        if ((aVar != null ? aVar.l : -1) == fVar.f1843a.e() - 1) {
            this.m++;
        }
        int i2 = this.n;
        if (i2 != -1 && this.m >= i2) {
            List<Animatable2Compat.AnimationCallback> list = this.r;
            if (list != null) {
                int size = list.size();
                for (int i3 = 0; i3 < size; i3++) {
                    this.r.get(i3).onAnimationEnd(this);
                }
            }
            stop();
        }
    }

    public Bitmap b() {
        return this.f275d.f278a.l;
    }

    public final Paint c() {
        if (this.p == null) {
            this.p = new Paint(2);
        }
        return this.p;
    }

    @Override // androidx.vectordrawable.graphics.drawable.Animatable2Compat
    public void clearAnimationCallbacks() {
        List<Animatable2Compat.AnimationCallback> list = this.r;
        if (list != null) {
            list.clear();
        }
    }

    public final void d() {
        c.a.a.a.s(!this.k, "You cannot start a recycled Drawable. Ensure thatyou clear any references to the Drawable when clearing the corresponding request.");
        if (this.f275d.f278a.f1843a.e() == 1) {
            invalidateSelf();
        } else if (!this.f276h) {
            this.f276h = true;
            f fVar = this.f275d.f278a;
            if (fVar.f1852j) {
                throw new IllegalStateException("Cannot subscribe to a cleared frame loader");
            } else if (!fVar.f1845c.contains(this)) {
                boolean isEmpty = fVar.f1845c.isEmpty();
                fVar.f1845c.add(this);
                if (isEmpty && !fVar.f1848f) {
                    fVar.f1848f = true;
                    fVar.f1852j = false;
                    fVar.a();
                }
                invalidateSelf();
            } else {
                throw new IllegalStateException("Cannot subscribe twice in a row");
            }
        }
    }

    public void draw(@NonNull Canvas canvas) {
        Bitmap bitmap;
        if (!this.k) {
            if (this.o) {
                int intrinsicWidth = getIntrinsicWidth();
                int intrinsicHeight = getIntrinsicHeight();
                Rect bounds = getBounds();
                if (this.q == null) {
                    this.q = new Rect();
                }
                Gravity.apply(119, intrinsicWidth, intrinsicHeight, bounds, this.q);
                this.o = false;
            }
            f fVar = this.f275d.f278a;
            f.a aVar = fVar.f1851i;
            if (aVar != null) {
                bitmap = aVar.n;
            } else {
                bitmap = fVar.l;
            }
            if (this.q == null) {
                this.q = new Rect();
            }
            canvas.drawBitmap(bitmap, (Rect) null, this.q, c());
        }
    }

    public final void e() {
        this.f276h = false;
        f fVar = this.f275d.f278a;
        fVar.f1845c.remove(this);
        if (fVar.f1845c.isEmpty()) {
            fVar.f1848f = false;
        }
    }

    public Drawable.ConstantState getConstantState() {
        return this.f275d;
    }

    public int getIntrinsicHeight() {
        return this.f275d.f278a.q;
    }

    public int getIntrinsicWidth() {
        return this.f275d.f278a.p;
    }

    public int getOpacity() {
        return -2;
    }

    public boolean isRunning() {
        return this.f276h;
    }

    public void onBoundsChange(Rect rect) {
        super.onBoundsChange(rect);
        this.o = true;
    }

    @Override // androidx.vectordrawable.graphics.drawable.Animatable2Compat
    public void registerAnimationCallback(@NonNull Animatable2Compat.AnimationCallback animationCallback) {
        if (animationCallback != null) {
            if (this.r == null) {
                this.r = new ArrayList();
            }
            this.r.add(animationCallback);
        }
    }

    public void setAlpha(int i2) {
        c().setAlpha(i2);
    }

    public void setColorFilter(ColorFilter colorFilter) {
        c().setColorFilter(colorFilter);
    }

    public boolean setVisible(boolean z, boolean z2) {
        c.a.a.a.s(!this.k, "Cannot change the visibility of a recycled resource. Ensure that you unset the Drawable from your View before changing the View's visibility.");
        this.l = z;
        if (!z) {
            e();
        } else if (this.f277j) {
            d();
        }
        return super.setVisible(z, z2);
    }

    public void start() {
        this.f277j = true;
        this.m = 0;
        if (this.l) {
            d();
        }
    }

    public void stop() {
        this.f277j = false;
        e();
    }

    @Override // androidx.vectordrawable.graphics.drawable.Animatable2Compat
    public boolean unregisterAnimationCallback(@NonNull Animatable2Compat.AnimationCallback animationCallback) {
        List<Animatable2Compat.AnimationCallback> list = this.r;
        if (list == null || animationCallback == null) {
            return false;
        }
        return list.remove(animationCallback);
    }

    public GifDrawable(a aVar) {
        this.f275d = aVar;
    }
}
