package com.bumptech.glide.request;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.os.SystemClock;
import android.util.Log;
import androidx.annotation.DrawableRes;
import androidx.annotation.GuardedBy;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.bumptech.glide.Priority;
import com.bumptech.glide.load.DataSource;
import com.bumptech.glide.load.engine.GlideException;
import d.d.a.k.o.j;
import d.d.a.k.o.t;
import d.d.a.k.p.l;
import d.d.a.o.a;
import d.d.a.o.b;
import d.d.a.o.c;
import d.d.a.o.e;
import d.d.a.o.g.g;
import d.d.a.o.g.h;
import d.d.a.q.i;
import d.d.a.q.j.d;
import java.util.List;
import java.util.Objects;
import java.util.concurrent.Executor;

public final class SingleRequest<R> implements b, g, e {

    /* renamed from: a  reason: collision with root package name */
    public static final boolean f283a = Log.isLoggable("Request", 2);
    @GuardedBy("requestLock")
    public int A;
    @GuardedBy("requestLock")
    public int B;
    @GuardedBy("requestLock")
    public boolean C;
    @Nullable
    public RuntimeException D;
    @Nullable

    /* renamed from: b  reason: collision with root package name */
    public final String f284b;

    /* renamed from: c  reason: collision with root package name */
    public final d f285c;

    /* renamed from: d  reason: collision with root package name */
    public final Object f286d;
    @Nullable

    /* renamed from: e  reason: collision with root package name */
    public final c<R> f287e;

    /* renamed from: f  reason: collision with root package name */
    public final RequestCoordinator f288f;

    /* renamed from: g  reason: collision with root package name */
    public final Context f289g;

    /* renamed from: h  reason: collision with root package name */
    public final d.d.a.e f290h;
    @Nullable

    /* renamed from: i  reason: collision with root package name */
    public final Object f291i;

    /* renamed from: j  reason: collision with root package name */
    public final Class<R> f292j;
    public final a<?> k;
    public final int l;
    public final int m;
    public final Priority n;
    public final h<R> o;
    @Nullable
    public final List<c<R>> p;
    public final d.d.a.o.h.c<? super R> q;
    public final Executor r;
    @GuardedBy("requestLock")
    public t<R> s;
    @GuardedBy("requestLock")
    public j.d t;
    @GuardedBy("requestLock")
    public long u;
    public volatile j v;
    @GuardedBy("requestLock")
    public Status w;
    @Nullable
    @GuardedBy("requestLock")
    public Drawable x;
    @Nullable
    @GuardedBy("requestLock")
    public Drawable y;
    @Nullable
    @GuardedBy("requestLock")
    public Drawable z;

    public enum Status {
        PENDING,
        RUNNING,
        WAITING_FOR_SIZE,
        COMPLETE,
        FAILED,
        CLEARED
    }

    public SingleRequest(Context context, d.d.a.e eVar, @NonNull Object obj, @Nullable Object obj2, Class<R> cls, a<?> aVar, int i2, int i3, Priority priority, h<R> hVar, @Nullable c<R> cVar, @Nullable List<c<R>> list, RequestCoordinator requestCoordinator, j jVar, d.d.a.o.h.c<? super R> cVar2, Executor executor) {
        this.f284b = f283a ? String.valueOf(hashCode()) : null;
        this.f285c = new d.b();
        this.f286d = obj;
        this.f289g = context;
        this.f290h = eVar;
        this.f291i = obj2;
        this.f292j = cls;
        this.k = aVar;
        this.l = i2;
        this.m = i3;
        this.n = priority;
        this.o = hVar;
        this.f287e = cVar;
        this.p = list;
        this.f288f = requestCoordinator;
        this.v = jVar;
        this.q = cVar2;
        this.r = executor;
        this.w = Status.PENDING;
        if (this.D == null && eVar.f1348i) {
            this.D = new RuntimeException("Glide request origin trace");
        }
    }

    @Override // d.d.a.o.b
    public boolean a() {
        boolean z2;
        synchronized (this.f286d) {
            z2 = this.w == Status.COMPLETE;
        }
        return z2;
    }

    @Override // d.d.a.o.g.g
    public void b(int i2, int i3) {
        Object obj;
        Throwable th;
        int i4;
        int i5 = i2;
        this.f285c.a();
        Object obj2 = this.f286d;
        synchronized (obj2) {
            try {
                boolean z2 = f283a;
                if (z2) {
                    m("Got onSizeReady in " + d.d.a.q.e.a(this.u));
                }
                if (this.w == Status.WAITING_FOR_SIZE) {
                    Status status = Status.RUNNING;
                    this.w = status;
                    float f2 = this.k.f1910h;
                    if (i5 != Integer.MIN_VALUE) {
                        i5 = Math.round(((float) i5) * f2);
                    }
                    this.A = i5;
                    if (i3 == Integer.MIN_VALUE) {
                        i4 = i3;
                    } else {
                        i4 = Math.round(f2 * ((float) i3));
                    }
                    this.B = i4;
                    if (z2) {
                        m("finished setup for calling load in " + d.d.a.q.e.a(this.u));
                    }
                    j jVar = this.v;
                    d.d.a.e eVar = this.f290h;
                    Object obj3 = this.f291i;
                    a<?> aVar = this.k;
                    try {
                        obj = obj2;
                    } catch (Throwable th2) {
                        th = th2;
                        obj = obj2;
                        while (true) {
                            try {
                                break;
                            } catch (Throwable th3) {
                                th = th3;
                            }
                        }
                        throw th;
                    }
                    try {
                    } catch (Throwable th4) {
                        th = th4;
                        while (true) {
                            break;
                        }
                        throw th;
                    }
                    try {
                        this.t = jVar.b(eVar, obj3, aVar.s, this.A, this.B, aVar.z, this.f292j, this.n, aVar.f1911j, aVar.y, aVar.t, aVar.F, aVar.x, aVar.p, aVar.D, aVar.G, aVar.E, this, this.r);
                        if (this.w != status) {
                            this.t = null;
                        }
                        if (z2) {
                            m("finished onSizeReady in " + d.d.a.q.e.a(this.u));
                        }
                    } catch (Throwable th5) {
                        th = th5;
                        while (true) {
                            break;
                        }
                        throw th;
                    }
                }
            } catch (Throwable th6) {
                th = th6;
                obj = obj2;
                while (true) {
                    break;
                }
                throw th;
            }
        }
    }

    @Override // d.d.a.o.b
    public boolean c(b bVar) {
        int i2;
        int i3;
        Object obj;
        Class<R> cls;
        a<?> aVar;
        Priority priority;
        int size;
        int i4;
        int i5;
        Object obj2;
        Class<R> cls2;
        a<?> aVar2;
        Priority priority2;
        int size2;
        boolean z2;
        if (!(bVar instanceof SingleRequest)) {
            return false;
        }
        synchronized (this.f286d) {
            i2 = this.l;
            i3 = this.m;
            obj = this.f291i;
            cls = this.f292j;
            aVar = this.k;
            priority = this.n;
            List<c<R>> list = this.p;
            size = list != null ? list.size() : 0;
        }
        SingleRequest singleRequest = (SingleRequest) bVar;
        synchronized (singleRequest.f286d) {
            i4 = singleRequest.l;
            i5 = singleRequest.m;
            obj2 = singleRequest.f291i;
            cls2 = singleRequest.f292j;
            aVar2 = singleRequest.k;
            priority2 = singleRequest.n;
            List<c<R>> list2 = singleRequest.p;
            size2 = list2 != null ? list2.size() : 0;
        }
        if (i2 == i4 && i3 == i5) {
            char[] cArr = i.f1961a;
            if (obj == null) {
                z2 = obj2 == null;
            } else if (obj instanceof l) {
                z2 = ((l) obj).a(obj2);
            } else {
                z2 = obj.equals(obj2);
            }
            return z2 && cls.equals(cls2) && aVar.equals(aVar2) && priority == priority2 && size == size2;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:22:0x003b, code lost:
        if (r1 == null) goto L_?;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:23:0x003d, code lost:
        r5.v.f(r1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:27:?, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:28:?, code lost:
        return;
     */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x002f  */
    @Override // d.d.a.o.b
    public void clear() {
        boolean z2;
        synchronized (this.f286d) {
            e();
            this.f285c.a();
            Status status = this.w;
            Status status2 = Status.CLEARED;
            if (status != status2) {
                f();
                t<R> tVar = this.s;
                if (tVar != null) {
                    this.s = null;
                } else {
                    tVar = null;
                }
                RequestCoordinator requestCoordinator = this.f288f;
                if (requestCoordinator != null) {
                    if (!requestCoordinator.j(this)) {
                        z2 = false;
                        if (z2) {
                            this.o.f(j());
                        }
                        this.w = status2;
                    }
                }
                z2 = true;
                if (z2) {
                }
                this.w = status2;
            }
        }
    }

    @Override // d.d.a.o.b
    public boolean d() {
        boolean z2;
        synchronized (this.f286d) {
            z2 = this.w == Status.CLEARED;
        }
        return z2;
    }

    @GuardedBy("requestLock")
    public final void e() {
        if (this.C) {
            throw new IllegalStateException("You can't start or clear loads in RequestListener or Target callbacks. If you're trying to start a fallback request when a load fails, use RequestBuilder#error(RequestBuilder). Otherwise consider posting your into() or clear() calls to the main thread using a Handler instead.");
        }
    }

    @GuardedBy("requestLock")
    public final void f() {
        e();
        this.f285c.a();
        this.o.a(this);
        j.d dVar = this.t;
        if (dVar != null) {
            synchronized (j.this) {
                dVar.f1558a.h(dVar.f1559b);
            }
            this.t = null;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:37:0x0082  */
    @Override // d.d.a.o.b
    public void g() {
        boolean z2;
        synchronized (this.f286d) {
            e();
            this.f285c.a();
            int i2 = d.d.a.q.e.f1953b;
            this.u = SystemClock.elapsedRealtimeNanos();
            if (this.f291i == null) {
                if (i.i(this.l, this.m)) {
                    this.A = this.l;
                    this.B = this.m;
                }
                n(new GlideException("Received null model"), h() == null ? 5 : 3);
                return;
            }
            Status status = this.w;
            Status status2 = Status.RUNNING;
            if (status == status2) {
                throw new IllegalArgumentException("Cannot restart a running request");
            } else if (status == Status.COMPLETE) {
                o(this.s, DataSource.MEMORY_CACHE);
            } else {
                Status status3 = Status.WAITING_FOR_SIZE;
                this.w = status3;
                if (i.i(this.l, this.m)) {
                    b(this.l, this.m);
                } else {
                    this.o.g(this);
                }
                Status status4 = this.w;
                if (status4 == status2 || status4 == status3) {
                    RequestCoordinator requestCoordinator = this.f288f;
                    if (requestCoordinator != null) {
                        if (!requestCoordinator.e(this)) {
                            z2 = false;
                            if (z2) {
                                this.o.d(j());
                            }
                        }
                    }
                    z2 = true;
                    if (z2) {
                    }
                }
                if (f283a) {
                    m("finished run method in " + d.d.a.q.e.a(this.u));
                }
            }
        }
    }

    @GuardedBy("requestLock")
    public final Drawable h() {
        int i2;
        if (this.z == null) {
            a<?> aVar = this.k;
            Drawable drawable = aVar.v;
            this.z = drawable;
            if (drawable == null && (i2 = aVar.w) > 0) {
                this.z = l(i2);
            }
        }
        return this.z;
    }

    @Override // d.d.a.o.b
    public boolean i() {
        boolean z2;
        synchronized (this.f286d) {
            z2 = this.w == Status.COMPLETE;
        }
        return z2;
    }

    @Override // d.d.a.o.b
    public boolean isRunning() {
        boolean z2;
        synchronized (this.f286d) {
            Status status = this.w;
            if (status != Status.RUNNING) {
                if (status != Status.WAITING_FOR_SIZE) {
                    z2 = false;
                }
            }
            z2 = true;
        }
        return z2;
    }

    @GuardedBy("requestLock")
    public final Drawable j() {
        int i2;
        if (this.y == null) {
            a<?> aVar = this.k;
            Drawable drawable = aVar.n;
            this.y = drawable;
            if (drawable == null && (i2 = aVar.o) > 0) {
                this.y = l(i2);
            }
        }
        return this.y;
    }

    @GuardedBy("requestLock")
    public final boolean k() {
        RequestCoordinator requestCoordinator = this.f288f;
        return requestCoordinator == null || !requestCoordinator.getRoot().a();
    }

    @GuardedBy("requestLock")
    public final Drawable l(@DrawableRes int i2) {
        Resources.Theme theme = this.k.B;
        if (theme == null) {
            theme = this.f289g.getTheme();
        }
        d.d.a.e eVar = this.f290h;
        return d.d.a.k.q.e.a.a(eVar, eVar, i2, theme);
    }

    public final void m(String str) {
        StringBuilder q2 = d.b.a.a.a.q(str, " this: ");
        q2.append(this.f284b);
        Log.v("Request", q2.toString());
    }

    /* JADX INFO: finally extract failed */
    public final void n(GlideException glideException, int i2) {
        boolean z2;
        this.f285c.a();
        synchronized (this.f286d) {
            glideException.setOrigin(this.D);
            int i3 = this.f290h.f1349j;
            if (i3 <= i2) {
                Log.w("Glide", "Load failed for " + this.f291i + " with size [" + this.A + "x" + this.B + "]", glideException);
                if (i3 <= 4) {
                    glideException.logRootCauses("Glide");
                }
            }
            this.t = null;
            this.w = Status.FAILED;
            boolean z3 = true;
            this.C = true;
            try {
                List<c<R>> list = this.p;
                if (list != null) {
                    z2 = false;
                    for (c<R> cVar : list) {
                        z2 |= cVar.b(glideException, this.f291i, this.o, k());
                    }
                } else {
                    z2 = false;
                }
                c<R> cVar2 = this.f287e;
                if (cVar2 == null || !cVar2.b(glideException, this.f291i, this.o, k())) {
                    z3 = false;
                }
                if (!z2 && !z3) {
                    q();
                }
                this.C = false;
                RequestCoordinator requestCoordinator = this.f288f;
                if (requestCoordinator != null) {
                    requestCoordinator.b(this);
                }
            } catch (Throwable th) {
                this.C = false;
                throw th;
            }
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r6v0, resolved type: com.bumptech.glide.request.SingleRequest<R> */
    /* JADX WARN: Multi-variable type inference failed */
    public void o(t<?> tVar, DataSource dataSource) {
        Throwable th;
        this.f285c.a();
        try {
            synchronized (this.f286d) {
                try {
                    this.t = null;
                    if (tVar == null) {
                        n(new GlideException("Expected to receive a Resource<R> with an object of " + this.f292j + " inside, but instead got null."), 5);
                        return;
                    }
                    Object obj = tVar.get();
                    if (obj != null) {
                        if (this.f292j.isAssignableFrom(obj.getClass())) {
                            RequestCoordinator requestCoordinator = this.f288f;
                            if (!(requestCoordinator == null || requestCoordinator.f(this))) {
                                try {
                                    this.s = null;
                                    this.w = Status.COMPLETE;
                                    this.v.f(tVar);
                                    return;
                                } catch (Throwable th2) {
                                    th = th2;
                                    throw th;
                                }
                            } else {
                                p(tVar, obj, dataSource);
                                return;
                            }
                        }
                    }
                    this.s = null;
                    StringBuilder sb = new StringBuilder();
                    sb.append("Expected to receive an object of ");
                    sb.append(this.f292j);
                    sb.append(" but instead got ");
                    sb.append(obj != null ? obj.getClass() : "");
                    sb.append("{");
                    sb.append(obj);
                    sb.append("} inside Resource{");
                    sb.append(tVar);
                    sb.append("}.");
                    sb.append(obj != null ? "" : " To indicate failure return a null Resource object, rather than a Resource object containing null data.");
                    n(new GlideException(sb.toString()), 5);
                    this.v.f(tVar);
                } catch (Throwable th3) {
                    th = th3;
                    throw th;
                }
            }
        } catch (Throwable th4) {
            if (0 != 0) {
                this.v.f(null);
            }
            throw th4;
        }
    }

    /* JADX INFO: finally extract failed */
    @GuardedBy("requestLock")
    public final void p(t<R> tVar, R r2, DataSource dataSource) {
        boolean z2;
        boolean k2 = k();
        this.w = Status.COMPLETE;
        this.s = tVar;
        if (this.f290h.f1349j <= 3) {
            StringBuilder n2 = d.b.a.a.a.n("Finished loading ");
            n2.append(r2.getClass().getSimpleName());
            n2.append(" from ");
            n2.append(dataSource);
            n2.append(" for ");
            n2.append(this.f291i);
            n2.append(" with size [");
            n2.append(this.A);
            n2.append("x");
            n2.append(this.B);
            n2.append("] in ");
            n2.append(d.d.a.q.e.a(this.u));
            n2.append(" ms");
            Log.d("Glide", n2.toString());
        }
        boolean z3 = true;
        this.C = true;
        try {
            List<c<R>> list = this.p;
            if (list != null) {
                z2 = false;
                for (c<R> cVar : list) {
                    z2 |= cVar.a(r2, this.f291i, this.o, dataSource, k2);
                }
            } else {
                z2 = false;
            }
            c<R> cVar2 = this.f287e;
            if (cVar2 == null || !cVar2.a(r2, this.f291i, this.o, dataSource, k2)) {
                z3 = false;
            }
            if (!z3 && !z2) {
                Objects.requireNonNull(this.q);
                this.o.b(r2, d.d.a.o.h.a.f1930a);
            }
            this.C = false;
            RequestCoordinator requestCoordinator = this.f288f;
            if (requestCoordinator != null) {
                requestCoordinator.h(this);
            }
        } catch (Throwable th) {
            this.C = false;
            throw th;
        }
    }

    @Override // d.d.a.o.b
    public void pause() {
        synchronized (this.f286d) {
            if (isRunning()) {
                clear();
            }
        }
    }

    @GuardedBy("requestLock")
    public final void q() {
        int i2;
        RequestCoordinator requestCoordinator = this.f288f;
        if (requestCoordinator == null || requestCoordinator.e(this)) {
            Drawable drawable = null;
            if (this.f291i == null) {
                drawable = h();
            }
            if (drawable == null) {
                if (this.x == null) {
                    a<?> aVar = this.k;
                    Drawable drawable2 = aVar.l;
                    this.x = drawable2;
                    if (drawable2 == null && (i2 = aVar.m) > 0) {
                        this.x = l(i2);
                    }
                }
                drawable = this.x;
            }
            if (drawable == null) {
                drawable = j();
            }
            this.o.c(drawable);
        }
    }
}
