package com.google.android.exoplayer;

import android.annotation.TargetApi;
import android.media.MediaCodec;
import android.media.MediaCrypto;
import android.media.MediaFormat;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.SystemClock;
import android.util.Log;
import android.util.Pair;
import androidx.exifinterface.media.ExifInterface;
import com.google.android.exoplayer.MediaCodecUtil;
import d.f.b.g2;
import d.g.a.a.b;
import d.g.a.a.d;
import d.g.a.a.f0.a;
import d.g.a.a.f0.e;
import d.g.a.a.f0.l;
import d.g.a.a.m0.i;
import d.g.a.a.m0.r;
import d.g.a.a.p;
import d.g.a.a.q;
import d.g.a.a.s;
import d.g.a.a.u;
import d.g.a.a.v;
import d.g.a.a.w;
import d.g.a.a.x;
import java.nio.ByteBuffer;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import java.util.UUID;

@TargetApi(16)
public abstract class MediaCodecTrackRenderer extends x {

    /* renamed from: h  reason: collision with root package name */
    public static final byte[] f535h = r.h("0000016742C00BDA259000000168CE0F13200000016588840DCE7118A0002FBF1C31C3275D78");
    public boolean A;
    public boolean B;
    public boolean C;
    public boolean D;
    public boolean E;
    public ByteBuffer[] F;
    public ByteBuffer[] G;
    public long H;
    public int I;
    public int J;
    public boolean K;
    public boolean L;
    public int M;
    public int N;
    public boolean O;
    public boolean P;
    public int Q;
    public boolean R;
    public boolean S;
    public boolean T;
    public boolean U;

    /* renamed from: i  reason: collision with root package name */
    public final b f536i;

    /* renamed from: j  reason: collision with root package name */
    public final p f537j;
    public final d.g.a.a.f0.b<e> k;
    public final boolean l;
    public final v m;
    public final u n;
    public final List<Long> o;
    public final MediaCodec.BufferInfo p;
    public final a q;
    public final boolean r;
    public final Handler s;
    public MediaFormat t;
    public d.g.a.a.f0.a u;
    public MediaCodec v;
    public boolean w;
    public boolean x;
    public boolean y;
    public boolean z;

    public interface a {
        void onCryptoError(MediaCodec.CryptoException cryptoException);

        void onDecoderInitializationError(DecoderInitializationException decoderInitializationException);

        void onDecoderInitialized(String str, long j2, long j3);
    }

    public MediaCodecTrackRenderer(w[] wVarArr, p pVar, d.g.a.a.f0.b<e> bVar, boolean z2, Handler handler, a aVar) {
        super(wVarArr);
        int i2 = r.f3503a;
        boolean z3 = true;
        g2.w(i2 >= 16);
        Objects.requireNonNull(pVar);
        this.f537j = pVar;
        this.k = bVar;
        this.l = z2;
        this.s = handler;
        this.q = aVar;
        this.r = (i2 > 22 || !"foster".equals(r.f3504b) || !"NVIDIA".equals(r.f3505c)) ? false : z3;
        this.f536i = new b();
        this.m = new v(0);
        this.n = new u();
        this.o = new ArrayList();
        this.p = new MediaCodec.BufferInfo();
        this.M = 0;
        this.N = 0;
    }

    public d A(p pVar, String str, boolean z2) {
        return pVar.b(str, z2);
    }

    public abstract boolean B(p pVar, MediaFormat mediaFormat);

    /* JADX WARNING: Removed duplicated region for block: B:127:0x022c A[Catch:{ Exception -> 0x0289 }] */
    /* JADX WARNING: Removed duplicated region for block: B:136:0x0271  */
    /* JADX WARNING: Removed duplicated region for block: B:137:0x0276  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x00b2  */
    public final void C() {
        boolean z2;
        MediaCrypto mediaCrypto;
        boolean z3;
        Handler handler;
        byte[] bArr;
        if (K()) {
            String str = this.t.mimeType;
            d.g.a.a.f0.a aVar = this.u;
            Exception exc = null;
            if (aVar != null) {
                d.g.a.a.f0.b<e> bVar = this.k;
                if (bVar != null) {
                    if (!this.K) {
                        l lVar = (l) bVar;
                        int i2 = lVar.l + 1;
                        lVar.l = i2;
                        if (i2 == 1) {
                            if (lVar.k == null) {
                                HandlerThread handlerThread = new HandlerThread("DrmRequestHandler");
                                lVar.f2656j = handlerThread;
                                handlerThread.start();
                                lVar.k = new l.e(lVar.f2656j.getLooper());
                            }
                            if (lVar.q == null) {
                                a.b a2 = aVar.a(lVar.f2655i);
                                lVar.q = a2;
                                if (a2 == null) {
                                    StringBuilder n2 = d.b.a.a.a.n("Media does not support uuid: ");
                                    n2.append(lVar.f2655i);
                                    lVar.c(new IllegalStateException(n2.toString()));
                                } else if (r.f3503a < 21) {
                                    byte[] bArr2 = a2.f2638b;
                                    UUID uuid = l.f2647a;
                                    Pair<UUID, byte[]> g1 = g2.g1(bArr2);
                                    if (g1 != null) {
                                        if (uuid == null || uuid.equals(g1.first)) {
                                            bArr = (byte[]) g1.second;
                                            if (bArr != null) {
                                                lVar.q = new a.b(lVar.q.f2637a, bArr);
                                            }
                                        } else {
                                            Log.w("PsshAtomUtil", "UUID mismatch. Expected: " + uuid + ", got: " + g1.first + ".");
                                        }
                                    }
                                    bArr = null;
                                    if (bArr != null) {
                                    }
                                }
                            }
                            lVar.n = 2;
                            lVar.e(true);
                        }
                        this.K = true;
                    }
                    l lVar2 = (l) this.k;
                    int i3 = lVar2.n;
                    if (i3 == 0) {
                        l lVar3 = (l) this.k;
                        if (lVar3.n == 0) {
                            exc = lVar3.p;
                        }
                        throw new ExoPlaybackException(exc);
                    } else if (i3 != 3 && i3 != 4) {
                        return;
                    } else {
                        if (i3 == 3 || i3 == 4) {
                            T t2 = lVar2.o;
                            mediaCrypto = ((e) t2).f2640a;
                            if (i3 == 3 || i3 == 4) {
                                z2 = ((e) t2).f2640a.requiresSecureDecoderComponent(str);
                            } else {
                                throw new IllegalStateException();
                            }
                        } else {
                            throw new IllegalStateException();
                        }
                    }
                } else {
                    throw new ExoPlaybackException("Media requires a DrmSessionManager");
                }
            } else {
                mediaCrypto = null;
                z2 = false;
            }
            try {
                d A2 = A(this.f537j, str, z2);
                if (A2 != null) {
                    String str2 = A2.f2483a;
                    this.w = A2.f2485c;
                    MediaFormat mediaFormat = this.t;
                    int i4 = r.f3503a;
                    this.x = i4 < 21 && mediaFormat.initializationData.isEmpty() && "OMX.MTK.VIDEO.DECODER.AVC".equals(str2);
                    this.y = i4 < 18 || (i4 == 18 && ("OMX.SEC.avc.dec".equals(str2) || "OMX.SEC.avc.dec.secure".equals(str2))) || (i4 == 19 && r.f3506d.startsWith("SM-G800") && ("OMX.Exynos.avc.dec".equals(str2) || "OMX.Exynos.avc.dec.secure".equals(str2)));
                    if (i4 < 24 && ("OMX.Nvidia.h264.decode".equals(str2) || "OMX.Nvidia.h264.decode.secure".equals(str2))) {
                        String str3 = r.f3504b;
                        if (str3.equals("flounder") || str3.equals("flounder_lte") || str3.equals("grouper") || str3.equals("tilapia")) {
                            z3 = true;
                            this.z = z3;
                            this.A = i4 > 17 && ("OMX.rk.video_decoder.avc".equals(str2) || "OMX.allwinner.video.decoder.avc".equals(str2));
                            this.B = i4 > 23 && "OMX.google.vorbis.decoder".equals(str2);
                            this.C = i4 > 18 && this.t.channelCount == 1 && "OMX.MTK.AUDIO.DECODER.MP3".equals(str2);
                            long elapsedRealtime = SystemClock.elapsedRealtime();
                            g2.p("createByCodecName(" + str2 + ")");
                            this.v = MediaCodec.createByCodecName(str2);
                            g2.S();
                            g2.p("configureCodec");
                            MediaCodec mediaCodec = this.v;
                            boolean z4 = A2.f2485c;
                            MediaFormat frameworkMediaFormatV16 = this.t.getFrameworkMediaFormatV16();
                            if (this.r) {
                                frameworkMediaFormatV16.setInteger("auto-frc", 0);
                            }
                            y(mediaCodec, z4, frameworkMediaFormatV16, mediaCrypto);
                            g2.S();
                            g2.p("codec.start()");
                            this.v.start();
                            g2.S();
                            long elapsedRealtime2 = SystemClock.elapsedRealtime();
                            long j2 = elapsedRealtime2 - elapsedRealtime;
                            handler = this.s;
                            if (!(handler == null || this.q == null)) {
                                handler.post(new s(this, str2, elapsedRealtime2, j2));
                            }
                            this.F = this.v.getInputBuffers();
                            this.G = this.v.getOutputBuffers();
                            this.H = this.f2447a != 3 ? SystemClock.elapsedRealtime() : -1;
                            this.I = -1;
                            this.J = -1;
                            this.U = true;
                            this.f536i.f2448a++;
                        }
                    }
                    z3 = false;
                    this.z = z3;
                    this.A = i4 > 17 && ("OMX.rk.video_decoder.avc".equals(str2) || "OMX.allwinner.video.decoder.avc".equals(str2));
                    this.B = i4 > 23 && "OMX.google.vorbis.decoder".equals(str2);
                    this.C = i4 > 18 && this.t.channelCount == 1 && "OMX.MTK.AUDIO.DECODER.MP3".equals(str2);
                    try {
                        long elapsedRealtime3 = SystemClock.elapsedRealtime();
                        g2.p("createByCodecName(" + str2 + ")");
                        this.v = MediaCodec.createByCodecName(str2);
                        g2.S();
                        g2.p("configureCodec");
                        MediaCodec mediaCodec2 = this.v;
                        boolean z42 = A2.f2485c;
                        MediaFormat frameworkMediaFormatV162 = this.t.getFrameworkMediaFormatV16();
                        if (this.r) {
                        }
                        y(mediaCodec2, z42, frameworkMediaFormatV162, mediaCrypto);
                        g2.S();
                        g2.p("codec.start()");
                        this.v.start();
                        g2.S();
                        long elapsedRealtime22 = SystemClock.elapsedRealtime();
                        long j22 = elapsedRealtime22 - elapsedRealtime3;
                        handler = this.s;
                        handler.post(new s(this, str2, elapsedRealtime22, j22));
                        this.F = this.v.getInputBuffers();
                        this.G = this.v.getOutputBuffers();
                        this.H = this.f2447a != 3 ? SystemClock.elapsedRealtime() : -1;
                        this.I = -1;
                        this.J = -1;
                        this.U = true;
                        this.f536i.f2448a++;
                    } catch (Exception e2) {
                        D(new DecoderInitializationException(this.t, e2, z2, str2));
                        throw null;
                    }
                } else {
                    D(new DecoderInitializationException(this.t, (Throwable) null, z2, -49999));
                    throw null;
                }
            } catch (MediaCodecUtil.DecoderQueryException e3) {
                D(new DecoderInitializationException(this.t, e3, z2, -49998));
                throw null;
            }
        }
    }

    public final void D(DecoderInitializationException decoderInitializationException) {
        Handler handler = this.s;
        if (!(handler == null || this.q == null)) {
            handler.post(new q(this, decoderInitializationException));
        }
        throw new ExoPlaybackException(decoderInitializationException);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:12:0x0034, code lost:
        if (r5.height == r0.height) goto L_0x0038;
     */
    public void E(u uVar) {
        MediaFormat mediaFormat = this.t;
        MediaFormat mediaFormat2 = uVar.f3529a;
        this.t = mediaFormat2;
        this.u = uVar.f3530b;
        if (!r.a(mediaFormat2, mediaFormat)) {
            MediaCodec mediaCodec = this.v;
            boolean z2 = true;
            if (mediaCodec != null && x(mediaCodec, this.w, mediaFormat, this.t)) {
                this.L = true;
                this.M = 1;
                if (this.z) {
                    MediaFormat mediaFormat3 = this.t;
                    if (mediaFormat3.width == mediaFormat.width) {
                    }
                }
                z2 = false;
                this.D = z2;
            } else if (this.O) {
                this.N = 1;
            } else {
                J();
                C();
            }
        }
    }

    public void F(MediaCodec mediaCodec, MediaFormat mediaFormat) {
    }

    public void G() {
    }

    public final void H() {
        if (this.N == 2) {
            J();
            C();
            return;
        }
        this.S = true;
        G();
    }

    public abstract boolean I(long j2, long j3, MediaCodec mediaCodec, ByteBuffer byteBuffer, MediaCodec.BufferInfo bufferInfo, int i2, boolean z2);

    public void J() {
        if (this.v != null) {
            this.H = -1;
            this.I = -1;
            this.J = -1;
            this.T = false;
            this.o.clear();
            this.F = null;
            this.G = null;
            this.L = false;
            this.O = false;
            this.w = false;
            this.x = false;
            this.y = false;
            this.z = false;
            this.A = false;
            this.B = false;
            this.C = false;
            this.D = false;
            this.E = false;
            this.P = false;
            this.M = 0;
            this.N = 0;
            this.f536i.f2449b++;
            try {
                this.v.stop();
                try {
                    this.v.release();
                } finally {
                    this.v = null;
                }
            } catch (Throwable th) {
                this.v.release();
                throw th;
            } finally {
                this.v = null;
            }
        }
    }

    public boolean K() {
        return this.v == null && this.t != null;
    }

    @Override // d.g.a.a.a0
    public boolean j() {
        return this.S;
    }

    @Override // d.g.a.a.a0
    public boolean k() {
        if (this.t != null && !this.T) {
            if (this.Q != 0 || this.J >= 0) {
                return true;
            }
            if (SystemClock.elapsedRealtime() < this.H + 1000) {
                return true;
            }
        }
        return false;
    }

    @Override // d.g.a.a.x, d.g.a.a.a0
    public void m() {
        this.t = null;
        this.u = null;
        try {
            J();
            try {
                if (this.K) {
                    ((l) this.k).a();
                    this.K = false;
                }
            } finally {
                super.m();
            }
        } catch (Throwable th) {
            if (this.K) {
                ((l) this.k).a();
                this.K = false;
            }
            throw th;
        } finally {
            super.m();
        }
    }

    @Override // d.g.a.a.a0
    public void p() {
    }

    @Override // d.g.a.a.a0
    public void q() {
    }

    @Override // d.g.a.a.x
    public void t(long j2, long j3, boolean z2) {
        int i2;
        int i3;
        boolean z3 = false;
        if (z2) {
            i2 = this.Q;
            if (i2 == 0) {
                i2 = 1;
            }
        } else {
            i2 = 0;
        }
        this.Q = i2;
        if (this.t == null && w(j2, this.n, null) == -4) {
            E(this.n);
        }
        C();
        if (this.v != null) {
            g2.p("drainAndFeed");
            while (true) {
                if (!this.S) {
                    if (this.J < 0) {
                        this.J = this.v.dequeueOutputBuffer(this.p, 0);
                    }
                    int i4 = this.J;
                    if (i4 == -2) {
                        MediaFormat outputFormat = this.v.getOutputFormat();
                        if (this.z && outputFormat.getInteger("width") == 32 && outputFormat.getInteger("height") == 32) {
                            this.E = true;
                        } else {
                            if (this.C) {
                                outputFormat.setInteger("channel-count", 1);
                            }
                            F(this.v, outputFormat);
                            this.f536i.f2451d++;
                        }
                    } else if (i4 == -3) {
                        this.G = this.v.getOutputBuffers();
                        this.f536i.f2452e++;
                    } else if (i4 < 0) {
                        if (this.A && (this.R || this.N == 2)) {
                            H();
                        }
                    } else if (this.E) {
                        this.E = z3;
                        this.v.releaseOutputBuffer(i4, z3);
                        this.J = -1;
                    } else {
                        MediaCodec.BufferInfo bufferInfo = this.p;
                        if ((bufferInfo.flags & 4) != 0) {
                            H();
                        } else {
                            long j4 = bufferInfo.presentationTimeUs;
                            int size = this.o.size();
                            int i5 = 0;
                            while (true) {
                                if (i5 >= size) {
                                    i3 = -1;
                                    break;
                                } else if (this.o.get(i5).longValue() == j4) {
                                    i3 = i5;
                                    break;
                                } else {
                                    i5++;
                                }
                            }
                            MediaCodec mediaCodec = this.v;
                            ByteBuffer[] byteBufferArr = this.G;
                            int i6 = this.J;
                            if (I(j2, j3, mediaCodec, byteBufferArr[i6], this.p, i6, i3 != -1)) {
                                long j5 = this.p.presentationTimeUs;
                                if (i3 != -1) {
                                    this.o.remove(i3);
                                }
                                this.J = -1;
                            } else {
                                z3 = false;
                            }
                        }
                    }
                    z3 = true;
                }
                if (!z3) {
                    break;
                }
                z3 = false;
            }
            if (z(j2, true)) {
                do {
                } while (z(j2, false));
            }
            g2.S();
        }
        synchronized (this.f536i) {
        }
    }

    @Override // d.g.a.a.x
    public final boolean u(MediaFormat mediaFormat) {
        return B(this.f537j, mediaFormat);
    }

    @Override // d.g.a.a.x
    public void v(long j2) {
        this.Q = 0;
        this.R = false;
        this.S = false;
        if (this.v != null) {
            this.H = -1;
            this.I = -1;
            this.J = -1;
            this.U = true;
            this.T = false;
            this.o.clear();
            this.D = false;
            this.E = false;
            if (this.y || (this.B && this.P)) {
                J();
                C();
            } else if (this.N != 0) {
                J();
                C();
            } else {
                this.v.flush();
                this.O = false;
            }
            if (this.L && this.t != null) {
                this.M = 1;
            }
        }
    }

    public boolean x(MediaCodec mediaCodec, boolean z2, MediaFormat mediaFormat, MediaFormat mediaFormat2) {
        return false;
    }

    public abstract void y(MediaCodec mediaCodec, boolean z2, MediaFormat mediaFormat, MediaCrypto mediaCrypto);

    /* JADX WARNING: Removed duplicated region for block: B:100:0x0156 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:101:0x0157  */
    public final boolean z(long j2, boolean z2) {
        int i2;
        boolean z3;
        if (this.R || this.N == 2) {
            return false;
        }
        if (this.I < 0) {
            int dequeueInputBuffer = this.v.dequeueInputBuffer(0);
            this.I = dequeueInputBuffer;
            if (dequeueInputBuffer < 0) {
                return false;
            }
            v vVar = this.m;
            vVar.f3532b = this.F[dequeueInputBuffer];
            vVar.a();
        }
        if (this.N == 1) {
            if (!this.A) {
                this.P = true;
                this.v.queueInputBuffer(this.I, 0, 0, 0, 4);
                this.I = -1;
            }
            this.N = 2;
            return false;
        } else if (this.D) {
            this.D = false;
            ByteBuffer byteBuffer = this.m.f3532b;
            byte[] bArr = f535h;
            byteBuffer.put(bArr);
            this.v.queueInputBuffer(this.I, 0, bArr.length, 0, 0);
            this.I = -1;
            this.O = true;
            return true;
        } else {
            if (this.T) {
                i2 = -3;
            } else {
                if (this.M == 1) {
                    for (int i3 = 0; i3 < this.t.initializationData.size(); i3++) {
                        this.m.f3532b.put(this.t.initializationData.get(i3));
                    }
                    this.M = 2;
                }
                i2 = w(j2, this.n, this.m);
                if (z2 && this.Q == 1 && i2 == -2) {
                    this.Q = 2;
                }
            }
            if (i2 == -2) {
                return false;
            }
            if (i2 == -4) {
                if (this.M == 2) {
                    this.m.a();
                    this.M = 1;
                }
                E(this.n);
                return true;
            } else if (i2 == -1) {
                if (this.M == 2) {
                    this.m.a();
                    this.M = 1;
                }
                this.R = true;
                if (!this.O) {
                    H();
                    return false;
                }
                try {
                    if (!this.A) {
                        this.P = true;
                        this.v.queueInputBuffer(this.I, 0, 0, 0, 4);
                        this.I = -1;
                    }
                    return false;
                } catch (MediaCodec.CryptoException e2) {
                    Handler handler = this.s;
                    if (!(handler == null || this.q == null)) {
                        handler.post(new d.g.a.a.r(this, e2));
                    }
                    throw new ExoPlaybackException(e2);
                }
            } else {
                if (this.U) {
                    if (!this.m.c()) {
                        this.m.a();
                        if (this.M == 2) {
                            this.M = 1;
                        }
                        return true;
                    }
                    this.U = false;
                }
                v vVar2 = this.m;
                boolean z4 = (2 & vVar2.f3534d) != 0;
                if (this.K) {
                    int i4 = ((l) this.k).n;
                    if (i4 == 0) {
                        l lVar = (l) this.k;
                        throw new ExoPlaybackException(lVar.n == 0 ? lVar.p : null);
                    } else if (i4 != 4 && (z4 || !this.l)) {
                        z3 = true;
                        this.T = z3;
                        if (!z3) {
                            return false;
                        }
                        if (this.x && !z4) {
                            ByteBuffer byteBuffer2 = vVar2.f3532b;
                            byte[] bArr2 = i.f3464a;
                            int position = byteBuffer2.position();
                            int i5 = 0;
                            int i6 = 0;
                            while (true) {
                                int i7 = i5 + 1;
                                if (i7 >= position) {
                                    byteBuffer2.clear();
                                    break;
                                }
                                int i8 = byteBuffer2.get(i5) & ExifInterface.MARKER;
                                if (i6 == 3) {
                                    if (i8 == 1 && (byteBuffer2.get(i7) & 31) == 7) {
                                        ByteBuffer duplicate = byteBuffer2.duplicate();
                                        duplicate.position(i5 - 3);
                                        duplicate.limit(position);
                                        byteBuffer2.position(0);
                                        byteBuffer2.put(duplicate);
                                        break;
                                    }
                                } else if (i8 == 0) {
                                    i6++;
                                }
                                if (i8 != 0) {
                                    i6 = 0;
                                }
                                i5 = i7;
                            }
                            if (this.m.f3532b.position() == 0) {
                                return true;
                            }
                            this.x = false;
                        }
                        try {
                            int position2 = this.m.f3532b.position();
                            v vVar3 = this.m;
                            int i9 = position2 - vVar3.f3533c;
                            long j3 = vVar3.f3535e;
                            if ((vVar3.f3534d & 134217728) != 0) {
                                this.o.add(Long.valueOf(j3));
                            }
                            v vVar4 = this.m;
                            ByteBuffer byteBuffer3 = vVar4.f3532b;
                            if (z4) {
                                MediaCodec.CryptoInfo cryptoInfo = vVar4.f3531a.f2479g;
                                if (i9 != 0) {
                                    if (cryptoInfo.numBytesOfClearData == null) {
                                        cryptoInfo.numBytesOfClearData = new int[1];
                                    }
                                    int[] iArr = cryptoInfo.numBytesOfClearData;
                                    iArr[0] = iArr[0] + i9;
                                }
                                this.v.queueSecureInputBuffer(this.I, 0, cryptoInfo, j3, 0);
                            } else {
                                this.v.queueInputBuffer(this.I, 0, position2, j3, 0);
                            }
                            this.I = -1;
                            this.O = true;
                            this.M = 0;
                            this.f536i.f2450c++;
                            return true;
                        } catch (MediaCodec.CryptoException e3) {
                            Handler handler2 = this.s;
                            if (!(handler2 == null || this.q == null)) {
                                handler2.post(new d.g.a.a.r(this, e3));
                            }
                            throw new ExoPlaybackException(e3);
                        }
                    }
                }
                z3 = false;
                this.T = z3;
                if (!z3) {
                }
            }
        }
    }

    public static class DecoderInitializationException extends Exception {
        private static final int CUSTOM_ERROR_CODE_BASE = -50000;
        private static final int DECODER_QUERY_ERROR = -49998;
        private static final int NO_SUITABLE_DECODER_ERROR = -49999;
        public final String decoderName;
        public final String diagnosticInfo;
        public final String mimeType;
        public final boolean secureDecoderRequired;

        public DecoderInitializationException(MediaFormat mediaFormat, Throwable th, boolean z, int i2) {
            super("Decoder init failed: [" + i2 + "], " + mediaFormat, th);
            this.mimeType = mediaFormat.mimeType;
            this.secureDecoderRequired = z;
            this.decoderName = null;
            this.diagnosticInfo = buildCustomDiagnosticInfo(i2);
        }

        private static String buildCustomDiagnosticInfo(int i2) {
            StringBuilder q = d.b.a.a.a.q("com.google.android.exoplayer.MediaCodecTrackRenderer_", i2 < 0 ? "neg_" : "");
            q.append(Math.abs(i2));
            return q.toString();
        }

        @TargetApi(21)
        private static String getDiagnosticInfoV21(Throwable th) {
            if (th instanceof MediaCodec.CodecException) {
                return ((MediaCodec.CodecException) th).getDiagnosticInfo();
            }
            return null;
        }

        public DecoderInitializationException(MediaFormat mediaFormat, Throwable th, boolean z, String str) {
            super("Decoder init failed: " + str + ", " + mediaFormat, th);
            this.mimeType = mediaFormat.mimeType;
            this.secureDecoderRequired = z;
            this.decoderName = str;
            this.diagnosticInfo = r.f3503a >= 21 ? getDiagnosticInfoV21(th) : null;
        }
    }
}
