package com.google.android.exoplayer.dash;

import android.os.Handler;
import android.os.SystemClock;
import android.util.Log;
import android.util.SparseArray;
import androidx.camera.core.FocusMeteringAction;
import com.google.android.exoplayer.BehindLiveWindowException;
import com.google.android.exoplayer.MediaFormat;
import com.google.android.exoplayer.upstream.Loader;
import com.google.android.exoplayer.util.ManifestFetcher;
import d.f.b.g2;
import d.g.a.a.d0.j;
import d.g.a.a.d0.k;
import d.g.a.a.d0.m;
import d.g.a.a.d0.n;
import d.g.a.a.d0.q;
import d.g.a.a.d0.r;
import d.g.a.a.e0.c;
import d.g.a.a.e0.f.f;
import d.g.a.a.e0.f.h;
import d.g.a.a.f0.a;
import d.g.a.a.g0.e;
import d.g.a.a.g0.l;
import d.g.a.a.g0.p.g;
import d.g.a.a.m0.p;
import d.g.a.a.z;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Objects;

public class DashChunkSource implements j, c.a {

    /* renamed from: a  reason: collision with root package name */
    public final Handler f567a;

    /* renamed from: b  reason: collision with root package name */
    public final a f568b;

    /* renamed from: c  reason: collision with root package name */
    public final d.g.a.a.l0.d f569c;

    /* renamed from: d  reason: collision with root package name */
    public final n f570d;

    /* renamed from: e  reason: collision with root package name */
    public final n.b f571e;

    /* renamed from: f  reason: collision with root package name */
    public final ManifestFetcher<d.g.a.a.e0.f.d> f572f;

    /* renamed from: g  reason: collision with root package name */
    public final d.g.a.a.e0.c f573g;

    /* renamed from: h  reason: collision with root package name */
    public final ArrayList<b> f574h;

    /* renamed from: i  reason: collision with root package name */
    public final SparseArray<c> f575i;

    /* renamed from: j  reason: collision with root package name */
    public final p f576j;
    public final long k;
    public final long l;
    public final long[] m;
    public final boolean n;
    public final int o;
    public d.g.a.a.e0.f.d p;
    public d.g.a.a.e0.f.d q;
    public b r;
    public int s;
    public z t;
    public boolean u;
    public boolean v = true;
    public boolean w;
    public IOException x;

    public static class NoAdaptationSetException extends IOException {
        public NoAdaptationSetException(String str) {
            super(str);
        }
    }

    public interface a {
        void onAvailableRangeChanged(int i2, z zVar);
    }

    public static final class c {

        /* renamed from: a  reason: collision with root package name */
        public final int f583a;

        /* renamed from: b  reason: collision with root package name */
        public final long f584b;

        /* renamed from: c  reason: collision with root package name */
        public final HashMap<String, d> f585c;

        /* renamed from: d  reason: collision with root package name */
        public final int[] f586d;

        /* renamed from: e  reason: collision with root package name */
        public d.g.a.a.f0.a f587e;

        /* renamed from: f  reason: collision with root package name */
        public boolean f588f;

        /* renamed from: g  reason: collision with root package name */
        public boolean f589g;

        /* renamed from: h  reason: collision with root package name */
        public long f590h;

        /* renamed from: i  reason: collision with root package name */
        public long f591i;

        public c(int i2, d.g.a.a.e0.f.d dVar, int i3, b bVar) {
            this.f583a = i2;
            f fVar = dVar.f2589h.get(i3);
            long b2 = b(dVar, i3);
            d.g.a.a.e0.f.a aVar = fVar.f2596b.get(bVar.f580d);
            List<h> list = aVar.f2576b;
            this.f584b = fVar.f2595a * 1000;
            a.C0039a aVar2 = null;
            if (!aVar.f2577c.isEmpty()) {
                for (int i4 = 0; i4 < aVar.f2577c.size(); i4++) {
                    d.g.a.a.e0.f.b bVar2 = aVar.f2577c.get(i4);
                    if (!(bVar2.f2579b == null || bVar2.f2580c == null)) {
                        aVar2 = aVar2 == null ? new a.C0039a() : aVar2;
                        aVar2.f2636a.put(bVar2.f2579b, bVar2.f2580c);
                    }
                }
            }
            this.f587e = aVar2;
            if (bVar.a()) {
                this.f586d = new int[bVar.f582f.length];
                int i5 = 0;
                while (true) {
                    m[] mVarArr = bVar.f582f;
                    if (i5 >= mVarArr.length) {
                        break;
                    }
                    this.f586d[i5] = c(list, mVarArr[i5].f2529a);
                    i5++;
                }
            } else {
                this.f586d = new int[]{c(list, bVar.f581e.f2529a)};
            }
            this.f585c = new HashMap<>();
            int i6 = 0;
            while (true) {
                int[] iArr = this.f586d;
                if (i6 < iArr.length) {
                    h hVar = list.get(iArr[i6]);
                    this.f585c.put(hVar.f2602a.f2529a, new d(this.f584b, b2, hVar));
                    i6++;
                } else {
                    e(b2, list.get(iArr[0]));
                    return;
                }
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:10:0x003a A[RETURN] */
        /* JADX WARNING: Removed duplicated region for block: B:11:0x003b  */
        public static long b(d.g.a.a.e0.f.d dVar, int i2) {
            long j2;
            long j3;
            long j4;
            if (i2 == dVar.f2589h.size() - 1) {
                j4 = dVar.f2583b;
                if (j4 == -1) {
                    j2 = -1;
                    if (j2 != -1) {
                        return -1;
                    }
                    return j2 * 1000;
                }
                j3 = dVar.f2589h.get(i2).f2595a;
            } else {
                j4 = dVar.f2589h.get(i2 + 1).f2595a;
                j3 = dVar.f2589h.get(i2).f2595a;
            }
            j2 = j4 - j3;
            if (j2 != -1) {
            }
        }

        public static int c(List<h> list, String str) {
            for (int i2 = 0; i2 < list.size(); i2++) {
                if (str.equals(list.get(i2).f2602a.f2529a)) {
                    return i2;
                }
            }
            throw new IllegalStateException(d.b.a.a.a.g("Missing format id: ", str));
        }

        public long a() {
            if (!this.f588f) {
                return this.f591i;
            }
            throw new IllegalStateException("Period has unbounded index");
        }

        public void d(d.g.a.a.e0.f.d dVar, int i2, b bVar) {
            long b2 = b(dVar, i2);
            List<h> list = dVar.f2589h.get(i2).f2596b.get(bVar.f580d).f2576b;
            int i3 = 0;
            while (true) {
                int[] iArr = this.f586d;
                if (i3 < iArr.length) {
                    h hVar = list.get(iArr[i3]);
                    d dVar2 = this.f585c.get(hVar.f2602a.f2529a);
                    d.g.a.a.e0.b h2 = dVar2.f594c.h();
                    d.g.a.a.e0.b h3 = hVar.h();
                    dVar2.f598g = b2;
                    dVar2.f594c = hVar;
                    if (h2 != null) {
                        dVar2.f595d = h3;
                        if (!h2.e()) {
                            continue;
                        } else {
                            int g2 = h2.g(dVar2.f598g);
                            long d2 = h2.d(g2);
                            int f2 = h3.f();
                            long d3 = h3.d(f2);
                            int i4 = ((h2.b(g2, dVar2.f598g) + d2) > d3 ? 1 : ((h2.b(g2, dVar2.f598g) + d2) == d3 ? 0 : -1));
                            if (i4 == 0) {
                                dVar2.f599h = ((h2.g(dVar2.f598g) + 1) - f2) + dVar2.f599h;
                            } else if (i4 >= 0) {
                                dVar2.f599h = (h2.a(d3, dVar2.f598g) - f2) + dVar2.f599h;
                            } else {
                                throw new BehindLiveWindowException();
                            }
                        }
                    }
                    i3++;
                } else {
                    e(b2, list.get(iArr[0]));
                    return;
                }
            }
        }

        public final void e(long j2, h hVar) {
            d.g.a.a.e0.b h2 = hVar.h();
            boolean z = true;
            if (h2 != null) {
                int f2 = h2.f();
                int g2 = h2.g(j2);
                if (g2 != -1) {
                    z = false;
                }
                this.f588f = z;
                this.f589g = h2.e();
                this.f590h = h2.d(f2) + this.f584b;
                if (!this.f588f) {
                    long j3 = this.f584b;
                    this.f591i = h2.b(g2, j2) + h2.d(g2) + j3;
                    return;
                }
                return;
            }
            this.f588f = false;
            this.f589g = true;
            long j4 = this.f584b;
            this.f590h = j4;
            this.f591i = j4 + j2;
        }
    }

    public static final class d {

        /* renamed from: a  reason: collision with root package name */
        public final boolean f592a;

        /* renamed from: b  reason: collision with root package name */
        public final d.g.a.a.d0.d f593b;

        /* renamed from: c  reason: collision with root package name */
        public h f594c;

        /* renamed from: d  reason: collision with root package name */
        public d.g.a.a.e0.b f595d;

        /* renamed from: e  reason: collision with root package name */
        public MediaFormat f596e;

        /* renamed from: f  reason: collision with root package name */
        public final long f597f;

        /* renamed from: g  reason: collision with root package name */
        public long f598g;

        /* renamed from: h  reason: collision with root package name */
        public int f599h;

        public d(long j2, long j3, h hVar) {
            e eVar;
            this.f597f = j2;
            this.f598g = j3;
            this.f594c = hVar;
            String str = hVar.f2602a.f2530b;
            boolean m = DashChunkSource.m(str);
            this.f592a = m;
            d.g.a.a.d0.d dVar = null;
            if (!m) {
                if (str.startsWith("video/webm") || str.startsWith("audio/webm") || str.startsWith("application/webm")) {
                    eVar = new d.g.a.a.g0.t.f();
                } else {
                    eVar = new g(0, null);
                }
                dVar = new d.g.a.a.d0.d(eVar);
            }
            this.f593b = dVar;
            this.f595d = hVar.h();
        }

        public boolean a(int i2) {
            int g2 = this.f595d.g(this.f598g);
            if (g2 != -1 && i2 > g2 + this.f599h) {
                return true;
            }
            return false;
        }
    }

    public DashChunkSource(ManifestFetcher<d.g.a.a.e0.f.d> manifestFetcher, d.g.a.a.e0.c cVar, d.g.a.a.l0.d dVar, n nVar, long j2, long j3, Handler handler, a aVar, int i2) {
        T t2 = manifestFetcher.k;
        p pVar = new p();
        this.f572f = manifestFetcher;
        this.p = t2;
        this.f573g = cVar;
        this.f569c = dVar;
        this.f570d = nVar;
        this.f576j = pVar;
        this.k = j2 * 1000;
        this.l = j3 * 1000;
        this.f567a = handler;
        this.f568b = aVar;
        this.o = i2;
        this.f571e = new n.b();
        this.m = new long[2];
        this.f575i = new SparseArray<>();
        this.f574h = new ArrayList<>();
        this.n = t2.f2584c;
    }

    public static String k(m mVar) {
        String str = mVar.f2530b;
        if (g2.q0(str)) {
            return g2.Y(mVar.f2537i);
        }
        if (g2.D0(str)) {
            return g2.k0(mVar.f2537i);
        }
        if (m(str)) {
            return str;
        }
        if (!"application/mp4".equals(str)) {
            return null;
        }
        if ("stpp".equals(mVar.f2537i)) {
            return "application/ttml+xml";
        }
        if ("wvtt".equals(mVar.f2537i)) {
            return "application/x-mp4vtt";
        }
        return null;
    }

    public static MediaFormat l(int i2, m mVar, String str, long j2) {
        if (i2 == 0) {
            return MediaFormat.createVideoFormat(mVar.f2529a, str, mVar.f2531c, -1, j2, mVar.f2532d, mVar.f2533e, null);
        }
        if (i2 == 1) {
            return MediaFormat.createAudioFormat(mVar.f2529a, str, mVar.f2531c, -1, j2, mVar.f2535g, mVar.f2536h, null, mVar.f2538j);
        }
        if (i2 != 2) {
            return null;
        }
        return MediaFormat.createTextFormat(mVar.f2529a, str, mVar.f2531c, j2, mVar.f2538j);
    }

    public static boolean m(String str) {
        return "text/vtt".equals(str) || "application/ttml+xml".equals(str);
    }

    @Override // d.g.a.a.d0.j
    public final MediaFormat a(int i2) {
        return this.f574h.get(i2).f577a;
    }

    /* JADX WARNING: Removed duplicated region for block: B:101:0x025a  */
    /* JADX WARNING: Removed duplicated region for block: B:102:0x0274  */
    /* JADX WARNING: Removed duplicated region for block: B:107:0x02b3  */
    /* JADX WARNING: Removed duplicated region for block: B:132:0x0333  */
    /* JADX WARNING: Removed duplicated region for block: B:80:0x01a5  */
    /* JADX WARNING: Removed duplicated region for block: B:81:0x01a8  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x01ad  */
    /* JADX WARNING: Removed duplicated region for block: B:85:0x01b2  */
    /* JADX WARNING: Removed duplicated region for block: B:97:0x01f1  */
    /* JADX WARNING: Removed duplicated region for block: B:98:0x01f4  */
    @Override // d.g.a.a.d0.j
    public final void b(List<? extends q> list, long j2, d.g.a.a.d0.e eVar) {
        c cVar;
        boolean z;
        d dVar;
        h hVar;
        d.g.a.a.e0.f.g gVar;
        d.g.a.a.d0.d dVar2;
        int i2;
        d.g.a.a.d0.d dVar3;
        int i3;
        m mVar;
        d.g.a.a.d0.c cVar2;
        int i4;
        int i5;
        c cVar3;
        long j3;
        d.g.a.a.d0.c cVar4;
        long j4 = j2;
        d.g.a.a.e0.f.g gVar2 = null;
        if (this.x != null) {
            eVar.f2498b = null;
            return;
        }
        this.f571e.f2543a = list.size();
        if (this.f571e.f2545c == null || !this.w) {
            if (this.r.a()) {
                ((n.a) this.f570d).a(list, j2, this.r.f582f, this.f571e);
            } else {
                n.b bVar = this.f571e;
                bVar.f2545c = this.r.f581e;
                bVar.f2544b = 2;
            }
        }
        n.b bVar2 = this.f571e;
        m mVar2 = bVar2.f2545c;
        int i6 = bVar2.f2543a;
        eVar.f2497a = i6;
        if (mVar2 == null) {
            eVar.f2498b = null;
        } else if (i6 != list.size() || (cVar4 = eVar.f2498b) == null || !cVar4.f2489c.equals(mVar2)) {
            eVar.f2498b = null;
            this.t.a(this.m);
            if (list.isEmpty()) {
                if (this.n) {
                    if (j4 != 0) {
                        this.v = false;
                    }
                    if (this.v) {
                        long[] jArr = this.m;
                        j3 = Math.max(jArr[0], jArr[1] - this.k);
                    } else {
                        j3 = Math.max(Math.min(j4, this.m[1] - 1), this.m[0]);
                    }
                } else {
                    j3 = j4;
                }
                if (j3 >= this.f575i.valueAt(0).f590h) {
                    int i7 = 0;
                    while (true) {
                        if (i7 >= this.f575i.size() - 1) {
                            SparseArray<c> sparseArray = this.f575i;
                            cVar3 = sparseArray.valueAt(sparseArray.size() - 1);
                            break;
                        }
                        c valueAt = this.f575i.valueAt(i7);
                        if (j3 < valueAt.a()) {
                            cVar3 = valueAt;
                            break;
                        }
                        i7++;
                    }
                } else {
                    cVar3 = this.f575i.valueAt(0);
                }
                j4 = j3;
            } else {
                if (this.v) {
                    this.v = false;
                }
                q qVar = (q) list.get(eVar.f2497a - 1);
                long j5 = qVar.f2551h;
                if (this.n && j5 < this.m[0]) {
                    this.x = new BehindLiveWindowException();
                    return;
                } else if (!this.p.f2584c || j5 < this.m[1]) {
                    SparseArray<c> sparseArray2 = this.f575i;
                    c valueAt2 = sparseArray2.valueAt(sparseArray2.size() - 1);
                    if (qVar.f2491e != valueAt2.f583a || !valueAt2.f585c.get(qVar.f2489c.f2529a).a(qVar.f2552i + 1)) {
                        cVar = this.f575i.get(qVar.f2491e);
                        if (cVar == null) {
                            cVar3 = this.f575i.valueAt(0);
                        } else if (cVar.f588f || !cVar.f585c.get(qVar.f2489c.f2529a).a(qVar.f2552i + 1)) {
                            z = false;
                            dVar = cVar.f585c.get(mVar2.f2529a);
                            hVar = dVar.f594c;
                            MediaFormat mediaFormat = dVar.f596e;
                            gVar = mediaFormat != null ? hVar.f2605d : null;
                            d.g.a.a.e0.f.g i8 = dVar.f595d != null ? hVar.i() : null;
                            if (gVar == null || i8 != null) {
                                d.g.a.a.d0.d dVar4 = dVar.f593b;
                                d.g.a.a.l0.d dVar5 = this.f569c;
                                int i9 = cVar.f583a;
                                int i10 = this.f571e.f2544b;
                                if (gVar == null) {
                                    if (i8 == null || !gVar.a().equals(i8.a())) {
                                        dVar2 = dVar4;
                                        i2 = i9;
                                    } else {
                                        long j6 = gVar.f2598b;
                                        long j7 = -1;
                                        int i11 = (j6 > -1 ? 1 : (j6 == -1 ? 0 : -1));
                                        if (i11 != 0) {
                                            i2 = i9;
                                            long j8 = gVar.f2597a;
                                            if (j8 + j6 == i8.f2597a) {
                                                String str = gVar.f2599c;
                                                String str2 = gVar.f2600d;
                                                dVar3 = dVar4;
                                                long j9 = i8.f2598b;
                                                if (j9 != -1) {
                                                    j7 = j6 + j9;
                                                }
                                                gVar2 = new d.g.a.a.e0.f.g(str, str2, j8, j7);
                                                dVar2 = dVar3;
                                            } else {
                                                dVar3 = dVar4;
                                            }
                                        } else {
                                            dVar3 = dVar4;
                                            i2 = i9;
                                        }
                                        long j10 = i8.f2598b;
                                        if (j10 != -1) {
                                            long j11 = i8.f2597a;
                                            dVar2 = dVar3;
                                            if (j11 + j10 == gVar.f2597a) {
                                                String str3 = gVar.f2599c;
                                                String str4 = gVar.f2600d;
                                                if (i11 != 0) {
                                                    j7 = j10 + j6;
                                                }
                                                gVar2 = new d.g.a.a.e0.f.g(str3, str4, j11, j7);
                                            }
                                        }
                                        dVar2 = dVar3;
                                    }
                                    if (gVar2 != null) {
                                        gVar = gVar2;
                                    }
                                } else {
                                    dVar2 = dVar4;
                                    i2 = i9;
                                    gVar = i8;
                                }
                                d.g.a.a.d0.p pVar = new d.g.a.a.d0.p(dVar5, new d.g.a.a.l0.f(g2.t1(gVar.f2599c, gVar.f2600d), gVar.f2597a, gVar.f2598b, hVar.f2604c), i10, hVar.f2602a, dVar2, i2);
                                this.w = true;
                                eVar.f2498b = pVar;
                            }
                            if (list.isEmpty()) {
                                i5 = dVar.f595d.a(j4 - dVar.f597f, dVar.f598g);
                                i4 = dVar.f599h;
                            } else if (z) {
                                i5 = dVar.f595d.f();
                                i4 = dVar.f599h;
                            } else {
                                i3 = ((q) list.get(eVar.f2497a - 1)).f2552i + 1;
                                d.g.a.a.l0.d dVar6 = this.f569c;
                                b bVar3 = this.r;
                                int i12 = this.f571e.f2544b;
                                boolean z2 = mediaFormat == null;
                                h hVar2 = dVar.f594c;
                                mVar = hVar2.f2602a;
                                long d2 = dVar.f595d.d(i3 - dVar.f599h) + dVar.f597f;
                                long b2 = dVar.f595d.b(i3 - dVar.f599h, dVar.f598g) + dVar.f595d.d(i3 - dVar.f599h) + dVar.f597f;
                                d.g.a.a.e0.f.g c2 = dVar.f595d.c(i3 - dVar.f599h);
                                d.g.a.a.l0.f fVar = new d.g.a.a.l0.f(g2.t1(c2.f2599c, c2.f2600d), c2.f2597a, c2.f2598b, hVar2.f2604c);
                                long j12 = cVar.f584b - hVar2.f2603b;
                                if (!m(mVar.f2530b)) {
                                    cVar2 = new r(dVar6, fVar, 1, mVar, d2, b2, i3, bVar3.f577a, null, cVar.f583a);
                                } else {
                                    cVar2 = new k(dVar6, fVar, i12, mVar, d2, b2, i3, j12, dVar.f593b, mediaFormat, bVar3.f578b, bVar3.f579c, cVar.f587e, z2, cVar.f583a);
                                }
                                this.w = false;
                                eVar.f2498b = cVar2;
                                return;
                            }
                            i3 = i5 + i4;
                            d.g.a.a.l0.d dVar62 = this.f569c;
                            b bVar32 = this.r;
                            int i122 = this.f571e.f2544b;
                            if (mediaFormat == null) {
                            }
                            h hVar22 = dVar.f594c;
                            mVar = hVar22.f2602a;
                            long d22 = dVar.f595d.d(i3 - dVar.f599h) + dVar.f597f;
                            long b22 = dVar.f595d.b(i3 - dVar.f599h, dVar.f598g) + dVar.f595d.d(i3 - dVar.f599h) + dVar.f597f;
                            d.g.a.a.e0.f.g c22 = dVar.f595d.c(i3 - dVar.f599h);
                            d.g.a.a.l0.f fVar2 = new d.g.a.a.l0.f(g2.t1(c22.f2599c, c22.f2600d), c22.f2597a, c22.f2598b, hVar22.f2604c);
                            long j122 = cVar.f584b - hVar22.f2603b;
                            if (!m(mVar.f2530b)) {
                            }
                            this.w = false;
                            eVar.f2498b = cVar2;
                            return;
                        } else {
                            cVar3 = this.f575i.get(qVar.f2491e + 1);
                        }
                    } else if (!this.p.f2584c) {
                        eVar.f2499c = true;
                        return;
                    } else {
                        return;
                    }
                } else {
                    return;
                }
            }
            cVar = cVar3;
            z = true;
            dVar = cVar.f585c.get(mVar2.f2529a);
            hVar = dVar.f594c;
            MediaFormat mediaFormat2 = dVar.f596e;
            if (mediaFormat2 != null) {
            }
            if (dVar.f595d != null) {
            }
            if (gVar == null) {
            }
            d.g.a.a.d0.d dVar42 = dVar.f593b;
            d.g.a.a.l0.d dVar52 = this.f569c;
            int i92 = cVar.f583a;
            int i102 = this.f571e.f2544b;
            if (gVar == null) {
            }
            d.g.a.a.d0.p pVar2 = new d.g.a.a.d0.p(dVar52, new d.g.a.a.l0.f(g2.t1(gVar.f2599c, gVar.f2600d), gVar.f2597a, gVar.f2598b, hVar.f2604c), i102, hVar.f2602a, dVar2, i2);
            this.w = true;
            eVar.f2498b = pVar2;
        }
    }

    @Override // d.g.a.a.d0.j
    public int c() {
        return this.f574h.size();
    }

    @Override // d.g.a.a.d0.j
    public void d(d.g.a.a.d0.c cVar) {
        if (cVar instanceof d.g.a.a.d0.p) {
            d.g.a.a.d0.p pVar = (d.g.a.a.d0.p) cVar;
            String str = pVar.f2489c.f2529a;
            c cVar2 = this.f575i.get(pVar.f2491e);
            if (cVar2 != null) {
                d dVar = cVar2.f585c.get(str);
                MediaFormat mediaFormat = pVar.f2547h;
                boolean z = false;
                if (mediaFormat != null) {
                    dVar.f596e = mediaFormat;
                }
                if (dVar.f595d == null) {
                    l lVar = pVar.f2549j;
                    if (lVar != null) {
                        dVar.f595d = new d.g.a.a.e0.d((d.g.a.a.g0.a) lVar, pVar.f2490d.f3384a.toString());
                    }
                }
                if (cVar2.f587e == null) {
                    d.g.a.a.f0.a aVar = pVar.f2548i;
                    if (aVar != null) {
                        z = true;
                    }
                    if (z) {
                        cVar2.f587e = aVar;
                    }
                }
            }
        }
    }

    @Override // d.g.a.a.d0.j
    public void e() {
        ManifestFetcher.ManifestIOException manifestIOException;
        IOException iOException = this.x;
        if (iOException == null) {
            ManifestFetcher<d.g.a.a.e0.f.d> manifestFetcher = this.f572f;
            if (manifestFetcher != null && (manifestIOException = manifestFetcher.f691j) != null && manifestFetcher.f689h > 1) {
                throw manifestIOException;
            }
            return;
        }
        throw iOException;
    }

    @Override // d.g.a.a.d0.j
    public void f(int i2) {
        b bVar = this.f574h.get(i2);
        this.r = bVar;
        if (bVar.a()) {
            Objects.requireNonNull((n.a) this.f570d);
        }
        ManifestFetcher<d.g.a.a.e0.f.d> manifestFetcher = this.f572f;
        if (manifestFetcher != null) {
            int i3 = manifestFetcher.f685d;
            manifestFetcher.f685d = i3 + 1;
            if (i3 == 0) {
                manifestFetcher.f689h = 0;
                manifestFetcher.f691j = null;
            }
            n(manifestFetcher.k);
            return;
        }
        n(this.p);
    }

    @Override // d.g.a.a.d0.j
    public void g(d.g.a.a.d0.c cVar, Exception exc) {
    }

    @Override // d.g.a.a.d0.j
    public void h(List<? extends q> list) {
        Loader loader;
        if (this.r.a()) {
            Objects.requireNonNull((n.a) this.f570d);
        }
        ManifestFetcher<d.g.a.a.e0.f.d> manifestFetcher = this.f572f;
        if (manifestFetcher != null) {
            int i2 = manifestFetcher.f685d - 1;
            manifestFetcher.f685d = i2;
            if (i2 == 0 && (loader = manifestFetcher.f686e) != null) {
                loader.b();
                manifestFetcher.f686e = null;
            }
        }
        this.f575i.clear();
        this.f571e.f2545c = null;
        this.t = null;
        this.x = null;
        this.r = null;
    }

    @Override // d.g.a.a.d0.j
    public void i(long j2) {
        ManifestFetcher<d.g.a.a.e0.f.d> manifestFetcher = this.f572f;
        if (manifestFetcher != null && this.p.f2584c && this.x == null) {
            T t2 = manifestFetcher.k;
            if (!(t2 == null || t2 == this.q)) {
                n(t2);
                this.q = t2;
            }
            long j3 = this.p.f2585d;
            if (j3 == 0) {
                j3 = FocusMeteringAction.DEFAULT_AUTOCANCEL_DURATION;
            }
            if (SystemClock.elapsedRealtime() > this.f572f.l + j3) {
                this.f572f.a();
            }
        }
    }

    public void j(d.g.a.a.e0.f.d dVar, int i2, int i3, int i4) {
        d.g.a.a.e0.f.a aVar = dVar.f2589h.get(i2).f2596b.get(i3);
        m mVar = aVar.f2576b.get(i4).f2602a;
        String k2 = k(mVar);
        if (k2 == null) {
            StringBuilder n2 = d.b.a.a.a.n("Skipped track ");
            n2.append(mVar.f2529a);
            n2.append(" (unknown media mime type)");
            Log.w("DashChunkSource", n2.toString());
            return;
        }
        MediaFormat l2 = l(aVar.f2575a, mVar, k2, dVar.f2584c ? -1 : dVar.f2583b * 1000);
        if (l2 == null) {
            StringBuilder n3 = d.b.a.a.a.n("Skipped track ");
            n3.append(mVar.f2529a);
            n3.append(" (unknown media format)");
            Log.w("DashChunkSource", n3.toString());
            return;
        }
        this.f574h.add(new b(l2, i3, mVar));
    }

    public final void n(d.g.a.a.e0.f.d dVar) {
        long j2;
        z zVar;
        long j3;
        f b2 = dVar.b(0);
        while (this.f575i.size() > 0 && this.f575i.valueAt(0).f584b < b2.f2595a * 1000) {
            this.f575i.remove(this.f575i.valueAt(0).f583a);
        }
        if (this.f575i.size() <= dVar.f2589h.size()) {
            try {
                int size = this.f575i.size();
                if (size > 0) {
                    this.f575i.valueAt(0).d(dVar, 0, this.r);
                    if (size > 1) {
                        int i2 = size - 1;
                        this.f575i.valueAt(i2).d(dVar, i2, this.r);
                    }
                }
                for (int size2 = this.f575i.size(); size2 < dVar.f2589h.size(); size2++) {
                    this.f575i.put(this.s, new c(this.s, dVar, size2, this.r));
                    this.s++;
                }
                if (this.l != 0) {
                    Objects.requireNonNull(this.f576j);
                    j2 = (SystemClock.elapsedRealtime() * 1000) + this.l;
                } else {
                    j2 = System.currentTimeMillis() * 1000;
                }
                c valueAt = this.f575i.valueAt(0);
                SparseArray<c> sparseArray = this.f575i;
                c valueAt2 = sparseArray.valueAt(sparseArray.size() - 1);
                if (!this.p.f2584c || valueAt2.f589g) {
                    zVar = new z.b(valueAt.f590h, valueAt2.a());
                } else {
                    long j4 = valueAt.f590h;
                    if (valueAt2.f588f) {
                        j3 = Long.MAX_VALUE;
                    } else {
                        j3 = valueAt2.a();
                    }
                    Objects.requireNonNull(this.f576j);
                    d.g.a.a.e0.f.d dVar2 = this.p;
                    long elapsedRealtime = (SystemClock.elapsedRealtime() * 1000) - (j2 - (dVar2.f2582a * 1000));
                    long j5 = dVar2.f2586e;
                    zVar = new z.a(j4, j3, elapsedRealtime, j5 == -1 ? -1 : j5 * 1000, this.f576j);
                }
                z zVar2 = this.t;
                if (zVar2 == null || !zVar2.equals(zVar)) {
                    this.t = zVar;
                    Handler handler = this.f567a;
                    if (!(handler == null || this.f568b == null)) {
                        handler.post(new d.g.a.a.e0.a(this, zVar));
                    }
                }
                this.p = dVar;
            } catch (BehindLiveWindowException e2) {
                this.x = e2;
            }
        }
    }

    @Override // d.g.a.a.d0.j
    public boolean prepare() {
        if (!this.u) {
            this.u = true;
            try {
                ((d.g.a.a.e0.e) this.f573g).a(this.p, 0, this);
            } catch (IOException e2) {
                this.x = e2;
            }
        }
        if (this.x == null) {
            return true;
        }
        return false;
    }

    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        public final MediaFormat f577a;

        /* renamed from: b  reason: collision with root package name */
        public final int f578b;

        /* renamed from: c  reason: collision with root package name */
        public final int f579c;

        /* renamed from: d  reason: collision with root package name */
        public final int f580d;

        /* renamed from: e  reason: collision with root package name */
        public final m f581e;

        /* renamed from: f  reason: collision with root package name */
        public final m[] f582f;

        public b(MediaFormat mediaFormat, int i2, m mVar) {
            this.f577a = mediaFormat;
            this.f580d = i2;
            this.f581e = mVar;
            this.f582f = null;
            this.f578b = -1;
            this.f579c = -1;
        }

        public boolean a() {
            return this.f582f != null;
        }

        public b(MediaFormat mediaFormat, int i2, m[] mVarArr, int i3, int i4) {
            this.f577a = mediaFormat;
            this.f580d = i2;
            this.f582f = mVarArr;
            this.f578b = i3;
            this.f579c = i4;
            this.f581e = null;
        }
    }
}
