package com.google.android.exoplayer.extractor;

import android.net.Uri;
import android.os.Handler;
import android.os.SystemClock;
import android.util.SparseArray;
import androidx.camera.core.FocusMeteringAction;
import com.google.android.exoplayer.MediaFormat;
import com.google.android.exoplayer.ParserException;
import com.google.android.exoplayer.upstream.Loader;
import d.f.b.g2;
import d.g.a.a.g0.g;
import d.g.a.a.g0.h;
import d.g.a.a.g0.j;
import d.g.a.a.g0.l;
import d.g.a.a.g0.m;
import d.g.a.a.l0.f;
import d.g.a.a.m0.r;
import d.g.a.a.u;
import d.g.a.a.v;
import d.g.a.a.w;
import java.io.EOFException;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

public final class ExtractorSampleSource implements w, w.a, g, Loader.a {

    /* renamed from: a  reason: collision with root package name */
    public static final List<Class<? extends d.g.a.a.g0.e>> f600a;
    public c A;
    public IOException B;
    public int C;
    public long D;
    public boolean E;
    public int F;
    public int G;

    /* renamed from: b  reason: collision with root package name */
    public final d f601b;

    /* renamed from: c  reason: collision with root package name */
    public final d.g.a.a.l0.b f602c;

    /* renamed from: d  reason: collision with root package name */
    public final SparseArray<e> f603d;

    /* renamed from: e  reason: collision with root package name */
    public final Uri f604e;

    /* renamed from: f  reason: collision with root package name */
    public final d.g.a.a.l0.d f605f;

    /* renamed from: g  reason: collision with root package name */
    public final Handler f606g;

    /* renamed from: h  reason: collision with root package name */
    public final b f607h;

    /* renamed from: i  reason: collision with root package name */
    public volatile boolean f608i;

    /* renamed from: j  reason: collision with root package name */
    public volatile l f609j;
    public volatile d.g.a.a.f0.a k;
    public boolean l;
    public int m;
    public MediaFormat[] n;
    public long o;
    public boolean[] p;
    public boolean[] q;
    public boolean[] r;
    public int s;
    public long t;
    public long u;
    public long v;
    public boolean w;
    public long x;
    public long y;
    public Loader z;

    public static final class UnrecognizedInputFormatException extends ParserException {
        /* JADX WARNING: Illegal instructions before constructor call */
        public UnrecognizedInputFormatException(d.g.a.a.g0.e[] eVarArr) {
            super(r0.toString());
            StringBuilder n = d.b.a.a.a.n("None of the available extractors (");
            int i2 = r.f3503a;
            StringBuilder sb = new StringBuilder();
            for (int i3 = 0; i3 < eVarArr.length; i3++) {
                sb.append(eVarArr[i3].getClass().getSimpleName());
                if (i3 < eVarArr.length - 1) {
                    sb.append(", ");
                }
            }
            n.append(sb.toString());
            n.append(") could read the stream.");
        }
    }

    public class a implements Runnable {
        public a() {
        }

        public void run() {
            d dVar = ExtractorSampleSource.this.f601b;
            d.g.a.a.g0.e eVar = dVar.f621c;
            if (eVar != null) {
                eVar.release();
                dVar.f621c = null;
            }
        }
    }

    public interface b {
        void onLoadError(int i2, IOException iOException);
    }

    public static class c implements Loader.c {

        /* renamed from: a  reason: collision with root package name */
        public final Uri f611a;

        /* renamed from: b  reason: collision with root package name */
        public final d.g.a.a.l0.d f612b;

        /* renamed from: c  reason: collision with root package name */
        public final d f613c;

        /* renamed from: d  reason: collision with root package name */
        public final d.g.a.a.l0.b f614d;

        /* renamed from: e  reason: collision with root package name */
        public final int f615e;

        /* renamed from: f  reason: collision with root package name */
        public final j f616f;

        /* renamed from: g  reason: collision with root package name */
        public volatile boolean f617g;

        /* renamed from: h  reason: collision with root package name */
        public boolean f618h = true;

        public c(Uri uri, d.g.a.a.l0.d dVar, d dVar2, d.g.a.a.l0.b bVar, int i2, long j2) {
            Objects.requireNonNull(uri);
            this.f611a = uri;
            Objects.requireNonNull(dVar);
            this.f612b = dVar;
            Objects.requireNonNull(dVar2);
            this.f613c = dVar2;
            Objects.requireNonNull(bVar);
            this.f614d = bVar;
            this.f615e = i2;
            j jVar = new j();
            this.f616f = jVar;
            jVar.f2687a = j2;
        }

        @Override // com.google.android.exoplayer.upstream.Loader.c
        public void a() {
            Throwable th;
            int i2 = 0;
            while (i2 == 0 && !this.f617g) {
                d.g.a.a.g0.b bVar = null;
                try {
                    long j2 = this.f616f.f2687a;
                    long b2 = this.f612b.b(new f(this.f611a, j2, -1, null));
                    if (b2 != -1) {
                        b2 += j2;
                    }
                    d.g.a.a.g0.b bVar2 = new d.g.a.a.g0.b(this.f612b, j2, b2);
                    try {
                        d.g.a.a.g0.e a2 = this.f613c.a(bVar2);
                        if (this.f618h) {
                            a2.b();
                            this.f618h = false;
                        }
                        while (i2 == 0 && !this.f617g) {
                            this.f614d.a(this.f615e);
                            i2 = a2.a(bVar2, this.f616f);
                        }
                        if (i2 == 1) {
                            i2 = 0;
                        } else {
                            this.f616f.f2687a = bVar2.f2671d;
                        }
                        this.f612b.close();
                    } catch (Throwable th2) {
                        th = th2;
                        bVar = bVar2;
                        if (!(i2 == 1 || bVar == null)) {
                            this.f616f.f2687a = bVar.f2671d;
                        }
                        this.f612b.close();
                        throw th;
                    }
                } catch (Throwable th3) {
                    th = th3;
                    this.f616f.f2687a = bVar.f2671d;
                    this.f612b.close();
                    throw th;
                }
            }
        }

        @Override // com.google.android.exoplayer.upstream.Loader.c
        public boolean f() {
            return this.f617g;
        }

        @Override // com.google.android.exoplayer.upstream.Loader.c
        public void h() {
            this.f617g = true;
        }
    }

    public static final class d {

        /* renamed from: a  reason: collision with root package name */
        public final d.g.a.a.g0.e[] f619a;

        /* renamed from: b  reason: collision with root package name */
        public final g f620b;

        /* renamed from: c  reason: collision with root package name */
        public d.g.a.a.g0.e f621c;

        public d(d.g.a.a.g0.e[] eVarArr, g gVar) {
            this.f619a = eVarArr;
            this.f620b = gVar;
        }

        public d.g.a.a.g0.e a(d.g.a.a.g0.f fVar) {
            d.g.a.a.g0.e eVar = this.f621c;
            if (eVar != null) {
                return eVar;
            }
            d.g.a.a.g0.e[] eVarArr = this.f619a;
            int length = eVarArr.length;
            int i2 = 0;
            while (true) {
                if (i2 >= length) {
                    break;
                }
                d.g.a.a.g0.e eVar2 = eVarArr[i2];
                try {
                    if (eVar2.d(fVar)) {
                        this.f621c = eVar2;
                        ((d.g.a.a.g0.b) fVar).f2673f = 0;
                        break;
                    }
                    ((d.g.a.a.g0.b) fVar).f2673f = 0;
                    i2++;
                } catch (EOFException unused) {
                } catch (Throwable th) {
                    ((d.g.a.a.g0.b) fVar).f2673f = 0;
                    throw th;
                }
            }
            d.g.a.a.g0.e eVar3 = this.f621c;
            if (eVar3 != null) {
                eVar3.g(this.f620b);
                return this.f621c;
            }
            throw new UnrecognizedInputFormatException(this.f619a);
        }
    }

    public class e extends d.g.a.a.g0.c {
        public e(d.g.a.a.l0.b bVar) {
            super(bVar);
        }

        @Override // d.g.a.a.g0.m, d.g.a.a.g0.c
        public void c(long j2, int i2, int i3, int i4, byte[] bArr) {
            super.c(j2, i2, i3, i4, bArr);
            ExtractorSampleSource.this.F++;
        }
    }

    /* JADX WARNING: Can't wrap try/catch for region: R(24:0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|21|22|24) */
    /* JADX WARNING: Code restructure failed: missing block: B:25:?, code lost:
        return;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x0052 */
    /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0061 */
    /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x0070 */
    /* JADX WARNING: Missing exception handler attribute for start block: B:17:0x007f */
    /* JADX WARNING: Missing exception handler attribute for start block: B:19:0x008e */
    /* JADX WARNING: Missing exception handler attribute for start block: B:21:0x009d */
    /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0016 */
    /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x0025 */
    /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0034 */
    /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0043 */
    static {
        ArrayList arrayList = new ArrayList();
        f600a = arrayList;
        arrayList.add(Class.forName("d.g.a.a.g0.t.f").asSubclass(d.g.a.a.g0.e.class));
        f600a.add(Class.forName("d.g.a.a.g0.p.g").asSubclass(d.g.a.a.g0.e.class));
        f600a.add(Class.forName("d.g.a.a.g0.p.h").asSubclass(d.g.a.a.g0.e.class));
        f600a.add(Class.forName("d.g.a.a.g0.o.c").asSubclass(d.g.a.a.g0.e.class));
        f600a.add(Class.forName("d.g.a.a.g0.r.b").asSubclass(d.g.a.a.g0.e.class));
        f600a.add(Class.forName("d.g.a.a.g0.r.o").asSubclass(d.g.a.a.g0.e.class));
        f600a.add(Class.forName("d.g.a.a.g0.n.b").asSubclass(d.g.a.a.g0.e.class));
        f600a.add(Class.forName("d.g.a.a.g0.q.b").asSubclass(d.g.a.a.g0.e.class));
        f600a.add(Class.forName("d.g.a.a.g0.r.l").asSubclass(d.g.a.a.g0.e.class));
        f600a.add(Class.forName("d.g.a.a.g0.s.a").asSubclass(d.g.a.a.g0.e.class));
        f600a.add(Class.forName("com.google.android.exoplayer.ext.flac.FlacExtractor").asSubclass(d.g.a.a.g0.e.class));
    }

    public ExtractorSampleSource(Uri uri, d.g.a.a.l0.d dVar, d.g.a.a.l0.b bVar, int i2, Handler handler, b bVar2, int i3, d.g.a.a.g0.e... eVarArr) {
        this.f604e = uri;
        this.f605f = dVar;
        this.f607h = bVar2;
        this.f606g = handler;
        this.f602c = bVar;
        if (eVarArr.length == 0) {
            int size = f600a.size();
            eVarArr = new d.g.a.a.g0.e[size];
            for (int i4 = 0; i4 < size; i4++) {
                try {
                    eVarArr[i4] = (d.g.a.a.g0.e) f600a.get(i4).newInstance();
                } catch (InstantiationException e2) {
                    throw new IllegalStateException("Unexpected error creating default extractor", e2);
                } catch (IllegalAccessException e3) {
                    throw new IllegalStateException("Unexpected error creating default extractor", e3);
                }
            }
        }
        this.f601b = new d(eVarArr, this);
        this.f603d = new SparseArray<>();
        this.v = Long.MIN_VALUE;
    }

    @Override // d.g.a.a.w.a
    public MediaFormat a(int i2) {
        g2.w(this.l);
        return this.n[i2];
    }

    @Override // d.g.a.a.g0.g
    public void b(l lVar) {
        this.f609j = lVar;
    }

    @Override // d.g.a.a.w.a
    public int c() {
        return this.f603d.size();
    }

    @Override // d.g.a.a.g0.g
    public void d(d.g.a.a.f0.a aVar) {
        this.k = aVar;
    }

    @Override // d.g.a.a.w.a
    public void e() {
        IOException iOException = this.B;
        if (iOException != null) {
            if (!(iOException instanceof UnrecognizedInputFormatException)) {
                if (this.C > ((this.f609j == null || this.f609j.c()) ? 3 : 6)) {
                    throw this.B;
                }
                return;
            }
            throw iOException;
        }
    }

    @Override // d.g.a.a.g0.g
    public m f(int i2) {
        e eVar = this.f603d.get(i2);
        if (eVar != null) {
            return eVar;
        }
        e eVar2 = new e(this.f602c);
        this.f603d.put(i2, eVar2);
        return eVar2;
    }

    @Override // d.g.a.a.w.a
    public boolean g(int i2, long j2) {
        g2.w(this.l);
        g2.w(this.r[i2]);
        this.t = j2;
        int i3 = 0;
        while (true) {
            boolean[] zArr = this.r;
            if (i3 >= zArr.length) {
                break;
            }
            if (!zArr[i3]) {
                this.f603d.valueAt(i3).h(j2);
            }
            i3++;
        }
        if (this.E) {
            return true;
        }
        w();
        if (v()) {
            return false;
        }
        return !this.f603d.valueAt(i2).k();
    }

    @Override // d.g.a.a.g0.g
    public void h() {
        this.f608i = true;
    }

    @Override // com.google.android.exoplayer.upstream.Loader.a
    public void i(Loader.c cVar) {
        if (this.m > 0) {
            x(this.v);
            return;
        }
        t();
        this.f602c.e(0);
    }

    @Override // d.g.a.a.w.a
    public boolean j(long j2) {
        boolean z2;
        if (this.l) {
            return true;
        }
        if (this.z == null) {
            this.z = new Loader("Loader:ExtractorSampleSource");
        }
        w();
        if (this.f609j != null && this.f608i) {
            int i2 = 0;
            while (true) {
                if (i2 >= this.f603d.size()) {
                    z2 = true;
                    break;
                }
                if (!(this.f603d.valueAt(i2).f2681g != null)) {
                    z2 = false;
                    break;
                }
                i2++;
            }
            if (z2) {
                int size = this.f603d.size();
                this.r = new boolean[size];
                this.q = new boolean[size];
                this.p = new boolean[size];
                this.n = new MediaFormat[size];
                this.o = -1;
                for (int i3 = 0; i3 < size; i3++) {
                    MediaFormat mediaFormat = this.f603d.valueAt(i3).f2681g;
                    this.n[i3] = mediaFormat;
                    long j3 = mediaFormat.durationUs;
                    if (j3 != -1 && j3 > this.o) {
                        this.o = j3;
                    }
                }
                this.l = true;
                return true;
            }
        }
        return false;
    }

    @Override // com.google.android.exoplayer.upstream.Loader.a
    public void k(Loader.c cVar, IOException iOException) {
        this.B = iOException;
        int i2 = 1;
        if (this.F <= this.G) {
            i2 = 1 + this.C;
        }
        this.C = i2;
        this.D = SystemClock.elapsedRealtime();
        Handler handler = this.f606g;
        if (!(handler == null || this.f607h == null)) {
            handler.post(new h(this, iOException));
        }
        w();
    }

    @Override // d.g.a.a.w.a
    public long l(int i2) {
        boolean[] zArr = this.q;
        if (!zArr[i2]) {
            return Long.MIN_VALUE;
        }
        zArr[i2] = false;
        return this.u;
    }

    @Override // d.g.a.a.w.a
    public void m(int i2) {
        g2.w(this.l);
        g2.w(this.r[i2]);
        int i3 = this.m - 1;
        this.m = i3;
        this.r[i2] = false;
        if (i3 == 0) {
            this.t = Long.MIN_VALUE;
            Loader loader = this.z;
            if (loader.f674c) {
                loader.a();
                return;
            }
            t();
            this.f602c.e(0);
        }
    }

    @Override // com.google.android.exoplayer.upstream.Loader.a
    public void n(Loader.c cVar) {
        this.E = true;
    }

    @Override // d.g.a.a.w.a
    public int o(int i2, long j2, u uVar, v vVar) {
        this.t = j2;
        if (!this.q[i2] && !v()) {
            e valueAt = this.f603d.valueAt(i2);
            if (this.p[i2]) {
                uVar.f3529a = valueAt.f2681g;
                uVar.f3530b = this.k;
                this.p[i2] = false;
                return -4;
            } else if (valueAt.j(vVar)) {
                long j3 = vVar.f3535e;
                boolean z2 = j3 < this.u;
                vVar.f3534d = (z2 ? 134217728 : 0) | vVar.f3534d;
                if (this.w) {
                    this.y = this.x - j3;
                    this.w = false;
                }
                vVar.f3535e = j3 + this.y;
                return -3;
            } else if (this.E) {
                return -1;
            }
        }
        return -2;
    }

    @Override // d.g.a.a.w.a
    public void p(int i2, long j2) {
        g2.w(this.l);
        g2.w(!this.r[i2]);
        int i3 = this.m + 1;
        this.m = i3;
        this.r[i2] = true;
        this.p[i2] = true;
        this.q[i2] = false;
        if (i3 == 1) {
            if (!this.f609j.c()) {
                j2 = 0;
            }
            this.t = j2;
            this.u = j2;
            x(j2);
        }
    }

    @Override // d.g.a.a.w.a
    public long q() {
        if (this.E) {
            return -3;
        }
        if (v()) {
            return this.v;
        }
        long j2 = Long.MIN_VALUE;
        for (int i2 = 0; i2 < this.f603d.size(); i2++) {
            j2 = Math.max(j2, this.f603d.valueAt(i2).f2680f);
        }
        return j2 == Long.MIN_VALUE ? this.t : j2;
    }

    @Override // d.g.a.a.w.a
    public void r(long j2) {
        g2.w(this.l);
        int i2 = 0;
        g2.w(this.m > 0);
        if (!this.f609j.c()) {
            j2 = 0;
        }
        long j3 = v() ? this.v : this.t;
        this.t = j2;
        this.u = j2;
        if (j3 != j2) {
            boolean z2 = !v();
            int i3 = 0;
            while (z2 && i3 < this.f603d.size()) {
                z2 &= this.f603d.valueAt(i3).l(j2);
                i3++;
            }
            if (!z2) {
                x(j2);
            }
            while (true) {
                boolean[] zArr = this.q;
                if (i2 < zArr.length) {
                    zArr[i2] = true;
                    i2++;
                } else {
                    return;
                }
            }
        }
    }

    @Override // d.g.a.a.w.a
    public void release() {
        Loader loader;
        g2.w(this.s > 0);
        int i2 = this.s - 1;
        this.s = i2;
        if (i2 == 0 && (loader = this.z) != null) {
            a aVar = new a();
            if (loader.f674c) {
                loader.a();
            }
            loader.f672a.submit(aVar);
            loader.f672a.shutdown();
            this.z = null;
        }
    }

    @Override // d.g.a.a.w
    public w.a s() {
        this.s++;
        return this;
    }

    public final void t() {
        for (int i2 = 0; i2 < this.f603d.size(); i2++) {
            this.f603d.valueAt(i2).f();
        }
        this.A = null;
        this.B = null;
        this.C = 0;
    }

    public final c u() {
        return new c(this.f604e, this.f605f, this.f601b, this.f602c, 16777216, 0);
    }

    public final boolean v() {
        return this.v != Long.MIN_VALUE;
    }

    public final void w() {
        if (!this.E && !this.z.f674c) {
            IOException iOException = this.B;
            int i2 = 0;
            if (iOException == null) {
                this.y = 0;
                this.w = false;
                if (!this.l) {
                    this.A = u();
                } else {
                    g2.w(v());
                    long j2 = this.o;
                    if (j2 == -1 || this.v < j2) {
                        this.A = new c(this.f604e, this.f605f, this.f601b, this.f602c, 16777216, this.f609j.e(this.v));
                        this.v = Long.MIN_VALUE;
                    } else {
                        this.E = true;
                        this.v = Long.MIN_VALUE;
                        return;
                    }
                }
                this.G = this.F;
                this.z.d(this.A, this);
            } else if (!(iOException instanceof UnrecognizedInputFormatException)) {
                g2.w(this.A != null);
                if (SystemClock.elapsedRealtime() - this.D >= Math.min((((long) this.C) - 1) * 1000, (long) FocusMeteringAction.DEFAULT_AUTOCANCEL_DURATION)) {
                    this.B = null;
                    if (!this.l) {
                        while (i2 < this.f603d.size()) {
                            this.f603d.valueAt(i2).f();
                            i2++;
                        }
                        this.A = u();
                    } else if (!this.f609j.c() && this.o == -1) {
                        while (i2 < this.f603d.size()) {
                            this.f603d.valueAt(i2).f();
                            i2++;
                        }
                        this.A = u();
                        this.x = this.t;
                        this.w = true;
                    }
                    this.G = this.F;
                    this.z.d(this.A, this);
                }
            }
        }
    }

    public final void x(long j2) {
        this.v = j2;
        this.E = false;
        Loader loader = this.z;
        if (loader.f674c) {
            loader.a();
            return;
        }
        t();
        w();
    }
}
