package com.google.android.exoplayer.smoothstreaming;

import android.util.Base64;
import android.util.Pair;
import androidx.core.app.NotificationCompat;
import com.google.android.exoplayer.ParserException;
import d.f.b.g2;
import d.g.a.a.j0.c;
import d.g.a.a.l0.o;
import d.g.a.a.m0.r;
import java.io.InputStream;
import java.nio.ByteBuffer;
import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;
import java.util.UUID;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
import org.xmlpull.v1.XmlPullParserFactory;

public class SmoothStreamingManifestParser implements o.a<d.g.a.a.j0.c> {

    /* renamed from: a  reason: collision with root package name */
    public final XmlPullParserFactory f625a;

    public static class MissingFieldException extends ParserException {
        public MissingFieldException(String str) {
            super(d.b.a.a.a.g("Missing required field: ", str));
        }
    }

    public static abstract class a {

        /* renamed from: a  reason: collision with root package name */
        public final String f626a;

        /* renamed from: b  reason: collision with root package name */
        public final String f627b;

        /* renamed from: c  reason: collision with root package name */
        public final a f628c;

        /* renamed from: d  reason: collision with root package name */
        public final List<Pair<String, Object>> f629d = new LinkedList();

        public a(a aVar, String str, String str2) {
            this.f628c = aVar;
            this.f626a = str;
            this.f627b = str2;
        }

        public void a(Object obj) {
        }

        public abstract Object b();

        public final Object c(String str) {
            for (int i2 = 0; i2 < this.f629d.size(); i2++) {
                Pair<String, Object> pair = this.f629d.get(i2);
                if (((String) pair.first).equals(str)) {
                    return pair.second;
                }
            }
            a aVar = this.f628c;
            if (aVar == null) {
                return null;
            }
            return aVar.c(str);
        }

        public boolean d(String str) {
            return false;
        }

        public final Object e(XmlPullParser xmlPullParser) {
            boolean z = false;
            int i2 = 0;
            while (true) {
                int eventType = xmlPullParser.getEventType();
                a aVar = null;
                if (eventType == 1) {
                    return null;
                }
                if (eventType == 2) {
                    String name = xmlPullParser.getName();
                    if (this.f627b.equals(name)) {
                        k(xmlPullParser);
                        z = true;
                    } else if (z) {
                        if (i2 > 0) {
                            i2++;
                        } else if (d(name)) {
                            k(xmlPullParser);
                        } else {
                            String str = this.f626a;
                            if ("QualityLevel".equals(name)) {
                                aVar = new e(this, str);
                            } else if ("Protection".equals(name)) {
                                aVar = new b(this, str);
                            } else if ("StreamIndex".equals(name)) {
                                aVar = new d(this, str);
                            }
                            if (aVar == null) {
                                i2 = 1;
                            } else {
                                a(aVar.e(xmlPullParser));
                            }
                        }
                    }
                } else if (eventType != 3) {
                    if (eventType == 4 && z && i2 == 0) {
                        l(xmlPullParser);
                    }
                } else if (!z) {
                    continue;
                } else if (i2 > 0) {
                    i2--;
                } else {
                    String name2 = xmlPullParser.getName();
                    f(xmlPullParser);
                    if (!d(name2)) {
                        return b();
                    }
                }
                xmlPullParser.next();
            }
        }

        public void f(XmlPullParser xmlPullParser) {
        }

        public final int g(XmlPullParser xmlPullParser, String str, int i2) {
            String attributeValue = xmlPullParser.getAttributeValue(null, str);
            if (attributeValue == null) {
                return i2;
            }
            try {
                return Integer.parseInt(attributeValue);
            } catch (NumberFormatException e2) {
                throw new ParserException(e2);
            }
        }

        public final long h(XmlPullParser xmlPullParser, String str, long j2) {
            String attributeValue = xmlPullParser.getAttributeValue(null, str);
            if (attributeValue == null) {
                return j2;
            }
            try {
                return Long.parseLong(attributeValue);
            } catch (NumberFormatException e2) {
                throw new ParserException(e2);
            }
        }

        public final int i(XmlPullParser xmlPullParser, String str) {
            String attributeValue = xmlPullParser.getAttributeValue(null, str);
            if (attributeValue != null) {
                try {
                    return Integer.parseInt(attributeValue);
                } catch (NumberFormatException e2) {
                    throw new ParserException(e2);
                }
            } else {
                throw new MissingFieldException(str);
            }
        }

        public final String j(XmlPullParser xmlPullParser, String str) {
            String attributeValue = xmlPullParser.getAttributeValue(null, str);
            if (attributeValue != null) {
                return attributeValue;
            }
            throw new MissingFieldException(str);
        }

        public abstract void k(XmlPullParser xmlPullParser);

        public void l(XmlPullParser xmlPullParser) {
        }
    }

    public static class b extends a {

        /* renamed from: e  reason: collision with root package name */
        public boolean f630e;

        /* renamed from: f  reason: collision with root package name */
        public UUID f631f;

        /* renamed from: g  reason: collision with root package name */
        public byte[] f632g;

        public b(a aVar, String str) {
            super(aVar, str, "Protection");
        }

        @Override // com.google.android.exoplayer.smoothstreaming.SmoothStreamingManifestParser.a
        public Object b() {
            UUID uuid = this.f631f;
            byte[] bArr = this.f632g;
            int length = bArr.length + 32;
            ByteBuffer allocate = ByteBuffer.allocate(length);
            allocate.putInt(length);
            allocate.putInt(d.g.a.a.g0.p.a.T);
            allocate.putInt(0);
            allocate.putLong(uuid.getMostSignificantBits());
            allocate.putLong(uuid.getLeastSignificantBits());
            allocate.putInt(bArr.length);
            allocate.put(bArr);
            return new c.a(uuid, allocate.array());
        }

        @Override // com.google.android.exoplayer.smoothstreaming.SmoothStreamingManifestParser.a
        public boolean d(String str) {
            return "ProtectionHeader".equals(str);
        }

        @Override // com.google.android.exoplayer.smoothstreaming.SmoothStreamingManifestParser.a
        public void f(XmlPullParser xmlPullParser) {
            if ("ProtectionHeader".equals(xmlPullParser.getName())) {
                this.f630e = false;
            }
        }

        @Override // com.google.android.exoplayer.smoothstreaming.SmoothStreamingManifestParser.a
        public void k(XmlPullParser xmlPullParser) {
            if ("ProtectionHeader".equals(xmlPullParser.getName())) {
                this.f630e = true;
                String attributeValue = xmlPullParser.getAttributeValue(null, "SystemID");
                if (attributeValue.charAt(0) == '{' && attributeValue.charAt(attributeValue.length() - 1) == '}') {
                    attributeValue = attributeValue.substring(1, attributeValue.length() - 1);
                }
                this.f631f = UUID.fromString(attributeValue);
            }
        }

        @Override // com.google.android.exoplayer.smoothstreaming.SmoothStreamingManifestParser.a
        public void l(XmlPullParser xmlPullParser) {
            if (this.f630e) {
                this.f632g = Base64.decode(xmlPullParser.getText(), 0);
            }
        }
    }

    public static class c extends a {

        /* renamed from: e  reason: collision with root package name */
        public int f633e;

        /* renamed from: f  reason: collision with root package name */
        public int f634f;

        /* renamed from: g  reason: collision with root package name */
        public long f635g;

        /* renamed from: h  reason: collision with root package name */
        public long f636h;

        /* renamed from: i  reason: collision with root package name */
        public long f637i;

        /* renamed from: j  reason: collision with root package name */
        public int f638j = -1;
        public boolean k;
        public c.a l = null;
        public List<c.b> m = new LinkedList();

        public c(a aVar, String str) {
            super(null, str, "SmoothStreamingMedia");
        }

        @Override // com.google.android.exoplayer.smoothstreaming.SmoothStreamingManifestParser.a
        public void a(Object obj) {
            if (obj instanceof c.b) {
                this.m.add((c.b) obj);
            } else if (obj instanceof c.a) {
                g2.w(this.l == null);
                this.l = (c.a) obj;
            }
        }

        @Override // com.google.android.exoplayer.smoothstreaming.SmoothStreamingManifestParser.a
        public Object b() {
            c.b[] bVarArr = new c.b[this.m.size()];
            this.m.toArray(bVarArr);
            return new d.g.a.a.j0.c(this.f633e, this.f634f, this.f635g, this.f636h, this.f637i, this.f638j, this.k, this.l, bVarArr);
        }

        @Override // com.google.android.exoplayer.smoothstreaming.SmoothStreamingManifestParser.a
        public void k(XmlPullParser xmlPullParser) {
            this.f633e = i(xmlPullParser, "MajorVersion");
            this.f634f = i(xmlPullParser, "MinorVersion");
            this.f635g = h(xmlPullParser, "TimeScale", 10000000);
            String attributeValue = xmlPullParser.getAttributeValue(null, "Duration");
            if (attributeValue != null) {
                try {
                    this.f636h = Long.parseLong(attributeValue);
                    this.f637i = h(xmlPullParser, "DVRWindowLength", 0);
                    this.f638j = g(xmlPullParser, "LookaheadCount", -1);
                    boolean z = false;
                    String attributeValue2 = xmlPullParser.getAttributeValue(null, "IsLive");
                    if (attributeValue2 != null) {
                        z = Boolean.parseBoolean(attributeValue2);
                    }
                    this.k = z;
                    this.f629d.add(Pair.create("TimeScale", Long.valueOf(this.f635g)));
                } catch (NumberFormatException e2) {
                    throw new ParserException(e2);
                }
            } else {
                throw new MissingFieldException("Duration");
            }
        }
    }

    public static class d extends a {

        /* renamed from: e  reason: collision with root package name */
        public final String f639e;

        /* renamed from: f  reason: collision with root package name */
        public final List<c.C0042c> f640f = new LinkedList();

        /* renamed from: g  reason: collision with root package name */
        public int f641g;

        /* renamed from: h  reason: collision with root package name */
        public String f642h;

        /* renamed from: i  reason: collision with root package name */
        public long f643i;

        /* renamed from: j  reason: collision with root package name */
        public String f644j;
        public int k;
        public String l;
        public int m;
        public int n;
        public int o;
        public int p;
        public String q;
        public ArrayList<Long> r;
        public long s;

        public d(a aVar, String str) {
            super(aVar, str, "StreamIndex");
            this.f639e = str;
        }

        @Override // com.google.android.exoplayer.smoothstreaming.SmoothStreamingManifestParser.a
        public void a(Object obj) {
            if (obj instanceof c.C0042c) {
                this.f640f.add((c.C0042c) obj);
            }
        }

        @Override // com.google.android.exoplayer.smoothstreaming.SmoothStreamingManifestParser.a
        public Object b() {
            c.C0042c[] cVarArr = new c.C0042c[this.f640f.size()];
            this.f640f.toArray(cVarArr);
            return new c.b(this.f639e, this.l, this.f641g, this.f642h, this.f643i, this.f644j, this.k, this.m, this.n, this.o, this.p, this.q, cVarArr, this.r, this.s);
        }

        @Override // com.google.android.exoplayer.smoothstreaming.SmoothStreamingManifestParser.a
        public boolean d(String str) {
            return "c".equals(str);
        }

        @Override // com.google.android.exoplayer.smoothstreaming.SmoothStreamingManifestParser.a
        public void k(XmlPullParser xmlPullParser) {
            int i2 = 1;
            if ("c".equals(xmlPullParser.getName())) {
                int size = this.r.size();
                long h2 = h(xmlPullParser, "t", -1);
                if (h2 == -1) {
                    if (size == 0) {
                        h2 = 0;
                    } else if (this.s != -1) {
                        h2 = this.r.get(size - 1).longValue() + this.s;
                    } else {
                        throw new ParserException("Unable to infer start time");
                    }
                }
                this.r.add(Long.valueOf(h2));
                this.s = h(xmlPullParser, "d", -1);
                long h3 = h(xmlPullParser, "r", 1);
                if (h3 <= 1 || this.s != -1) {
                    while (true) {
                        long j2 = (long) i2;
                        if (j2 < h3) {
                            this.r.add(Long.valueOf((this.s * j2) + h2));
                            i2++;
                        } else {
                            return;
                        }
                    }
                } else {
                    throw new ParserException("Repeated chunk with unspecified duration");
                }
            } else {
                String attributeValue = xmlPullParser.getAttributeValue(null, "Type");
                if (attributeValue != null) {
                    if ("audio".equalsIgnoreCase(attributeValue)) {
                        i2 = 0;
                    } else if (!"video".equalsIgnoreCase(attributeValue)) {
                        if (NotificationCompat.MessagingStyle.Message.KEY_TEXT.equalsIgnoreCase(attributeValue)) {
                            i2 = 2;
                        } else {
                            throw new ParserException(d.b.a.a.a.h("Invalid key value[", attributeValue, "]"));
                        }
                    }
                    this.f641g = i2;
                    this.f629d.add(Pair.create("Type", Integer.valueOf(i2)));
                    if (this.f641g == 2) {
                        this.f642h = j(xmlPullParser, "Subtype");
                    } else {
                        this.f642h = xmlPullParser.getAttributeValue(null, "Subtype");
                    }
                    this.f644j = xmlPullParser.getAttributeValue(null, "Name");
                    this.k = g(xmlPullParser, "QualityLevels", -1);
                    this.l = j(xmlPullParser, "Url");
                    this.m = g(xmlPullParser, "MaxWidth", -1);
                    this.n = g(xmlPullParser, "MaxHeight", -1);
                    this.o = g(xmlPullParser, "DisplayWidth", -1);
                    this.p = g(xmlPullParser, "DisplayHeight", -1);
                    String attributeValue2 = xmlPullParser.getAttributeValue(null, "Language");
                    this.q = attributeValue2;
                    this.f629d.add(Pair.create("Language", attributeValue2));
                    long g2 = (long) g(xmlPullParser, "TimeScale", -1);
                    this.f643i = g2;
                    if (g2 == -1) {
                        this.f643i = ((Long) c("TimeScale")).longValue();
                    }
                    this.r = new ArrayList<>();
                    return;
                }
                throw new MissingFieldException("Type");
            }
        }
    }

    public static class e extends a {

        /* renamed from: e  reason: collision with root package name */
        public final List<byte[]> f645e = new LinkedList();

        /* renamed from: f  reason: collision with root package name */
        public int f646f;

        /* renamed from: g  reason: collision with root package name */
        public int f647g;

        /* renamed from: h  reason: collision with root package name */
        public String f648h;

        /* renamed from: i  reason: collision with root package name */
        public int f649i;

        /* renamed from: j  reason: collision with root package name */
        public int f650j;
        public int k;
        public int l;
        public String m;

        public e(a aVar, String str) {
            super(aVar, str, "QualityLevel");
        }

        public static String m(String str) {
            if (str.equalsIgnoreCase("H264") || str.equalsIgnoreCase("X264") || str.equalsIgnoreCase("AVC1") || str.equalsIgnoreCase("DAVC")) {
                return "video/avc";
            }
            if (str.equalsIgnoreCase("AAC") || str.equalsIgnoreCase("AACL") || str.equalsIgnoreCase("AACH") || str.equalsIgnoreCase("AACP")) {
                return "audio/mp4a-latm";
            }
            if (str.equalsIgnoreCase("TTML")) {
                return "application/ttml+xml";
            }
            if (str.equalsIgnoreCase("ac-3") || str.equalsIgnoreCase("dac3")) {
                return "audio/ac3";
            }
            if (str.equalsIgnoreCase("ec-3") || str.equalsIgnoreCase("dec3")) {
                return "audio/eac3";
            }
            if (str.equalsIgnoreCase("dtsc")) {
                return "audio/vnd.dts";
            }
            if (str.equalsIgnoreCase("dtsh") || str.equalsIgnoreCase("dtsl")) {
                return "audio/vnd.dts.hd";
            }
            if (str.equalsIgnoreCase("dtse")) {
                return "audio/vnd.dts.hd;profile=lbr";
            }
            if (str.equalsIgnoreCase("opus")) {
                return "audio/opus";
            }
            return null;
        }

        @Override // com.google.android.exoplayer.smoothstreaming.SmoothStreamingManifestParser.a
        public Object b() {
            byte[][] bArr;
            if (!this.f645e.isEmpty()) {
                bArr = new byte[this.f645e.size()][];
                this.f645e.toArray(bArr);
            } else {
                bArr = null;
            }
            return new c.C0042c(this.f646f, this.f647g, this.f648h, bArr, this.f649i, this.f650j, this.k, this.l, this.m);
        }

        @Override // com.google.android.exoplayer.smoothstreaming.SmoothStreamingManifestParser.a
        public void k(XmlPullParser xmlPullParser) {
            int intValue = ((Integer) c("Type")).intValue();
            this.f646f = g(xmlPullParser, "Index", -1);
            this.f647g = i(xmlPullParser, "Bitrate");
            this.m = (String) c("Language");
            byte[][] bArr = null;
            if (intValue == 1) {
                this.f650j = i(xmlPullParser, "MaxHeight");
                this.f649i = i(xmlPullParser, "MaxWidth");
                this.f648h = m(j(xmlPullParser, "FourCC"));
            } else {
                this.f650j = -1;
                this.f649i = -1;
                String attributeValue = xmlPullParser.getAttributeValue(null, "FourCC");
                this.f648h = attributeValue != null ? m(attributeValue) : intValue == 0 ? "audio/mp4a-latm" : null;
            }
            if (intValue == 0) {
                this.k = i(xmlPullParser, "SamplingRate");
                this.l = i(xmlPullParser, "Channels");
            } else {
                this.k = -1;
                this.l = -1;
            }
            String attributeValue2 = xmlPullParser.getAttributeValue(null, "CodecPrivateData");
            if (attributeValue2 != null && attributeValue2.length() > 0) {
                byte[] h2 = r.h(attributeValue2);
                if (d.g.a.a.m0.b.a(h2, 0)) {
                    ArrayList arrayList = new ArrayList();
                    int i2 = 0;
                    do {
                        arrayList.add(Integer.valueOf(i2));
                        byte[] bArr2 = d.g.a.a.m0.b.f3434a;
                        i2 += bArr2.length;
                        int length = h2.length - bArr2.length;
                        while (true) {
                            if (i2 > length) {
                                i2 = -1;
                                continue;
                                break;
                            } else if (d.g.a.a.m0.b.a(h2, i2)) {
                                continue;
                                break;
                            } else {
                                i2++;
                            }
                        }
                    } while (i2 != -1);
                    bArr = new byte[arrayList.size()][];
                    int i3 = 0;
                    while (i3 < arrayList.size()) {
                        int intValue2 = ((Integer) arrayList.get(i3)).intValue();
                        int intValue3 = (i3 < arrayList.size() + -1 ? ((Integer) arrayList.get(i3 + 1)).intValue() : h2.length) - intValue2;
                        byte[] bArr3 = new byte[intValue3];
                        System.arraycopy(h2, intValue2, bArr3, 0, intValue3);
                        bArr[i3] = bArr3;
                        i3++;
                    }
                }
                if (bArr == null) {
                    this.f645e.add(h2);
                    return;
                }
                for (byte[] bArr4 : bArr) {
                    this.f645e.add(bArr4);
                }
            }
        }
    }

    public SmoothStreamingManifestParser() {
        try {
            this.f625a = XmlPullParserFactory.newInstance();
        } catch (XmlPullParserException e2) {
            throw new RuntimeException("Couldn't create XmlPullParserFactory instance", e2);
        }
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    @Override // d.g.a.a.l0.o.a
    public d.g.a.a.j0.c a(String str, InputStream inputStream) {
        try {
            XmlPullParser newPullParser = this.f625a.newPullParser();
            newPullParser.setInput(inputStream, null);
            return (d.g.a.a.j0.c) new c(null, str).e(newPullParser);
        } catch (XmlPullParserException e2) {
            throw new ParserException(e2);
        }
    }
}
