package com.google.android.exoplayer.text;

import android.content.Context;
import android.graphics.Canvas;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import androidx.core.view.ViewCompat;
import d.g.a.a.k0.a;
import d.g.a.a.k0.b;
import d.g.a.a.k0.c;
import d.g.a.a.m0.r;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

public final class SubtitleLayout extends View {

    /* renamed from: d  reason: collision with root package name */
    public final List<c> f651d;

    /* renamed from: h  reason: collision with root package name */
    public List<b> f652h;

    /* renamed from: j  reason: collision with root package name */
    public int f653j;
    public float k;
    public boolean l;
    public a m;
    public float n;

    public SubtitleLayout(Context context) {
        this(context, null);
    }

    public void dispatchDraw(Canvas canvas) {
        float f2;
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        float f3;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        SubtitleLayout subtitleLayout = this;
        List<b> list = subtitleLayout.f652h;
        int size = list == null ? 0 : list.size();
        int top = getTop();
        int bottom = getBottom();
        int paddingLeft = getPaddingLeft() + getLeft();
        int paddingTop = getPaddingTop() + top;
        int paddingRight = getPaddingRight() + getRight();
        int paddingBottom = bottom - getPaddingBottom();
        if (paddingBottom > paddingTop && paddingRight > paddingLeft) {
            int i13 = subtitleLayout.f653j;
            if (i13 == 2) {
                f2 = subtitleLayout.k;
            } else {
                f2 = ((float) (i13 == 0 ? paddingBottom - paddingTop : bottom - top)) * subtitleLayout.k;
            }
            if (f2 > 0.0f) {
                int i14 = 0;
                while (i14 < size) {
                    c cVar = subtitleLayout.f651d.get(i14);
                    b bVar = subtitleLayout.f652h.get(i14);
                    boolean z = subtitleLayout.l;
                    a aVar = subtitleLayout.m;
                    float f4 = subtitleLayout.n;
                    Objects.requireNonNull(cVar);
                    CharSequence charSequence = bVar.f3246a;
                    if (!TextUtils.isEmpty(charSequence)) {
                        if (!z) {
                            charSequence = charSequence.toString();
                        }
                        CharSequence charSequence2 = cVar.f3263j;
                        if ((charSequence2 == charSequence || (charSequence2 != null && charSequence2.equals(charSequence))) && r.a(cVar.k, bVar.f3247b) && cVar.l == bVar.f3248c && cVar.m == bVar.f3249d && r.a(Integer.valueOf(cVar.n), Integer.valueOf(bVar.f3250e)) && cVar.o == bVar.f3251f && r.a(Integer.valueOf(cVar.p), Integer.valueOf(bVar.f3252g)) && cVar.q == bVar.f3253h && cVar.r == z) {
                            int i15 = cVar.s;
                            Objects.requireNonNull(aVar);
                            if (i15 == -1 && cVar.t == -16777216 && cVar.u == -1 && r.a(cVar.f3261h.getTypeface(), null) && cVar.v == f2 && cVar.w == f4 && cVar.x == paddingLeft && cVar.y == paddingTop && cVar.z == paddingRight && cVar.A == paddingBottom) {
                                cVar.a(canvas);
                            }
                        }
                        cVar.f3263j = charSequence;
                        cVar.k = bVar.f3247b;
                        cVar.l = bVar.f3248c;
                        cVar.m = bVar.f3249d;
                        cVar.n = bVar.f3250e;
                        cVar.o = bVar.f3251f;
                        cVar.p = bVar.f3252g;
                        cVar.q = bVar.f3253h;
                        cVar.r = z;
                        Objects.requireNonNull(aVar);
                        cVar.s = -1;
                        cVar.t = ViewCompat.MEASURED_STATE_MASK;
                        cVar.u = -1;
                        cVar.f3261h.setTypeface(null);
                        cVar.v = f2;
                        cVar.w = f4;
                        cVar.x = paddingLeft;
                        cVar.y = paddingTop;
                        cVar.z = paddingRight;
                        cVar.A = paddingBottom;
                        int i16 = paddingRight - paddingLeft;
                        int i17 = paddingBottom - paddingTop;
                        cVar.f3261h.setTextSize(f2);
                        int i18 = (int) ((0.125f * f2) + 0.5f);
                        int i19 = i18 * 2;
                        int i20 = i16 - i19;
                        i7 = size;
                        float f5 = cVar.q;
                        if (f5 != Float.MIN_VALUE) {
                            i20 = (int) (((float) i20) * f5);
                        }
                        if (i20 <= 0) {
                            Log.w("CuePainter", "Skipped drawing subtitle cue (insufficient space)");
                            f3 = f2;
                            i6 = paddingTop;
                            i5 = paddingLeft;
                            i4 = paddingBottom;
                            i3 = paddingRight;
                            i2 = i14;
                            i14 = i2 + 1;
                            size = i7;
                            f2 = f3;
                            paddingTop = i6;
                            paddingLeft = i5;
                            paddingBottom = i4;
                            paddingRight = i3;
                            subtitleLayout = this;
                        } else {
                            Layout.Alignment alignment = cVar.k;
                            if (alignment == null) {
                                alignment = Layout.Alignment.ALIGN_CENTER;
                            }
                            f3 = f2;
                            i6 = paddingTop;
                            i5 = paddingLeft;
                            i4 = paddingBottom;
                            StaticLayout staticLayout = new StaticLayout(charSequence, cVar.f3261h, i20, alignment, cVar.f3259f, cVar.f3260g, true);
                            cVar.B = staticLayout;
                            int height = staticLayout.getHeight();
                            int lineCount = cVar.B.getLineCount();
                            int i21 = 0;
                            int i22 = 0;
                            while (i21 < lineCount) {
                                i22 = Math.max((int) Math.ceil((double) cVar.B.getLineWidth(i21)), i22);
                                i21++;
                                lineCount = lineCount;
                                paddingRight = paddingRight;
                                i14 = i14;
                            }
                            i3 = paddingRight;
                            i2 = i14;
                            if (cVar.q == Float.MIN_VALUE || i22 >= i20) {
                                i20 = i22;
                            }
                            int i23 = i20 + i19;
                            float f6 = cVar.o;
                            if (f6 != Float.MIN_VALUE) {
                                int round = Math.round(((float) i16) * f6);
                                int i24 = cVar.x;
                                int i25 = round + i24;
                                int i26 = cVar.p;
                                if (i26 == 2) {
                                    i25 -= i23;
                                } else if (i26 == 1) {
                                    i25 = ((i25 * 2) - i23) / 2;
                                }
                                i9 = Math.max(i25, i24);
                                i8 = Math.min(i23 + i9, cVar.z);
                            } else {
                                i9 = (i16 - i23) / 2;
                                i8 = i9 + i23;
                            }
                            float f7 = cVar.l;
                            if (f7 != Float.MIN_VALUE) {
                                if (cVar.m == 0) {
                                    i12 = Math.round(((float) i17) * f7);
                                    i11 = cVar.y;
                                } else {
                                    int lineBottom = cVar.B.getLineBottom(0) - cVar.B.getLineTop(0);
                                    float f8 = cVar.l;
                                    if (f8 >= 0.0f) {
                                        i12 = Math.round(f8 * ((float) lineBottom));
                                        i11 = cVar.y;
                                    } else {
                                        i12 = Math.round(f8 * ((float) lineBottom));
                                        i11 = cVar.A;
                                    }
                                }
                                i10 = i12 + i11;
                                int i27 = cVar.n;
                                if (i27 == 2) {
                                    i10 -= height;
                                } else if (i27 == 1) {
                                    i10 = ((i10 * 2) - height) / 2;
                                }
                                int i28 = i10 + height;
                                int i29 = cVar.A;
                                if (i28 > i29) {
                                    i10 = i29 - height;
                                } else {
                                    int i30 = cVar.y;
                                    if (i10 < i30) {
                                        i10 = i30;
                                    }
                                }
                            } else {
                                i10 = (cVar.A - height) - ((int) (((float) i17) * f4));
                            }
                            cVar.B = new StaticLayout(charSequence, cVar.f3261h, i8 - i9, alignment, cVar.f3259f, cVar.f3260g, true);
                            cVar.C = i9;
                            cVar.D = i10;
                            cVar.E = i18;
                            cVar.a(canvas);
                            i14 = i2 + 1;
                            size = i7;
                            f2 = f3;
                            paddingTop = i6;
                            paddingLeft = i5;
                            paddingBottom = i4;
                            paddingRight = i3;
                            subtitleLayout = this;
                        }
                    }
                    i7 = size;
                    f3 = f2;
                    i6 = paddingTop;
                    i5 = paddingLeft;
                    i4 = paddingBottom;
                    i3 = paddingRight;
                    i2 = i14;
                    i14 = i2 + 1;
                    size = i7;
                    f2 = f3;
                    paddingTop = i6;
                    paddingLeft = i5;
                    paddingBottom = i4;
                    paddingRight = i3;
                    subtitleLayout = this;
                }
            }
        }
    }

    public void setApplyEmbeddedStyles(boolean z) {
        if (this.l != z) {
            this.l = z;
            invalidate();
        }
    }

    public void setBottomPaddingFraction(float f2) {
        if (this.n != f2) {
            this.n = f2;
            invalidate();
        }
    }

    public void setCues(List<b> list) {
        int i2;
        if (this.f652h != list) {
            this.f652h = list;
            if (list == null) {
                i2 = 0;
            } else {
                i2 = list.size();
            }
            while (this.f651d.size() < i2) {
                this.f651d.add(new c(getContext()));
            }
            invalidate();
        }
    }

    public void setFractionalTextSize(float f2) {
        if (this.f653j != 0 || this.k != f2) {
            this.f653j = 0;
            this.k = f2;
            invalidate();
        }
    }

    public void setStyle(a aVar) {
        if (this.m != aVar) {
            this.m = aVar;
            invalidate();
        }
    }

    public SubtitleLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f651d = new ArrayList();
        this.f653j = 0;
        this.k = 0.0533f;
        this.l = true;
        this.m = a.f3245a;
        this.n = 0.08f;
    }
}
