package com.google.android.exoplayer.upstream;

import android.content.Context;
import android.content.res.AssetManager;
import d.g.a.a.l0.f;
import d.g.a.a.l0.i;
import d.g.a.a.l0.m;
import d.g.a.a.l0.n;
import java.io.EOFException;
import java.io.IOException;
import java.io.InputStream;

public final class AssetDataSource implements n {

    /* renamed from: a  reason: collision with root package name */
    public final AssetManager f654a;

    /* renamed from: b  reason: collision with root package name */
    public final m f655b;

    /* renamed from: c  reason: collision with root package name */
    public String f656c;

    /* renamed from: d  reason: collision with root package name */
    public InputStream f657d;

    /* renamed from: e  reason: collision with root package name */
    public long f658e;

    /* renamed from: f  reason: collision with root package name */
    public boolean f659f;

    public static final class AssetDataSourceException extends IOException {
        public AssetDataSourceException(IOException iOException) {
            super(iOException);
        }
    }

    public AssetDataSource(Context context, m mVar) {
        this.f654a = context.getAssets();
        this.f655b = mVar;
    }

    @Override // d.g.a.a.l0.n
    public String a() {
        return this.f656c;
    }

    @Override // d.g.a.a.l0.d
    public long b(f fVar) {
        try {
            this.f656c = fVar.f3384a.toString();
            String path = fVar.f3384a.getPath();
            if (path.startsWith("/android_asset/")) {
                path = path.substring(15);
            } else if (path.startsWith("/")) {
                path = path.substring(1);
            }
            this.f656c = fVar.f3384a.toString();
            InputStream open = this.f654a.open(path, 1);
            this.f657d = open;
            if (open.skip(fVar.f3387d) >= fVar.f3387d) {
                long j2 = fVar.f3388e;
                if (j2 != -1) {
                    this.f658e = j2;
                } else {
                    long available = (long) this.f657d.available();
                    this.f658e = available;
                    if (available == 2147483647L) {
                        this.f658e = -1;
                    }
                }
                this.f659f = true;
                m mVar = this.f655b;
                if (mVar != null) {
                    ((i) mVar).c();
                }
                return this.f658e;
            }
            throw new EOFException();
        } catch (IOException e2) {
            throw new AssetDataSourceException(e2);
        }
    }

    @Override // d.g.a.a.l0.d
    public void close() {
        this.f656c = null;
        InputStream inputStream = this.f657d;
        if (inputStream != null) {
            try {
                inputStream.close();
                this.f657d = null;
                if (this.f659f) {
                    this.f659f = false;
                    m mVar = this.f655b;
                    if (mVar != null) {
                        ((i) mVar).b();
                    }
                }
            } catch (IOException e2) {
                throw new AssetDataSourceException(e2);
            } catch (Throwable th) {
                this.f657d = null;
                if (this.f659f) {
                    this.f659f = false;
                    m mVar2 = this.f655b;
                    if (mVar2 != null) {
                        ((i) mVar2).b();
                    }
                }
                throw th;
            }
        }
    }

    @Override // d.g.a.a.l0.d
    public int read(byte[] bArr, int i2, int i3) {
        long j2 = this.f658e;
        if (j2 == 0) {
            return -1;
        }
        if (j2 != -1) {
            try {
                i3 = (int) Math.min(j2, (long) i3);
            } catch (IOException e2) {
                throw new AssetDataSourceException(e2);
            }
        }
        int read = this.f657d.read(bArr, i2, i3);
        if (read > 0) {
            long j3 = this.f658e;
            if (j3 != -1) {
                this.f658e = j3 - ((long) read);
            }
            m mVar = this.f655b;
            if (mVar != null) {
                ((i) mVar).a(read);
            }
        }
        return read;
    }
}
