package com.google.android.exoplayer.upstream;

import android.content.ContentResolver;
import android.content.Context;
import android.content.res.AssetFileDescriptor;
import d.g.a.a.l0.f;
import d.g.a.a.l0.i;
import d.g.a.a.l0.m;
import d.g.a.a.l0.n;
import java.io.EOFException;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;

public final class ContentDataSource implements n {

    /* renamed from: a  reason: collision with root package name */
    public final ContentResolver f660a;

    /* renamed from: b  reason: collision with root package name */
    public final m f661b;

    /* renamed from: c  reason: collision with root package name */
    public AssetFileDescriptor f662c;

    /* renamed from: d  reason: collision with root package name */
    public InputStream f663d;

    /* renamed from: e  reason: collision with root package name */
    public String f664e;

    /* renamed from: f  reason: collision with root package name */
    public long f665f;

    /* renamed from: g  reason: collision with root package name */
    public boolean f666g;

    public static class ContentDataSourceException extends IOException {
        public ContentDataSourceException(IOException iOException) {
            super(iOException);
        }
    }

    public ContentDataSource(Context context, m mVar) {
        this.f660a = context.getContentResolver();
        this.f661b = mVar;
    }

    @Override // d.g.a.a.l0.n
    public String a() {
        return this.f664e;
    }

    @Override // d.g.a.a.l0.d
    public long b(f fVar) {
        try {
            this.f664e = fVar.f3384a.toString();
            this.f662c = this.f660a.openAssetFileDescriptor(fVar.f3384a, "r");
            FileInputStream fileInputStream = new FileInputStream(this.f662c.getFileDescriptor());
            this.f663d = fileInputStream;
            if (fileInputStream.skip(fVar.f3387d) >= fVar.f3387d) {
                long j2 = fVar.f3388e;
                if (j2 != -1) {
                    this.f665f = j2;
                } else {
                    long available = (long) this.f663d.available();
                    this.f665f = available;
                    if (available == 0) {
                        this.f665f = -1;
                    }
                }
                this.f666g = true;
                m mVar = this.f661b;
                if (mVar != null) {
                    ((i) mVar).c();
                }
                return this.f665f;
            }
            throw new EOFException();
        } catch (IOException e2) {
            throw new ContentDataSourceException(e2);
        }
    }

    @Override // d.g.a.a.l0.d
    public void close() {
        this.f664e = null;
        try {
            InputStream inputStream = this.f663d;
            if (inputStream != null) {
                inputStream.close();
            }
            this.f663d = null;
            try {
                AssetFileDescriptor assetFileDescriptor = this.f662c;
                if (assetFileDescriptor != null) {
                    assetFileDescriptor.close();
                }
                this.f662c = null;
                if (this.f666g) {
                    this.f666g = false;
                    m mVar = this.f661b;
                    if (mVar != null) {
                        ((i) mVar).b();
                    }
                }
            } catch (IOException e2) {
                throw new ContentDataSourceException(e2);
            } catch (Throwable th) {
                this.f662c = null;
                if (this.f666g) {
                    this.f666g = false;
                    m mVar2 = this.f661b;
                    if (mVar2 != null) {
                        ((i) mVar2).b();
                    }
                }
                throw th;
            }
        } catch (IOException e3) {
            throw new ContentDataSourceException(e3);
        } catch (Throwable th2) {
            this.f663d = null;
            try {
                AssetFileDescriptor assetFileDescriptor2 = this.f662c;
                if (assetFileDescriptor2 != null) {
                    assetFileDescriptor2.close();
                }
                this.f662c = null;
                if (this.f666g) {
                    this.f666g = false;
                    m mVar3 = this.f661b;
                    if (mVar3 != null) {
                        ((i) mVar3).b();
                    }
                }
                throw th2;
            } catch (IOException e4) {
                throw new ContentDataSourceException(e4);
            } catch (Throwable th3) {
                this.f662c = null;
                if (this.f666g) {
                    this.f666g = false;
                    m mVar4 = this.f661b;
                    if (mVar4 != null) {
                        ((i) mVar4).b();
                    }
                }
                throw th3;
            }
        }
    }

    @Override // d.g.a.a.l0.d
    public int read(byte[] bArr, int i2, int i3) {
        long j2 = this.f665f;
        if (j2 == 0) {
            return -1;
        }
        if (j2 != -1) {
            try {
                i3 = (int) Math.min(j2, (long) i3);
            } catch (IOException e2) {
                throw new ContentDataSourceException(e2);
            }
        }
        int read = this.f663d.read(bArr, i2, i3);
        if (read > 0) {
            long j3 = this.f665f;
            if (j3 != -1) {
                this.f665f = j3 - ((long) read);
            }
            m mVar = this.f661b;
            if (mVar != null) {
                ((i) mVar).a(read);
            }
        }
        return read;
    }
}
