package com.google.android.exoplayer.upstream;

import android.annotation.SuppressLint;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.Log;
import d.f.b.g2;
import d.g.a.a.m0.q;
import d.g.a.a.m0.r;
import java.io.IOException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public final class Loader {

    /* renamed from: a  reason: collision with root package name */
    public final ExecutorService f672a;

    /* renamed from: b  reason: collision with root package name */
    public b f673b;

    /* renamed from: c  reason: collision with root package name */
    public boolean f674c;

    public static final class UnexpectedLoaderException extends IOException {
        /* JADX WARNING: Illegal instructions before constructor call */
        public UnexpectedLoaderException(Exception exc) {
            super(r0.toString(), exc);
            StringBuilder n = d.b.a.a.a.n("Unexpected ");
            n.append(exc.getClass().getSimpleName());
            n.append(": ");
            n.append(exc.getMessage());
        }
    }

    public interface a {
        void i(c cVar);

        void k(c cVar, IOException iOException);

        void n(c cVar);
    }

    @SuppressLint({"HandlerLeak"})
    public final class b extends Handler implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public final c f675d;

        /* renamed from: h  reason: collision with root package name */
        public final a f676h;

        /* renamed from: j  reason: collision with root package name */
        public volatile Thread f677j;

        public b(Looper looper, c cVar, a aVar) {
            super(looper);
            this.f675d = cVar;
            this.f676h = aVar;
        }

        public void handleMessage(Message message) {
            if (message.what != 2) {
                Loader loader = Loader.this;
                loader.f674c = false;
                loader.f673b = null;
                if (this.f675d.f()) {
                    this.f676h.i(this.f675d);
                    return;
                }
                int i2 = message.what;
                if (i2 == 0) {
                    this.f676h.n(this.f675d);
                } else if (i2 == 1) {
                    this.f676h.k(this.f675d, (IOException) message.obj);
                }
            } else {
                throw ((Error) message.obj);
            }
        }

        public void run() {
            try {
                this.f677j = Thread.currentThread();
                if (!this.f675d.f()) {
                    g2.p(this.f675d.getClass().getSimpleName() + ".load()");
                    this.f675d.a();
                    g2.S();
                }
                sendEmptyMessage(0);
            } catch (IOException e2) {
                obtainMessage(1, e2).sendToTarget();
            } catch (InterruptedException unused) {
                g2.w(this.f675d.f());
                sendEmptyMessage(0);
            } catch (Exception e3) {
                Log.e("LoadTask", "Unexpected exception loading stream", e3);
                obtainMessage(1, new UnexpectedLoaderException(e3)).sendToTarget();
            } catch (Error e4) {
                Log.e("LoadTask", "Unexpected error loading stream", e4);
                obtainMessage(2, e4).sendToTarget();
                throw e4;
            }
        }
    }

    public interface c {
        void a();

        boolean f();

        void h();
    }

    public Loader(String str) {
        int i2 = r.f3503a;
        this.f672a = Executors.newSingleThreadExecutor(new q(str));
    }

    public void a() {
        g2.w(this.f674c);
        b bVar = this.f673b;
        bVar.f675d.h();
        if (bVar.f677j != null) {
            bVar.f677j.interrupt();
        }
    }

    public void b() {
        if (this.f674c) {
            a();
        }
        this.f672a.shutdown();
    }

    public void c(Looper looper, c cVar, a aVar) {
        g2.w(!this.f674c);
        this.f674c = true;
        b bVar = new b(looper, cVar, aVar);
        this.f673b = bVar;
        this.f672a.submit(bVar);
    }

    public void d(c cVar, a aVar) {
        Looper myLooper = Looper.myLooper();
        g2.w(myLooper != null);
        c(myLooper, cVar, aVar);
    }
}
