package com.google.android.exoplayer.util;

import android.os.Looper;
import android.os.SystemClock;
import android.text.TextUtils;
import androidx.camera.core.FocusMeteringAction;
import com.google.android.exoplayer.upstream.Loader;
import d.g.a.a.l0.n;
import d.g.a.a.l0.o;
import java.io.IOException;
import java.util.concurrent.CancellationException;

public class ManifestFetcher<T> implements Loader.a {

    /* renamed from: a  reason: collision with root package name */
    public final o.a<T> f682a;

    /* renamed from: b  reason: collision with root package name */
    public final n f683b;

    /* renamed from: c  reason: collision with root package name */
    public volatile String f684c;

    /* renamed from: d  reason: collision with root package name */
    public int f685d;

    /* renamed from: e  reason: collision with root package name */
    public Loader f686e;

    /* renamed from: f  reason: collision with root package name */
    public o<T> f687f;

    /* renamed from: g  reason: collision with root package name */
    public long f688g;

    /* renamed from: h  reason: collision with root package name */
    public int f689h;

    /* renamed from: i  reason: collision with root package name */
    public long f690i;

    /* renamed from: j  reason: collision with root package name */
    public ManifestIOException f691j;
    public volatile T k;
    public volatile long l;
    public volatile long m;

    public static final class ManifestIOException extends IOException {
        public ManifestIOException(Throwable th) {
            super(th);
        }
    }

    public interface a<T> {
        void onSingleManifest(T t);

        void onSingleManifestError(IOException iOException);
    }

    public interface b {
        String a();
    }

    public class c implements Loader.a {

        /* renamed from: a  reason: collision with root package name */
        public final o<T> f692a;

        /* renamed from: b  reason: collision with root package name */
        public final Looper f693b;

        /* renamed from: c  reason: collision with root package name */
        public final a<T> f694c;

        /* renamed from: d  reason: collision with root package name */
        public final Loader f695d = new Loader("manifestLoader:single");

        /* renamed from: e  reason: collision with root package name */
        public long f696e;

        public c(o<T> oVar, Looper looper, a<T> aVar) {
            this.f692a = oVar;
            this.f693b = looper;
            this.f694c = aVar;
        }

        @Override // com.google.android.exoplayer.upstream.Loader.a
        public void i(Loader.c cVar) {
            try {
                this.f694c.onSingleManifestError(new ManifestIOException(new CancellationException()));
            } finally {
                this.f695d.b();
            }
        }

        @Override // com.google.android.exoplayer.upstream.Loader.a
        public void k(Loader.c cVar, IOException iOException) {
            try {
                this.f694c.onSingleManifestError(iOException);
            } finally {
                this.f695d.b();
            }
        }

        @Override // com.google.android.exoplayer.upstream.Loader.a
        public void n(Loader.c cVar) {
            try {
                T t = this.f692a.f3424d;
                ManifestFetcher manifestFetcher = ManifestFetcher.this;
                long j2 = this.f696e;
                manifestFetcher.k = t;
                manifestFetcher.l = j2;
                manifestFetcher.m = SystemClock.elapsedRealtime();
                this.f694c.onSingleManifest(t);
            } finally {
                this.f695d.b();
            }
        }
    }

    public ManifestFetcher(String str, n nVar, o.a<T> aVar) {
        this.f682a = aVar;
        this.f684c = str;
        this.f683b = nVar;
    }

    public void a() {
        if (this.f691j == null || SystemClock.elapsedRealtime() >= this.f690i + Math.min((((long) this.f689h) - 1) * 1000, (long) FocusMeteringAction.DEFAULT_AUTOCANCEL_DURATION)) {
            if (this.f686e == null) {
                this.f686e = new Loader("manifestLoader");
            }
            if (!this.f686e.f674c) {
                this.f687f = new o<>(this.f684c, this.f683b, this.f682a);
                this.f688g = SystemClock.elapsedRealtime();
                this.f686e.d(this.f687f, this);
            }
        }
    }

    public void b(Looper looper, a<T> aVar) {
        o oVar = new o(this.f684c, this.f683b, this.f682a);
        c cVar = new c(oVar, looper, aVar);
        cVar.f696e = SystemClock.elapsedRealtime();
        cVar.f695d.c(looper, oVar, cVar);
    }

    @Override // com.google.android.exoplayer.upstream.Loader.a
    public void i(Loader.c cVar) {
    }

    @Override // com.google.android.exoplayer.upstream.Loader.a
    public void k(Loader.c cVar, IOException iOException) {
        if (this.f687f == cVar) {
            this.f689h++;
            this.f690i = SystemClock.elapsedRealtime();
            this.f691j = new ManifestIOException(iOException);
        }
    }

    @Override // com.google.android.exoplayer.upstream.Loader.a
    public void n(Loader.c cVar) {
        o<T> oVar = this.f687f;
        if (oVar == cVar) {
            this.k = oVar.f3424d;
            this.l = this.f688g;
            this.m = SystemClock.elapsedRealtime();
            this.f689h = 0;
            this.f691j = null;
            if (this.k instanceof b) {
                String a2 = this.k.a();
                if (!TextUtils.isEmpty(a2)) {
                    this.f684c = a2;
                }
            }
        }
    }
}
