package com.grass.cstore.player;

import android.content.Context;
import android.content.Intent;
import android.net.TrafficStats;
import android.net.Uri;
import android.os.CountDownTimer;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.SeekBar;
import android.widget.TextView;
import com.android.tiktok.d1681786505291105505.R;
import com.androidx.lv.base.BaseApp;
import com.androidx.lv.base.bean.AdInfoBean;
import com.androidx.lv.base.service.AdClickService;
import com.grass.cstore.bean.VideoBean;
import com.lzy.okgo.cookie.SerializableCookie;
import com.shuyu.gsyvideoplayer.video.StandardGSYVideoPlayer;
import com.shuyu.gsyvideoplayer.video.base.GSYBaseVideoPlayer;
import d.c.a.a.i.i;
import f.a.a0.g;
import f.a.a0.h;
import f.a.o;
import io.reactivex.internal.functions.Functions;
import io.reactivex.internal.operators.completable.CompletableCreate;
import java.io.IOException;
import java.net.HttpURLConnection;
import java.net.URL;
import java.text.DecimalFormat;
import java.util.Objects;
import java.util.concurrent.TimeUnit;

public class VideoPlayerDialog extends StandardGSYVideoPlayer {

    /* renamed from: d  reason: collision with root package name */
    public TextView f836d;

    /* renamed from: h  reason: collision with root package name */
    public TextView f837h;

    /* renamed from: j  reason: collision with root package name */
    public f.a.y.b f838j;
    public VideoBean k;
    public boolean l = true;
    public long m = 0;
    public long n = 0;
    public RelativeLayout o;
    public ImageView p;
    public TextView q;
    public d.c.a.a.b r;
    public AdInfoBean s;
    public int t;
    public CountDownTimer u;
    public int v;

    public class a implements g<String> {
        public a() {
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // f.a.a0.g
        public void accept(String str) {
            TextView textView = VideoPlayerDialog.this.f836d;
            textView.setText("缓冲中 " + str);
        }
    }

    public class b implements h<Long, String> {
        public b() {
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // f.a.a0.h
        public String apply(Long l) {
            long totalRxBytes = VideoPlayerDialog.this.getTotalRxBytes();
            if (0 == totalRxBytes) {
                return "";
            }
            long currentTimeMillis = System.currentTimeMillis();
            VideoPlayerDialog videoPlayerDialog = VideoPlayerDialog.this;
            long j2 = currentTimeMillis - videoPlayerDialog.n;
            if (0 == j2) {
                return "";
            }
            long j3 = ((totalRxBytes - videoPlayerDialog.m) * 1000) / j2;
            videoPlayerDialog.n = currentTimeMillis;
            videoPlayerDialog.m = totalRxBytes;
            if (j3 > 1024) {
                return d.b.a.a.a.g(new DecimalFormat("0.0").format((double) (((float) j3) / 1024.0f)), " mb/s");
            }
            return String.valueOf(j3) + " kb/s";
        }
    }

    public class c implements View.OnClickListener {
        public c() {
        }

        public void onClick(View view) {
            if (VideoPlayerDialog.this.s.getJumpType() == 2) {
                try {
                    Intent intent = new Intent();
                    intent.setAction("android.intent.action.VIEW");
                    intent.setData(Uri.parse(VideoPlayerDialog.this.s.getAdJump()));
                    view.getContext().startActivity(intent);
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
            } else {
                VideoPlayerDialog videoPlayerDialog = VideoPlayerDialog.this;
                if (videoPlayerDialog.r == null) {
                    videoPlayerDialog.r = new d.c.a.a.b(view.getContext());
                }
                VideoPlayerDialog videoPlayerDialog2 = VideoPlayerDialog.this;
                videoPlayerDialog2.r.a(videoPlayerDialog2.s.getAdJump());
            }
            Intent intent2 = new Intent(view.getContext(), AdClickService.class);
            intent2.putExtra("adId", VideoPlayerDialog.this.s.getAdId());
            view.getContext().startService(intent2);
        }
    }

    public class d extends CountDownTimer {
        public d(long j2, long j3) {
            super(j2, j3);
        }

        public void onFinish() {
            TextView textView = VideoPlayerDialog.this.q;
            if (textView != null) {
                textView.setText("关闭");
            }
            BaseApp.k = true;
            CountDownTimer countDownTimer = VideoPlayerDialog.this.u;
            if (countDownTimer != null) {
                countDownTimer.cancel();
                VideoPlayerDialog.this.u = null;
            }
            VideoPlayerDialog.this.o.setVisibility(8);
        }

        public void onTick(long j2) {
            if (VideoPlayerDialog.this.q != null) {
                if (-1 == i.a().b().getFreeWatches()) {
                    VideoPlayerDialog.this.q.setText("X");
                } else {
                    TextView textView = VideoPlayerDialog.this.q;
                    textView.setText((j2 / 1000) + "s");
                }
                VideoPlayerDialog.this.q.setVisibility(0);
            }
        }
    }

    public class e implements View.OnClickListener {
        public e() {
        }

        public void onClick(View view) {
            if (-1 == i.a().b().getFreeWatches()) {
                VideoPlayerDialog.this.o.setVisibility(8);
            }
        }
    }

    public class f implements f.a.a0.a {
        public f() {
        }

        @Override // f.a.a0.a
        public void run() {
            VideoPlayerDialog.this.setUp(c.a.a.a.D(), false, "");
            VideoPlayerDialog.this.startPlayLogic();
        }
    }

    public VideoPlayerDialog(Context context, Boolean bool) {
        super(context, bool);
    }

    public void b(String str, String str2, f.a.b bVar) {
        HttpURLConnection httpURLConnection = (HttpURLConnection) new URL(str).openConnection();
        httpURLConnection.setConnectTimeout(5000);
        httpURLConnection.setReadTimeout(5000);
        try {
            if (httpURLConnection.getResponseCode() == 200) {
                d.c.a.a.i.g.a("写文件===VideoPlayerDialog", str2 + "===" + c.a.a.a.D());
                c.a.a.a.m0(httpURLConnection.getInputStream(), str2, c.a.a.a.D());
                bVar.onComplete();
                return;
            }
            int i2 = this.v;
            if (i2 != 0) {
                this.v = i2 - 1;
                b(str, str2, bVar);
            }
        } catch (IOException e2) {
            e2.printStackTrace();
        }
    }

    public void c() {
        String playPath = this.k.getPlayPath();
        if (!TextUtils.isEmpty(playPath)) {
            f.a.y.b c2 = new CompletableCreate(new d.h.a.f.a(this, playPath)).e(f.a.e0.a.f5060b).b(f.a.x.a.a.a()).c(new f());
            Objects.requireNonNull(c2, "d is null");
            new f.a.b0.i.b().a(c2);
        }
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoControlView, com.shuyu.gsyvideoplayer.video.StandardGSYVideoPlayer
    public void changeUiToNormal() {
        super.changeUiToNormal();
    }

    @Override // com.shuyu.gsyvideoplayer.video.StandardGSYVideoPlayer
    public void changeUiToPauseClear() {
        super.changeUiToPauseClear();
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoControlView, com.shuyu.gsyvideoplayer.video.StandardGSYVideoPlayer
    public void changeUiToPauseShow() {
        super.changeUiToPauseShow();
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoControlView, com.shuyu.gsyvideoplayer.video.StandardGSYVideoPlayer
    public void changeUiToPlayingBufferingShow() {
        super.changeUiToPlayingBufferingShow();
    }

    @Override // com.shuyu.gsyvideoplayer.video.StandardGSYVideoPlayer
    public void changeUiToPlayingClear() {
        super.changeUiToPlayingClear();
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoControlView, com.shuyu.gsyvideoplayer.video.StandardGSYVideoPlayer
    public void changeUiToPlayingShow() {
        super.changeUiToPlayingShow();
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoControlView, com.shuyu.gsyvideoplayer.video.StandardGSYVideoPlayer
    public void changeUiToPreparingShow() {
        super.changeUiToPreparingShow();
    }

    @Override // com.shuyu.gsyvideoplayer.video.StandardGSYVideoPlayer, com.shuyu.gsyvideoplayer.video.base.GSYBaseVideoPlayer
    public void cloneParams(GSYBaseVideoPlayer gSYBaseVideoPlayer, GSYBaseVideoPlayer gSYBaseVideoPlayer2) {
        ((VideoPlayerDialog) gSYBaseVideoPlayer2).l = ((VideoPlayerDialog) gSYBaseVideoPlayer).l;
        super.cloneParams(gSYBaseVideoPlayer, gSYBaseVideoPlayer2);
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoControlView
    public int getEnlargeImageRes() {
        return R.drawable.player_btn_amplification;
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoView, com.shuyu.gsyvideoplayer.video.StandardGSYVideoPlayer
    public int getLayoutId() {
        return R.layout.video_player_dialog_layout;
    }

    public int getProgress() {
        return this.mProgressBar.getProgress();
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoControlView
    public int getShrinkImageRes() {
        return R.drawable.player_btn_zoom_out;
    }

    public long getTotalRxBytes() {
        if (TrafficStats.getTotalRxBytes() == -1) {
            return 0;
        }
        return TrafficStats.getTotalRxBytes() / 1024;
    }

    public VideoBean getVideoBean() {
        return this.k;
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoControlView, com.shuyu.gsyvideoplayer.video.StandardGSYVideoPlayer
    public void hideAllWidget() {
        super.hideAllWidget();
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoView, com.shuyu.gsyvideoplayer.video.base.GSYVideoControlView, com.shuyu.gsyvideoplayer.video.StandardGSYVideoPlayer, com.shuyu.gsyvideoplayer.video.base.GSYBaseVideoPlayer
    public void init(Context context) {
        int i2;
        super.init(context);
        ImageView imageView = (ImageView) findViewById(R.id.thumbImage);
        RelativeLayout relativeLayout = this.mThumbImageViewLayout;
        if (relativeLayout != null && ((i2 = this.mCurrentState) == -1 || i2 == 0 || i2 == 7)) {
            relativeLayout.setVisibility(0);
        }
        this.f836d = (TextView) findViewById(R.id.tv_netspeed);
        this.f837h = (TextView) findViewById(R.id.tv_title);
        ImageView imageView2 = (ImageView) findViewById(R.id.iv_collect);
        LinearLayout linearLayout = (LinearLayout) findViewById(R.id.loading);
        ImageView imageView3 = (ImageView) findViewById(R.id.start);
        this.f838j = o.e(0, 1000, TimeUnit.MILLISECONDS).g(new b()).h(f.a.x.a.a.a()).i(new a(), Functions.f5374e, Functions.f5372c, Functions.f5373d);
        this.o = (RelativeLayout) findViewById(R.id.rl_ad);
        this.p = (ImageView) findViewById(R.id.iv_ad);
        this.q = (TextView) findViewById(R.id.tv_time);
        this.s = d.c.a.a.i.c.e().b("PLAY_MARK", 0, 0);
        this.t = d.c.a.a.i.c.e().c("PLAY_MARK");
        if (this.s != null) {
            c.a.a.a.k0(i.a().f1320b.getString(SerializableCookie.DOMAIN, "") + this.s.getAdImage(), this.p);
        }
        this.o.setOnClickListener(new c());
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoControlView, com.shuyu.gsyvideoplayer.video.StandardGSYVideoPlayer
    public void onClickUiToggle() {
        super.onClickUiToggle();
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoControlView, com.shuyu.gsyvideoplayer.video.StandardGSYVideoPlayer
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        f.a.y.b bVar = this.f838j;
        if (bVar != null) {
            bVar.dispose();
            this.f838j = null;
        }
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoControlView
    public void onProgressChanged(SeekBar seekBar, int i2, boolean z) {
        super.onProgressChanged(seekBar, i2, z);
        if (z) {
            this.mCurrentTimeTextView.setText(c.a.a.a.q0((long) ((getDuration() * i2) / 100)));
        }
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoControlView
    public void setNeedShowWifiTip(boolean z) {
        super.setNeedShowWifiTip(false);
    }

    public void setShowNetSpeed(Boolean bool) {
        boolean booleanValue = bool.booleanValue();
        this.l = booleanValue;
        if (booleanValue) {
            this.f836d.setVisibility(0);
        } else {
            this.f836d.setVisibility(8);
        }
    }

    public void setTime(long j2) {
        this.o.setVisibility(0);
        CountDownTimer countDownTimer = this.u;
        if (countDownTimer != null) {
            countDownTimer.cancel();
            this.u = null;
        }
        d dVar = new d(j2, 1000);
        this.u = dVar;
        dVar.start();
        this.q.setOnClickListener(new e());
    }

    public void setVideoBean(VideoBean videoBean) {
        this.k = videoBean;
    }

    @Override // com.shuyu.gsyvideoplayer.video.StandardGSYVideoPlayer, com.shuyu.gsyvideoplayer.video.base.GSYBaseVideoPlayer
    public GSYBaseVideoPlayer startWindowFullscreen(Context context, boolean z, boolean z2) {
        GSYBaseVideoPlayer startWindowFullscreen = super.startWindowFullscreen(context, z, z2);
        if (startWindowFullscreen != null) {
            VideoPlayerDialog videoPlayerDialog = (VideoPlayerDialog) startWindowFullscreen;
            videoPlayerDialog.setVideoBean(getVideoBean());
            if (videoPlayerDialog.k != null) {
                TextView textView = videoPlayerDialog.f837h;
                textView.setText(videoPlayerDialog.k.getTitle() + "");
            }
            if (videoPlayerDialog.l) {
                videoPlayerDialog.f836d.setVisibility(0);
            } else {
                videoPlayerDialog.f836d.setVisibility(8);
            }
        }
        return startWindowFullscreen;
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoControlView
    public void touchSurfaceMove(float f2, float f3, float f4) {
        this.mChangePosition = false;
        super.touchSurfaceMove(f2, f3, f4);
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoControlView
    public void touchSurfaceMoveFullLogic(float f2, float f3) {
        this.mChangePosition = false;
        super.touchSurfaceMoveFullLogic(f2, f3);
    }

    @Override // com.shuyu.gsyvideoplayer.video.StandardGSYVideoPlayer
    public void updateStartImage() {
        View view = this.mStartButton;
        if (view instanceof ImageView) {
            ImageView imageView = (ImageView) view;
            int i2 = this.mCurrentState;
            if (i2 == 2) {
                imageView.setImageResource(R.drawable.player_btn_video_pause);
            } else if (i2 == 7) {
                imageView.setImageResource(R.drawable.player_btn_video_play);
            } else {
                imageView.setImageResource(R.drawable.player_btn_video_play);
            }
        }
    }

    public VideoPlayerDialog(Context context) {
        super(context);
    }

    public VideoPlayerDialog(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }
}
