package com.grass.cstore.player.tiktok;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.view.View;
import androidx.annotation.Nullable;
import com.grass.cstore.R$styleable;
import java.util.regex.Pattern;

public class LoadingView extends View {

    /* renamed from: d  reason: collision with root package name */
    public int f845d;

    /* renamed from: h  reason: collision with root package name */
    public int f846h;

    /* renamed from: j  reason: collision with root package name */
    public int f847j;
    public int k;
    public int l;
    public int m;
    public Paint n;
    public String o;
    public Runnable p;
    public int q;

    public class a implements Runnable {
        public a() {
        }

        public void run() {
            LoadingView.this.invalidate();
            LoadingView loadingView = LoadingView.this;
            loadingView.postDelayed(loadingView.p, (long) loadingView.q);
        }
    }

    public LoadingView(Context context) {
        this(context, null);
    }

    public final int a(int i2, boolean z) {
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        if (mode == Integer.MIN_VALUE) {
            return Math.min(z ? this.f847j : this.k, size);
        } else if (mode == 0) {
            return z ? this.f847j : this.k;
        } else {
            if (mode != 1073741824) {
                return z ? this.f847j : this.k;
            }
            return size;
        }
    }

    public void onAttachedToWindow() {
        postDelayed(this.p, (long) this.q);
        super.onAttachedToWindow();
    }

    public void onDetachedFromWindow() {
        removeCallbacks(this.p);
        super.onDetachedFromWindow();
    }

    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        int i2 = this.l;
        int i3 = this.f845d;
        if (i2 < i3) {
            this.l = i2 + 20;
        } else {
            this.l = this.m;
        }
        int i4 = 255;
        int i5 = 255 - ((this.l * 255) / i3);
        if (i5 <= 255) {
            i4 = i5;
        }
        if (i4 < 30) {
            i4 = 30;
        }
        StringBuilder q2 = d.b.a.a.a.q("#", Integer.toHexString(i4));
        String str = this.o;
        q2.append(str.substring(1, str.length()));
        this.n.setColor(Color.parseColor(q2.toString()));
        int i6 = this.f845d;
        int i7 = this.l;
        int i8 = this.k;
        canvas.drawLine((float) ((i6 / 2) - (i7 / 2)), (float) (i8 / 2), (float) ((i7 / 2) + (i6 / 2)), (float) (i8 / 2), this.n);
    }

    public void onMeasure(int i2, int i3) {
        super.onMeasure(i2, i3);
        setMeasuredDimension(a(i2, true), a(i3, false));
    }

    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        this.f845d = i2;
        this.f846h = i3;
        this.n.setStrokeWidth((float) i3);
    }

    public void setTimePeriod(int i2) {
        if (this.q > 0) {
            this.q = i2;
        }
    }

    public LoadingView(Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public LoadingView(Context context, @Nullable AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.q = 20;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.LoadingView);
        String string = obtainStyledAttributes.getString(3);
        this.f847j = (int) obtainStyledAttributes.getDimension(2, 600.0f);
        this.k = (int) obtainStyledAttributes.getDimension(0, 5.0f);
        int dimension = (int) obtainStyledAttributes.getDimension(1, 100.0f);
        this.m = dimension;
        this.l = dimension;
        Pattern compile = Pattern.compile("^#[A-Fa-f0-9]{6}");
        if (string == null) {
            this.o = "#808080";
        } else if (compile.matcher(string).matches()) {
            this.o = string;
        } else {
            throw new IllegalArgumentException("wrong color string type!");
        }
        obtainStyledAttributes.recycle();
        Paint paint = new Paint();
        this.n = paint;
        paint.setStyle(Paint.Style.FILL_AND_STROKE);
        this.n.setAntiAlias(true);
        this.p = new a();
    }
}
