package com.grass.cstore.ui.comment;

import android.content.Context;
import android.graphics.Color;
import android.text.SpannableString;
import android.text.TextUtils;
import android.text.style.ForegroundColorSpan;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.annotation.Nullable;
import com.android.tiktok.d1681786505291105505.R;
import com.androidx.lv.base.view.CircleImageView;
import com.grass.cstore.bean.CommentData;
import com.like.LikeButton;
import com.lzy.okgo.cookie.SerializableCookie;
import d.c.a.a.i.i;
import d.h.a.g.r.a0;
import d.h.a.g.r.b0;
import java.util.List;

public class CommentVerticalLayout extends LinearLayout implements ViewGroup.OnHierarchyChangeListener {

    /* renamed from: d  reason: collision with root package name */
    public List<CommentData> f887d;

    /* renamed from: h  reason: collision with root package name */
    public int f888h;

    /* renamed from: j  reason: collision with root package name */
    public LinearLayout.LayoutParams f889j;
    public b k;
    public int l;
    public int m;
    public int n;

    public class a implements View.OnClickListener {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ CommentData f890d;

        public a(CommentData commentData) {
            this.f890d = commentData;
        }

        public void onClick(View view) {
            b bVar = CommentVerticalLayout.this.k;
            if (bVar != null) {
                int id = view.getId();
                CommentData commentData = this.f890d;
                CommentVerticalLayout commentVerticalLayout = CommentVerticalLayout.this;
                ((CommentFragment) bVar).l(id, commentData, commentVerticalLayout.l, commentVerticalLayout.n);
            }
        }
    }

    public interface b {
    }

    public CommentVerticalLayout(Context context) {
        super(context);
        d();
    }

    public final void a(CommentData commentData, int i2) {
        addViewInLayout(e(commentData), i2, c(i2), true);
    }

    public void b(List<CommentData> list, int i2, boolean z) {
        if (list != null) {
            this.f887d = list;
            int childCount = getChildCount();
            if (!z && childCount > 0) {
                removeViewsInLayout(0, childCount);
            }
            int min = Math.min(i2, list.size());
            int i3 = 0;
            while (true) {
                View view = null;
                if (i3 < min) {
                    if (i3 < childCount) {
                        view = getChildAt(i3);
                    }
                    CommentData commentData = list.get(i3);
                    if (view == null) {
                        addViewInLayout(e(commentData), i3, c(i3), true);
                    } else {
                        a(commentData, i3);
                    }
                    i3++;
                } else {
                    int size = list.size();
                    View inflate = View.inflate(getContext(), R.layout.comment_item_end, null);
                    TextView textView = (TextView) inflate.findViewById(R.id.tv_hide_comment);
                    textView.setText("收起全部" + size + "条回复");
                    textView.setOnClickListener(new a0(this));
                    addView(inflate);
                    requestLayout();
                    return;
                }
            }
        }
    }

    public final LinearLayout.LayoutParams c(int i2) {
        if (this.f889j == null) {
            this.f889j = new LinearLayout.LayoutParams(-1, -2);
        }
        if (this.f887d != null && i2 > 0) {
            this.f889j.topMargin = (int) (((float) this.f888h) * 1.2f);
        }
        return this.f889j;
    }

    public final void d() {
        setOrientation(1);
        this.f888h = (int) ((c.a.a.a.K().getDisplayMetrics().density * 2.0f) + 0.5f);
        setOnHierarchyChangeListener(this);
    }

    public final View e(CommentData commentData) {
        View inflate = View.inflate(getContext(), R.layout.comment_item_two, null);
        ((LinearLayout) inflate.findViewById(R.id.ll_root)).setOnClickListener(new a(commentData));
        CircleImageView circleImageView = (CircleImageView) inflate.findViewById(R.id.img_head);
        CircleImageView circleImageView2 = (CircleImageView) inflate.findViewById(R.id.img_head_circle);
        TextView textView = (TextView) inflate.findViewById(R.id.tv_name);
        TextView textView2 = (TextView) inflate.findViewById(R.id.tv_content);
        TextView textView3 = (TextView) inflate.findViewById(R.id.tv_time);
        LikeButton likeButton = (LikeButton) inflate.findViewById(R.id.bt_isLike);
        TextView textView4 = (TextView) inflate.findViewById(R.id.labelView);
        TextView textView5 = (TextView) inflate.findViewById(R.id.tv_like_num);
        String logo = commentData.getLogo();
        if (!TextUtils.isEmpty(logo)) {
            c.a.a.a.i0(i.a().f1320b.getString(SerializableCookie.DOMAIN, "") + logo, circleImageView);
        }
        circleImageView2.setVisibility(8);
        textView.setText(commentData.getNickName());
        SpannableString spannableString = new SpannableString("回复  " + commentData.getBeUserName() + ":  " + commentData.getContent());
        spannableString.setSpan(new ForegroundColorSpan(Color.parseColor("#999999")), 0, 2, 33);
        textView2.setText(spannableString);
        textView3.setText(c.a.a.a.s0(commentData.getCreatedAt()));
        textView5.setText(c.a.a.a.l0(commentData.getFakeLikes()));
        likeButton.setLiked(Boolean.valueOf(commentData.getIsLike()));
        likeButton.setOnLikeListener(new b0(this, commentData, textView5));
        return inflate;
    }

    public void onChildViewAdded(View view, View view2) {
    }

    public void onChildViewRemoved(View view, View view2) {
    }

    public void setOnTwoClickListener(b bVar) {
        this.k = bVar;
    }

    public void setPosition(int i2) {
        this.n = i2;
    }

    public void setShowType(int i2) {
    }

    public void setTopId(int i2) {
        this.l = i2;
    }

    public void setTwoType(int i2) {
        this.m = i2;
    }

    public CommentVerticalLayout(Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
        d();
    }

    public CommentVerticalLayout(Context context, @Nullable AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        d();
    }
}
