package com.grass.cstore.ui.mine;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.BitmapDrawable;
import android.os.Build;
import android.text.TextUtils;
import android.view.View;
import androidx.lifecycle.MutableLiveData;
import androidx.lifecycle.Observer;
import androidx.lifecycle.ViewModelProvider;
import com.android.tiktok.d1681786505291105505.R;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.ui.BaseActivity;
import com.grass.cstore.bean.ShareBean;
import com.grass.cstore.databinding.ActivityShareLayoutBinding;
import com.grass.cstore.model.ShareModel;
import com.gyf.immersionbar.ImmersionBar;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import com.tbruyelle.rxpermissions2.RxPermissions;
import d.c.a.a.f.c;
import d.c.a.a.i.i;
import d.c.a.a.i.j;
import d.h.a.g.t.s;
import io.reactivex.internal.functions.Functions;
import java.util.Objects;
import me.jessyan.autosize.internal.CancelAdapt;

public class ShareActivity extends BaseActivity<ActivityShareLayoutBinding> implements CancelAdapt {
    public static final /* synthetic */ int l = 0;
    public int m;
    public ShareModel n;
    public String o;
    public String p;

    public class a implements View.OnClickListener {
        public a() {
        }

        public void onClick(View view) {
            ShareActivity.this.finish();
        }
    }

    public class b implements View.OnClickListener {
        public b() {
        }

        public void onClick(View view) {
            ShareActivity shareActivity = ShareActivity.this;
            int i2 = ShareActivity.l;
            if (!shareActivity.E()) {
                if (TextUtils.isEmpty(ShareActivity.this.o)) {
                    j.a().e("鏈接錯誤");
                    return;
                }
                Bitmap copy = ((BitmapDrawable) ShareActivity.this.getResources().getDrawable(R.drawable.mine_bg_share_two)).getBitmap().copy(Bitmap.Config.ARGB_8888, true);
                Canvas canvas = new Canvas(copy);
                Bitmap w = c.a.a.a.w(ShareActivity.this.o, 400);
                float width = ((float) copy.getWidth()) / 3.0f;
                RectF rectF = new RectF((((float) copy.getWidth()) - width) / 2.0f, (((float) copy.getHeight()) - width) / 2.0f, ((((float) copy.getWidth()) - width) / 2.0f) + width, ((((float) copy.getHeight()) - width) / 2.0f) + width);
                Paint paint = new Paint();
                paint.setAntiAlias(true);
                canvas.drawBitmap(w, (Rect) null, rectF, paint);
                ShareActivity shareActivity2 = ShareActivity.this;
                Objects.requireNonNull(shareActivity2);
                if (Build.VERSION.SDK_INT >= 23) {
                    new RxPermissions(shareActivity2).request("android.permission.WRITE_EXTERNAL_STORAGE").i(new s(shareActivity2, copy), Functions.f5374e, Functions.f5372c, Functions.f5373d);
                } else {
                    c.a.a.a.n0(shareActivity2, copy);
                }
            }
        }
    }

    public class c implements View.OnClickListener {
        public c() {
        }

        public void onClick(View view) {
            ShareActivity shareActivity = ShareActivity.this;
            int i2 = ShareActivity.l;
            if (!shareActivity.E()) {
                if (TextUtils.isEmpty(ShareActivity.this.o)) {
                    j.a().e("鏈接錯誤");
                } else if (!c.a.a.a.v(ShareActivity.this.o)) {
                    j.a().e("復制失敗");
                } else {
                    j.a().b("復制成功");
                }
            }
        }
    }

    public class d implements Observer<BaseRes<ShareBean>> {
        public d() {
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // androidx.lifecycle.Observer
        public void onChanged(BaseRes<ShareBean> baseRes) {
            BaseRes<ShareBean> baseRes2 = baseRes;
            if (baseRes2.getCode() == 200) {
                ShareActivity.this.o = baseRes2.getData().getUrl();
                ((ActivityShareLayoutBinding) ShareActivity.this.f222h).f773h.setImageBitmap(c.a.a.a.w(ShareActivity.this.o, 400));
                String[] split = ShareActivity.this.o.split("\\?");
                if (split.length > 0) {
                    ((ActivityShareLayoutBinding) ShareActivity.this.f222h).b(split[0]);
                    return;
                }
                return;
            }
            j.a().e(c.a.a.a.N(R.string.hit_no_net));
        }
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public void D() {
        super.D();
        ImmersionBar.with(this).titleBar(((ActivityShareLayoutBinding) this.f222h).l).init();
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public int G() {
        return R.layout.activity_share_layout;
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public void initView() {
        ((ActivityShareLayoutBinding) this.f222h).f772d.setOnClickListener(new a());
        ((ActivityShareLayoutBinding) this.f222h).f774j.setOnClickListener(new b());
        ((ActivityShareLayoutBinding) this.f222h).k.setOnClickListener(new c());
        this.n = (ShareModel) new ViewModelProvider(this).get(ShareModel.class);
        String inviteCode = i.a().b().getInviteCode();
        this.p = inviteCode;
        ((ActivityShareLayoutBinding) this.f222h).a(inviteCode);
        ShareModel shareModel = this.n;
        int i2 = this.m;
        if (shareModel.f832a == null) {
            shareModel.f832a = new MutableLiveData<>();
            String k = c.b.f1302a.k(i2);
            d.h.a.e.d dVar = new d.h.a.e.d(shareModel, "shareData", this);
            ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(k).tag(dVar.getTag())).cacheKey(k)).cacheMode(CacheMode.NO_CACHE)).execute(dVar);
        }
        shareModel.f832a.observe(this, new d());
    }

    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, com.androidx.lv.base.ui.BaseActivity
    public void onDestroy() {
        ShareModel shareModel = this.n;
        if (shareModel != null) {
            shareModel.a();
        }
        super.onDestroy();
    }
}
