package com.like;

import android.animation.ArgbEvaluator;
import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffXfermode;
import android.util.AttributeSet;
import android.util.Property;
import android.view.View;
import androidx.annotation.ColorInt;
import androidx.core.view.ViewCompat;
import com.google.android.material.shadow.ShadowDrawableWrapper;
import d.f.b.g2;

public class CircleView extends View {

    /* renamed from: d  reason: collision with root package name */
    public static final Property<CircleView, Float> f977d = new a(Float.class, "innerCircleRadiusProgress");

    /* renamed from: h  reason: collision with root package name */
    public static final Property<CircleView, Float> f978h = new b(Float.class, "outerCircleRadiusProgress");

    /* renamed from: j  reason: collision with root package name */
    public int f979j = -43230;
    public int k = -16121;
    public ArgbEvaluator l = new ArgbEvaluator();
    public Paint m = new Paint();
    public Paint n = new Paint();
    public Bitmap o;
    public Canvas p;
    public float q = 0.0f;
    public float r = 0.0f;
    public int s = 0;
    public int t = 0;
    public int u;

    public static class a extends Property<CircleView, Float> {
        public a(Class cls, String str) {
            super(cls, str);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // android.util.Property
        public Float get(CircleView circleView) {
            return Float.valueOf(circleView.getInnerCircleRadiusProgress());
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, java.lang.Object] */
        @Override // android.util.Property
        public void set(CircleView circleView, Float f2) {
            circleView.setInnerCircleRadiusProgress(f2.floatValue());
        }
    }

    public static class b extends Property<CircleView, Float> {
        public b(Class cls, String str) {
            super(cls, str);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // android.util.Property
        public Float get(CircleView circleView) {
            return Float.valueOf(circleView.getOuterCircleRadiusProgress());
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, java.lang.Object] */
        @Override // android.util.Property
        public void set(CircleView circleView, Float f2) {
            circleView.setOuterCircleRadiusProgress(f2.floatValue());
        }
    }

    public CircleView(Context context) {
        super(context);
        a();
    }

    public final void a() {
        this.m.setStyle(Paint.Style.FILL);
        this.n.setXfermode(new PorterDuffXfermode(PorterDuff.Mode.CLEAR));
    }

    public float getInnerCircleRadiusProgress() {
        return this.r;
    }

    public float getOuterCircleRadiusProgress() {
        return this.q;
    }

    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        this.p.drawColor(ViewCompat.MEASURED_SIZE_MASK, PorterDuff.Mode.CLEAR);
        this.p.drawCircle((float) (getWidth() / 2), (float) (getHeight() / 2), this.q * ((float) this.u), this.m);
        this.p.drawCircle((float) (getWidth() / 2), (float) (getHeight() / 2), this.r * ((float) this.u), this.n);
        canvas.drawBitmap(this.o, 0.0f, 0.0f, (Paint) null);
    }

    public void onMeasure(int i2, int i3) {
        int i4;
        super.onMeasure(i2, i3);
        int i5 = this.s;
        if (i5 != 0 && (i4 = this.t) != 0) {
            setMeasuredDimension(i5, i4);
        }
    }

    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        this.u = i2 / 2;
        this.o = Bitmap.createBitmap(getWidth(), getWidth(), Bitmap.Config.ARGB_8888);
        this.p = new Canvas(this.o);
    }

    public void setEndColor(@ColorInt int i2) {
        this.k = i2;
        invalidate();
    }

    public void setInnerCircleRadiusProgress(float f2) {
        this.r = f2;
        postInvalidate();
    }

    public void setOuterCircleRadiusProgress(float f2) {
        this.q = f2;
        this.m.setColor(((Integer) this.l.evaluate((float) g2.O0((double) ((float) Math.min(Math.max((double) f2, 0.5d), 1.0d)), 0.5d, 1.0d, ShadowDrawableWrapper.COS_45, 1.0d), Integer.valueOf(this.f979j), Integer.valueOf(this.k))).intValue());
        postInvalidate();
    }

    public void setStartColor(@ColorInt int i2) {
        this.f979j = i2;
        invalidate();
    }

    public CircleView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        a();
    }

    public CircleView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        a();
    }
}
