package com.like;

import android.animation.ArgbEvaluator;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.util.Property;
import android.view.View;
import com.google.android.material.shadow.ShadowDrawableWrapper;
import d.f.b.g2;

public class DotsView extends View {

    /* renamed from: d  reason: collision with root package name */
    public static final Property<DotsView, Float> f980d = new a(Float.class, "dotsProgress");

    /* renamed from: h  reason: collision with root package name */
    public int f981h;

    /* renamed from: j  reason: collision with root package name */
    public int f982j;
    public int k;
    public int l;
    public int m;
    public int n;
    public final Paint[] o;
    public int p;
    public int q;
    public float r;
    public float s;
    public float t;
    public float u;
    public float v;
    public float w;
    public float x;
    public float y;
    public ArgbEvaluator z;

    public static class a extends Property<DotsView, Float> {
        public a(Class cls, String str) {
            super(cls, str);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // android.util.Property
        public Float get(DotsView dotsView) {
            return Float.valueOf(dotsView.getCurrentProgress());
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, java.lang.Object] */
        @Override // android.util.Property
        public void set(DotsView dotsView, Float f2) {
            dotsView.setCurrentProgress(f2.floatValue());
        }
    }

    public DotsView(Context context) {
        super(context);
        this.f981h = -16121;
        this.f982j = -26624;
        this.k = -43230;
        this.l = -769226;
        this.m = 0;
        this.n = 0;
        this.o = new Paint[4];
        this.u = 0.0f;
        this.v = 0.0f;
        this.w = 0.0f;
        this.x = 0.0f;
        this.y = 0.0f;
        this.z = new ArgbEvaluator();
        a();
    }

    public final void a() {
        int i2 = 0;
        while (true) {
            Paint[] paintArr = this.o;
            if (i2 < paintArr.length) {
                paintArr[i2] = new Paint();
                this.o[i2].setStyle(Paint.Style.FILL);
                i2++;
            } else {
                return;
            }
        }
    }

    public float getCurrentProgress() {
        return this.u;
    }

    public void onDraw(Canvas canvas) {
        int i2 = 0;
        for (int i3 = 0; i3 < 7; i3++) {
            double d2 = (((double) (i3 * 51)) * 3.141592653589793d) / 180.0d;
            double cos = Math.cos(d2) * ((double) this.v);
            double sin = Math.sin(d2) * ((double) this.v);
            float f2 = this.w;
            Paint[] paintArr = this.o;
            canvas.drawCircle((float) ((int) (cos + ((double) this.p))), (float) ((int) (sin + ((double) this.q))), f2, paintArr[i3 % paintArr.length]);
        }
        while (i2 < 7) {
            double d3 = (((double) ((i2 * 51) - 10)) * 3.141592653589793d) / 180.0d;
            int cos2 = (int) (((double) this.p) + (Math.cos(d3) * ((double) this.y)));
            double sin2 = Math.sin(d3) * ((double) this.y);
            float f3 = this.x;
            Paint[] paintArr2 = this.o;
            i2++;
            canvas.drawCircle((float) cos2, (float) ((int) (sin2 + ((double) this.q))), f3, paintArr2[i2 % paintArr2.length]);
        }
    }

    public void onMeasure(int i2, int i3) {
        int i4;
        super.onMeasure(i2, i3);
        int i5 = this.m;
        if (i5 != 0 && (i4 = this.n) != 0) {
            setMeasuredDimension(i5, i4);
        }
    }

    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        int i6 = i2 / 2;
        this.p = i6;
        this.q = i3 / 2;
        this.t = 5.0f;
        float f2 = ((float) i6) - (5.0f * 2.0f);
        this.r = f2;
        this.s = f2 * 0.8f;
    }

    public void setCurrentProgress(float f2) {
        this.u = f2;
        if (f2 < 0.3f) {
            this.y = (float) g2.O0((double) f2, ShadowDrawableWrapper.COS_45, 0.30000001192092896d, ShadowDrawableWrapper.COS_45, (double) this.s);
        } else {
            this.y = this.s;
        }
        float f3 = this.u;
        if (f3 == 0.0f) {
            this.x = 0.0f;
        } else {
            double d2 = (double) f3;
            if (d2 < 0.2d) {
                this.x = this.t;
            } else if (d2 < 0.5d) {
                double d3 = (double) this.t;
                this.x = (float) g2.O0(d2, 0.20000000298023224d, 0.5d, d3, 0.3d * d3);
            } else {
                this.x = (float) g2.O0(d2, 0.5d, 1.0d, (double) (this.t * 0.3f), ShadowDrawableWrapper.COS_45);
            }
        }
        float f4 = this.u;
        if (f4 < 0.3f) {
            this.v = (float) g2.O0((double) f4, ShadowDrawableWrapper.COS_45, 0.30000001192092896d, ShadowDrawableWrapper.COS_45, (double) (this.r * 0.8f));
        } else {
            float f5 = this.r;
            this.v = (float) g2.O0((double) f4, 0.30000001192092896d, 1.0d, (double) (0.8f * f5), (double) f5);
        }
        float f6 = this.u;
        if (f6 == 0.0f) {
            this.w = 0.0f;
        } else {
            double d4 = (double) f6;
            if (d4 < 0.7d) {
                this.w = this.t;
            } else {
                this.w = (float) g2.O0(d4, 0.699999988079071d, 1.0d, (double) this.t, ShadowDrawableWrapper.COS_45);
            }
        }
        float f7 = this.u;
        if (f7 < 0.5f) {
            float O0 = (float) g2.O0((double) f7, ShadowDrawableWrapper.COS_45, 0.5d, ShadowDrawableWrapper.COS_45, 1.0d);
            this.o[0].setColor(((Integer) this.z.evaluate(O0, Integer.valueOf(this.f981h), Integer.valueOf(this.f982j))).intValue());
            this.o[1].setColor(((Integer) this.z.evaluate(O0, Integer.valueOf(this.f982j), Integer.valueOf(this.k))).intValue());
            this.o[2].setColor(((Integer) this.z.evaluate(O0, Integer.valueOf(this.k), Integer.valueOf(this.l))).intValue());
            this.o[3].setColor(((Integer) this.z.evaluate(O0, Integer.valueOf(this.l), Integer.valueOf(this.f981h))).intValue());
        } else {
            float O02 = (float) g2.O0((double) f7, 0.5d, 1.0d, ShadowDrawableWrapper.COS_45, 1.0d);
            this.o[0].setColor(((Integer) this.z.evaluate(O02, Integer.valueOf(this.f982j), Integer.valueOf(this.k))).intValue());
            this.o[1].setColor(((Integer) this.z.evaluate(O02, Integer.valueOf(this.k), Integer.valueOf(this.l))).intValue());
            this.o[2].setColor(((Integer) this.z.evaluate(O02, Integer.valueOf(this.l), Integer.valueOf(this.f981h))).intValue());
            this.o[3].setColor(((Integer) this.z.evaluate(O02, Integer.valueOf(this.f981h), Integer.valueOf(this.f982j))).intValue());
        }
        int O03 = (int) g2.O0((double) ((float) Math.min(Math.max((double) this.u, 0.6000000238418579d), 1.0d)), 0.6000000238418579d, 1.0d, 255.0d, ShadowDrawableWrapper.COS_45);
        this.o[0].setAlpha(O03);
        this.o[1].setAlpha(O03);
        this.o[2].setAlpha(O03);
        this.o[3].setAlpha(O03);
        postInvalidate();
    }

    public DotsView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f981h = -16121;
        this.f982j = -26624;
        this.k = -43230;
        this.l = -769226;
        this.m = 0;
        this.n = 0;
        this.o = new Paint[4];
        this.u = 0.0f;
        this.v = 0.0f;
        this.w = 0.0f;
        this.x = 0.0f;
        this.y = 0.0f;
        this.z = new ArgbEvaluator();
        a();
    }

    public DotsView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f981h = -16121;
        this.f982j = -26624;
        this.k = -43230;
        this.l = -769226;
        this.m = 0;
        this.n = 0;
        this.o = new Paint[4];
        this.u = 0.0f;
        this.v = 0.0f;
        this.w = 0.0f;
        this.x = 0.0f;
        this.y = 0.0f;
        this.z = new ArgbEvaluator();
        a();
    }
}
