package com.luck.picture.lib.crash;

import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.os.Build;
import android.os.Environment;
import android.os.Process;
import androidx.annotation.NonNull;
import com.luck.picture.lib.app.PictureAppMaster;
import d.b.a.a.a;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.lang.Thread;
import java.text.Format;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;

public class PictureSelectorCrashUtils {
    private static final String CRASH_HEAD;
    private static final String FILE_SEP = System.getProperty("file.separator");
    private static final Format FORMAT = new SimpleDateFormat("MM-dd HH-mm-ss", Locale.getDefault());
    private static final Thread.UncaughtExceptionHandler UNCAUGHT_EXCEPTION_HANDLER = new Thread.UncaughtExceptionHandler() {
        /* class com.luck.picture.lib.crash.PictureSelectorCrashUtils.AnonymousClass1 */

        /* JADX WARNING: Removed duplicated region for block: B:25:0x0082  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x0089  */
        public void uncaughtException(Thread thread, Throwable th) {
            Throwable th2;
            IOException e2;
            if (PictureSelectorCrashUtils.mFinishAppListener != null) {
                PictureSelectorCrashUtils.mFinishAppListener.onFinishApp(thread, th);
            }
            Date date = new Date(System.currentTimeMillis());
            String j2 = a.j(new StringBuilder(), PictureSelectorCrashUtils.dir == null ? PictureSelectorCrashUtils.defaultDir : PictureSelectorCrashUtils.dir, PictureSelectorCrashUtils.FORMAT.format(date) + ".txt");
            if (PictureSelectorCrashUtils.createOrExistsFile(j2)) {
                PrintWriter printWriter = null;
                try {
                    PrintWriter printWriter2 = new PrintWriter(new FileWriter(j2, false));
                    try {
                        printWriter2.write(PictureSelectorCrashUtils.CRASH_HEAD);
                        th.printStackTrace(printWriter2);
                        for (Throwable cause = th.getCause(); cause != null; cause = cause.getCause()) {
                            cause.printStackTrace(printWriter2);
                        }
                        printWriter2.close();
                    } catch (IOException e3) {
                        e2 = e3;
                        printWriter = printWriter2;
                        try {
                            e2.printStackTrace();
                            if (printWriter != null) {
                            }
                            Process.killProcess(Process.myPid());
                            System.exit(0);
                        } catch (Throwable th3) {
                            th2 = th3;
                            printWriter2 = printWriter;
                            if (printWriter2 != null) {
                            }
                            throw th2;
                        }
                    } catch (Throwable th4) {
                        th2 = th4;
                        if (printWriter2 != null) {
                            printWriter2.close();
                        }
                        throw th2;
                    }
                } catch (IOException e4) {
                    e2 = e4;
                    e2.printStackTrace();
                    if (printWriter != null) {
                        printWriter.close();
                    }
                    Process.killProcess(Process.myPid());
                    System.exit(0);
                }
            }
            Process.killProcess(Process.myPid());
            System.exit(0);
        }
    };
    private static String defaultDir;
    private static String dir;
    private static CrashAppListener mFinishAppListener = null;
    private static boolean mInitialized;
    private static int versionCode;
    private static String versionName;

    public interface CrashAppListener {
        void onFinishApp(Thread thread, Throwable th);
    }

    static {
        try {
            PackageInfo packageInfo = PictureAppMaster.getInstance().getAppContext().getPackageManager().getPackageInfo(PictureAppMaster.getInstance().getAppContext().getPackageName(), 0);
            if (packageInfo != null) {
                versionName = packageInfo.versionName;
                versionCode = packageInfo.versionCode;
            }
        } catch (PackageManager.NameNotFoundException e2) {
            e2.printStackTrace();
        }
        StringBuilder n = a.n("\n************* Crash Log Head ****************\nDevice Manufacturer: ");
        n.append(Build.MANUFACTURER);
        n.append("\nDevice Model       : ");
        n.append(Build.MODEL);
        n.append("\nAndroid Version    : ");
        n.append(Build.VERSION.RELEASE);
        n.append("\nAndroid SDK        : ");
        n.append(Build.VERSION.SDK_INT);
        n.append("\nApp VersionName    : ");
        n.append(versionName);
        n.append("\nApp VersionCode    : ");
        CRASH_HEAD = a.i(n, versionCode, "\n************* Crash Log Head ****************\n\n");
    }

    private PictureSelectorCrashUtils() {
        throw new UnsupportedOperationException("u can't instantiate me...");
    }

    private static boolean createOrExistsDir(File file) {
        return file != null && (!file.exists() ? file.mkdirs() : file.isDirectory());
    }

    /* access modifiers changed from: private */
    public static boolean createOrExistsFile(String str) {
        File file = new File(str);
        if (file.exists()) {
            return file.isFile();
        }
        if (!createOrExistsDir(file.getParentFile())) {
            return false;
        }
        try {
            return file.createNewFile();
        } catch (IOException e2) {
            e2.printStackTrace();
            return false;
        }
    }

    public static boolean init() {
        return init("", null);
    }

    private static boolean isSpace(String str) {
        if (str == null) {
            return true;
        }
        int length = str.length();
        for (int i2 = 0; i2 < length; i2++) {
            if (!Character.isWhitespace(str.charAt(i2))) {
                return false;
            }
        }
        return true;
    }

    public static void setCrashListener(CrashAppListener crashAppListener) {
        mFinishAppListener = crashAppListener;
    }

    public static boolean init(CrashAppListener crashAppListener) {
        return init("", crashAppListener);
    }

    public static boolean init(@NonNull File file) {
        return init(file.getAbsolutePath() + FILE_SEP, null);
    }

    public static boolean init(String str, CrashAppListener crashAppListener) {
        mFinishAppListener = crashAppListener;
        if (isSpace(str)) {
            dir = null;
        } else {
            String str2 = FILE_SEP;
            dir = str.endsWith(str2) ? dir : a.j(new StringBuilder(), dir, str2);
        }
        if (mInitialized) {
            return true;
        }
        if (!"mounted".equals(Environment.getExternalStorageState()) || PictureAppMaster.getInstance().getAppContext().getExternalCacheDir() == null) {
            StringBuilder sb = new StringBuilder();
            sb.append(PictureAppMaster.getInstance().getAppContext().getCacheDir());
            String str3 = FILE_SEP;
            defaultDir = a.k(sb, str3, "crash", str3);
        } else {
            StringBuilder sb2 = new StringBuilder();
            sb2.append(PictureAppMaster.getInstance().getAppContext().getExternalCacheDir());
            String str4 = FILE_SEP;
            defaultDir = a.k(sb2, str4, "crash", str4);
        }
        Thread.setDefaultUncaughtExceptionHandler(UNCAUGHT_EXCEPTION_HANDLER);
        mInitialized = true;
        return true;
    }
}
