package com.luck.picture.lib.model;

import android.content.Context;
import android.database.Cursor;
import android.net.Uri;
import android.provider.MediaStore;
import android.text.TextUtils;
import android.util.Log;
import com.luck.picture.lib.R;
import com.luck.picture.lib.config.PictureConfig;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.config.PictureSelectionConfig;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.entity.LocalMediaFolder;
import com.luck.picture.lib.tools.SdkVersionUtils;
import com.luck.picture.lib.tools.ValueOf;
import d.b.a.a.a;
import java.io.File;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Locale;

@Deprecated
public final class LocalMediaLoader {
    private static final int AUDIO_DURATION = 500;
    private static final long FILE_SIZE_UNIT = 1048576;
    private static final String NOT_GIF = "!='image/gif'";
    private static final String ORDER_BY = "_id DESC";
    private static final String[] PROJECTION = {"_id", "_data", "mime_type", "width", "height", "duration", "_size", "bucket_display_name", "_display_name", PictureConfig.EXTRA_BUCKET_ID};
    private static final Uri QUERY_URI = MediaStore.Files.getContentUri("external");
    private static final String SELECTION = "media_type=? AND _size>0";
    private static final String[] SELECTION_ALL_ARGS = {String.valueOf(1), String.valueOf(3)};
    private static final String SELECTION_NOT_GIF = "media_type=? AND _size>0 AND mime_type!='image/gif'";
    private static final String SELECTION_SPECIFIED_FORMAT = "media_type=? AND _size>0 AND mime_type";
    private static final String TAG = "LocalMediaLoader";

    /* renamed from: a  reason: collision with root package name */
    public static final /* synthetic */ int f989a = 0;
    private PictureSelectionConfig config;
    private boolean isAndroidQ = SdkVersionUtils.checkedAndroid_Q();
    private Context mContext;

    public LocalMediaLoader(Context context, PictureSelectionConfig pictureSelectionConfig) {
        this.mContext = context.getApplicationContext();
        this.config = pictureSelectionConfig;
    }

    private String getDurationCondition(long j2, long j3) {
        int i2 = this.config.videoMaxSecond;
        long j4 = i2 == 0 ? Long.MAX_VALUE : (long) i2;
        if (j2 != 0) {
            j4 = Math.min(j4, j2);
        }
        Locale locale = Locale.CHINA;
        Object[] objArr = new Object[3];
        objArr[0] = Long.valueOf(Math.max(j3, (long) this.config.videoMinSecond));
        objArr[1] = Math.max(j3, (long) this.config.videoMinSecond) == 0 ? "" : "=";
        objArr[2] = Long.valueOf(j4);
        return String.format(locale, "%d <%s duration and duration <= %d", objArr);
    }

    private LocalMediaFolder getImageFolder(String str, String str2, List<LocalMediaFolder> list) {
        if (!this.config.isFallbackVersion) {
            for (LocalMediaFolder localMediaFolder : list) {
                String name = localMediaFolder.getName();
                if (!TextUtils.isEmpty(name) && name.equals(str2)) {
                    return localMediaFolder;
                }
            }
            LocalMediaFolder localMediaFolder2 = new LocalMediaFolder();
            localMediaFolder2.setName(str2);
            localMediaFolder2.setFirstImagePath(str);
            list.add(localMediaFolder2);
            return localMediaFolder2;
        }
        File parentFile = new File(str).getParentFile();
        for (LocalMediaFolder localMediaFolder3 : list) {
            String name2 = localMediaFolder3.getName();
            if (!TextUtils.isEmpty(name2) && parentFile != null && name2.equals(parentFile.getName())) {
                return localMediaFolder3;
            }
        }
        LocalMediaFolder localMediaFolder4 = new LocalMediaFolder();
        localMediaFolder4.setName(parentFile != null ? parentFile.getName() : "");
        localMediaFolder4.setFirstImagePath(str);
        list.add(localMediaFolder4);
        return localMediaFolder4;
    }

    private String getRealPathAndroid_Q(long j2) {
        return QUERY_URI.buildUpon().appendPath(ValueOf.toString(Long.valueOf(j2))).build().toString();
    }

    private String getSelection() {
        PictureSelectionConfig pictureSelectionConfig = this.config;
        int i2 = pictureSelectionConfig.chooseMode;
        if (i2 == 0) {
            return getSelectionArgsForAllMediaCondition(getDurationCondition(0, 0), this.config.isGif);
        }
        if (i2 != 1) {
            if (i2 != 2) {
                if (i2 != 3) {
                    return null;
                }
                if (!TextUtils.isEmpty(pictureSelectionConfig.specifiedFormat)) {
                    return a.j(a.n("media_type=? AND _size>0 AND mime_type='"), this.config.specifiedFormat, "'");
                }
                return getSelectionArgsForSingleMediaCondition(getDurationCondition(0, 500));
            } else if (!TextUtils.isEmpty(pictureSelectionConfig.specifiedFormat)) {
                return a.j(a.n("media_type=? AND _size>0 AND mime_type='"), this.config.specifiedFormat, "'");
            } else {
                return getSelectionArgsForSingleMediaCondition();
            }
        } else if (!TextUtils.isEmpty(pictureSelectionConfig.specifiedFormat)) {
            return a.j(a.n("media_type=? AND _size>0 AND mime_type='"), this.config.specifiedFormat, "'");
        } else {
            return this.config.isGif ? SELECTION : SELECTION_NOT_GIF;
        }
    }

    private String[] getSelectionArgs() {
        int i2 = this.config.chooseMode;
        if (i2 == 0) {
            return SELECTION_ALL_ARGS;
        }
        if (i2 == 1) {
            return getSelectionArgsForSingleMediaType(1);
        }
        if (i2 == 2) {
            return getSelectionArgsForSingleMediaType(3);
        }
        if (i2 != 3) {
            return null;
        }
        return getSelectionArgsForSingleMediaType(2);
    }

    private static String getSelectionArgsForAllMediaCondition(String str, boolean z) {
        StringBuilder n = a.n("(media_type=?");
        n.append(z ? "" : " AND mime_type!='image/gif'");
        n.append(" OR ");
        n.append("media_type=? AND ");
        n.append(str);
        return a.k(n, ") AND ", "_size", ">0");
    }

    private static String getSelectionArgsForSingleMediaCondition() {
        return SELECTION;
    }

    private static String getSelectionArgsForSingleMediaCondition(String str) {
        return a.g("media_type=? AND _size>0 AND ", str);
    }

    private static String[] getSelectionArgsForSingleMediaType(int i2) {
        return new String[]{String.valueOf(i2)};
    }

    private void sortFolder(List<LocalMediaFolder> list) {
        Collections.sort(list, d.k.a.a.k0.a.f4269d);
    }

    /* JADX WARNING: Removed duplicated region for block: B:60:0x01bf A[LOOP:0: B:6:0x0034->B:60:0x01bf, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x01fc  */
    /* JADX WARNING: Removed duplicated region for block: B:79:0x0208  */
    /* JADX WARNING: Removed duplicated region for block: B:86:0x0173 A[EDGE_INSN: B:86:0x0173->B:53:0x0173 ?: BREAK  , SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:88:? A[RETURN, SYNTHETIC] */
    public List<LocalMediaFolder> loadAllMedia() {
        Cursor cursor;
        Throwable th;
        Exception e2;
        LocalMediaFolder localMediaFolder;
        String str;
        Cursor query = this.mContext.getContentResolver().query(QUERY_URI, PROJECTION, getSelection(), getSelectionArgs(), ORDER_BY);
        if (query != null) {
            try {
                ArrayList arrayList = new ArrayList();
                LocalMediaFolder localMediaFolder2 = new LocalMediaFolder();
                ArrayList arrayList2 = new ArrayList();
                if (query.getCount() > 0) {
                    query.moveToFirst();
                    while (true) {
                        String[] strArr = PROJECTION;
                        long j2 = query.getLong(query.getColumnIndexOrThrow(strArr[0]));
                        String string = query.getString(query.getColumnIndexOrThrow(strArr[1]));
                        String realPathAndroid_Q = this.isAndroidQ ? getRealPathAndroid_Q(j2) : string;
                        String string2 = query.getString(query.getColumnIndexOrThrow(strArr[2]));
                        if (TextUtils.isEmpty(string2)) {
                            string2 = PictureMimeType.ofJPEG();
                        }
                        if (string2.endsWith("image/*")) {
                            if (PictureMimeType.isContent(realPathAndroid_Q)) {
                                string2 = PictureMimeType.getImageMimeType(string);
                            } else {
                                string2 = PictureMimeType.getImageMimeType(realPathAndroid_Q);
                            }
                            if (!this.config.isGif && PictureMimeType.isGif(string2)) {
                                cursor = query;
                                localMediaFolder = localMediaFolder2;
                                if (!cursor.moveToNext()) {
                                    break;
                                }
                                localMediaFolder2 = localMediaFolder;
                                query = cursor;
                            }
                        }
                        int i2 = query.getInt(query.getColumnIndexOrThrow(strArr[3]));
                        int i3 = query.getInt(query.getColumnIndexOrThrow(strArr[4]));
                        long j3 = query.getLong(query.getColumnIndexOrThrow(strArr[5]));
                        long j4 = query.getLong(query.getColumnIndexOrThrow(strArr[6]));
                        String string3 = query.getString(query.getColumnIndexOrThrow(strArr[7]));
                        String string4 = query.getString(query.getColumnIndexOrThrow(strArr[8]));
                        long j5 = query.getLong(query.getColumnIndexOrThrow(strArr[9]));
                        float f2 = this.config.filterFileSize;
                        if (f2 <= 0.0f || ((float) j4) <= f2 * 1048576.0f) {
                            if (PictureMimeType.isHasVideo(string2)) {
                                PictureSelectionConfig pictureSelectionConfig = this.config;
                                int i4 = pictureSelectionConfig.videoMinSecond;
                                if (i4 <= 0 || j3 >= ((long) i4)) {
                                    int i5 = pictureSelectionConfig.videoMaxSecond;
                                    if (i5 <= 0 || j3 <= ((long) i5)) {
                                        if (j3 != 0) {
                                            if (j4 <= 0) {
                                            }
                                        }
                                    }
                                }
                            }
                            cursor = query;
                            try {
                                LocalMedia localMedia = new LocalMedia(j2, realPathAndroid_Q, string, string4, string3, j3, this.config.chooseMode, string2, i2, i3, j4, j5);
                                LocalMediaFolder imageFolder = getImageFolder(realPathAndroid_Q, string3, arrayList);
                                imageFolder.setBucketId(localMedia.getBucketId());
                                imageFolder.getData().add(localMedia);
                                imageFolder.setImageNum(imageFolder.getImageNum() + 1);
                                imageFolder.setBucketId(localMedia.getBucketId());
                                arrayList2.add(localMedia);
                                localMediaFolder = localMediaFolder2;
                                localMediaFolder.setImageNum(localMediaFolder2.getImageNum() + 1);
                                if (!cursor.moveToNext()) {
                                }
                            } catch (Exception e3) {
                                e2 = e3;
                                try {
                                    e2.printStackTrace();
                                    String str2 = TAG;
                                    Log.i(str2, "loadAllMedia Data Error: " + e2.getMessage());
                                    if (!cursor.isClosed()) {
                                    }
                                } catch (Throwable th2) {
                                    th = th2;
                                    if (!cursor.isClosed()) {
                                        cursor.close();
                                    }
                                    throw th;
                                }
                            }
                        }
                        cursor = query;
                        localMediaFolder = localMediaFolder2;
                        if (!cursor.moveToNext()) {
                        }
                    }
                    if (arrayList2.size() > 0) {
                        sortFolder(arrayList);
                        arrayList.add(0, localMediaFolder);
                        localMediaFolder.setFirstImagePath(((LocalMedia) arrayList2.get(0)).getPath());
                        if (this.config.chooseMode == PictureMimeType.ofAudio()) {
                            str = this.mContext.getString(R.string.picture_all_audio);
                        } else {
                            str = this.mContext.getString(R.string.picture_camera_roll);
                        }
                        localMediaFolder.setName(str);
                        localMediaFolder.setBucketId(-1);
                        localMediaFolder.setOfAllType(this.config.chooseMode);
                        localMediaFolder.setCameraFolder(true);
                        localMediaFolder.setData(arrayList2);
                    }
                } else {
                    cursor = query;
                }
                if (!cursor.isClosed()) {
                    cursor.close();
                }
                return arrayList;
            } catch (Exception e4) {
                e2 = e4;
                cursor = query;
                e2.printStackTrace();
                String str22 = TAG;
                Log.i(str22, "loadAllMedia Data Error: " + e2.getMessage());
                if (!cursor.isClosed()) {
                    return null;
                }
                cursor.close();
                return null;
            } catch (Throwable th3) {
                th = th3;
                cursor = query;
                if (!cursor.isClosed()) {
                }
                throw th;
            }
        } else if (query == null || query.isClosed()) {
            return null;
        } else {
            query.close();
            return null;
        }
    }
}
