package com.lxj.easyadapter;

import android.content.Context;
import android.util.SparseArray;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.StaggeredGridLayoutManager;
import d.l.a.c;
import d.l.a.d;
import g.n.b.o;
import java.util.List;

/* compiled from: MultiItemTypeAdapter.kt */
public class MultiItemTypeAdapter<T> extends RecyclerView.Adapter<ViewHolder> {

    /* renamed from: a  reason: collision with root package name */
    public final SparseArray<View> f994a = new SparseArray<>();

    /* renamed from: b  reason: collision with root package name */
    public final SparseArray<View> f995b = new SparseArray<>();

    /* renamed from: c  reason: collision with root package name */
    public d.l.a.b<T> f996c = new d.l.a.b<>();

    /* renamed from: d  reason: collision with root package name */
    public a f997d;

    /* renamed from: e  reason: collision with root package name */
    public List<? extends T> f998e;

    /* compiled from: MultiItemTypeAdapter.kt */
    public interface a {
        void a(View view, RecyclerView.ViewHolder viewHolder, int i2);
    }

    /* compiled from: MultiItemTypeAdapter.kt */
    public static class b implements a {
    }

    public MultiItemTypeAdapter(List<? extends T> list) {
        this.f998e = list;
    }

    public final int a() {
        return this.f994a.size();
    }

    public final boolean b() {
        return true;
    }

    public final boolean c(int i2) {
        return i2 >= a() + ((getItemCount() - a()) - this.f995b.size());
    }

    public final boolean d(int i2) {
        return i2 < a();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemCount() {
        return a() + this.f995b.size() + this.f998e.size();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemViewType(int i2) {
        boolean z = false;
        if (i2 < a()) {
            return this.f994a.keyAt(i2);
        }
        if (c(i2)) {
            return this.f995b.keyAt((i2 - a()) - ((getItemCount() - a()) - this.f995b.size()));
        }
        if (this.f996c.f4298a.size() > 0) {
            z = true;
        }
        if (!z) {
            return super.getItemViewType(i2);
        }
        d.l.a.b<T> bVar = this.f996c;
        Object obj = this.f998e.get(i2 - a());
        int a2 = i2 - a();
        int size = bVar.f4298a.size();
        do {
            size--;
            if (size < 0) {
                throw new IllegalArgumentException(d.b.a.a.a.y("No ItemDelegate added that matches position=", a2, " in data source"));
            }
        } while (!bVar.f4298a.valueAt(size).c(obj, a2));
        return bVar.f4298a.keyAt(size);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onAttachedToRecyclerView(RecyclerView recyclerView) {
        if (recyclerView != null) {
            super.onAttachedToRecyclerView(recyclerView);
            MultiItemTypeAdapter$onAttachedToRecyclerView$1 multiItemTypeAdapter$onAttachedToRecyclerView$1 = new MultiItemTypeAdapter$onAttachedToRecyclerView$1(this);
            RecyclerView.LayoutManager layoutManager = recyclerView.getLayoutManager();
            if (layoutManager instanceof GridLayoutManager) {
                GridLayoutManager gridLayoutManager = (GridLayoutManager) layoutManager;
                gridLayoutManager.setSpanSizeLookup(new WrapperUtils$onAttachedToRecyclerView$1(multiItemTypeAdapter$onAttachedToRecyclerView$1, layoutManager, gridLayoutManager.getSpanSizeLookup()));
                gridLayoutManager.setSpanCount(gridLayoutManager.getSpanCount());
                return;
            }
            return;
        }
        o.g("recyclerView");
        throw null;
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [androidx.recyclerview.widget.RecyclerView$ViewHolder, int] */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onBindViewHolder(ViewHolder viewHolder, int i2) {
        ViewHolder viewHolder2 = viewHolder;
        if (viewHolder2 != null) {
            if (!(i2 < a()) && !c(i2)) {
                Object obj = this.f998e.get(i2 - a());
                d.l.a.b<T> bVar = this.f996c;
                int adapterPosition = viewHolder2.getAdapterPosition() - a();
                int size = bVar.f4298a.size();
                for (int i3 = 0; i3 < size; i3++) {
                    d.l.a.a<T> valueAt = bVar.f4298a.valueAt(i3);
                    if (valueAt.c(obj, adapterPosition)) {
                        valueAt.b(viewHolder2, obj, adapterPosition);
                        return;
                    }
                }
                throw new IllegalArgumentException(d.b.a.a.a.y("No ItemDelegateManager added that matches position=", adapterPosition, " in data source"));
            }
            return;
        }
        o.g("holder");
        throw null;
    }

    /* Return type fixed from 'androidx.recyclerview.widget.RecyclerView$ViewHolder' to match base method */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i2) {
        if (viewGroup == null) {
            o.g("parent");
            throw null;
        } else if (this.f994a.get(i2) != null) {
            View view = this.f994a.get(i2);
            if (view != null) {
                return new ViewHolder(view);
            }
            o.f();
            throw null;
        } else if (this.f995b.get(i2) != null) {
            View view2 = this.f995b.get(i2);
            if (view2 != null) {
                return new ViewHolder(view2);
            }
            o.f();
            throw null;
        } else {
            d.l.a.a<T> aVar = this.f996c.f4298a.get(i2);
            if (aVar != null) {
                int a2 = aVar.a();
                Context context = viewGroup.getContext();
                o.b(context, "parent.context");
                View inflate = LayoutInflater.from(context).inflate(a2, viewGroup, false);
                o.b(inflate, "itemView");
                ViewHolder viewHolder = new ViewHolder(inflate);
                if (viewHolder.f1000b == null) {
                    o.g("itemView");
                    throw null;
                } else if (!b()) {
                    return viewHolder;
                } else {
                    viewHolder.f1000b.setOnClickListener(new c(this, viewHolder));
                    viewHolder.f1000b.setOnLongClickListener(new d(this, viewHolder));
                    return viewHolder;
                }
            } else {
                o.f();
                throw null;
            }
        }
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [androidx.recyclerview.widget.RecyclerView$ViewHolder] */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onViewAttachedToWindow(ViewHolder viewHolder) {
        ViewHolder viewHolder2 = viewHolder;
        if (viewHolder2 != null) {
            super.onViewAttachedToWindow(viewHolder2);
            int layoutPosition = viewHolder2.getLayoutPosition();
            if (d(layoutPosition) || c(layoutPosition)) {
                View view = viewHolder2.itemView;
                o.b(view, "holder.itemView");
                ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
                if (layoutParams != null && (layoutParams instanceof StaggeredGridLayoutManager.LayoutParams)) {
                    ((StaggeredGridLayoutManager.LayoutParams) layoutParams).setFullSpan(true);
                    return;
                }
                return;
            }
            return;
        }
        o.g("holder");
        throw null;
    }
}
