package com.lxj.xpopup.widget;

import android.content.Context;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.widget.FrameLayout;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.core.view.ViewCompat;
import androidx.customview.widget.ViewDragHelper;
import androidx.viewpager.widget.ViewPager;
import com.lxj.xpopup.core.ImageViewerPopupView;
import com.lxj.xpopup.photoview.PhotoView;
import d.l.b.e.b;
import d.l.b.f.j;
import java.util.Objects;

public class PhotoViewContainer extends FrameLayout {

    /* renamed from: d  reason: collision with root package name */
    public ViewDragHelper f1077d;

    /* renamed from: h  reason: collision with root package name */
    public ViewPager f1078h;

    /* renamed from: j  reason: collision with root package name */
    public int f1079j;
    public int k;
    public b l;
    public boolean m;
    public float n;
    public float o;
    public ViewDragHelper.Callback p;

    public class a extends ViewDragHelper.Callback {
        public a() {
        }

        @Override // androidx.customview.widget.ViewDragHelper.Callback
        public int clampViewPositionVertical(@NonNull View view, int i2, int i3) {
            int top = (i3 / 2) + PhotoViewContainer.this.f1078h.getTop();
            if (top >= 0) {
                return Math.min(top, PhotoViewContainer.this.k);
            }
            return -Math.min(-top, PhotoViewContainer.this.k);
        }

        @Override // androidx.customview.widget.ViewDragHelper.Callback
        public int getViewVerticalDragRange(@NonNull View view) {
            return 1;
        }

        @Override // androidx.customview.widget.ViewDragHelper.Callback
        public void onViewPositionChanged(@NonNull View view, int i2, int i3, int i4, int i5) {
            super.onViewPositionChanged(view, i2, i3, i4, i5);
            ViewPager viewPager = PhotoViewContainer.this.f1078h;
            if (view != viewPager) {
                viewPager.offsetTopAndBottom(i5);
            }
            PhotoViewContainer photoViewContainer = PhotoViewContainer.this;
            float abs = (((float) Math.abs(i3)) * 1.0f) / ((float) photoViewContainer.k);
            float f2 = 1.0f - (0.2f * abs);
            photoViewContainer.f1078h.setScaleX(f2);
            PhotoViewContainer.this.f1078h.setScaleY(f2);
            view.setScaleX(f2);
            view.setScaleY(f2);
            b bVar = PhotoViewContainer.this.l;
            if (bVar != null) {
                ImageViewerPopupView imageViewerPopupView = (ImageViewerPopupView) bVar;
                float f3 = 1.0f - abs;
                imageViewerPopupView.k.setAlpha(f3);
                View view2 = imageViewerPopupView.v;
                if (view2 != null) {
                    view2.setAlpha(f3);
                }
                if (imageViewerPopupView.t) {
                    imageViewerPopupView.l.setAlpha(f3);
                }
                imageViewerPopupView.f1023h.setBackgroundColor(((Integer) imageViewerPopupView.n.evaluate(abs * 0.8f, Integer.valueOf(imageViewerPopupView.w), 0)).intValue());
            }
        }

        @Override // androidx.customview.widget.ViewDragHelper.Callback
        public void onViewReleased(@NonNull View view, float f2, float f3) {
            super.onViewReleased(view, f2, f3);
            int abs = Math.abs(view.getTop());
            PhotoViewContainer photoViewContainer = PhotoViewContainer.this;
            if (abs > photoViewContainer.f1079j) {
                b bVar = photoViewContainer.l;
                if (bVar != null) {
                    ((ImageViewerPopupView) bVar).dismiss();
                    return;
                }
                return;
            }
            photoViewContainer.f1077d.smoothSlideViewTo(photoViewContainer.f1078h, 0, 0);
            PhotoViewContainer.this.f1077d.smoothSlideViewTo(view, 0, 0);
            ViewCompat.postInvalidateOnAnimation(PhotoViewContainer.this);
        }

        @Override // androidx.customview.widget.ViewDragHelper.Callback
        public boolean tryCaptureView(@NonNull View view, int i2) {
            Objects.requireNonNull(PhotoViewContainer.this);
            return true;
        }
    }

    public PhotoViewContainer(@NonNull Context context) {
        this(context, null);
    }

    private PhotoView getCurrentPhotoView() {
        ViewPager viewPager = this.f1078h;
        return (PhotoView) viewPager.getChildAt(viewPager.getCurrentItem());
    }

    public void computeScroll() {
        super.computeScroll();
        if (this.f1077d.continueSettling(false)) {
            ViewCompat.postInvalidateOnAnimation(this);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:7:0x000e, code lost:
        if (r0 != 3) goto L_0x0054;
     */
    public boolean dispatchTouchEvent(MotionEvent motionEvent) {
        int action = motionEvent.getAction();
        if (action != 0) {
            boolean z = false;
            if (action != 1) {
                if (action == 2) {
                    float x = motionEvent.getX() - this.n;
                    float y = motionEvent.getY() - this.o;
                    this.f1078h.dispatchTouchEvent(motionEvent);
                    if (Math.abs(y) > Math.abs(x)) {
                        z = true;
                    }
                    this.m = z;
                    this.n = motionEvent.getX();
                    this.o = motionEvent.getY();
                }
            }
            this.n = 0.0f;
            this.o = 0.0f;
            this.m = false;
        } else {
            this.n = motionEvent.getX();
            this.o = motionEvent.getY();
        }
        return super.dispatchTouchEvent(motionEvent);
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
    }

    public void onFinishInflate() {
        super.onFinishInflate();
        this.f1078h = (ViewPager) getChildAt(0);
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        boolean z;
        boolean shouldInterceptTouchEvent = this.f1077d.shouldInterceptTouchEvent(motionEvent);
        if (motionEvent.getPointerCount() > 1 && motionEvent.getAction() == 2) {
            return false;
        }
        PhotoView currentPhotoView = getCurrentPhotoView();
        if (currentPhotoView != null) {
            j jVar = currentPhotoView.f1051d;
            if (jVar.I || jVar.J) {
                z = true;
                if (!z && this.m) {
                    return true;
                }
                if (!shouldInterceptTouchEvent && this.m) {
                    return true;
                }
            }
        }
        z = false;
        if (!z) {
        }
        return !shouldInterceptTouchEvent ? false : false;
    }

    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        this.k = getHeight() / 3;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (motionEvent.getPointerCount() > 1) {
            return false;
        }
        try {
            this.f1077d.processTouchEvent(motionEvent);
        } catch (Exception unused) {
        }
        return true;
    }

    public void setOnDragChangeListener(b bVar) {
        this.l = bVar;
    }

    public PhotoViewContainer(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public PhotoViewContainer(@NonNull Context context, @Nullable AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f1079j = 80;
        this.m = false;
        this.p = new a();
        this.f1079j = (int) ((((float) this.f1079j) * getContext().getResources().getDisplayMetrics().density) + 0.5f);
        this.f1077d = ViewDragHelper.create(this, this.p);
        setBackgroundColor(0);
    }
}
