package com.lxj.xpopup.widget;

import android.content.Context;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.widget.FrameLayout;
import android.widget.OverScroller;
import androidx.core.view.NestedScrollingParent;
import androidx.core.view.ViewCompat;
import com.lxj.xpopup.core.BottomPopupView;
import com.lxj.xpopup.enums.LayoutStatus;
import d.l.b.b.e;
import d.l.b.h.c;
import java.util.Objects;

public class SmartDragLayout extends FrameLayout implements NestedScrollingParent {

    /* renamed from: d  reason: collision with root package name */
    public View f1086d;

    /* renamed from: h  reason: collision with root package name */
    public OverScroller f1087h;

    /* renamed from: j  reason: collision with root package name */
    public VelocityTracker f1088j;
    public e k;
    public boolean l;
    public boolean m;
    public boolean n;
    public boolean o;
    public LayoutStatus p;
    public int q;
    public int r;
    public float s;
    public float t;
    public boolean u;
    public b v;

    public class a implements Runnable {
        public a() {
        }

        public void run() {
            SmartDragLayout smartDragLayout = SmartDragLayout.this;
            Objects.requireNonNull(smartDragLayout);
            smartDragLayout.post(new c(smartDragLayout, 0 - SmartDragLayout.this.getScrollY(), false));
        }
    }

    public interface b {
    }

    public SmartDragLayout(Context context) {
        this(context, null);
    }

    public void a() {
        this.o = true;
        this.p = LayoutStatus.Closing;
        post(new a());
    }

    public final void b() {
        if (this.l) {
            int i2 = 0;
            if (getScrollY() > (this.u ? this.q - 0 : (this.q - 0) * 2) / 3) {
                i2 = this.q;
            }
            this.f1087h.startScroll(getScrollX(), getScrollY(), 0, i2 - getScrollY(), d.l.b.a.f4304b);
            ViewCompat.postInvalidateOnAnimation(this);
        }
    }

    public void computeScroll() {
        super.computeScroll();
        if (this.f1087h.computeScrollOffset()) {
            scrollTo(this.f1087h.getCurrX(), this.f1087h.getCurrY());
            ViewCompat.postInvalidateOnAnimation(this);
        }
    }

    public boolean dispatchTouchEvent(MotionEvent motionEvent) {
        this.o = true;
        return super.dispatchTouchEvent(motionEvent);
    }

    @Override // androidx.core.view.NestedScrollingParent
    public int getNestedScrollAxes() {
        return 2;
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        this.u = false;
        this.o = false;
        setTranslationY(0.0f);
    }

    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        this.q = this.f1086d.getMeasuredHeight();
        int measuredWidth = (getMeasuredWidth() / 2) - (this.f1086d.getMeasuredWidth() / 2);
        if (this.l) {
            this.f1086d.layout(measuredWidth, getMeasuredHeight(), this.f1086d.getMeasuredWidth() + measuredWidth, getMeasuredHeight() + this.q);
            if (this.p == LayoutStatus.Open) {
                scrollTo(getScrollX(), getScrollY() - (this.r - this.q));
            }
        } else {
            this.f1086d.layout(measuredWidth, getMeasuredHeight() - this.f1086d.getMeasuredHeight(), this.f1086d.getMeasuredWidth() + measuredWidth, getMeasuredHeight());
        }
        this.r = this.q;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onNestedFling(View view, float f2, float f3, boolean z) {
        if ((getScrollY() > 0 && getScrollY() < this.q) && f3 < -1500.0f) {
            a();
        }
        return false;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onNestedPreFling(View view, float f2, float f3) {
        return false;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedPreScroll(View view, int i2, int i3, int[] iArr) {
        if (i3 > 0) {
            int scrollY = getScrollY() + i3;
            if (scrollY < this.q) {
                iArr[1] = i3;
            }
            scrollTo(getScrollX(), scrollY);
        }
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedScroll(View view, int i2, int i3, int i4, int i5) {
        scrollTo(getScrollX(), getScrollY() + i5);
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedScrollAccepted(View view, View view2, int i2) {
        this.f1087h.abortAnimation();
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onStartNestedScroll(View view, View view2, int i2) {
        return i2 == 2 && this.l;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onStopNestedScroll(View view) {
        b();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x001c, code lost:
        if (r0 != 3) goto L_0x00d5;
     */
    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (this.f1087h.computeScrollOffset()) {
            this.s = 0.0f;
            this.t = 0.0f;
            return false;
        }
        int action = motionEvent.getAction();
        if (action != 0) {
            if (action != 1) {
                if (action == 2) {
                    if (this.l) {
                        this.f1088j.addMovement(motionEvent);
                        this.f1088j.computeCurrentVelocity(1000);
                        scrollTo(getScrollX(), getScrollY() - ((int) (motionEvent.getY() - this.t)));
                        this.t = motionEvent.getY();
                    }
                }
            }
            Rect rect = new Rect();
            this.f1086d.getGlobalVisibleRect(rect);
            if (!d.l.b.g.e.l(motionEvent.getRawX(), motionEvent.getRawY(), rect) && this.m) {
                if (((float) Math.sqrt(Math.pow((double) (motionEvent.getY() - this.t), 2.0d) + Math.pow((double) (motionEvent.getX() - this.s), 2.0d))) < ((float) ViewConfiguration.get(getContext()).getScaledTouchSlop())) {
                    performClick();
                }
            }
            if (this.l) {
                if (this.f1088j.getYVelocity() > 1500.0f) {
                    a();
                } else {
                    b();
                }
                this.f1088j.clear();
                this.f1088j.recycle();
            }
        } else {
            if (this.l) {
                this.f1088j = VelocityTracker.obtain();
            }
            this.s = motionEvent.getX();
            this.t = motionEvent.getY();
        }
        return true;
    }

    public void onViewAdded(View view) {
        super.onViewAdded(view);
        this.f1086d = view;
    }

    public void scrollTo(int i2, int i3) {
        LayoutStatus layoutStatus;
        LayoutStatus layoutStatus2;
        int i4 = this.q;
        if (i3 > i4) {
            i3 = i4;
        }
        boolean z = false;
        if (i3 < 0) {
            i3 = 0;
        }
        float f2 = (((float) (i3 + 0)) * 1.0f) / ((float) (i4 - 0));
        if (i3 > getScrollY()) {
            z = true;
        }
        this.u = z;
        if (this.n) {
            setBackgroundColor(this.k.d(f2));
        }
        b bVar = this.v;
        if (bVar != null) {
            if (this.o && f2 == 0.0f && this.p != (layoutStatus2 = LayoutStatus.Close)) {
                this.p = layoutStatus2;
                BottomPopupView.this.doAfterDismiss();
            } else if (f2 == 1.0f && this.p != (layoutStatus = LayoutStatus.Open)) {
                this.p = layoutStatus;
                BottomPopupView.a(BottomPopupView.this);
            }
        }
        super.scrollTo(i2, i3);
    }

    public void setOnCloseListener(b bVar) {
        this.v = bVar;
    }

    public SmartDragLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public SmartDragLayout(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.k = new e();
        this.l = true;
        this.m = true;
        this.n = true;
        this.o = false;
        this.p = LayoutStatus.Close;
        this.f1087h = new OverScroller(context);
    }
}
