package com.scwang.smartrefresh.header;

import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Path;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.view.View;
import android.view.animation.AccelerateDecelerateInterpolator;
import android.view.animation.Animation;
import android.view.animation.Transformation;
import android.widget.ImageView;
import androidx.annotation.ColorInt;
import androidx.annotation.IdRes;
import androidx.annotation.NonNull;
import androidx.constraintlayout.solver.widgets.analyzer.BasicMeasure;
import androidx.core.content.ContextCompat;
import androidx.core.view.ViewCompat;
import com.google.android.material.shadow.ShadowDrawableWrapper;
import com.scwang.smartrefresh.header.waveswipe.WaveView;
import com.scwang.smartrefresh.layout.constant.RefreshState;
import com.scwang.smartrefresh.layout.internal.InternalAbstract;
import d.o.a.a.a.c;
import d.o.a.b.b.f;
import d.o.a.b.b.i;
import java.util.Objects;

public class WaveSwipeHeader extends InternalAbstract implements f {
    public WaveView k;
    public RefreshState l;
    public d.o.a.a.a.c m;
    public ProgressAnimationImageView n;
    public float o;

    public class ProgressAnimationImageView extends ImageView {

        /* renamed from: d  reason: collision with root package name */
        public Animation.AnimationListener f1128d;

        public ProgressAnimationImageView(WaveSwipeHeader waveSwipeHeader, Context context) {
            super(context);
            d.o.a.a.a.c cVar = new d.o.a.a.a.c(waveSwipeHeader);
            waveSwipeHeader.m = cVar;
            cVar.l.v = 0;
            DisplayMetrics displayMetrics = Resources.getSystem().getDisplayMetrics();
            if (((float) displayMetrics.widthPixels) / displayMetrics.density >= 600.0f) {
                waveSwipeHeader.m.h(0);
            }
            super.setImageDrawable(waveSwipeHeader.m);
        }

        public void onAnimationEnd() {
            super.onAnimationEnd();
            Animation.AnimationListener animationListener = this.f1128d;
            if (animationListener != null) {
                animationListener.onAnimationEnd(getAnimation());
            }
        }

        public void onAnimationStart() {
            super.onAnimationStart();
            Animation.AnimationListener animationListener = this.f1128d;
            if (animationListener != null) {
                animationListener.onAnimationStart(getAnimation());
            }
        }

        public void setAnimationListener(Animation.AnimationListener animationListener) {
            this.f1128d = animationListener;
        }
    }

    /* JADX WARN: Init of enum SECOND can be incorrect */
    /* JADX WARN: Init of enum THIRD can be incorrect */
    public enum VERTICAL_DRAG_THRESHOLD {
        FIRST(0.1f),
        SECOND(r0.val + 0.16f),
        THIRD(r0.val + 0.5f);
        
        public final float val;

        private VERTICAL_DRAG_THRESHOLD(float f2) {
            this.val = f2;
        }
    }

    public class a implements ValueAnimator.AnimatorUpdateListener {
        public a() {
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            WaveSwipeHeader waveSwipeHeader = WaveSwipeHeader.this;
            ProgressAnimationImageView progressAnimationImageView = waveSwipeHeader.n;
            progressAnimationImageView.setTranslationY((((float) progressAnimationImageView.getHeight()) / 2.0f) + waveSwipeHeader.k.getCurrentCircleCenterY());
        }
    }

    public class b extends Animation {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ View f1130d;

        public b(WaveSwipeHeader waveSwipeHeader, View view) {
            this.f1130d = view;
        }

        public void applyTransformation(float f2, Transformation transformation) {
            float f3 = 1.0f - f2;
            this.f1130d.setScaleX(f3);
            this.f1130d.setScaleY(f3);
        }
    }

    public class c implements Animation.AnimationListener {
        public c() {
        }

        public void onAnimationEnd(Animation animation) {
            WaveSwipeHeader.this.m.stop();
            WaveSwipeHeader waveSwipeHeader = WaveSwipeHeader.this;
            waveSwipeHeader.m.l.t = 255;
            WaveView waveView = waveSwipeHeader.k;
            Objects.requireNonNull(waveView);
            ValueAnimator ofFloat = ValueAnimator.ofFloat(1.0f, 0.0f);
            waveView.z = ofFloat;
            ofFloat.addUpdateListener(waveView.B);
            waveView.z.setDuration(200L);
            waveView.z.addListener(new d.o.a.a.d.c(waveView));
            waveView.z.start();
        }

        public void onAnimationRepeat(Animation animation) {
        }

        public void onAnimationStart(Animation animation) {
        }
    }

    public WaveSwipeHeader(Context context) {
        this(context, null);
    }

    @Override // com.scwang.smartrefresh.layout.internal.InternalAbstract, d.o.a.b.f.d
    public void a(@NonNull i iVar, @NonNull RefreshState refreshState, @NonNull RefreshState refreshState2) {
        ProgressAnimationImageView progressAnimationImageView = this.n;
        this.l = refreshState2;
        int ordinal = refreshState2.ordinal();
        if (ordinal == 1) {
            this.m.f(true);
            progressAnimationImageView.setScaleX(1.0f);
            progressAnimationImageView.setScaleY(1.0f);
            this.m.l.t = 255;
        } else if (ordinal == 3) {
            this.m.f(false);
            this.m.c(0.0f);
            this.m.e(0.0f, 0.0f);
            this.k.c(this.o);
            this.o = 0.0f;
        }
    }

    @Override // com.scwang.smartrefresh.layout.internal.InternalAbstract, d.o.a.b.b.g
    public void f(boolean z, float f2, int i2, int i3, int i4) {
        if (z) {
            if (this.l != RefreshState.Refreshing) {
                ProgressAnimationImageView progressAnimationImageView = this.n;
                float max = (((float) Math.max(((double) Math.min(1.0f, f2)) - 0.4d, (double) ShadowDrawableWrapper.COS_45)) * 5.0f) / 3.0f;
                float f3 = f2 > 3.0f ? 2.0f : f2 > 1.0f ? f2 - 1.0f : 0.0f;
                float f4 = ((4.0f - f3) * f3) / 8.0f;
                if (f2 < 1.0f) {
                    this.m.e(0.0f, Math.min(0.8f, max * 0.8f));
                    this.m.a(Math.min(1.0f, max));
                }
                this.m.c(((f4 * 2.0f) + ((max * 0.4f) - 16.0f)) * 0.5f);
                progressAnimationImageView.setTranslationY(this.k.getCurrentCircleCenterY());
                float min = (((float) i2) * 1.0f) / ((float) Math.min(getMeasuredWidth(), getMeasuredHeight()));
                float f5 = ((5.0f - (2.0f * min)) * min) / 3.5f;
                float f6 = VERTICAL_DRAG_THRESHOLD.FIRST.val;
                float f7 = f5 - f6;
                float f8 = VERTICAL_DRAG_THRESHOLD.SECOND.val;
                float f9 = (f5 - f8) / 5.0f;
                this.o = f5;
                if (f5 < f6) {
                    WaveView waveView = this.k;
                    waveView.a();
                    waveView.m.moveTo(0.0f, 0.0f);
                    Path path = waveView.m;
                    float f10 = (float) waveView.r;
                    float[][] fArr = WaveView.f1143d;
                    path.cubicTo(fArr[0][0] * f10, fArr[0][1], fArr[1][0] * f10, (fArr[1][1] + f5) * f10, fArr[2][0] * f10, (fArr[2][1] + f5) * f10);
                    Path path2 = waveView.m;
                    float f11 = (float) waveView.r;
                    path2.cubicTo(f11 * fArr[3][0], (fArr[3][1] + f5) * f11, f11 * fArr[4][0], (fArr[4][1] + f5) * f11, f11 * fArr[5][0], (fArr[5][1] + f5) * f11);
                    Path path3 = waveView.m;
                    float f12 = (float) waveView.r;
                    path3.cubicTo(f12 - (fArr[4][0] * f12), (fArr[4][1] + f5) * f12, f12 - (fArr[3][0] * f12), (fArr[3][1] + f5) * f12, f12 - (fArr[2][0] * f12), (fArr[2][1] + f5) * f12);
                    Path path4 = waveView.m;
                    float f13 = (float) waveView.r;
                    path4.cubicTo(f13 - (fArr[1][0] * f13), (fArr[1][1] + f5) * f13, f13 - (fArr[0][0] * f13), fArr[0][1], f13, 0.0f);
                    waveView.postInvalidateOnAnimation();
                } else if (f5 < f8) {
                    WaveView waveView2 = this.k;
                    waveView2.a();
                    waveView2.m.moveTo(0.0f, 0.0f);
                    Path path5 = waveView2.m;
                    float f14 = (float) waveView2.r;
                    float[][] fArr2 = WaveView.f1144h;
                    float f15 = fArr2[0][0] * f14;
                    float f16 = fArr2[0][1] * f14;
                    float[][] fArr3 = WaveView.f1143d;
                    path5.cubicTo(f15, f16, Math.min(fArr3[1][0] + f7, fArr2[1][0]) * f14, Math.max((fArr3[1][1] + f5) - f7, fArr2[1][1]) * ((float) waveView2.r), Math.max(fArr3[2][0] - f7, fArr2[2][0]) * ((float) waveView2.r), Math.max((fArr3[2][1] + f5) - f7, fArr2[2][1]) * ((float) waveView2.r));
                    Path path6 = waveView2.m;
                    float max2 = Math.max(fArr3[3][0] - f7, fArr2[3][0]) * ((float) waveView2.r);
                    float min2 = Math.min(fArr3[3][1] + f5 + f7, fArr2[3][1]) * ((float) waveView2.r);
                    float max3 = Math.max(fArr3[4][0] - f7, fArr2[4][0]) * ((float) waveView2.r);
                    float min3 = Math.min(fArr3[4][1] + f5 + f7, fArr2[4][1]) * ((float) waveView2.r);
                    float f17 = (float) waveView2.r;
                    path6.cubicTo(max2, min2, max3, min3, f17 * fArr2[5][0], Math.min(fArr3[0][1] + f5 + f7, fArr2[5][1]) * f17);
                    Path path7 = waveView2.m;
                    float f18 = (float) waveView2.r;
                    float max4 = f18 - (Math.max(fArr3[4][0] - f7, fArr2[4][0]) * f18);
                    float min4 = Math.min(fArr3[4][1] + f5 + f7, fArr2[4][1]) * ((float) waveView2.r);
                    float f19 = (float) waveView2.r;
                    float max5 = f19 - (Math.max(fArr3[3][0] - f7, fArr2[3][0]) * f19);
                    float min5 = Math.min(fArr3[3][1] + f5 + f7, fArr2[3][1]) * ((float) waveView2.r);
                    float f20 = (float) waveView2.r;
                    path7.cubicTo(max4, min4, max5, min5, f20 - (Math.max(fArr3[2][0] - f7, fArr2[2][0]) * f20), Math.max((fArr3[2][1] + f5) - f7, fArr2[2][1]) * ((float) waveView2.r));
                    Path path8 = waveView2.m;
                    float f21 = (float) waveView2.r;
                    float min6 = f21 - (Math.min(fArr3[1][0] + f7, fArr2[1][0]) * f21);
                    float max6 = Math.max((fArr3[1][1] + f5) - f7, fArr2[1][1]) * ((float) waveView2.r);
                    float f22 = (float) waveView2.r;
                    path8.cubicTo(min6, max6, f22 - (fArr2[0][0] * f22), f22 * fArr2[0][1], f22, 0.0f);
                    waveView2.s = (Math.min(fArr3[3][1] + f5 + f7, fArr2[3][1]) * ((float) waveView2.r)) + waveView2.k;
                    waveView2.postInvalidateOnAnimation();
                } else {
                    WaveView waveView3 = this.k;
                    waveView3.a();
                    waveView3.m.moveTo(0.0f, 0.0f);
                    Path path9 = waveView3.m;
                    float f23 = (float) waveView3.r;
                    float[][] fArr4 = WaveView.f1145j;
                    float f24 = fArr4[0][0] * f23;
                    float f25 = fArr4[0][1] * f23;
                    float[][] fArr5 = WaveView.f1143d;
                    float[][] fArr6 = WaveView.f1144h;
                    path9.cubicTo(f24, f25, Math.min(Math.min(fArr5[1][0] + f7, fArr6[1][0]) + f9, fArr4[1][0]) * f23, Math.max(Math.max((fArr5[1][1] + f5) - f7, fArr6[1][1]) - f9, fArr4[1][1]) * ((float) waveView3.r), Math.max(fArr5[2][0] - f7, fArr4[2][0]) * ((float) waveView3.r), Math.min(Math.max((fArr5[2][1] + f5) - f7, fArr6[2][1]) + f9, fArr4[2][1]) * ((float) waveView3.r));
                    Path path10 = waveView3.m;
                    float min7 = Math.min(Math.max(fArr5[3][0] - f7, fArr6[3][0]) + f9, fArr4[3][0]) * ((float) waveView3.r);
                    float min8 = Math.min(Math.min(fArr5[3][1] + f5 + f7, fArr6[3][1]) + f9, fArr4[3][1]) * ((float) waveView3.r);
                    float max7 = Math.max(fArr5[4][0] - f7, fArr4[4][0]) * ((float) waveView3.r);
                    float min9 = Math.min(Math.min(fArr5[4][1] + f5 + f7, fArr6[4][1]) + f9, fArr4[4][1]) * ((float) waveView3.r);
                    float f26 = (float) waveView3.r;
                    path10.cubicTo(min7, min8, max7, min9, f26 * fArr4[5][0], Math.min(Math.min(fArr5[0][1] + f5 + f7, fArr6[5][1]) + f9, fArr4[5][1]) * f26);
                    Path path11 = waveView3.m;
                    float f27 = (float) waveView3.r;
                    float max8 = f27 - (Math.max(fArr5[4][0] - f7, fArr4[4][0]) * f27);
                    float min10 = Math.min(Math.min(fArr5[4][1] + f5 + f7, fArr6[4][1]) + f9, fArr4[4][1]) * ((float) waveView3.r);
                    float f28 = (float) waveView3.r;
                    float min11 = f28 - (Math.min(Math.max(fArr5[3][0] - f7, fArr6[3][0]) + f9, fArr4[3][0]) * f28);
                    float min12 = Math.min(Math.min(fArr5[3][1] + f5 + f7, fArr6[3][1]) + f9, fArr4[3][1]) * ((float) waveView3.r);
                    float f29 = (float) waveView3.r;
                    path11.cubicTo(max8, min10, min11, min12, f29 - (Math.max(fArr5[2][0] - f7, fArr4[2][0]) * f29), Math.min(Math.max((fArr5[2][1] + f5) - f7, fArr6[2][1]) + f9, fArr4[2][1]) * ((float) waveView3.r));
                    Path path12 = waveView3.m;
                    float f30 = (float) waveView3.r;
                    float min13 = f30 - (Math.min(Math.min(fArr5[1][0] + f7, fArr6[1][0]) + f9, fArr4[1][0]) * f30);
                    float max9 = Math.max(Math.max((fArr5[1][1] + f5) - f7, fArr6[1][1]) - f9, fArr4[1][1]) * ((float) waveView3.r);
                    float f31 = (float) waveView3.r;
                    path12.cubicTo(min13, max9, f31 - (fArr4[0][0] * f31), f31 * fArr4[0][1], f31, 0.0f);
                    waveView3.s = (Math.min(Math.min(fArr5[3][1] + f5 + f7, fArr6[3][1]) + f9, fArr4[3][1]) * ((float) waveView3.r)) + waveView3.k;
                    waveView3.postInvalidateOnAnimation();
                }
            }
        } else if (this.o != 0.0f && this.l == RefreshState.None) {
            this.m.f(false);
            this.m.c(0.0f);
            this.m.e(0.0f, 0.0f);
            this.k.c(this.o);
            this.o = 0.0f;
        }
    }

    @Override // com.scwang.smartrefresh.layout.internal.InternalAbstract, d.o.a.b.b.g
    public int g(@NonNull i iVar, boolean z) {
        ProgressAnimationImageView progressAnimationImageView = this.n;
        b bVar = new b(this, progressAnimationImageView);
        bVar.setDuration(200);
        this.n.setAnimationListener(new c());
        progressAnimationImageView.clearAnimation();
        progressAnimationImageView.startAnimation(bVar);
        return 0;
    }

    @Override // com.scwang.smartrefresh.layout.internal.InternalAbstract, d.o.a.b.b.g
    public void i(@NonNull i iVar, int i2, int i3) {
        this.o = 0.0f;
        WaveView waveView = this.k;
        if (!waveView.z.isRunning()) {
            ValueAnimator ofFloat = ValueAnimator.ofFloat(1.0f, 1.0f);
            waveView.z = ofFloat;
            ofFloat.setDuration(1L);
            waveView.z.start();
            ValueAnimator ofFloat2 = ValueAnimator.ofFloat((((float) waveView.r) / 1440.0f) * 500.0f, (float) waveView.t);
            waveView.y = ofFloat2;
            ofFloat2.setDuration(500L);
            waveView.y.addUpdateListener(new d.o.a.a.d.b(waveView));
            waveView.y.setInterpolator(new AccelerateDecelerateInterpolator());
            waveView.y.start();
            ValueAnimator ofFloat3 = ValueAnimator.ofFloat(0.0f, ((float) waveView.t) - waveView.k);
            waveView.v = ofFloat3;
            ofFloat3.setDuration(500L);
            waveView.v.addUpdateListener(waveView.B);
            waveView.v.start();
            ValueAnimator ofFloat4 = ValueAnimator.ofFloat(0.0f, 1.0f);
            waveView.w = ofFloat4;
            ofFloat4.setDuration(500L);
            waveView.w.addUpdateListener(waveView.B);
            waveView.w.setInterpolator(new d.o.a.a.d.a());
            waveView.w.setStartDelay(500);
            waveView.w.start();
            ValueAnimator ofFloat5 = ValueAnimator.ofFloat(0.0f, 1.0f);
            waveView.x = ofFloat5;
            ofFloat5.setDuration(500L);
            waveView.x.addUpdateListener(waveView.B);
            waveView.x.setInterpolator(new d.o.a.a.d.a());
            waveView.x.setStartDelay(625);
            waveView.x.start();
            waveView.c(0.1f);
        }
        d.o.a.a.a.c cVar = this.m;
        cVar.l.t = 255;
        cVar.start();
        ValueAnimator ofFloat6 = ValueAnimator.ofFloat(0.0f, 0.0f);
        ofFloat6.setDuration(500L);
        ofFloat6.setInterpolator(new AccelerateDecelerateInterpolator());
        ofFloat6.addUpdateListener(new a());
        ofFloat6.start();
    }

    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        WaveView waveView = this.k;
        ProgressAnimationImageView progressAnimationImageView = this.n;
        waveView.layout(0, 0, getMeasuredWidth(), getMeasuredHeight());
        int measuredWidth = getMeasuredWidth();
        int measuredWidth2 = progressAnimationImageView.getMeasuredWidth();
        progressAnimationImageView.layout((measuredWidth - measuredWidth2) / 2, -progressAnimationImageView.getMeasuredHeight(), (measuredWidth + measuredWidth2) / 2, 0);
        if (isInEditMode()) {
            f(true, 0.99f, d.o.a.b.g.b.c(99.0f), d.o.a.b.g.b.c(100.0f), d.o.a.b.g.b.c(100.0f));
        }
    }

    public void onMeasure(int i2, int i3) {
        super.setMeasuredDimension(View.MeasureSpec.getSize(i2), View.MeasureSpec.getSize(i3));
        WaveView waveView = this.k;
        ProgressAnimationImageView progressAnimationImageView = this.n;
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec((int) this.m.q, BasicMeasure.EXACTLY);
        progressAnimationImageView.measure(makeMeasureSpec, makeMeasureSpec);
        waveView.measure(View.MeasureSpec.makeMeasureSpec(View.MeasureSpec.getSize(i2), BasicMeasure.EXACTLY), View.MeasureSpec.makeMeasureSpec(View.MeasureSpec.getSize(i3), BasicMeasure.EXACTLY));
    }

    public void setColorSchemeColorIds(@IdRes int... iArr) {
        Context context = getContext();
        int[] iArr2 = new int[iArr.length];
        for (int i2 = 0; i2 < iArr.length; i2++) {
            iArr2[i2] = ContextCompat.getColor(context, iArr[1]);
        }
        c.a aVar = this.m.l;
        aVar.f4505i = iArr2;
        aVar.a(0);
    }

    public void setColorSchemeColors(int... iArr) {
        c.a aVar = this.m.l;
        aVar.f4505i = iArr;
        aVar.a(0);
    }

    @Override // com.scwang.smartrefresh.layout.internal.InternalAbstract, d.o.a.b.b.g
    @Deprecated
    public void setPrimaryColors(@ColorInt int... iArr) {
        if (iArr.length > 0) {
            this.k.setWaveColor(iArr[0]);
            if (iArr.length > 1) {
                d.o.a.a.a.c cVar = this.m;
                int[] iArr2 = {iArr[1]};
                c.a aVar = cVar.l;
                aVar.f4505i = iArr2;
                aVar.a(0);
            }
        }
    }

    public WaveSwipeHeader(Context context, AttributeSet attributeSet) {
        super(context, attributeSet, 0);
        this.f1179h = d.o.a.b.c.b.f4536e;
        WaveView waveView = new WaveView(context);
        this.k = waveView;
        addView(waveView);
        ProgressAnimationImageView progressAnimationImageView = new ProgressAnimationImageView(this, context);
        this.n = progressAnimationImageView;
        addView(progressAnimationImageView);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.WaveSwipeHeader);
        int color = obtainStyledAttributes.getColor(R$styleable.WaveSwipeHeader_wshPrimaryColor, 0);
        int color2 = obtainStyledAttributes.getColor(R$styleable.WaveSwipeHeader_wshAccentColor, 0);
        if (color != 0) {
            this.k.setWaveColor(color);
        }
        if (color2 != 0) {
            int[] iArr = {color2};
            c.a aVar = this.m.l;
            aVar.f4505i = iArr;
            aVar.a(0);
        } else {
            c.a aVar2 = this.m.l;
            aVar2.f4505i = new int[]{-1};
            aVar2.a(0);
        }
        int i2 = R$styleable.WaveSwipeHeader_wshShadowRadius;
        if (obtainStyledAttributes.hasValue(i2)) {
            int dimensionPixelOffset = obtainStyledAttributes.getDimensionPixelOffset(i2, 0);
            this.k.l.setShadowLayer((float) dimensionPixelOffset, 0.0f, 0.0f, obtainStyledAttributes.getColor(R$styleable.WaveSwipeHeader_wshShadowColor, ViewCompat.MEASURED_STATE_MASK));
        }
        obtainStyledAttributes.recycle();
    }
}
