package com.transitionseverywhere;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.RectEvaluator;
import android.animation.ValueAnimator;
import android.annotation.TargetApi;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.BitmapDrawable;
import android.view.TextureView;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewOverlay;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.constraintlayout.motion.widget.Key;
import androidx.transition.Transition;
import androidx.transition.TransitionValues;
import java.util.Map;

@TargetApi(18)
public class Crossfade extends Transition {

    /* renamed from: d  reason: collision with root package name */
    public static RectEvaluator f1207d;

    /* renamed from: h  reason: collision with root package name */
    public int f1208h = 1;

    /* renamed from: j  reason: collision with root package name */
    public int f1209j = 1;

    public class a implements ValueAnimator.AnimatorUpdateListener {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ View f1210d;

        /* renamed from: h  reason: collision with root package name */
        public final /* synthetic */ BitmapDrawable f1211h;

        public a(Crossfade crossfade, View view, BitmapDrawable bitmapDrawable) {
            this.f1210d = view;
            this.f1211h = bitmapDrawable;
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            this.f1210d.invalidate(this.f1211h.getBounds());
        }
    }

    public class b extends AnimatorListenerAdapter {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ boolean f1212d;

        /* renamed from: h  reason: collision with root package name */
        public final /* synthetic */ View f1213h;

        /* renamed from: j  reason: collision with root package name */
        public final /* synthetic */ BitmapDrawable f1214j;
        public final /* synthetic */ BitmapDrawable k;

        public b(boolean z, View view, BitmapDrawable bitmapDrawable, BitmapDrawable bitmapDrawable2) {
            this.f1212d = z;
            this.f1213h = view;
            this.f1214j = bitmapDrawable;
            this.k = bitmapDrawable2;
        }

        public void onAnimationEnd(Animator animator) {
            ViewOverlay overlay = this.f1212d ? ((ViewGroup) this.f1213h.getParent()).getOverlay() : this.f1213h.getOverlay();
            overlay.remove(this.f1214j);
            if (Crossfade.this.f1208h == 1) {
                overlay.remove(this.k);
            }
        }
    }

    @Override // androidx.transition.Transition
    public void captureEndValues(@NonNull TransitionValues transitionValues) {
        captureValues(transitionValues);
    }

    @Override // androidx.transition.Transition
    public void captureStartValues(@NonNull TransitionValues transitionValues) {
        captureValues(transitionValues);
    }

    public final void captureValues(@NonNull TransitionValues transitionValues) {
        View view = transitionValues.view;
        if (view.getWidth() > 0 && view.getHeight() > 0) {
            Rect rect = new Rect(0, 0, view.getWidth(), view.getHeight());
            if (this.f1208h != 1) {
                rect.offset(view.getLeft(), view.getTop());
            }
            transitionValues.values.put("android:crossfade:bounds", rect);
            Bitmap createBitmap = Bitmap.createBitmap(view.getWidth(), view.getHeight(), Bitmap.Config.ARGB_8888);
            if (view instanceof TextureView) {
                createBitmap = ((TextureView) view).getBitmap();
            } else {
                view.draw(new Canvas(createBitmap));
            }
            transitionValues.values.put("android:crossfade:bitmap", createBitmap);
            BitmapDrawable bitmapDrawable = new BitmapDrawable(view.getResources(), createBitmap);
            bitmapDrawable.setBounds(rect);
            transitionValues.values.put("android:crossfade:drawable", bitmapDrawable);
        }
    }

    @Override // androidx.transition.Transition
    @Nullable
    public Animator createAnimator(@NonNull ViewGroup viewGroup, @Nullable TransitionValues transitionValues, @Nullable TransitionValues transitionValues2) {
        ObjectAnimator objectAnimator;
        ObjectAnimator objectAnimator2 = null;
        if (!(transitionValues == null || transitionValues2 == null)) {
            if (f1207d == null) {
                f1207d = new RectEvaluator();
            }
            boolean z = this.f1208h != 1;
            View view = transitionValues2.view;
            Map<String, Object> map = transitionValues.values;
            Map<String, Object> map2 = transitionValues2.values;
            Rect rect = (Rect) map.get("android:crossfade:bounds");
            Rect rect2 = (Rect) map2.get("android:crossfade:bounds");
            if (!(rect == null || rect2 == null)) {
                Bitmap bitmap = (Bitmap) map.get("android:crossfade:bitmap");
                Bitmap bitmap2 = (Bitmap) map2.get("android:crossfade:bitmap");
                BitmapDrawable bitmapDrawable = (BitmapDrawable) map.get("android:crossfade:drawable");
                BitmapDrawable bitmapDrawable2 = (BitmapDrawable) map2.get("android:crossfade:drawable");
                if (!(bitmapDrawable == null || bitmapDrawable2 == null || bitmap.sameAs(bitmap2))) {
                    ViewOverlay overlay = z ? ((ViewGroup) view.getParent()).getOverlay() : view.getOverlay();
                    if (this.f1208h == 1) {
                        overlay.add(bitmapDrawable2);
                    }
                    overlay.add(bitmapDrawable);
                    if (this.f1208h == 2) {
                        objectAnimator = ObjectAnimator.ofInt(bitmapDrawable, Key.ALPHA, 255, 0, 0);
                    } else {
                        objectAnimator = ObjectAnimator.ofInt(bitmapDrawable, Key.ALPHA, 0);
                    }
                    objectAnimator.addUpdateListener(new a(this, view, bitmapDrawable));
                    int i2 = this.f1208h;
                    if (i2 == 2) {
                        objectAnimator2 = ObjectAnimator.ofFloat(view, View.ALPHA, 0.0f, 0.0f, 1.0f);
                    } else if (i2 == 0) {
                        objectAnimator2 = ObjectAnimator.ofFloat(view, View.ALPHA, 0.0f, 1.0f);
                    }
                    objectAnimator.addListener(new b(z, view, bitmapDrawable, bitmapDrawable2));
                    AnimatorSet animatorSet = new AnimatorSet();
                    animatorSet.playTogether(objectAnimator);
                    if (objectAnimator2 != null) {
                        animatorSet.playTogether(objectAnimator2);
                    }
                    if (this.f1209j == 1 && !rect.equals(rect2)) {
                        animatorSet.playTogether(ObjectAnimator.ofObject(bitmapDrawable, "bounds", f1207d, rect, rect2));
                        if (this.f1209j == 1) {
                            animatorSet.playTogether(ObjectAnimator.ofObject(bitmapDrawable2, "bounds", f1207d, rect, rect2));
                        }
                    }
                    return animatorSet;
                }
            }
        }
        return null;
    }
}
