package d.d.a.k.o.z;

import android.annotation.SuppressLint;
import android.graphics.Bitmap;
import android.os.Build;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import d.d.a.q.i;
import java.util.Arrays;
import java.util.Collections;
import java.util.HashSet;
import java.util.Objects;
import java.util.Set;

/* compiled from: LruBitmapPool */
public class j implements d {

    /* renamed from: a  reason: collision with root package name */
    public static final Bitmap.Config f1626a = Bitmap.Config.ARGB_8888;

    /* renamed from: b  reason: collision with root package name */
    public final k f1627b;

    /* renamed from: c  reason: collision with root package name */
    public final Set<Bitmap.Config> f1628c;

    /* renamed from: d  reason: collision with root package name */
    public final a f1629d;

    /* renamed from: e  reason: collision with root package name */
    public long f1630e;

    /* renamed from: f  reason: collision with root package name */
    public long f1631f;

    /* renamed from: g  reason: collision with root package name */
    public int f1632g;

    /* renamed from: h  reason: collision with root package name */
    public int f1633h;

    /* renamed from: i  reason: collision with root package name */
    public int f1634i;

    /* renamed from: j  reason: collision with root package name */
    public int f1635j;

    /* compiled from: LruBitmapPool */
    public interface a {
    }

    /* compiled from: LruBitmapPool */
    public static final class b implements a {
    }

    public j(long j2) {
        m mVar = new m();
        HashSet hashSet = new HashSet(Arrays.asList(Bitmap.Config.values()));
        int i2 = Build.VERSION.SDK_INT;
        hashSet.add(null);
        if (i2 >= 26) {
            hashSet.remove(Bitmap.Config.HARDWARE);
        }
        Set<Bitmap.Config> unmodifiableSet = Collections.unmodifiableSet(hashSet);
        this.f1630e = j2;
        this.f1627b = mVar;
        this.f1628c = unmodifiableSet;
        this.f1629d = new b();
    }

    @Override // d.d.a.k.o.z.d
    @SuppressLint({"InlinedApi"})
    public void a(int i2) {
        if (Log.isLoggable("LruBitmapPool", 3)) {
            d.b.a.a.a.t("trimMemory, level=", i2, "LruBitmapPool");
        }
        if (i2 >= 40 || (Build.VERSION.SDK_INT >= 23 && i2 >= 20)) {
            if (Log.isLoggable("LruBitmapPool", 3)) {
                Log.d("LruBitmapPool", "clearMemory");
            }
            i(0);
        } else if (i2 >= 20 || i2 == 15) {
            i(this.f1630e / 2);
        }
    }

    @Override // d.d.a.k.o.z.d
    public void b() {
        if (Log.isLoggable("LruBitmapPool", 3)) {
            Log.d("LruBitmapPool", "clearMemory");
        }
        i(0);
    }

    @Override // d.d.a.k.o.z.d
    @NonNull
    public Bitmap c(int i2, int i3, Bitmap.Config config) {
        Bitmap h2 = h(i2, i3, config);
        if (h2 != null) {
            return h2;
        }
        if (config == null) {
            config = f1626a;
        }
        return Bitmap.createBitmap(i2, i3, config);
    }

    @Override // d.d.a.k.o.z.d
    @NonNull
    public Bitmap d(int i2, int i3, Bitmap.Config config) {
        Bitmap h2 = h(i2, i3, config);
        if (h2 != null) {
            h2.eraseColor(0);
            return h2;
        }
        if (config == null) {
            config = f1626a;
        }
        return Bitmap.createBitmap(i2, i3, config);
    }

    @Override // d.d.a.k.o.z.d
    public synchronized void e(Bitmap bitmap) {
        if (bitmap == null) {
            throw new NullPointerException("Bitmap must not be null");
        } else if (!bitmap.isRecycled()) {
            if (bitmap.isMutable()) {
                Objects.requireNonNull((m) this.f1627b);
                if (((long) i.d(bitmap)) <= this.f1630e) {
                    if (this.f1628c.contains(bitmap.getConfig())) {
                        Objects.requireNonNull((m) this.f1627b);
                        int d2 = i.d(bitmap);
                        ((m) this.f1627b).f(bitmap);
                        Objects.requireNonNull((b) this.f1629d);
                        this.f1634i++;
                        this.f1631f += (long) d2;
                        if (Log.isLoggable("LruBitmapPool", 2)) {
                            Log.v("LruBitmapPool", "Put bitmap in pool=" + ((m) this.f1627b).e(bitmap));
                        }
                        f();
                        i(this.f1630e);
                        return;
                    }
                }
            }
            if (Log.isLoggable("LruBitmapPool", 2)) {
                Log.v("LruBitmapPool", "Reject bitmap from pool, bitmap: " + ((m) this.f1627b).e(bitmap) + ", is mutable: " + bitmap.isMutable() + ", is allowed config: " + this.f1628c.contains(bitmap.getConfig()));
            }
            bitmap.recycle();
        } else {
            throw new IllegalStateException("Cannot pool recycled bitmap");
        }
    }

    public final void f() {
        if (Log.isLoggable("LruBitmapPool", 2)) {
            g();
        }
    }

    public final void g() {
        StringBuilder n = d.b.a.a.a.n("Hits=");
        n.append(this.f1632g);
        n.append(", misses=");
        n.append(this.f1633h);
        n.append(", puts=");
        n.append(this.f1634i);
        n.append(", evictions=");
        n.append(this.f1635j);
        n.append(", currentSize=");
        n.append(this.f1631f);
        n.append(", maxSize=");
        n.append(this.f1630e);
        n.append("\nStrategy=");
        n.append(this.f1627b);
        Log.v("LruBitmapPool", n.toString());
    }

    @Nullable
    public final synchronized Bitmap h(int i2, int i3, @Nullable Bitmap.Config config) {
        Bitmap b2;
        if (Build.VERSION.SDK_INT >= 26) {
            if (config == Bitmap.Config.HARDWARE) {
                throw new IllegalArgumentException("Cannot create a mutable Bitmap with config: " + config + ". Consider setting Downsampler#ALLOW_HARDWARE_CONFIG to false in your RequestOptions and/or in GlideBuilder.setDefaultRequestOptions");
            }
        }
        b2 = ((m) this.f1627b).b(i2, i3, config != null ? config : f1626a);
        if (b2 == null) {
            if (Log.isLoggable("LruBitmapPool", 3)) {
                StringBuilder sb = new StringBuilder();
                sb.append("Missing bitmap=");
                Objects.requireNonNull((m) this.f1627b);
                sb.append(m.c(i.c(i2, i3, config), config));
                Log.d("LruBitmapPool", sb.toString());
            }
            this.f1633h++;
        } else {
            this.f1632g++;
            long j2 = this.f1631f;
            Objects.requireNonNull((m) this.f1627b);
            this.f1631f = j2 - ((long) i.d(b2));
            Objects.requireNonNull((b) this.f1629d);
            b2.setHasAlpha(true);
            b2.setPremultiplied(true);
        }
        if (Log.isLoggable("LruBitmapPool", 2)) {
            StringBuilder sb2 = new StringBuilder();
            sb2.append("Get bitmap=");
            Objects.requireNonNull((m) this.f1627b);
            sb2.append(m.c(i.c(i2, i3, config), config));
            Log.v("LruBitmapPool", sb2.toString());
        }
        f();
        return b2;
    }

    public final synchronized void i(long j2) {
        while (this.f1631f > j2) {
            m mVar = (m) this.f1627b;
            Bitmap c2 = mVar.f1642g.c();
            if (c2 != null) {
                mVar.a(Integer.valueOf(i.d(c2)), c2);
            }
            if (c2 == null) {
                if (Log.isLoggable("LruBitmapPool", 5)) {
                    Log.w("LruBitmapPool", "Size mismatch, resetting");
                    g();
                }
                this.f1631f = 0;
                return;
            }
            Objects.requireNonNull((b) this.f1629d);
            long j3 = this.f1631f;
            Objects.requireNonNull((m) this.f1627b);
            this.f1631f = j3 - ((long) i.d(c2));
            this.f1635j++;
            if (Log.isLoggable("LruBitmapPool", 3)) {
                Log.d("LruBitmapPool", "Evicting bitmap=" + ((m) this.f1627b).e(c2));
            }
            f();
            c2.recycle();
        }
    }
}
