package kotlin;

import kotlin.jvm.internal.Intrinsics;
import kotlin.text.CharsKt;

public final class UnsignedKt {
    public static final int ulongCompare(long j, long j2) {
        return ((j ^ Long.MIN_VALUE) > (j2 ^ Long.MIN_VALUE) ? 1 : ((j ^ Long.MIN_VALUE) == (j2 ^ Long.MIN_VALUE) ? 0 : -1));
    }

    public static final int uintCompare(int i, int i2) {
        return Intrinsics.compare(i ^ Integer.MIN_VALUE, i2 ^ Integer.MIN_VALUE);
    }

    /* renamed from: uintDivide-J1ME1BU  reason: not valid java name */
    public static final int m316uintDivideJ1ME1BU(int i, int i2) {
        return UInt.m90constructorimpl((int) ((((long) i) & 4294967295L) / (((long) i2) & 4294967295L)));
    }

    /* renamed from: uintRemainder-J1ME1BU  reason: not valid java name */
    public static final int m317uintRemainderJ1ME1BU(int i, int i2) {
        return UInt.m90constructorimpl((int) ((((long) i) & 4294967295L) % (((long) i2) & 4294967295L)));
    }

    /* renamed from: ulongDivide-eb3DHEI  reason: not valid java name */
    public static final long m318ulongDivideeb3DHEI(long j, long j2) {
        if (j2 < 0) {
            return ulongCompare(j, j2) < 0 ? ULong.m159constructorimpl(0) : ULong.m159constructorimpl(1);
        }
        if (j >= 0) {
            return ULong.m159constructorimpl(j / j2);
        }
        int i = 1;
        long j3 = ((j >>> 1) / j2) << 1;
        if (ulongCompare(ULong.m159constructorimpl(j - (j3 * j2)), ULong.m159constructorimpl(j2)) < 0) {
            i = 0;
        }
        return ULong.m159constructorimpl(j3 + ((long) i));
    }

    /* renamed from: ulongRemainder-eb3DHEI  reason: not valid java name */
    public static final long m319ulongRemaindereb3DHEI(long j, long j2) {
        if (j2 < 0) {
            return ulongCompare(j, j2) < 0 ? j : ULong.m159constructorimpl(j - j2);
        }
        if (j >= 0) {
            return ULong.m159constructorimpl(j % j2);
        }
        long j3 = j - ((((j >>> 1) / j2) << 1) * j2);
        if (ulongCompare(ULong.m159constructorimpl(j3), ULong.m159constructorimpl(j2)) < 0) {
            j2 = 0;
        }
        return ULong.m159constructorimpl(j3 - j2);
    }

    public static final int doubleToUInt(double d) {
        if (Double.isNaN(d) || d <= uintToDouble(0)) {
            return 0;
        }
        if (d >= uintToDouble(-1)) {
            return -1;
        }
        double d2 = (double) Integer.MAX_VALUE;
        if (d <= d2) {
            return UInt.m90constructorimpl((int) d);
        }
        Double.isNaN(d2);
        return UInt.m90constructorimpl(UInt.m90constructorimpl((int) (d - d2)) + UInt.m90constructorimpl(Integer.MAX_VALUE));
    }

    public static final long doubleToULong(double d) {
        if (Double.isNaN(d) || d <= ulongToDouble(0)) {
            return 0;
        }
        if (d >= ulongToDouble(-1)) {
            return -1;
        }
        if (d < ((double) Long.MAX_VALUE)) {
            return ULong.m159constructorimpl((long) d);
        }
        return ULong.m159constructorimpl(ULong.m159constructorimpl((long) (d - 9.223372036854776E18d)) - Long.MIN_VALUE);
    }

    public static final double uintToDouble(int i) {
        double d = (double) (Integer.MAX_VALUE & i);
        double d2 = (double) ((i >>> 31) << 30);
        double d3 = (double) 2;
        Double.isNaN(d2);
        Double.isNaN(d3);
        Double.isNaN(d);
        return d + (d2 * d3);
    }

    public static final double ulongToDouble(long j) {
        double d = (double) (j >>> 11);
        double d2 = (double) 2048;
        Double.isNaN(d);
        Double.isNaN(d2);
        double d3 = (double) (j & 2047);
        Double.isNaN(d3);
        return (d * d2) + d3;
    }

    public static final String ulongToString(long j) {
        return ulongToString(j, 10);
    }

    public static final String ulongToString(long j, int i) {
        if (j >= 0) {
            String l = Long.toString(j, CharsKt.checkRadix(i));
            Intrinsics.checkExpressionValueIsNotNull(l, "java.lang.Long.toString(this, checkRadix(radix))");
            return l;
        }
        long j2 = (long) i;
        long j3 = ((j >>> 1) / j2) << 1;
        long j4 = j - (j3 * j2);
        if (j4 >= j2) {
            j4 -= j2;
            j3++;
        }
        StringBuilder sb = new StringBuilder();
        String l2 = Long.toString(j3, CharsKt.checkRadix(i));
        Intrinsics.checkExpressionValueIsNotNull(l2, "java.lang.Long.toString(this, checkRadix(radix))");
        sb.append(l2);
        String l3 = Long.toString(j4, CharsKt.checkRadix(i));
        Intrinsics.checkExpressionValueIsNotNull(l3, "java.lang.Long.toString(this, checkRadix(radix))");
        sb.append(l3);
        return sb.toString();
    }
}
