package kotlin.coroutines.experimental.migration;

import kotlin.Result;
import kotlin.coroutines.Continuation;
import kotlin.coroutines.CoroutineContext;
import kotlin.jvm.internal.Intrinsics;

/* access modifiers changed from: package-private */
public final class ContinuationMigration<T> implements Continuation<T> {
    private final CoroutineContext context = CoroutinesMigrationKt.toCoroutineContext(this.continuation.getContext());
    private final kotlin.coroutines.experimental.Continuation<T> continuation;

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: kotlin.coroutines.experimental.Continuation<? super T> */
    /* JADX WARN: Multi-variable type inference failed */
    public ContinuationMigration(kotlin.coroutines.experimental.Continuation<? super T> continuation2) {
        Intrinsics.checkParameterIsNotNull(continuation2, "continuation");
        this.continuation = continuation2;
    }

    public final kotlin.coroutines.experimental.Continuation<T> getContinuation() {
        return this.continuation;
    }

    @Override // kotlin.coroutines.Continuation
    public CoroutineContext getContext() {
        return this.context;
    }

    @Override // kotlin.coroutines.Continuation
    public void resumeWith(Object obj) {
        if (Result.m12isSuccessimpl(obj)) {
            this.continuation.resume(obj);
        }
        Throwable r2 = Result.m8exceptionOrNullimpl(obj);
        if (r2 != null) {
            this.continuation.resumeWithException(r2);
        }
    }
}
